/*
Copyright 2019-2020 Webtrends
SharePoint Language Conversion Plugin
- This plugin is intended to allow correction of tracking of SOME links in Hover Cards, ECB Menus, and Ribbons, where the link's text is used to determine the event type
--- It is NOT intended to convert all text into another language, such as may be needed for Link Tracking to clean up report data - Consider a translation file instead
- This file is saved as UTF-8 character encoding and pages with different encoding may not match the text properly.  In some cases, you just have to remove special characters to match.
- Add languages to the switch as needed - keeping in mind that the case should be LOWER CASE, and the returned text should MATCH that used the webtrends.sp.js file or reports
- Existing cases are Spanish covering SP2013, SP2016, SPO Classic, and SPO Modern View, sorted alphabetically based on the English text "value"
Version: 4.15.0.351
*/

window.wt_sp_globals.wtLanguageConversion = function (tag, plugin) {
    try {
        window.wt_sp_globals.translateLanguage = function (text) {
            var value = text;
            var _text = text.toLowerCase().replace(/^\s+|\s+$/g, "");
            switch (_text) {
                // A
                case "modo de accesibilidad":
                    value = "Accessibility mode";
                    break;
                case "agregar plantilla":
                    value = "Add template";
                    break;
                case "avanzadas":
                    value = "Advanced";
                    break;
                case "avisarme":
                    value = "Alert me";
                    break;
                // B
                // C
                case "cancelar":
                    value = "Cancel";
                    break;
                case "insertar en el repositorio":
                case "proteger":
                    value = "Check In";
                    break;
                case "extraer del repisotrio":
                case "desproteger":
                    value = "Check Out";
                    break;
                case "cerrar":
                    value = "Close";
                    break;
                case "detalles de cumplimiento":
                case "detalles de la conformidad":
                    value = "Compliance Details";
                    break;
                case "configurar flujos":
                    value = "Configure flows";
                    break;
                case "conectar a outlook":
                    value = "Connect to Outlook";
                    break;
                case "copiar":
                    value = "Copy";
                    break;
                case "copiar vínculo":
                case "copiar vnculo":
                case "copiar campo en el portapapeles":
                    value = "Copy Link";
                    break;
                case "copiar vínculo en la conversación":
                case "copiar vnculo en la conversacin":
                    value = "Copy link to conversation";
                    break;
                case "copiar en":
                    value = "Copy to";
                    break;
                case "crear un flujo":
                    value = "Create a flow";
                    break;
                case "crear una aplicación":
                case "crear una aplicacin":
                    value = "Create an app";
                    break;
                case "personalizar":
                    value = "Customize";
                    break;
                case "personalizar formularios":
                    value = "Customize forms";
                    break;
                // D
                case "eliminar":
                    value = "Delete";
                    break;
                case "detalles":
                    value = "Details";
                    break;
                case "descartar desprotección":
                case "descartar desproteccin":
                    value = "Discard Check Out";
                    break;
                case "eliminar elemento":
                    value = "Delete Item";
                    break;
                case "descargar":
                case "descargar una copia":
                    value = "Download";
                    break;
                // E
                case "editar":
                    value = "Edit";
                    break;
                case "editar todo":
                    value = "Edit all";
                    break;
                case "editar en el explorador":
                    value = "Edit in Browser";
                    break;
                case "editar elemento":
                    value = "Edit Item";
                    break;
                case "editar menú nuevo":
                case "editar men nuevo":
                    value = "Edit New menu";
                    break;
                case "enviar por correo electrónico un enlace":
                case "enviar por correo electrnico un enlace":
                    value = "Email a link";
                    break;
                case "editar anclaje":
                    value = "Edit pin";
                    break;
                case "libro de excel":
                    value = "Excel workbook";
                    break;
                case "exportar a excel":
                    value = "Export to Excel";
                    break;
                case "extraer del repositorio":
                    value = "Extract from Repository";
                    break;
                // F
                case "archivos":
                    value = "Files";
                    break;
                case "panel de filtros":
                    value = "Filters pane";
                    break;
                case "flow":
                    value = "Flow";
                    break;
                case "carpeta":
                    value = "Folder";
                    break;
                case "seguir":
                    value = "Follow";
                    break;
                case "seguimiento":
                    value = "Follow up";
                    break;
                case "siguientes":
                    value = "following";
                    break;
                case "Forms para Excel":
                    value = "Forms for Excel";
                    break;
                // G
                case "obtener un vínculo":
                    value = "Get Link";
                    break;
                // H
                // I
                case "elemento":
                    value = "Item";
                    break;
                // J
                // K
                // L
                case "vínculo":
                case "vnculo":
                    value = "Copy Link";
                    break;
                case "bloquear conversación":
                case "bloquear conversacin":
                    value = "Lock conversation";
                    break;
                case "le gusta":
                    value = "Likes";
                    break;
                // M
                case "administrar acceso":
                    value = "Manage Access";
                    break;
                case "administrar mis alertas":
                    value = "Manage my alerts";
                    break;
                case "más":
                case "ms":
                    value = "More";
                    break;
                case "mover a la izquierda":
                    value = "Move right";
                    break;
                case "mover a":
                    value = "Move to";
                    break;
                // N
                case "nuevo":
                    value = "New";
                    break;
                case "nuevo elemento":
                    value = "New item";
                    break;
                case "siguiente":
                    value = "Next";
                    break;
                // O
                case "bloc de notas de onenote":
                    value = "OneNote notebook";
                    break;
                case "abrir":
                    value = "Open";
                    break;
                case "abrir en word":
                    value = "Open in App";
                    break;
                case "abrir en excel":
                    value = "Open in App";
                    break;
                case "abrir en powerpoint":
                    value = "Open in App";
                    break;
                case "abrir en onenote":
                    value = "Open in App";
                    break;
                case "abrir en visio":
                    value = "Open in App";
                    break;
                case "abrir en word en línea":
                case "abrir en word en lnea":
                case "abrir en word online":
                    value = "Open in App Online";
                    break;
                case "abrir en excel en línea":
                case "abrir en excel en lnea":
                case "abrir en excel online":
                    value = "Open in App Online";
                    break;
                case "abrir en powerpoint en línea":
                case "abrir en powerpoint en lnea":
                case "abrir en powerpoint online":
                    value = "Open in App Online";
                    break;
                case "abrir en onenote en línea":
                case "abrir en onenote en lnea":
                case "abrir en onenote online":
                    value = "Open in App Online";
                    break;
                case "abrir en visio en línea":
                case "abrir en visio en lnea":
                case "abrir en visio online":
                    value = "Open in App Online";
                    break;
                // P
                case "anclar a la parte superior":
                    value = "Pin to top";
                    break;
                case "propiedades":
                    value = "Properties";
                    break;
                case "presentación de powerpoint":
                case "presentacin de powerpoint":
                    value = "PowerPoint presentation";
                    break;
                case "vista previa":
                    value = "Preview";
                    break;
                case "anterior":
                    value = "Previous";
                    break;
                // Q
                case "edición rápida":
                case "edicin rpida":
                    value = "Quick Edit";
                    break;
                // R
                case "cambiar nombre":
                    value = "Rename";
                    break;
                case "solicitar cierre":
                    value = "Request closure";
                    break;
                // S
                case "guardar":
                    value = "Save";
                    break;
                case "ver los flujos":
                    value = "See your flows";
                    break;
                case "enviarme alertas":
                    value = "Set alert on this item";
                    break;
                case "compartir":
                    value = "Share";
                    break;
                case "compartido con":
                    value = "Shared With/Manage Permissions";
                    break;
                case "sincronizar":
                case "sincronización":
                case "sincronizacin":
                    value = "Sync";
                    break;
                // T
                case "plantilla":
                    value = "Template";
                    break;
                // U
                case "desbloquear conversación":
                case "desbloquear conversacin":
                    value = "Unlock conversation";
                    break;
                case "desanclar":
                    value = "Unpin";
                    break;
                case "cargar":
                    value = "Upload";
                    break;
                // V
                case "historial de versiones":
                    value = "Version History";
                    break;
                case "ver en el explorador":
                    value = "View in Browser";
                    break;
                case "ver elemento":
                    value = "View Item";
                    break;
                case "flujos de trabajo":
                case "flujo de trabajo":
                    value = "View Workflows";
                    break;
                // W
                case "documento de word":
                    value = "Word document";
                    break;
                // X
                // Y
                case "sí":
                case "s":
                    value = "Yes";
                    break;
                // Z
                default:
                    // Newsfeed Follow and stop following <user>|<hashtag>
                    if (_text.indexOf("seguir") === 0) {
                        value = "Follow";
                    }
                    else if (_text.indexOf("dejar de seguir") === 0) {
                        value = "Stop following";
                    }
            }
            return value;
        };
    }
    catch (err) { }
};
Webtrends.registerPlugin("splc", window.wt_sp_globals.wtLanguageConversion);
