/*
Copyright 2015-2020 Webtrends
SharePoint Plugin 
Version: 4.15.0.351
*/

(function () {
    WebTrendsSP_intra = function (tag, plugin) {
        this.enabled = true;
        this.tagObj = tag;
        this.tagVersion = "4.15.0.351";

        /************************** SHARED **********************************/

        // Shared: Config support features
        this.cfg = {
            extraUserInfo: plugin.extraUserInfo != null ? plugin.extraUserInfo : true,
            username: plugin.username != null ? plugin.username : true,
            userlogin: plugin.userlogin != null ? plugin.userlogin : true,
            dcsaut: plugin.dcsaut != null ? plugin.dcsaut : true,
            dcsautParam: plugin.dcsautParam != null ? plugin.dcsautParam : "WT.shp_login",
            dcsvid: plugin.dcsvid != null ? plugin.dcsvid : false,
            dcsvidParam: plugin.dcsvidParam != null ? plugin.dcsvidParam : "WT.shp_login",
            siteInfo: plugin.siteInfo != null ? plugin.siteInfo : true,
            toContent: plugin.toContent != null ? plugin.toContent : true,
            search: plugin.search != null ? plugin.search : true,
            legacySearch: plugin.legacySearch != null ? plugin.legacySearch : false,
            bread: plugin.bread != null ? plugin.bread : true,
            webparts: plugin.webparts != null ? plugin.webparts : true,
            webPartLimit: plugin.webPartLimit != null ? Number(plugin.webPartLimit) : 40,
            webPartIds: plugin.webPartIds != null ? plugin.webPartIds : false,
            documentMenuClick: plugin.documentMenuClick != null ? plugin.documentMenuClick : true,
            documentMetadata: plugin.documentMetadata != null ? plugin.documentMetadata : false,
            documentMetadataFields: plugin.documentMetadataFields != null ? plugin.documentMetadataFields.replace(/\s+/g, "_").replace(/_x0020/g, "").toLowerCase() : "",
            list: plugin.list != null ? plugin.list : true,
            socialMenuClick: plugin.socialMenuClick != null ? plugin.socialMenuClick : true,
            legacySocial: plugin.legacySocial != null ? plugin.legacySocial : false,
            articleImpressions: plugin.articleImpressions != null ? plugin.articleImpressions : false,
            allClick: plugin.allClick != null ? plugin.allClick : false,
            multiTrack: plugin.multiTrack != null ? plugin.multiTrack : false,
            obfuscate: plugin.obfuscate != null ? plugin.obfuscate : false,
            obfuscateParams: plugin.obfuscateParams != null ? plugin.obfuscateParams : "WT.shp_login,WT.shp_uname,DCS.dcsaut,WT.dcsvid,WT.shp_mgr,WT.soc_author,WT.soc_login,WT.soc_reply_author,WT.soc_reply_login,WT.soc_follow_author,WT.soc_follow_login,WT.article_author",
            stripIP: plugin.stripIP != null ? plugin.stripIP : false,
            overwriteClientIP: plugin.overwriteClientIP != null ? plugin.overwriteClientIP : false,
            desiredIpAddress: plugin.desiredIpAddress != null ? plugin.desiredIpAddress : "192.168.0.1",
            desiredCdnPath: plugin.desiredCdnPath != null ? plugin.desiredCdnPath : "",
            legacyOnSite: plugin.legacyOnSite != null ? plugin.legacyOnSite : false,
            homedom: plugin.homedom != null && plugin.homedom !== 'null' && plugin.homedom !== '' ? (plugin.homedomRegExp ? ("^(" + window.location.hostname.split(".").join("\\.") + ").*|" + plugin.homedom) : (window.location.hostname + "," + plugin.homedom)) : window.location.hostname,
            homedomRegExp: plugin.homedomRegExp != null ? plugin.homedomRegExp : false,
            homesite: plugin.homesite != null ? plugin.homesite : window.wt_sp_globals.spPageContextInfo.siteAbsoluteUrl,
            homesub: plugin.homesub != null ? plugin.homesub : window.wt_sp_globals.spPageContextInfo.webAbsoluteUrl
        };

        // Page constants
        this.ids = {
            breadid: plugin.ids.breadid != null ? plugin.ids.breadid : "DeltaPlaceHolderPageTitleInTitleArea",
            pritopleveluserid: plugin.ids.pritopleveluserid != null ? plugin.ids.pritopleveluserid : "SuiteNavUserName", // SPO primary option
            //pritopleveluserid: "zz4_Menu", // SP2013 primary option
            sectopleveluserid: plugin.ids.sectopleveluserid != null ? plugin.ids.sectopleveluserid : "zz5_Menu", // SP2013 secondary option
            searchBox: plugin.ids.searchBox != null ? plugin.ids.searchBox : "DataProvider",
            searchPage: plugin.ids.searchPage != null ? plugin.ids.searchPage : "osssearchresults.aspx,results.aspx,search.aspx",
            searchResultBodyClassName: plugin.ids.searchResultBodyClassName != null ? plugin.ids.searchResultBodyClassName : "ms-srch-item,ms-srch-bestBetItem,ms-srch-people-item,ms-srch-video-results ms-srch-video-results-container"
        };

        // <a Links with dedicated selectors that should be excluded from generic download tracking and all link tracking
        this.anchors = {
            ids: [
                '_hoverOpen',
                '_hoverClose',
                'DlgClose',
                'FollowLinkFor',
                'followlinkfori',
                'idHomePageNewDocument',
                'item_hoverFollow',
                'item_hoverParentLink',
                'item_hoverSend',
                'likebutton',
                'newdocWOPI-divExcel',
                'newdocWOPI-divFolder',
                'newdocWOPI-divOne:note',
                'newdocWOPI-divOneNote',
                'newdocWOPI-divPowerPoint',
                'newdocWOPI-divWord',
                'Ribbon.',
                'NameFieldLink',
                '_viewConversation',
                '_hover',
                '_itemPath',
                '_videoItemThumbnailPath',
                'likesElement',
                'EditorZone_Edit',
                '-share_',
                'HashTagProfile_FollowTagLinkOption',
                'HashTagProfile_UnfollowTagLinkOption'
            ],
            classes: [
                'calloutLinkEnabled',
                'closeButton',
                'core-menu-root',
                'ellipsis',
                'ms-calloutLink ms-uppercase',
                'ms-cui-ctl-',
                'ms-listlink',
                'ms-microfeed-button',
                'srch-item-link',
                'srch-item-previewLink',
                'ms-draggable',
                'ms-promotedActionButton',
                'ms-contextmenu-link',
                'ms-srchnav-more-glyph',
                'od-ContextualMenu-item od-ContextualMenu-item',
                "od-Dialog-action ms-Button ms-Button--primary",
                "ms-button-emphasize ms-aclinv-share-button",
                "AutoFill-link",
                "PeoplePicker-resolvedItem",
                "PeoplePicker-removeItem",
                "ms-Link",
                "od-Link",
                "ItemTile-link",
                "spo-Properties-editLink",
                "OneUp-button",
                "SharingSection-shareLink",
                "FileSuggestion-module__suggestion",
                "SearchResult-module__",
                "ms-Tile-link",
                "PeopleFlashinHeroResult-module__name___",
                "PeopleFlashinHeroProperties-module__propertyLink___",
                "TriageSiteSearchResultHeroModule-module__",
                "hero_itemLink_",
                "heroPattern_element_",
                "callToAction_",
                "text_title_",
                "imageArea_link_"
            ]
        };

        // String Constants
        this.constants = {
            ALERT: "Alert me",
            BREADCRUMB: "BREADCRUMB",
            CANCEL: "Cancel",
            CHECK_IN: "Check in",
            CHECK_OUT: "Check out",
            CLOSE: "Close",
            CONFIGURE_FLOW: "Configure flows",
            COPY_LINK: "Copy link",
            COPY_TO: "Copy to",
            CREATE_APP: "Create an app",
            CREATE_FLOW: "Create a flow",
            CUSTOMIZE_APP: "Customize with PowerApps",
            CUSTOMIZE_FORMS: "Customize forms",
            DELETE: "Delete",
            DETAILS: "Details",
            DISCARD: "Discard check out",
            DOCUMENT: "Document",
            DOCUMENT_LIBRARY: "Document Library",
            DOWNLOAD: "Download",
            EDIT: "Edit",
            EDIT_PIN: "Edit pin",
            EMPTY: "",
            EXPORT_TO_EXCEL: "Export to Excel",
            FILE: "FILE",
            FILES: "Files",
            FILTERS_PANE: "Filters pane",
            FLOW: "Flow",
            FOLDER: "Folder",
            ITEM: "Item",
            LIBRARY_FOLDER: "Library Folder",
            LINK: "Link",
            LIST_LIBRARY: "List Library",
            MANAGE_ALERTS: "Manage my alerts",
            MORE: "More",
            MOVE: "Move to",
            NEW: "New",
            NEW_FOLDER: "New Folder",
            NEWS: "NEWS",
            NEXT: "Next",
            ONE: "ONE",
            OPEN: "Open",
            OPEN_APP: "Open in app",
            OPEN_BROWSER: "Open in browser",
            PAGE: "Page",
            PEOPLE: "PEOPLE",
            PIN: "Pin to top",
            POWERAPPS: "PowerApps",
            PREVIOUS: "Previous",
            PROPERTIES: "Properties",
            PROFILE: "PROFILE",
            QUICK_EDIT: "Quick edit",
            RENAME: "Rename",
            REQUEST_SIGNOFF: "Request sign-off",
            SAVE: "Save",
            SEE_APP: "See all apps",
            SEE_FLOW: "See your flows",
            SHARE: "Share",
            SITE: "SITE",
            SP2013: "2013",
            SP2016: "2016",
            SP2019: "2019",
            SPO: "SPO",
            SYNC: "Sync",
            TEMPLATE: "Template",
            UNPIN: "Unpin",
            UPLOAD: "Upload",
            URL: "URL",
            VERSION: "Version history",
            WORKFLOWS: "Workflow"
        };
    };

    /*********************************************** POLYFILL ************************************************/

    // Shared: Array.lastIndexOf() for MSIE8 
    // by Mozilla Contributors is licensed under CC-BY-SA 2.5.
    // Production steps of ECMA-262, Edition 5, 15.4.4.15
    // Reference: http://es5.github.io/#x15.4.4.15
    // Source: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/lastIndexOf
    if (!Array.prototype.lastIndexOf) {
        Array.prototype.lastIndexOf = function (searchElement /*, fromIndex*/) {
            'use strict';

            if (this === void 0 || this === null) {
                throw new TypeError();
            }

            var n, k,
                t = Object(this),
                len = t.length >>> 0;
            if (len === 0) {
                return -1;
            }

            n = len - 1;
            if (arguments.length > 1) {
                n = Number(arguments[1]);
                if (n != n) {
                    n = 0;
                }
                else if (n != 0 && n != (1 / 0) && n != -(1 / 0)) {
                    n = (n > 0 || -1) * Math.floor(Math.abs(n));
                }
            }

            for (k = n >= 0 ? Math.min(n, len - 1) : len - Math.abs(n); k >= 0; k--) {
                if (k in t && t[k] === searchElement) {
                    return k;
                }
            }
            return -1;
        };
    }

    // Shared: Object.assign() for MSIE
    // by Mozilla Contributors is licensed under CC-BY-SA 2.5.
    // Source: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/assign
    if (typeof Object.assign !== 'function') {
        // Must be writable: true, enumerable: false, configurable: true
        Object.defineProperty(Object, "assign", {
            value: function assign(target, varArgs) { // .length of function is 2
                'use strict';
                if (target === null || target === undefined) {
                    throw new TypeError('Cannot convert undefined or null to object');
                }

                var to = Object(target);

                for (var index = 1; index < arguments.length; index++) {
                    var nextSource = arguments[index];

                    if (nextSource !== null && nextSource !== undefined) {
                        for (var nextKey in nextSource) {
                            // Avoid bugs when hasOwnProperty is shadowed
                            if (Object.prototype.hasOwnProperty.call(nextSource, nextKey)) {
                                to[nextKey] = nextSource[nextKey];
                            }
                        }
                    }
                }
                return to;
            },
            writable: true,
            configurable: true
        });
    }

    /*********************************************** START PROTOTYPE ************************************************/

    // Shared: Check if sessionStorage is actually enabled.
    WebTrendsSP_intra.prototype.storageAvailable = function (type) {
        // by Mozilla Contributors is licensed under CC-BY-SA 2.5.
        // Source: https://developer.mozilla.org/en-US/docs/Web/API/Web_Storage_API/Using_the_Web_Storage_API#Testing_for_availability
        var storage;
        try {
            storage = window[type];
            var x = '__storage_test__';
            storage.setItem(x, x);
            storage.removeItem(x);
            return true;
        }
        catch (e) {
            return e instanceof DOMException && (
                // everything except Firefox
                e.code === 22 ||
                // Firefox
                e.code === 1014 ||
                // test name field too, because code might not be present
                // everything except Firefox
                e.name === 'QuotaExceededError' ||
                // Firefox
                e.name === 'NS_ERROR_DOM_QUOTA_REACHED') &&
                // acknowledge QuotaExceededError only if there's something already stored
                (storage && storage.length !== 0);
        }
    };

    // Shared: Convert ASCII formatted characters to their symbol
    WebTrendsSP_intra.prototype.convertAsciiToChar = function (ascii) {
        return ascii.replace(/&#\d{2,3};/g, function (a) {
            return String.fromCharCode(a.match(/\d+/));
        });
    };

    // Shared: Replacement for default getElementsByClassName which isn't supported in all browsers
    // TODO: Remove this as IE8 is no longer supported and this is available in IE9+
    WebTrendsSP_intra.prototype.getElementsByClassName = function (className) {
        var hasClassName = new RegExp("(?:^|\\s)" + className + "(?:$|\\s)");
        var allElements = parent.document.getElementsByTagName("*");
        var results = [];
        var elementClass;
        for (var i = 0; i < allElements.length; i++) {
            if (this.objectExists(allElements[i], "className") && allElements[i].className !== "") {
                elementClass = allElements[i].className;
                if (elementClass.toString().indexOf(className) >= 0 && hasClassName.test(elementClass)) {
                    results.push(allElements[i]);
                }
            }
        }
        return results;
    };

    // Shared: Returns the parent element matching the class name provided
    // TODO: Replace this with Element.closest() polyfill
    WebTrendsSP_intra.prototype.getParentByClassNameExact = function (element, classname) {
        var found = false;
        if (element && classname) {
            // Convert string to array
            classname = this.getArrayFromString(classname);
            // Loop up DOM
            while (element && element !== document.body) {
                // Check each classname in the array before moving up
                for (var i = 0; i < classname.length; i++) {
                    if (element.className && classname[i] &&
                        element.className.toString().toLowerCase().replace(/^\s+|\s+$/g, "") === classname[i].toLowerCase()) {
                        found = element;
                        break;
                    }
                }
                if (found) break;
                // Move up if no match is found
                element = element.parentNode;
            }
        }
        return found;
    };

    // Shared: Returns the parent element matching the front partial class name provided
    // TODO: Replace this with Element.closest() polyfill
    WebTrendsSP_intra.prototype.getParentByClassNameStartsWith = function (element, classname) {
        var found = false;
        if (element && classname) {
            // Convert string to array
            classname = this.getArrayFromString(classname);
            // Loop up DOM
            while (element && element !== document.body) {
                // Check each classname in the array before moving up
                for (var i = 0; i < classname.length; i++) {
                    if (element.className && classname[i] &&
                        element.className.toString().toLowerCase().indexOf(classname[i].toLowerCase()) === 0) {
                        found = element;
                        break;
                    }
                }
                if (found) break;
                // Move up if no match is found
                element = element.parentNode;
            }
        }
        return found;
    };

    // Shared: Returns the parent element matching the partial class name provided
    // TODO: Replace this with Element.closest() polyfill
    WebTrendsSP_intra.prototype.getParentByClassNameContains = function (element, classname) {
        var found = false;
        if (element && classname) {
            // Convert string to array
            classname = this.getArrayFromString(classname);
            // Loop up DOM
            while (element && element !== document.body) {
                // Check each classname in the array before moving up
                for (var i = 0; i < classname.length; i++) {
                    if (element.className && classname[i] &&
                        element.className.toString().toLowerCase().indexOf(classname[i].toLowerCase()) !== -1) {
                        found = element;
                        break;
                    }
                }
                if (found) break;
                // Move up if no match is found
                element = element.parentNode;
            }
        }
        return found;
    };

    // Shared: Returns the parent element matching the partial class name provided
    // TODO: Replace this with Element.closest() polyfill
    WebTrendsSP_intra.prototype.getParentByClassNameHas = function (element, classname) {
        var found = false;
        if (element && classname) {
            // Convert string to array
            classname = this.getArrayFromString(classname);
            // Loop up DOM
            while (element && element !== document.body) {
                // Check each classname in the array before moving up
                for (var i = 0; i < classname.length; i++) {
                    var hasClassName = new RegExp("(?:^|\\s)" + classname[i] + "(?:$|\\s)");
                    var elementClass = element.getAttribute("class");
                    if (hasClassName.test(elementClass)) {
                        found = element;
                        break;
                    }
                }
                if (found) break;
                // Move up if no match is found
                element = element.parentNode;
            }
        }
        return found;
    };

    // Shared: Returns the parent element matching the partial id provided
    // TODO: Replace this with Element.closest() polyfill
    WebTrendsSP_intra.prototype.getParentByIDContains = function (element, id) {
        var found = false;
        if (element && id) {
            // Convert string to array
            id = this.getArrayFromString(id);
            // Loop up DOM
            while (element && element !== document.body) {
                // Check each id in the array before moving up
                for (var i = 0; i < id.length; i++) {
                    if (element.id && id[i] &&
                        element.id.toString().toLowerCase().indexOf(id[i].toLowerCase()) !== -1) {
                        found = element;
                        break;
                    }
                }
                if (found) break;
                // Move up if no match is found
                element = element.parentNode;
            }
        }
        return found;
    };

    // Shared: Returns the parent element matching the tag name provided
    // TODO: Replace this with Element.closest() polyfill
    WebTrendsSP_intra.prototype.getParentByTagName = function (element, tagname) {
        var found = false;
        if (element && tagname) {
            // Convert string to array
            tagname = this.getArrayFromString(tagname);
            // Loop up DOM
            while (element && element !== document.body) {
                // Check each tagname in the array before moving up
                for (var i = 0; i < tagname.length; i++) {
                    if (element.tagName && tagname[i] &&
                        element.tagName.toString() === tagname[i].toUpperCase()) {
                        found = element;
                        break;
                    }
                }
                if (found) break;
                // Move up if no match is found
                element = element.parentNode;
            }
        }
        return found;
    };

    // Shared: Returns the parent element matching the attribute value
    // TODO: Replace this with Element.closest() polyfill
    WebTrendsSP_intra.prototype.getParentByAttributeValue = function (element, attribute, values) {
        var found = false;
        if (element && attribute && values) {
            // Convert string to array
            values = this.getArrayFromString(values);
            // Loop up DOM
            while (element && element !== document.body) {
                // Check each attribute value in the array before moving up
                for (var i = 0; i < values.length; i++) {
                    var elAttribute = element.hasAttribute(attribute) ? element.getAttribute(attribute).toLowerCase().replace(/^\s+|\s+$/g, "") : "";
                    var findAttribute = values[i].toLowerCase().replace(/^\s+|\s+$/g, "");
                    if (elAttribute === findAttribute) {
                        found = element;
                        break;
                    }
                }
                if (found) break;
                // Move up if no match is found
                element = element.parentNode;
            }
        }
        return found;
    };

    // Shared: Returns the parent element matching the attribute value
    // TODO: Replace this with Element.closest() polyfill
    WebTrendsSP_intra.prototype.getParentByAttributeExists = function (element, attribute) {
        var found = false;
        if (element && attribute) {
            // Convert string to array
            attribute = this.getArrayFromString(attribute);
            // Loop up DOM
            while (element && element !== document.body) {
                // Check each attribute in the array before moving up
                for (var i = 0; i < attribute.length; i++) {
                    if (element.hasAttribute(attribute[i])) {
                        found = element;
                        break;
                    }
                }
                if (found) break;
                // Move up if no match is found
                element = element.parentNode;
            }
        }
        return found;
    };

    // Shared: Convert string to array
    WebTrendsSP_intra.prototype.getArrayFromString = function (arrString) {
        if (typeof arrString === "string") {
            if (arrString.indexOf(",") >= 0) arrString = arrString.split(",");
            else arrString = [arrString];
        }
        return arrString;
    };

    // Shared: Gets the desired query parameter from the string.
    WebTrendsSP_intra.prototype.getQueryParamValue = function (parameter, queryString) {
        var value = "";
        if (typeof queryString === "string") {
            var query = queryString.split(/\?|&/g);
            for (var i = 0; i < query.length; i++) {
                var pair = query[i].split("=");
                if (parameter === pair[0]) {
                    pair.shift();
                    value = pair.join("=");
                    break;
                }
            }
        }
        return value;
    };

    // Share: Get content between a HTML tag
    WebTrendsSP_intra.prototype.getElementText = function (element) {
        if (element) {
            // Remove HTML, non-ASCII, replace whitespace, trim
            return (element.textContent || element.innerText || element.innerHTML || "")
                .replace(/<\/?.+?>/g, "")
                .replace(/[^\x00-\x7F]/g, " ")
                .replace(/\s+/g, " ")
                .trim();
        }
        return "";
    };

    // Shared: Check if the object exists
    WebTrendsSP_intra.prototype.objectExists = function (obj, propExpr) {
        if (typeof obj === "undefined" || obj === null) {
            return false;
        }
        if (typeof propExpr !== 'undefined' && propExpr !== null) {
            if (typeof propExpr !== "string") return false;
            propExpr = propExpr.replace(/^window\./, "");
            var props = propExpr.split(".");
            for (var i = 0; i < props.length; i++) {
                if (typeof obj[props[i]] === "undefined" || obj[props[i]] === null) return false;
                obj = obj[props[i]];
            }
        }
        return true;
    };

    // Shared: Currently used to check for Search Data Provider element which is loaded later in the page load.
    WebTrendsSP_intra.prototype.waitForElement = function (elementId, timeout, callback) {
        var elem = parent.document.getElementById(elementId);
        if (elem) {
            callback(elem);
        }
        else {
            // Element not found, poll for it
            this.pollForElement(elementId, new Date().getTime(), timeout, callback);
        }
    };

    // Shared: Sub Process of waitForElement function.
    WebTrendsSP_intra.prototype.pollForElement = function (elementId, startTime, timeout, callback) {
        var self = this;
        if (new Date().getTime() - startTime > timeout) {
            // Polling timeout
            callback();
        }
        else {
            window.setTimeout(function () {
                var elem = parent.document.getElementById(elementId);
                if (elem) {
                    // Found element, call the callback
                    callback(elem);
                }
                else {
                    // Element not found, try again
                    self.pollForElement(elementId, startTime, timeout, callback);
                }
            }, 200);
        }
    };

    // Shared: Checks if the URL has a document
    WebTrendsSP_intra.prototype.isDoc = function (URL, types) {
        var result = this.isDocURI(URL.dcsuri, types);
        if (!result.check) result = this.isDocParam(URL.dcsqry, types);
        if (!result.check) result = this.isDocHash(URL.dcshash, types);
        return result;
    };

    // Shared: Checks if the URI Stem has a document
    WebTrendsSP_intra.prototype.isDocURI = function (path, extensions) {
        var results = {};
        results.check = false;
        if (path && extensions && path.indexOf(".") >= 0) {
            var extension = path.toLowerCase().substring(path.lastIndexOf(".") + 1).replace(/^\s+|\s+$/g, "");
            for (var i = 0; i < extensions.length; i++) {
                if (extension === extensions[i]) {
                    results.check = true;
                    results.file = decodeURIComponent(path.substring(path.lastIndexOf("/") + 1));
                    break;
                }
            }
        }
        return results;
    };

    // Shared: Checks if the query string has a document 
    WebTrendsSP_intra.prototype.isDocParam = function (queryString, extensions) {
        var results = {};
        results.check = false;
        if (queryString && extensions) {
            var queryArray = queryString.split("&");
            for (var i = 0; i < queryArray.length; i++) {
                if (queryArray[i].indexOf("=") >= 0) {
                    var paramValue = queryArray[i].substring(queryArray[i].indexOf("=") + 1);
                    results = this.isDocURI(paramValue, extensions);
                    if (results.check) break;
                }
            }
        }
        return results;
    };

    // Shared: Checks if the Hash has a query string like value with a document
    WebTrendsSP_intra.prototype.isDocHash = function (hash, extensions) {
        var results = {};
        results.check = false;
        if (hash && extensions) {
            hash = decodeURIComponent(hash);
            results = this.isDocParam(hash, extensions);
        }
        return results;
    };
    
    // Shared: Replaces HTML Entities with plain text
    WebTrendsSP_intra.prototype.htmlEntityDecode = function (text) {
        var par = document.createElement('textarea');
        document.body.appendChild(par);
        par.innerHTML = text;
        var value = par.value;
        document.body.removeChild(par);
        return value;
    };

    // Shared: Create CSS Not Selector string from list of ids and class names
    WebTrendsSP_intra.prototype.getAnchorExclusions = function () {
        var plugin = wt_sp_globals.pluginObj;
        var ids = plugin.anchors.ids;
        var classes = plugin.anchors.classes;
        var idExclude = "";
        var classExclude = "";
        var finalExclude;
        // build id "not" list
        for (var i = 0; i < ids.length; i++) {
            idExclude += ":not([id*='" + ids[i] + "'])";
        }
        // build class "not" list
        for (var j = 0; j < classes.length; j++) {
            classExclude += ":not([class*='" + classes[j] + "'])";
        }
        finalExclude = "a" + idExclude + classExclude;
        return finalExclude;
    };

    // Shared: Checks if the URL is a document used in filtering the allClick tracking
    WebTrendsSP_intra.prototype.allClickAndDocFilter = function (dcsObject, options) {
        var plugin = wt_sp_globals.pluginObj;
        var anchors = plugin.anchors;
        var ids = anchors.ids;
        var classes = anchors.classes;
        var el = options.element;
        var e = options.event;
        var check = {
            document: false,
            filter: false
        };

        // Check if the <a> tag is missing an href attribute - MS does this sometimes,
        // and forgets to pass return false; or e.preventDefault() in their onclick functions,
        // which causes the browser to refresh the page when our allClick code delays things, instead of doing whatever it was supposed to
        if (!el.getAttribute("href") &&
            (!el.onclick || (el.onclick.toString().indexOf("return false") === -1 && el.onclick.toString().indexOf("preventDefault()") === -1))) {
            check.filter = true;
            return check;
        }

        // Check if <a> tag already have the multitrack function
        if (plugin.cfg.multiTrack) {
            if (el.outerHTML.indexOf("dcsMultiTrack") >= 0 || el.outerHTML.indexOf(".multiTrack") >= 0) {
                check.filter = true;
                return check;
            }
        }

        // Check for right click
        if (dcsObject._isRightClick(e)) {
            check.filter = true;
            return check;
        }

        // Check for forbidden Pages
        var URI = window.location.pathname.toLowerCase();
        if (URI.indexOf("/lightbox.aspx") >= 0) {
            check.filter = true;
            return check;
        }

        // Check for forbidden ids and classes manually if IE8 or earlier
        if (window.wt_sp_globals.OldMSIE === true) {

            // Check for forbidden <a> id's
            for (var i = 0; i < ids.length; i++) {
                if (el.id.indexOf(ids[i]) >= 0) {
                    check.filter = true;
                    return check;
                }
            }

            // Check for forbidden <a> class names's
            for (var j = 0; j < classes.length; j++) {
                if (el.className.indexOf(classes[j]) >= 0) {
                    check.filter = true;
                    return check;
                }
            }
        }

        // Modern View - Exclude clicks to Search results which have their own code
        if (this.getParentByClassNameHas(el, "ms-searchux-ItemNavigator") || this.getParentByAttributeExists(el, "data-suggestionpanelcontenttype")) {
            check.filter = true;
            return check;
        }

        // MODERN VIEW -Exclude new document library view direct links in list and tile view, because they have their own selector
        // Tile exclude untested
        // Can't do with normal exclude list - <A> doesn't have id or class name, only parent <span> element does
        if (this.getParentByClassNameStartsWith(el, "DetailsRow-cell") || this.getParentByClassNameStartsWith(el, "ItemTile")) {
            check.filter = true;
            return check;
        }

        // Modern View - Exclude clicks to News article links which are tracked separately
        if (this.getParentByClassNameContains(el, "ms-NewsItem")) {
            check.filter = true;
            return check;
        }

        // Classic View Rating
        if (el.querySelector("img[id^='averageRatingElement']")) {
            check.filter = true;
            return check;
        }

        // Check for document in URL
        var elHref = el.href;
        var res = plugin.getURIArrFromHREF(elHref);
        if (elHref) {
            // filter out edit new action and <a id="Tile_WPQ2_3_3" href="http://.../Forms/Thumbnails.aspx#" ... > element of Picture Library
            if (elHref.indexOf("&action=editnew") >= 0 || elHref.indexOf("/Forms/Thumbnails.aspx#") >= 0) {
                check.filter = true;
                return check;
            }

            // Exclude Classic social hashtag clickthroughs
            if (plugin.tagObj.plugins.spsocial && !plugin.cfg.legacySocial &&
                elHref.indexOf("HashTagProfile.aspx") >= 0 && el.getAttribute("id").indexOf("ms-actorElement") >= 0) {
                check.filter = true;
                return check;
            }
        }
        if (res.dcsuri.indexOf("WopiFrame.aspx") >= 0) {
            check.document = true;
            return check;
        }
        var docResult = plugin.isDoc(res, plugin.types);
        if (docResult.check) {
            check.document = true;
            return check;
        }
        return check;
    };

    // Shared: Get URL of general link tracking click
    WebTrendsSP_intra.prototype.getAllClickURL = function (el) {
        var res;
        if (!el || !el.href) {
            res = this.getURIArrFromHREF(window.location.href);
        }
        else {
            res = this.getURIArrFromHREF(el.href);
        }
        res.jsLink = false;
        res.mailLink = false;
        res.anchorLink = false;
        if (el && el.hasAttribute("href")) {
            var href = el.getAttribute("href");
            if (href.indexOf("javascript:") === 0) {
                res.jsLink = true;
                res.jsFunction = el.href;
                if (res.jsFunction.indexOf("(") >= 0) res.jsFunction = el.href.substring(0, el.href.indexOf("("));
                res.dcsuri += " (" + res.jsFunction + ")";
            }
            else if (href === "#" && el.hasAttribute("onclick") === true && el.getAttribute("onclick").indexOf("javascript:") === 0) {
                var onclick = el.getAttribute("onclick");
                res.jsLink = true;
                res.jsFunction = onclick;
                if (res.jsFunction.indexOf("(") >= 0) res.jsFunction = onclick.substring(0, onclick.indexOf("("));
                res.dcsuri += " (" + res.jsFunction + ")";
            }
            else if (href.indexOf("mailto:") === 0) {
                res.mailLink = true;
                res.mailAddress = href;
                if (res.mailAddress.indexOf("?") >= 0) res.mailAddress = res.mailAddress.substring(0, res.mailAddress.indexOf("?"));
                res.dcsuri += " (" + res.mailAddress + ")";
            }
            else if (href.indexOf("#") === 0) {
                res.anchorLink = true;
            }
        }
        return res;
    };

    // Shared: Get title of link for general link tracking
    WebTrendsSP_intra.prototype.getAllClickTitle = function (el, evt) {
        var ttl = "";
        var e = evt.target || evt.srcElement;
        if (e.tagName === "IMG" && (e.alt || e.title))
            ttl = (e.alt || e.title).replace(/\s+/g, " ").replace(/^\s+|\s+$/g, "");
        else if (el.childNodes.length > 0) {
            for (var n = 0; n < el.childNodes.length; n++) {
                var node = el.childNodes[n];
                if ((typeof node.className === "undefined" || node.className.indexOf("hidden") === -1) &&
                    (typeof node.style === "undefined" || (node.style.visibility !== "hidden" && node.style.display !== "none")) &&
                    typeof node.innerHTML !== "undefined") {
                    ttl += this.getElementText(node) + " ";
                }
            }
            ttl = ttl.replace(/\s+/g, " ").replace(/^\s+|\s+$/g, "");
        }
        if (!ttl) ttl = this.getElementText(el);
        while (ttl.indexOf("undefined") >= 0) ttl = ttl.replace("undefined", "");
        ttl = ttl.replace("Currently selected", "");
        ttl = ttl || el.alt || el.title || el.getAttribute("aria-label") || "(No Title Found)";
        return ttl.replace(/\s+/g, " ").replace(/^\s+|\s+$/g, "");
    };

    // Shared: Sets values to use in allclick tracking
    WebTrendsSP_intra.prototype.allClickTransform = function (dcsObject, multiTrackObject) {
        var el = multiTrackObject.element;
        var evt = multiTrackObject.event;
        var res = this.getAllClickURL(el);
        var offsite = this.getAllClickOffSite(el.href, res);
        var ttl = this.getAllClickTitle(el, evt);
        multiTrackObject.argsa.push(
            "DCS.dcssip", res.dcssip,
            "DCS.dcsuri", res.dcsuri,
            "DCS.dcsqry", res.dcsqry,
            "DCS.dcsref", res.dcsref,
            "WT.ti", "Link: " + ttl,
            "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag),
            "WT.dl", (offsite === true) ? "24" : "1"
        );
        return;
    };

    // Shared: Trim onsite URL for comparison
    WebTrendsSP_intra.prototype.cleanOnSiteURL = function (onsiteURL) {
        if (onsiteURL) {
            if (onsiteURL.indexOf("http") === 0 || onsiteURL.indexOf("//") === 0) {
                onsiteURL = onsiteURL.substring(onsiteURL.indexOf("//") + 2);
            }
            else if (onsiteURL.indexOf("/") === 0) {
                onsiteURL = window.location.hostname + onsiteURL;
            }
        }
        return onsiteURL;
    };

    // Shared: Check if general link tracking url is offsite
    WebTrendsSP_intra.prototype.getAllClickOffSite = function (href, options) {
        var offsite = false;
        var destURL = (options.dcssip + options.dcsuri).toLowerCase();
        if (href !== "" && this.cfg.legacyOnSite ? !this.isOnSite(destURL, this.cfg.homesite) : !this.isOnSite(options.dcssip, this.cfg.homedom, this.cfg.homedomRegExp) && options.jsLink === false && options.mailLink === false && options.anchorLink === false) {
            offsite = true;
        }
        return offsite;
    };

    // Shared: Checks if the url is on or offsite
    WebTrendsSP_intra.prototype.isOnSite = function (url, onsiteList, regExp) {
        if (url && typeof url === "string" && onsiteList) {
            url = url.toLowerCase();
            // Regular Expression test
            if (window.RegExp && regExp) {
                try {
                    onsiteList = new RegExp(onsiteList, "i");
                    return onsiteList.test(url);
                }
                catch (ex) {
                    onsiteList = window.location.hostname;
                }
            }
            // Iterate through array
            onsiteList = this.getArrayFromString(onsiteList);
            for (var i = 0; i < onsiteList.length; i++) {
                var onsite = this.cleanOnSiteURL(onsiteList[i].toLowerCase());
                if (url.indexOf(onsite) >= 0) {
                    return true;
                }
            }
        }
        return false;
    };

    // Shared: Sets values to use in Document Click tracking for links not found in the Classic View of the Document Library
    WebTrendsSP_intra.prototype.documentClickTransform = function (dcsObject, multiTrackObject, types) {
        var plugin = wt_sp_globals.pluginObj;
        var el = multiTrackObject.element;
        var e = multiTrackObject.event;
        var dl = "20";
        var res = plugin.getURIArrFromHREF(el.href);
        var docName = "";
        var docResult = plugin.isDoc(res, types);
        if (docResult.check) {
            docName = docResult.file;

            // Add document meta data
            if (plugin.cfg.documentMetadata) {
                var key = plugin.documentMetadataGetKey(res).key;
                plugin.documentMetadataAddToHit(key, multiTrackObject);

                if (wt_sp_globals.documentMetadata && wt_sp_globals.documentMetadata[key]) {
                    var item = wt_sp_globals.documentMetadata[key];
                    var ref;
                    if (item && item.FileRef) {
                        // Update URL info if a better value is available from the meta data
                        res = plugin.getURIArrFromHREF(res.dcssip + item.FileRef);
                    }
                    else if (item && item.UniqueId && wt_sp_globals.documentMetadata[item.UniqueId]) {
                        // Try to get a better URL the same item found under a URL based propery instead of ID property
                        ref = wt_sp_globals.documentMetadata[item.UniqueId].FileRef;
                        if (ref) res = plugin.getURIArrFromHREF(res.dcssip + ref);
                    }
                    else if (item && item.GUID && wt_sp_globals.documentMetadata[item.GUID]) {
                        // SP2013
                        // Try to get a better URL the same item found under a URL based propery instead of ID property
                        ref = wt_sp_globals.documentMetadata[item.GUID].FileRef;
                        if (ref) res = plugin.getURIArrFromHREF(res.dcssip + ref);
                    }
                }
            }
        }
        else if (res.dcsuri.indexOf("WopiFrame.aspx") >= 0 && res.dcsqry.indexOf("action=editnew") >= 0) {
            docName = el.title + ".one";
            // TODO: Look into getting document meta data for .one file from site shared link?
            // Site Notebooks seem to have been deprecated by MS?  Can't enable it.
        }

        var docType = docName.substring(docName.lastIndexOf(".") + 1, docName.length);
        var docLib;
        if (window.wt_sp_globals.modernView) {
            var par = plugin.getParentByClassNameExact(el, "ms-DocumentCardTile");
            var href;
            if (par) {
                // Activity Tile
                var lib = par.querySelector("a.ms-DocumentCardLocation");
                if (lib) {
                    href = lib.getAttribute("href");
                    if (href.indexOf("http") === 0) {
                        href = href.replace(window.location.protocol + "//" + window.location.hostname, "");
                        if (href.indexOf("?") >= 0) href = href.substring(0, href.indexOf("?"));
                        docLib = plugin.getLibraryPathFromAcivityTileModernView(href);
                    }
                }
            }
            else {
                // Some other link
                var template = window.wt_sp_globals.spPageContextInfo.listBaseTemplate;
                if (template && template === -1 || template === 119) {
                    // non library page - generic link, just pull part of the url and hope it's correct
                    docLib = res.dcsuri.substring(0, res.dcsuri.lastIndexOf("/"));
                }
                else {
                    // library page
                    docLib = window.wt_sp_globals.spPageContextInfo.listUrl;
                    if (el.href.indexOf("#RootFolder") >= 0) {
                        href = decodeURIComponent(el.href);
                        var folder = href.substring(href.lastIndexOf("/") + 1);
                        docName = folder;
                        docType = "Library Folder";
                        res.dcsqry = "?RootFolder=" + href.substring(href.indexOf("id=") + 3);
                        dl = "SHP";
                    }
                }
            }
        }
        else {
            // Not all links in this transform will be from a local library
            docLib = res.dcsuri.substring(0, res.dcsuri.lastIndexOf("/"));
        }
        multiTrackObject.argsa.push(
            "DCS.dcssip", res.dcssip,
            "DCS.dcsuri", res.dcsuri,
            "DCS.dcsqry", res.dcsqry,
            "DCS.dcsref", window.location.href,
            "WT.ti", docName,
            "WT.nv", dcsObject.dcsNavigation(e, dcsObject.navigationtag),
            "WT.dl", dl,
            "WT.shp_doc_a", "Open",
            "WT.shp_doc", docName,
            "WT.shp_doc_type", docType,
            "WT.shp_doc_lib", docLib,
            "WT.shp_act_loc", "Direct Link"
        );
        return;
    };

    // Shared: Process ribbon/ecb options for multiple selected documents
    WebTrendsSP_intra.prototype.documentMultiItemAction = function (dcsObject, multiTrackObject, option) {
        var plugin = window.wt_sp_globals.pluginObj;
        var element = multiTrackObject.element;
        var event = multiTrackObject.event;
        // Get data for classic or modern
        var items = !wt_sp_globals.modernView ?
            this.getCurrentCheckedItemClassicView(event) :
            this.getCurrentCheckedItemModernView(event);
        var docURLArr = items.selectedItemURLs || [parent.wt_sp_globals.currentItemURL];
        var docNameArr = items.selectedItemNames || [parent.wt_sp_globals.currentItemName];
        var docTypeArr = items.selectedItemTypes || [parent.wt_sp_globals.currentItemType];
        var docLibArr = items.selectedLibraryPaths || [parent.wt_sp_globals.currentLibraryType];
        var len = docURLArr.length;
        var loc = plugin.getActionLocation();
        for (var i = 0; i < len; i++) {
            // Get data for current item
            var url = docURLArr[i] ? this.getURIArrFromHREF(docURLArr[i]) : this.getURIArrFromHREF(window.location.href);
            var docName = docNameArr[i];
            var docType = docTypeArr[i];
            var docLib = docLibArr[i];
            var title = docName;
            var argsa = [
                "DCS.dcssip", url.dcssip,
                "DCS.dcsuri", url.dcsuri,
                "DCS.dcsqry", url.dcsqry,
                "DCS.dcsref", url.dcsref,
                "WT.ti", title,
                "WT.dl", option === "Download" ? "20" : "SHP",
                "WT.shp_doc", docName,
                "WT.shp_doc_a", option,
                "WT.shp_doc_type", docType,
                "WT.shp_doc_lib", docLib,
                "WT.shp_act_loc", loc,
                "WT.nv", dcsObject.dcsNavigation(event, dcsObject.navigationtag)
            ];

            // Add document meta data
            if (plugin.cfg.documentMetadata) {
                var key = plugin.documentMetadataGetKey(url).key;
                argsa = plugin.documentMetadataAddToHit(key, { argsa: argsa }).argsa;
            }

            // Push data into the transform or send as multitrack hit
            var push = ((i === len - 1) && wt_sp_globals.modernView);
            plugin.pushOrSendData(element, argsa, multiTrackObject, push);
        }
    };

    // Shared: Process ribbon/ecb options for multiple selected list items
    WebTrendsSP_intra.prototype.listMultiItemAction = function (dcsObject, multiTrackObject, option) {
        var plugin = window.wt_sp_globals.pluginObj;
        var element = multiTrackObject.element;
        var event = multiTrackObject.event;
        // Get data for classic or modern
        var items = !wt_sp_globals.modernView ?
            this.getCurrentCheckedItemClassicView(event) :
            this.getCurrentCheckedItemModernView(event);
        var listURLArr = items.selectedItemURLs || [parent.wt_sp_globals.currentItemURL];
        var listNameArr = items.selectedLibraryNames || [parent.wt_sp_globals.currentLibraryName];
        var listItemArr = items.selectedItemNames || [parent.wt_sp_globals.currentItemName];
        var len = listURLArr.length;
        var loc = plugin.getActionLocation();
        for (var i = 0; i < len; i++) {
            // Get data for current item
            var url = listURLArr[i] ? this.getURIArrFromHREF(listURLArr[i]) : this.getURIArrFromHREF(window.location.href);
            var listName = listNameArr[i];
            var itemName = listItemArr[i];
            var argsa = [
                "DCS.dcssip", url.dcssip,
                "DCS.dcsuri", url.dcsuri,
                "DCS.dcsqry", url.dcsqry,
                "DCS.dcsref", url.dcsref,
                "WT.ti", listName + " - " + itemName,
                "WT.shp_list", listName,
                "WT.shp_list_item", itemName,
                "WT.shp_list_item_action", option,
                'WT.shp_act_loc', loc,
                "WT.nv", dcsObject.dcsNavigation(event, dcsObject.navigationtag)
            ];

            // Push data into the transform or send as multitrack hit
            var push = ((i === len - 1) && wt_sp_globals.modernView);
            plugin.pushOrSendData(element, argsa, multiTrackObject, push);
        }
    };

    // Shared: Send extra hits, or push the data into the transform object
    WebTrendsSP_intra.prototype.pushOrSendData = function (element, argsa, multiTrackObject, push) {
        // Push data for transform, or send extra hit
        if (push) {
            // Classic view - runs this in filter and should always send as a separate hit
            // Modern view - runs this in transform and should return the last item - or duplicate hits will occur
            for (var j = 0; j < argsa.length; j++) {
                multiTrackObject.argsa.push(argsa[j]);
            }
        }
        else {
            // Send data as a separate hit
            Webtrends.multiTrack({
                element: element,
                argsa: argsa,
                finish: function (dcsObject, multiTrackObject) {
                    window.wt_sp_globals.pluginObj.finishCleanup(dcsObject, multiTrackObject);
                }
            });
        }
    };

    // Shared: Wait for REST callback to release tag
    WebTrendsSP_intra.prototype.waitForREST = function () {
        var plugin = window.wt_sp_globals.pluginObj;

        // Check for readiness
        var RESTCallBackTimeout = 0;
        var RESTCallBackFunc = setInterval(function () {
            // Check if REST calls are complete
            plugin.RESTCounterCheck();

            // Check if REST calls are complete, or if it's taken too long
            if ((plugin.objectExists(window, "wt_sp_globals.RESTCallBackComplete") && wt_sp_globals.RESTCallBackComplete) || RESTCallBackTimeout >= 50) {

                // Clear the setInterval
                clearInterval(RESTCallBackFunc);

                // If MDS or SPA - plugin already registered, trigger trackIfReady instead
                if (window.wt_sp_globals.waitForRESTFromMDS || window.wt_sp_globals.waitForRESTModern) {
                    // Reset logic flags
                    window.wt_sp_globals.waitForRESTFromMDS = false;
                    window.wt_sp_globals.waitForRESTModern = false;
                    window.wt_sp_globals.blockSPA = false;

                    // Release tag
                    if (!window.wt_sp_globals.modernView && plugin.objectExists(window, "SP.SOD.executeFunc")) {
                        // Classic View - call trackIfReady via callback
                        SP.SOD.executeFunc("SP.js", "SP.ClientContext", window.wt_sp_globals.trackIfReady);
                    }
                    else {
                        // Modern view, or SP.SOD.executeFunc isn't active - call immediately
                        window.wt_sp_globals.trackIfReady();
                    }
                }
                else {
                    // New page load, register plugin, load file calls trackIfReady
                    plugin.registerPluginActual();
                }
            }
            else {
                // Increment and repeat
                RESTCallBackTimeout++;
            }
        }, 100);
    };

    // Shared: Registers the plugin callback
    WebTrendsSP_intra.prototype.registerPluginActual = function () {
        if (this.objectExists(window, "wt_sp_globals.SPAllowRegister")) {
            window.wt_sp_globals.pluginObj.tagObj.registerPluginCallback("sp");
            window.wt_sp_globals.SPAllowRegister = false;
        }
        return;
    };

    // Shared: Check for all REST callbacks to release tag
    WebTrendsSP_intra.prototype.RESTCounterCheck = function () {
        if (window.wt_sp_globals.RESTCounter <= 0) {
            window.wt_sp_globals.RESTCallBackComplete = true;
        }
        else {
            window.wt_sp_globals.RESTCallBackComplete = false;
        }
    };

    // Shared: Checks if the current page is a search results page
    WebTrendsSP_intra.prototype.searchPageTest = function () {
        window.wt_sp_globals.isSearchPage = false;

        // first: check for presence of meta tag WT.shp_page_type=search, like <meta name="WT.shp_page_type" content="search" />
        var elems = document.getElementsByTagName("meta");
        if (this.objectExists(elems)) {
            for (var i = 0; i < elems.length; i++) {
                var name = elems.item(i).name;
                var content = elems.item(i).content;
                if (name.length > 0 && name.toLowerCase() === "wt.shp_page_type" && content.length > 0 && content.toLowerCase() === "search") {
                    window.wt_sp_globals.isSearchPage = true;
                    return window.wt_sp_globals.isSearchPage;
                }
            }
        }

        // last: iterate through array of searchPage property, check if the path is in the configuration list
        var path = "";
        if (window.location.href.indexOf("/start.aspx#") >= 0) {
            path = window.location.hash.toLowerCase();
        }
        else {
            path = window.location.pathname.toLowerCase();
        }

        if (window.wt_sp_globals.configs.plugins.sp.ids.searchPage) {
            var searchPage = window.wt_sp_globals.configs.plugins.sp.ids.searchPage.toLowerCase().split(",");
            for (var j = 0; j < searchPage.length; j++) {
                if (path.indexOf(searchPage[j]) >= 0) {
                    window.wt_sp_globals.isSearchPage = true;
                    break;
                }
            }
        }

        return window.wt_sp_globals.isSearchPage;
    };

    // Shared: Checks if a given referrer was a search results page - 
    WebTrendsSP_intra.prototype.searchReferrerTest = function (referrer) {
        var result = false;
        if (window.wt_sp_globals.configs.plugins.sp.ids.searchPage && referrer) {
            var searchPage = window.wt_sp_globals.configs.plugins.sp.ids.searchPage.toLowerCase().split(",");
            for (var j = 0; j < searchPage.length; j++) {
                if (referrer.indexOf(searchPage[j]) >= 0) {
                    result = true;
                    break;
                }
            }
        }
        return result;
    };

    // Shared: Check if SharePoint 2013, 2016 or SPO
    WebTrendsSP_intra.prototype.getSPVersion = function () {
        var spVersion = "";
        if (this.objectExists(window, "wt_sp_globals.spPageContextInfo")) {
            var isSPO = window.wt_sp_globals.spPageContextInfo.isSPO;
            if (typeof isSPO !== "undefined") {
                if (isSPO) {
                    spVersion = this.constants.SPO;
                }
                else {
                    spVersion = this.constants.SP2019;
                }
            }
            else {
                var clientTag = window.wt_sp_globals.spPageContextInfo.siteClientTag;
                clientTag = clientTag.substring(clientTag.indexOf("$$") + 2, clientTag.indexOf("."));
                if (clientTag == "16") {
                    spVersion = this.constants.SP2016;
                }
                else {
                    spVersion = this.constants.SP2013;
                }
            }
        }
        return spVersion;
    };

    // Shared: Determine browser compatibility for binding event listeners
    WebTrendsSP_intra.prototype.setBindingOption = function () {
        var option = {
            click: "mousedown",
            hover: "mouseover"
        };
        // TODO: Remove as MSIE8 is no longer supported
        var agent = window.navigator.userAgent;
        if (agent.indexOf("MSIE") >= 0) {
            var ieVersion = agent.match(/MSIE ([^\.]+)/);
            if (ieVersion[1] > 8) {
                option.click = "mousedown";
                option.hover = "mouseover";
            }
            else {
                option.click = "onmousedown";
                option.hover = "onmouseover";
            }
        }
        return option;
    };

    // Shared: Disassemble HREF
    WebTrendsSP_intra.prototype.getURIArrFromHREF = function (href) {
        var plugin = window.wt_sp_globals.pluginObj;
        var res = {};
        res.dcssip = "";
        res.dcsuri = "";
        res.dcsqry = "";
        res.dcshash = "";
        res.dcsref = "";
        if (plugin.objectExists(href)) {
            // Referrer
            res.dcsref = window.location.href;
            // if URL is empty, mailto, or js link, use current page
            if (href === "" || href.toLowerCase().indexOf("mailto") === 0 || href.toLowerCase().indexOf("javascript") === 0) {
                res = plugin.getURIArrFromHREF(window.location.href);
            }
                // if URL is regular link
            else {
                // Replace ASCII character encoding which may be misinterpretted
                href = plugin.convertAsciiToChar(href);
                var a = href;
                //if URL does not have a domain name, add current domain to URL
                if (href.indexOf("/") === 0 && href.indexOf("//") !== 0) {
                    href = "//" + window.location.hostname + href;
                }
                // trim off protocol
                if (href.indexOf("//") >= 0 && href.indexOf("//") <= 6) {
                    a = href.substring(href.indexOf("//") + 2, href.length);
                }
                // Add a trailing slash if the url only has a domain
                if (a.indexOf("/") === -1) {
                    a += "/";
                }
                // Domain
                res.dcssip = a.substring(0, a.indexOf("/"));
                // if URL has a hash
                if (a.indexOf("#") >= 0) {
                    // if hash comes before query string
                    if (a.indexOf("?") > a.indexOf("#")) {
                        // dcsuri is between first / and first #
                        res.dcsuri = a.substring(a.indexOf("/"), a.indexOf("#"));
                        // dcsqry is between first ? and string length or empty
                        res.dcsqry = (a.indexOf("?") >= 0) ? a.substring(a.indexOf("?"), a.length) : "";
                        // dcshash is between first # and first ? or string length
                        res.dcshash = a.substring(a.indexOf("#"), (a.indexOf("?") >= 0 ? a.indexOf("?") : a.length));
                    }
                        // if hash comes after query string
                    else {
                        // dcsuri is between first / and first ? or # if no query 
                        res.dcsuri = a.substring(a.indexOf("/"), (a.indexOf("?") >= 0 ? a.indexOf("?") : a.indexOf("#")));
                        // dcsqry is between first ? and first # or empty
                        res.dcsqry = (a.indexOf("?") >= 0) ? a.substring(a.indexOf("?"), a.indexOf("#")) : "";
                        // dcshash is between first # and string length
                        res.dcshash = a.substring(a.indexOf("#"), a.length);
                    }

                }
                    // URL has no hash
                else {
                    // dcsuri is between first / and first ? or string length
                    res.dcsuri = a.substring(a.indexOf("/"), (a.indexOf("?")) >= 0 ? a.indexOf("?") : a.length);
                    // dcsqry is between first ? and string length or empty
                    res.dcsqry = (a.indexOf("?") >= 0) ? a.substring(a.indexOf("?"), a.length) : "";
                    // dcshash is empty
                    res.dcshash = "";
                }
            }
        }
        else {
            res = plugin.getURIArrFromHREF(window.location.href);
        }
        // MDS Enabled Site
        if (res.dcsuri.toLowerCase().indexOf("/_layouts/15/start.aspx") >= 0) {
            res.dcsuri = res.dcsuri.replace(/\/_layouts\/15\/start\.aspx#?/i, "") + res.dcshash.substring(1);
        }
        if (res.dcsref.toLowerCase().indexOf("/_layouts/15/start.aspx") >= 0) {
            res.dcsref = res.dcsref.replace(/\/_layouts\/15\/start\.aspx#?/i, "");
        }   
        return res;
    };

    // Shared: Extract Site Collection Root URL from an HREF
    WebTrendsSP_intra.prototype.getSiteCollectionRootFromHREF = function (href) {
        var plugin = window.wt_sp_globals.pluginObj;

        // Replace &##; characters in string
        var decodedHref = plugin.convertAsciiToChar(href).toLowerCase();

        // Find index of query string if present
        var queryIndex = href.indexOf("?") > 0 ? href.indexOf("?") : href.length;

        // Cut of extraneous text
        if (decodedHref.indexOf("/_layouts/") > 0 && decodedHref.indexOf("/_layouts/") < queryIndex) {
            // HREF is using a system path like /_layouts/15/WopiFrame.aspx
            // Strip off /_layouts/...
            return decodedHref.replace(/(\/_layouts\/.*)/gi, "");
        }
        else if (decodedHref.indexOf("/forms/") > 0 && decodedHref.indexOf("/forms/") < queryIndex) {
            // HREF is in a document library
            decodedHref = decodedHref.substring(0, decodedHref.indexOf("/forms/"));
            // Strip off /<library name>/forms/...
            return decodedHref.substring(0, decodedHref.lastIndexOf("/"));
        }
        else if (decodedHref.indexOf("/shared documents/") > 0 && decodedHref.indexOf("/shared documents/") < queryIndex) {
            // HREF is in a document library
            // Strip off /shared documents/...
            return decodedHref.replace(/(\/shared documents\/.*)/gi, "");
        }
        else if (decodedHref.indexOf("/lists/") > 0 && decodedHref.indexOf("/lists/") < queryIndex) {
            // HREF is in a list library
            // Strip off /lists/...
            return decodedHref.replace(/(\/lists\/.*)/gi, "");
        }
        else if (decodedHref.indexOf("/pages/") > 0 && decodedHref.indexOf("/pages/") < queryIndex) {
            // HREF is in the Pages library
            // Strip off /pages/...
            return decodedHref.replace(/(\/pages\/.*)/gi, "");
        }
        else if (decodedHref.indexOf("/sitepages/") > 0 && decodedHref.indexOf("/sitepages/") < queryIndex) {
            // HREF is in the SitePages library
            // Strip off /sitespages/...
            return decodedHref.replace(/(\/sitepages\/.*)/gi, "");
        }
        else if (decodedHref.indexOf("/my/personal/") > 0 && decodedHref.indexOf("/my/personal/") < queryIndex) {
            // HREF is in a My Site URL
            // keep everything up to and after the user name
            return decodedHref.match(/(.*\/my\/personal\/[^\/]+\/)/gi)[0] || decodedHref;
        }
        else if (decodedHref.indexOf("/allitems.aspx") > 0 && decodedHref.indexOf("/allitems.aspx") < queryIndex) {
            // HREF is in some sort of document library without /forms/
            decodedHref = decodedHref.substring(0, decodedHref.indexOf("/allitems.aspx"));
            // Strip off /<library name>/allitems.aspx...
            return decodedHref.substring(0, decodedHref.lastIndexOf("/"));
        }
        return decodedHref;
    };

    // Shared: Add WT.es
    WebTrendsSP_intra.prototype.setEventSource = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        var dom = window.location.hostname;
        var path = window.location.pathname.replace(/\/_layouts\/15\/start\.aspx/i, "");
        var hash = window.location.hash;
        hash = hash.substring(0, hash.indexOf("?") >= 0 ? hash.indexOf("?") : hash.length);
        var es = dom + path + hash;
        if (window.wt_sp_globals.isSearchPage && !plugin.objectExists(window, "asyncDeltaManager")) {
            es = dom + path;
        }
        else if (plugin.objectExists(window, "asyncDeltaManager")) {
            es = dom + path + hash.substring(1);
        }
        return es;
    };

    // Shared: Add listener to link
    WebTrendsSP_intra.prototype.addListener = function (element, event, func, capture) {
        if (!element["wt" + event]) {
            if (document.addEventListener) {
                element.addEventListener(event, func, capture || false);
            }
            else {
                // TODO: Remove as MSIE8 is no longer supported
                element.attachEvent(event,
                    function (a) {
                        a.currentTarget = element;
                        func(a);
                    }
                );
            }
            element["wt" + event] = true;
        }
    };

    // Shared: Generic method to bind function to single element
    WebTrendsSP_intra.prototype.manualLinkBinder = function (selector, event, func, timeout, capture) {
        setTimeout(function () {
            var plugin = window.wt_sp_globals.pluginObj;
            var elems = document.querySelectorAll(selector);
            if (elems.length > 0) {
                for (var i = 0; i < elems.length; i++) {
                    plugin.addListener(elems[i], event, func, capture || false);
                }
            }
        }, timeout);
    };

    // Shared: Copies list of current check items into parent window for retrieval
    WebTrendsSP_intra.prototype.storeItemsInParent = function (items) {
        if (items) {
            parent.wt_sp_globals.currentItemURL = items.selectedItemURLs[items.selectedItemURLs.length - 1];
            parent.wt_sp_globals.currentItemName = items.selectedItemNames[items.selectedItemNames.length - 1];
            parent.wt_sp_globals.currentItemType = items.selectedItemTypes[items.selectedItemTypes.length - 1];
            parent.wt_sp_globals.currentLibraryType = items.selectedLibraryTypes[items.selectedLibraryTypes.length - 1];
            parent.wt_sp_globals.currentLibraryName = items.selectedLibraryNames[items.selectedLibraryNames.length - 1];
            parent.wt_sp_globals.currentLibraryPath = items.selectedLibraryPaths[items.selectedLibraryPaths.length - 1];
            parent.wt_sp_globals.currentSelectedItemCount = items.selectedItemNames.length;
        }
    };

    // Shared: Function to remove stuck parameters from link clicks
    WebTrendsSP_intra.prototype.finishCleanup = function (dcsObject, multiTrackObject) {
        parent.wt_sp_globals.currentItemURL = "";
        parent.wt_sp_globals.currentItemName = "";
        parent.wt_sp_globals.currentItemType = "";
        parent.wt_sp_globals.currentLibraryType = "";
        parent.wt_sp_globals.currentLibraryName = "";
        parent.wt_sp_globals.currentLibraryPath = "";
        parent.wt_sp_globals.currentLibraryAction = "";
        parent.wt_sp_globals.currentSelectedItemCount = "";
        parent.wt_sp_globals.tempElement = "";
        dcsObject.WT.shp_doc = "";
        dcsObject.WT.shp_doc_a = "";
        dcsObject.WT.shp_doc_rating = "";
        dcsObject.WT.shp_doc_type = "";
        dcsObject.WT.shp_doc_lib = "";
        var metaDataParams = window.wt_sp_globals.documentMetadataParams;
        for (var i = 0; i < metaDataParams.length; i++) {
            var partial = metaDataParams[i].replace("WT.", "");
            if (dcsObject.WT[partial])
                dcsObject.WT[partial] = "";
        }
        dcsObject.WT.shp_wpv = "";
        dcsObject.WT.shp_list = "";
        dcsObject.WT.shp_list_item = "";
        dcsObject.WT.shp_list_item_action = "";
        dcsObject.WT.shp_list_item_rating = "";
        dcsObject.WT.shp_srch_item = "";
        dcsObject.WT.shp_srch_item_action = "";
        dcsObject.WT.shp_srch_item_type = "";
        dcsObject.WT.shp_srch_term = "";
        dcsObject.WT.shp_srch_orig = "";
        dcsObject.WT.shp_srch_ref = "";
        dcsObject.WT.shp_srch_pg = "";
        dcsObject.WT.shp_srch_scope = "";
        dcsObject.WT.shp_srch_pos = "";
        dcsObject.WT.shp_srch_count = "";
        dcsObject.WT.soc_content = "";
        dcsObject.WT.soc_feed_type = "";
        dcsObject.WT.soc_url = "";
        dcsObject.WT.soc_title = "";
        dcsObject.WT.soc_text = "";
        dcsObject.WT.soc_category = "";
        dcsObject.WT.soc_image = "";
        dcsObject.WT.soc_author = "";
        dcsObject.WT.soc_login = "";
        dcsObject.WT.soc_type = "";
        dcsObject.WT.soc_action = "";
        dcsObject.WT.soc_follow_author = "";
        dcsObject.WT.soc_follow_login = "";
        dcsObject.WT.soc_reply_text = "";
        dcsObject.WT.soc_reply_author = "";
        dcsObject.WT.soc_reply_login = "";
        dcsObject.WT.soc_reply_image = "";
        dcsObject.WT.soc_hash = "";
        dcsObject.WT.soc_hash_id = "";
        dcsObject.WT.article = "";
        dcsObject.WT.article_url = "";
        dcsObject.WT.article_author = "";
        dcsObject.WT.article_action = "";
        dcsObject.WT.shp_act_loc = "";
        dcsObject.WT.oss = "";
        dcsObject.WT.oss_r = "";
        dcsObject.WT.oss_ref = "";
        dcsObject.WT.oss_pg = "";
        dcsObject.WT.oss_orig = "";
        dcsObject.WT.oss_count = "";
        dcsObject.WT.oss_scope = "";
        dcsObject.WT.oss_action = "";
        dcsObject.WT.oss_visits = "";
        dcsObject.WT.shp_page_action = "";
        dcsObject.WT.offdom = "";
        dcsObject.WT.offsite = "";
        dcsObject.WT.offsub = "";
        dcsObject.WT.shp_mega_menu = "";
        if (multiTrackObject) multiTrackObject.argsa = [];
        setTimeout(function () {
            parent.wt_sp_globals.navigatedEvent = false;
            parent.wt_sp_globals.searchReset = false;
        }, 1000);
    };

    // Shared: Generic function for AJAX requests
    WebTrendsSP_intra.prototype.wtAjax = function (request, retry) {
        if (request.type == null) request.type = "GET";
        if (request.async == null) request.async = true;
        if (request.cache == null) request.cache = false;
        if (request.headers == null) request.headers = { Accept: "application/json;odata=verbose" };
        if (request.timeout == null) request.timeout = 10000;
        var upsReq = new XMLHttpRequest();
        upsReq.open(request.type, request.url, true);
        if (request.headers) {
            for (var h in request.headers) {
                if (request.headers.hasOwnProperty(h)) {
                    upsReq.setRequestHeader(h, request.headers[h]);
                }
            }
        }
        upsReq.onreadystatechange = function () {
            if (upsReq.readyState === 4) {
                if (upsReq.status === 200) {
                    request.success(JSON.parse(upsReq.responseText));
                }
                else if (upsReq.status === 401 && retry) {
                    window.wt_sp_globals.pluginObj.wtAjax(request, false);
                }
                else {
                    request.error("Error " + upsReq.status);
                }
            }
        };
        upsReq.send();
    };

    // Shared: Get site collection title 
    WebTrendsSP_intra.prototype.getSiteCollectionTitleFromREST = function () {
        var _sp = window.wt_sp_globals.spPageContextInfo;
        var request = {
            url: _sp.siteAbsoluteUrl + "/_api/web/title",
            success: function (data) {
                try {
                    window.wt_sp_globals.pluginObj.storeSiteCollectionInfo(data.d.Title);
                }
                catch (err) { }
                // Decrement wait counter
                window.wt_sp_globals.RESTCounter--;
                wt_sp_globals.RESTCounterLog.getSiteCollectionTitle.push("Decrement -> Success");
            },
            error: function (err) {
                try {
                    Webtrends.addTransform(function (dcsObject, trackObject) {
                        trackObject.argsa.push(
                           "WT.shp_col_ti_err", err
                       );
                        // Clear window.wt_sp_globals.collectionTitle when fail
                        window.wt_sp_globals.pluginObj.storeSiteCollectionInfo("");
                    }, "collect");
                }
                catch (ex) { }
                // Decrement wait counter
                window.wt_sp_globals.RESTCounter--;
                wt_sp_globals.RESTCounterLog.getSiteCollectionTitle.push("Decrement -> Error");
            }
        };
        window.wt_sp_globals.pluginObj.wtAjax(request, true);
    };

    // Shared: Get site collection title from storage, or initiate API
    WebTrendsSP_intra.prototype.getSiteCollectionTitle = function () {
        // Store plugin object to reference methods
        var plugin = window.wt_sp_globals.pluginObj;
        // Retrieve site collection title if it doesn't exist in sessionStorage
        if (plugin.storageAvailable("sessionStorage") && sessionStorage.wtSiteCollInfo) {
            var siteInfo = JSON.parse(sessionStorage.wtSiteCollInfo);
            if (siteInfo.collectionURL.toLowerCase() !== window.wt_sp_globals.spPageContextInfo.siteAbsoluteUrl.toLowerCase() || !siteInfo.collectionTitle) {
                plugin.getSiteCollectionTitleFromREST();
            }
            else {
                window.wt_sp_globals.collectionTitle = siteInfo.collectionTitle;
                // Decrement wait counter
                window.wt_sp_globals.RESTCounter--;
                wt_sp_globals.RESTCounterLog.getSiteCollectionTitle.push("Decrement -> sessionStorage");
            }
        }
        else {
            plugin.getSiteCollectionTitleFromREST();
        }
    };

    // Shared: Store site collection info into sessionStorage
    WebTrendsSP_intra.prototype.storeSiteCollectionInfo = function (title) {
        // Store plugin object to reference methods
        var plugin = window.wt_sp_globals.pluginObj;

        window.wt_sp_globals.collectionTitle = title;
        // Save url and title into sessionStorage
        if (plugin.storageAvailable("sessionStorage")) {
            var siteInfo = {
                collectionURL: window.wt_sp_globals.spPageContextInfo.siteAbsoluteUrl,
                collectionTitle: window.wt_sp_globals.collectionTitle
            };
            sessionStorage.wtSiteCollInfo = JSON.stringify(siteInfo);
        }
    };

    // Shared: Send data for share confirm button
    WebTrendsSP_intra.prototype.shareConfirmTransform = function (event) {
        var plugin = window.wt_sp_globals.pluginObj;
        var argsa = plugin.getCollectedDataFromParent([]);
        // Only send a hit if a user is actually selected
        var element = event.target || event.srcElement;
        if (document.querySelector("span.sp-peoplepicker-userSpan") ||//  SP2013/SP2016/SPO Classic View   
            document.querySelector("div.ms-PickerItem-content") ||
            document.querySelector("button[data-automationid='AddMembersSaveButton'][data-is-focusable='true']") ||// SPO Modern View
            document.querySelector("div.od-Share-PeoplePicker-wrapper input") && document.querySelector("div.od-Share-PeoplePicker-wrapper input").value !== "") {
            var docName = "";
            var docAction = "";
            var docType = "";
            var docLib = "";
            var listName = "";
            var listItem = "";
            var listTitle = "";
            var listAction = "";
            var pageAction = "";
            var url = plugin.getURIArrFromHREF(parent.location.href);
            if (parent.wt_sp_globals.page) {
                // Page Share
                pageAction = "Share";
            }
            else {
                // Document/List Library Pages
                var items;
                if (window.wt_sp_globals.modernView) items = plugin.getCurrentCheckedItemModernView(event);
                else items = plugin.getCurrentCheckedItemClassicView(event);
                if (items.found) {
                    url = plugin.getURIArrFromHREF(items.selectedItemURLs[0]);
                    if (items.selectedLibraryTypes[0] === "Document Library") {
                        // Document/Folder Share
                        docName = items.selectedItemNames[0];
                        docType = items.selectedItemTypes[0];
                        docLib = items.selectedLibraryPaths[0];
                        docAction = "Share";
                    }
                    else {
                        // List Item Share
                        listName = items.selectedLibraryNames[0];
                        listItem = items.selectedItemNames[0];
                        listTitle = listName + " - " + listItem;
                        listAction = "Share Item";
                    }
                }
            }

            // Build arguments
            argsa.push(
                "DCS.dcssip", url.dcssip,
                "DCS.dcsuri", url.dcsuri,
                "DCS.dcsqry", url.dcsqry,
                "DCS.dcsref", url.dcsref,
                "WT.ti", (docName || listTitle || parent.document.title),
                "WT.dl", "SHP",
                "WT.shp_list", listName,
                "WT.shp_list_item", listItem,
                "WT.shp_list_item_action", listAction,
                "WT.shp_doc", docName,
                "WT.shp_doc_a", docAction,
                "WT.shp_doc_type", docType,
                "WT.shp_doc_lib", docLib,
                "WT.shp_page_action", pageAction,
                "WT.shp_act_loc", plugin.getActionLocation(),
                "WT.nv", plugin.tagObj.dcsNavigation(event, ["div", "table"])
            );

            // Add document meta data
            if (plugin.cfg.documentMetadata) {
                var key = plugin.documentMetadataGetKey(url).key;
                argsa = plugin.documentMetadataAddToHit(key, { argsa: argsa }).argsa;
            }

            // Send data
            Webtrends.multiTrack({
                element: element,
                argsa: argsa
            });
            plugin.resetFlags();
        }
    };

    // Shared: Load md5.js file
    WebTrendsSP_intra.prototype.LoadMD5File = function () {
        if (!WebTrendsSP_intra.prototype.dcsEncryption && !WebTrendsSP_intra.prototype.objectExists(window, "CryptoJS.MD5")) {
            // Check if script is already loaded
            var scripts = document.scripts;
            var scriptNotFound = true;
            for (var i = 0; i < scripts.length; i++) {
                if (scripts[i].src.indexOf("/md5.js") >= 0) {
                    scriptNotFound = false;
                    break;
                }
            }
            // Insert script
            if (scriptNotFound) {
                var s = document.createElement("script");
                s.async = true;
                s.src = "//s.webtrends.com/js/md5.js";
                var s2 = document.getElementsByTagName("script")[0];
                s2.parentNode.insertBefore(s, s2);
            }
        }

        // Release tag when MD5 is loaded
        var waitForMD5 = setInterval(function () {
            if (WebTrendsSP_intra.prototype.objectExists(window, "CryptoJS.MD5")) {
                clearInterval(waitForMD5);
                window.wt_sp_globals.RESTCounter--;
                wt_sp_globals.RESTCounterLog.LoadMD5File.push("Decrement -> Loaded");
            }
        }, 250);
    };

    // Shared: Copy CryptoJS.MD5 method into dcsEncryption
    WebTrendsSP_intra.prototype.CopyMD5Encryption = function () {
        if (!WebTrendsSP_intra.prototype.dcsEncryption && WebTrendsSP_intra.prototype.objectExists(window, "CryptoJS.MD5")) {
            WebTrendsSP_intra.prototype.dcsEncryption = CryptoJS.MD5;
        }
    };

    // Shared: Encryption method placeholder
    WebTrendsSP_intra.prototype.dcsEncryption = false;

    // Shared: Recapture data from parent window when in an iFrame
    WebTrendsSP_intra.prototype.getCollectedDataFromParent = function (argsa) {
        if (window.self !== window.top) {
            try {
                var DCS = parent.wt_sp_globals.dcs.DCS;
                for (var pDCS in DCS) {
                    if (DCS.hasOwnProperty(pDCS)) {
                        argsa.push("DCS." + pDCS, DCS[pDCS]);
                    }
                }
                var DCSext = parent.wt_sp_globals.dcs.DCSext;
                for (var pDext in DCSext) {
                    if (DCSext.hasOwnProperty(pDext)) {
                        argsa.push("DCSext." + pDext, DCSext[pDext]);
                    }
                }
                var WT = parent.wt_sp_globals.dcs.WT;
                for (var pWT in WT) {
                    if (WT.hasOwnProperty(pWT)) {
                        argsa.push("WT." + pWT, WT[pWT]);
                    }
                }
                window.wt_sp_globals.webPartNames = parent.window.wt_sp_globals.webPartNames;
                window.wt_sp_globals.documentMetadata = parent.window.wt_sp_globals.documentMetadata;
            }
            catch (ex) { }
        }
        return argsa;
    };

    // Shared: Sets all flags to false;
    WebTrendsSP_intra.prototype.resetFlags = function () {
        parent.wt_sp_globals.ribbon = false;
        parent.wt_sp_globals.ecb = false;
        parent.wt_sp_globals.header = false;
        parent.wt_sp_globals.popup = false;
        parent.wt_sp_globals.page = false;
    };

    // Shared: Sets ECB flag to true, others to false;
    WebTrendsSP_intra.prototype.setECBFlag = function () {
        parent.wt_sp_globals.ribbon = false;
        parent.wt_sp_globals.ecb = true;
        parent.wt_sp_globals.header = false;
        parent.wt_sp_globals.popup = false;
        parent.wt_sp_globals.page = false;
    };

    // Shared: Sets Header flag to true, others to false;
    WebTrendsSP_intra.prototype.setHeaderFlag = function () {
        parent.wt_sp_globals.ribbon = false;
        parent.wt_sp_globals.ecb = true;
        parent.wt_sp_globals.header = true;
        parent.wt_sp_globals.popup = false;
        parent.wt_sp_globals.page = false;
    };

    // Shared: Sets Ribbon flag to true, others to false;
    WebTrendsSP_intra.prototype.setRibbonFlag = function () {
        parent.wt_sp_globals.ribbon = true;
        parent.wt_sp_globals.ecb = false;
        parent.wt_sp_globals.header = false;
        parent.wt_sp_globals.popup = false;
        parent.wt_sp_globals.page = false;
    };

    // Shared: Sets Popup flag to true, others to false;
    WebTrendsSP_intra.prototype.setPopupFlag = function () {
        parent.wt_sp_globals.ribbon = false;
        parent.wt_sp_globals.ecb = false;
        parent.wt_sp_globals.header = false;
        parent.wt_sp_globals.popup = true;
        parent.wt_sp_globals.page = false;
    };

    // Shared: Sets Page flag to true, others to false;
    WebTrendsSP_intra.prototype.setPageFlag = function () {
        parent.wt_sp_globals.ribbon = false;
        parent.wt_sp_globals.ecb = false;
        parent.wt_sp_globals.header = false;
        parent.wt_sp_globals.popup = false;
        parent.wt_sp_globals.page = true;
    };

    // Shared: get location data
    WebTrendsSP_intra.prototype.getActionLocation = function () {
        var loc;
        if (parent.wt_sp_globals.ecb) loc = "ECB Menu";
        else if (parent.wt_sp_globals.ribbon) loc = "Ribbon";
        else if (parent.wt_sp_globals.popup) loc = "Document Library Preview Window";
        else loc = "Direct Link";

        return loc;
    };

    // Shared: Converts link text into appropriate action value for Document items
    WebTrendsSP_intra.prototype.getActionValue = function (element, LibraryType) {
        var action = "";
        var id = (element.hasAttribute("id") ? element.getAttribute("id") : this.getElementText(element));
        // Modern View Home Page Web Parts
        var regex = /^CommandBar\d+[a-z]+$/i;
        if (element.hasAttribute("id") && regex.test(id)) {
            id = id.replace(/(^CommandBar\d+)/i, "").replace(/\b\w/g, function (c) { return c.toUpperCase(); });
        }
        if (!id) {
            if (element.querySelector("I.ms-Icon--circleInfo") || element.querySelector("I.ms-Icon--Info")) {
                return (action = "View Properties");
            }
            else if (element.className === "ContextualMenu-fileInput" || element.className === "ContextualMenu-folderInput" || element.className === "CommandBarItem-fileInput") {
                return (action = "Upload");
            }
            else if (element.tagName === "INPUT") {
                return (action = "Upload");
            }
        }
        if (LibraryType === "Document Library") {
            switch (id) {
                //Classic View
                case "ID_EditIn_Word":
                case "ID_EditIn_Excel":
                case "ID_EditIn_PowerPoint":
                case "ID_EditIn_OneNote":
                case "ID_EditIn_Visio":
                    action = "Open in App";
                    break;
                case "ID_CA_Open in Word Online":
                case "ID_CA_Open in Excel Online":
                case "ID_CA_Open in PowerPoint Online":
                case "ID_CA_Open in OneNote Online":
                case "ID_CA_Open in Visio Online":
                    action = "Open in App Online";
                    break;
                case "ID_OPENINLIGHTBOX":
                    action = "Open";
                    break;
                case "ID_DownloadACopy":
                    action = "Download";
                    break;
                case "ID_EditProperties":
                    if (this.spVersion !== this.constants.SP2013) {
                        action = "Rename";
                    }
                    else {
                        action = "Edit Properties";
                    }
                    break;
                case "ID_DeleteDocItem":
                    action = "Delete";
                    break;
                case "ID_OtherLocation":
                    action = "Copy";
                    break;
                case "ID_Versions":
                    action = "Version History";
                    break;
                case "ID_ViewProperties":
                    if (this.spVersion !== this.constants.SP2013) {
                        action = "Edit Properties";
                    }
                    else {
                        action = "View Properties";
                    }
                    break;
                case "ID_MngPerms":
                    action = "Shared With/Manage Permissions";
                    break;
                case "ID_CA_Compliance Details":
                    action = "Compliance Details";
                    break;
                case "ID_Checkout":
                    action = "Check out";
                    break;
                case "ID_Checkin":
                    action = "Check in";
                    break;
                case "ID_CA_Follow":
                    action = "Follow";
                    break;
                case "ID_Workflows":
                    action = "View Workflows";
                    break;
                case "ID_WorkOffline":
                    action = "Connect to Outlook";
                    break;
                case "ID_DiscardCheckou": //NOTE: This is the actual ID, not a typo
                    action = "Discard check out";
                    break;

                    // Modern View
                case "Workflow":
                    action = "View Workflow";
                    break;
                case "Open in Word":
                case "Open in Excel":
                case "Open in PowerPoint":
                case "Open in OneNote":
                case "Open in Visio":
                    action = "Open in App";
                    break;
                case "Open in Word Online":
                case "Open in Excel Online":
                case "Open in PowerPoint Online":
                case "Open in OneNote Online":
                case "Open in Visio Online":
                    action = "Open in App Online";
                    break;
                case "Properties":
                    action = "View Properties";
                    break;
                case "Folder":
                    action = "New Folder";
                    break;
                case "Word document":
                case "Excel workbook":
                case "PowerPoint presentation":
                case "OneNote notebook":
                case "Visio drawing":
                case "Forms for Excel":
                    action = "New Document";
                    break;
                case "Link":
                    action = "New Link";
                    break;
                case "Details":
                    action = "View Properties";
                    break;
                case "Email everyone":
                    action = "Email Everyone";
                    break;
                case "Edit all":
                    action = "Edit Properties";
                    break;

                    // Default
                default:
                    action = id;
                    break;
            }
        }
        else if (LibraryType === "List Library") {
            switch (id) {
                //Modern View get ECB action value
                case "Workflow":
                    action = "View Workflow";
                    break;
                    //Classic View get ECB action value
                case "ID_DeleteItem":
                    action = "Delete Item";
                    break;
                case "ID_MngPerms":
                    action = "Shared With/Manage Permissions";
                    break;
                case "ID_CA_Compliance Details":
                    action = "Compliance Details";
                    break;
                case "ID_CA_Follow":
                    action = "Follow";
                    break;
                case "ID_Workflows":
                    action = "View Workflows";
                    break;
                case "ID_Subscribe":
                    action = "Alert me";
                    break;
                case "Details":
                    action = "View Properties";
                    break;
                case "Edit":
                    action = "Edit Item";
                    break;
                case "Open":
                    action = "View Item";
                    break;
                case "Email everyone":
                    action = "Email Everyone";
                    break;
                default:
                    action = id;
                    break;
            }
        }
        else {
            action = id;
        }

        if (action.indexOf("ID_") === 0) {
            action = action.substring(3, id.length);
            if (action.indexOf("CA_") === 0) {
                action = action.substring(3, id.length);
            }
            action = action.replace(/([a-z])([A-Z])/g, "$1 $2").replace(/([_])([a-zA-Z])/g, " $2");
        }

        return this.translateLanguage(action);
    };

    // Shared: Retrieves web parts from page
    WebTrendsSP_intra.prototype.getWebPartsFromREST = function () {
        window.wt_sp_globals.webPartNames = [];
        var plugin = window.wt_sp_globals.pluginObj;
        var _sp = window.wt_sp_globals.spPageContextInfo;
        var path = _sp.serverRequestPath;
        // Modern View - moving from one library to another uses Single Page App behavior and URL is an API call in and of itself
        if (path.toLowerCase().indexOf("/_vti_bin/client.svc/web/getlist") === 0) {
            path = window.location.pathname;
        }
        // /_layouts/ pages don't have any web parts and throw 404 errors when trying to query for them
        if (path.toLowerCase().indexOf("/_layouts/") === 0) {
            window.wt_sp_globals.RESTCounter--;
            wt_sp_globals.RESTCounterLog.getWebPartsFromREST.push("Decrement -> Abort due to /_layouts/ in Modern View");
            return;
        }
        var request = {
            url: _sp.siteAbsoluteUrl + "/_api/web/GetFileByServerRelativeUrl('" + path + "')/GetLimitedWebPartManager(1)/WebParts?$expand=Webpart",
            success: function (data) {
                plugin.getWebPartsFromRESTSuccess(data.d.results);
            },
            error: function (err) {
                plugin.getWebPartsFromRESTModernView();
            }
        };
        plugin.wtAjax(request, true);
    };

    // Shared: Build web part name/id list from results
    WebTrendsSP_intra.prototype.getWebPartsFromRESTSuccess = function (webpartArr) {
        try {
            var plugin = window.wt_sp_globals.pluginObj;
            for (var i = 0; i < webpartArr.length ; i++) {
                var ID = webpartArr[i].Id || webpartArr[i].id;
                var WebPartData = webpartArr[i].WebPart || webpartArr[i].webPartData || null;
                if (!WebPartData) continue;
                var Title = (WebPartData.Title || WebPartData.title);
                if (Title) Title = Title.replace(/^\s+|\s+$/gm, "");
                var webPartContent = {};
                webPartContent[ID] = {
                    title: (Title || "(Empty Title Property)") + (window.wt_sp_globals.pluginObj.cfg.webPartIds ? ("|" + ID) : ""),
                    content: plugin.getWebPartData(WebPartData, Title)
                };
                window.wt_sp_globals.webPartNames.push(webPartContent);
            }
        }
        catch (ex) { }
        window.wt_sp_globals.RESTCounter--;
        wt_sp_globals.RESTCounterLog.getWebPartsFromREST.push("Decrement -> Success");
    };

    // Extract the web part data from Modern Web Parts
    WebTrendsSP_intra.prototype.getWebPartData = function (WebPartData, Title) {
        var content = [];
        if (wt_sp_globals.modernView && WebPartData.serverProcessedContent) {
            if (Title === "Hero") {
                var links = WebPartData.serverProcessedContent.links;
                var text = WebPartData.serverProcessedContent.searchablePlainTexts;
                var img = WebPartData.serverProcessedContent.imageSources;
                var len = WebPartData.properties.content.length;
                for (var j = 0; j < len; j++) {
                    content.push({
                        tileId: WebPartData.properties.content[j].id,
                        actionUrl: links["content[" + j + "].callToActionLink"] || "",
                        actionTitle: text["content[" + j + "].callToActionText"] || "",
                        actionTitleAlt: text["content[" + j + "].callToActionText"] || "",
                        mainUrl: links["content[" + j + "].link"] || "",
                        mainTitle: text["content[" + j + "].title"] || "",
                        mainTitleAlt: text["content[" + j + "].alternateText"] || "",
                        mainImg: img["content[" + j + "].image.url"] || ""
                    });
                }
            }
            else if (Title === "News") {
                // TODO: Nothing of value found in the object
            }
            else if (Title === "Events") {
                // TODO: Nothing of value found in the object
            }
            else if (Title === "Highlighted content") {
                // TODO: Nothing of value found in the object
            }
            else if (Title === "Quick links") {
                // TODO: Nothing of value found in the object
            }
            else if (Title === "People") {
                // TODO: Nothing of value found in the object
            }
        }
        return content;
    };

    // Shared: Get the web part name from the stored {ID: Name} object
    WebTrendsSP_intra.prototype.getWebPartTitleByID = function (wpID) {
        var plugin = parent.wt_sp_globals.pluginObj;
        var wpTitle = "";
        var found = false;
        if (wpID && plugin.objectExists(parent, "wt_sp_globals.webPartNames") && parent.wt_sp_globals.webPartNames.length > 0) {
            var webParts = parent.wt_sp_globals.webPartNames;
            for (var i = 0; i < webParts.length; i++) {
                for (var key in webParts[i]) {
                    if (webParts[i].hasOwnProperty(key)) {
                        if (key === wpID) {
                            wpTitle = webParts[i][key].title;
                            found = true;
                            break;
                        }
                    }
                }
                if (found) break;
            }
        }
        return wpTitle;
    };

    // Shared: Retrieve Web Part Name in click event
    WebTrendsSP_intra.prototype.getWebPartTitleOnClick = function (elem) {
        var plugin = wt_sp_globals.pluginObj;
        var found = false;
        var wpTitle = "";
        var par, wpElems, child, item, allItems;
        try {
            // Classic View
            if (!wt_sp_globals.modernView) {
                // Look up the DOM for the webpart header
                par = plugin.getParentByClassNameContains(elem, "ms-webpart-chrome ");
                if (par) {
                    // Retrieve Web Part ID and use as default Title
                    wpElems = par.querySelector("[webpartid]");
                    if (wpElems && wpElems.hasAttribute("webpartid")) {
                        // Retrieve Web Part Name from Web Part ID/Name using the REST object from Page Load
                        wpTitle = plugin.getWebPartTitleByID(wpElems.getAttribute("webpartid"));
                        if (wpTitle) found = true;
                    }
                    // If not found, retrieve Web Part Name using WebPartTitle id in HTML
                    if (!found) {
                        wpElems = par.querySelectorAll("[class^=ms-webpart-chrome]");
                        for (var i = 0; i < wpElems.length; i++) {
                            var wpSubElems = wpElems[i].querySelectorAll("[id^=WebPartTitleWPQ]");
                            for (var j = 0; j < wpSubElems.length; j++) {
                                var chromeTitle = wpSubElems[j];
                                if (chromeTitle.hasAttribute("title")) {
                                    wpTitle = chromeTitle.getAttribute("title").replace(/^\s+|\s+$/gm, "");
                                    found = true;
                                    break;
                                }
                            }
                            if (found) break;
                        }
                    }
                    // If not found, retrieve Web Part Name using <H2> tag in HTML
                    if (!found) {
                        wpElems = par.getElementsByTagName("H2");
                        if (wpElems.length > 0) {
                            wpTitle = plugin.getElementText(wpElems[0]);
                            found = true;
                        }
                    }
                    // If Web Part is "Search" related with 00000... GUID
                    if (!found && wpTitle === "00000000-0000-0000-0000-000000000000") {
                        var elName = par.querySelectorAll("[name=Control]");
                        if (elName.length > 0) {
                            if (elName[0].hasAttribute("id")) {
                                wpTitle = "Search " + elName[0].getAttribute("id");
                            }
                        }
                    }
                }
                else if (plugin.getParentByClassNameContains(elem, "webpartchrome_")) {
                    // Look up the DOM for alternative webpart header
                    par = plugin.getParentByClassNameContains(elem, "webpartchrome_");
                    child = par.querySelector("div[class^=webPartHeader] div[class^=title] span");
                    wpTitle = plugin.getElementText(child);
                }
                else if ((elem.tagName === "MENU" && elem.className === "ms-SrvMenuUI") || // SP2013-SP2016 ECB
                    (elem.tagName === "A" && elem.className === "ms-contextmenu-link") || // SPO ECB
                    (elem.hasAttribute("id") && (elem.getAttribute("id").indexOf("Ribbon.Document") === 0 || elem.getAttribute("id").indexOf("Ribbon.ListItem") === 0) ||
                    plugin.getParentByClassNameContains(elem, "ms-cui-ctl-large ")) || // Ribbons
                    window.self !== window.top || // Pop ups in SP2013/SP2016
                    (elem.tagName === "INPUT" && elem.hasAttribute("id") && (elem.getAttribute("id") === "btnShare") || elem.getAttribute("id") === "CheckinOk") || elem.getAttribute("id").indexOf("_RptControls_btnOK") >= 0) { // Pop ups in classic SPO
                    // Library Pages where only one real web part exists (Excluding search box)
                    allItems = new RegExp(/\/forms\/[^\.]+\.[a-z]+|\/allitems\.aspx/i);
                    if (allItems.test(parent.location.pathname) || (parent.location.pathname.toLowerCase().indexOf("/start.aspx") >= 0 && allItems.test(parent.location.hash))) {
                        wpElems = parent.document.querySelectorAll("[webpartid]");
                        for (var k = wpElems.length - 1; k > -1; k--) {
                            var wpID = wpElems[k].getAttribute("webpartid");
                            if (wpID !== "00000000-0000-0000-0000-000000000000") {
                                wpTitle = plugin.getWebPartTitleByID(wpID);
                                found = true;
                                break;
                            }
                        }
                    }
                    else {
                        // Page with potentially more than one web part.
                        // Extract list id from ctx object of selected item
                        item = parent.document.querySelector("tr.s4-itm-selected") || parent.document.querySelector("a.ms-tileview-tile-selected") || parent.document.querySelector("div.js-callout-mainElement[style^='display: block']");
                        if (item) {
                            var ctx = plugin.getCtxObject(item);
                            var listId = ctx.listName.toUpperCase();
                            // Get list of web parts on page
                            wpElems = parent.document.querySelectorAll("div[id^='MSOZoneCell_WebPartWPQ']");
                            for (var l = 0; l < wpElems.length; l++) {
                                var wpElem = wpElems[l];
                                // Get the element id for each web part and extract the web part "number"
                                var wpNum = wpElem.id.replace("MSOZoneCell_", "").toLowerCase();
                                // Get the _relatedlistid attribute based on the web part number
                                if (wpElem.hasAttribute(wpNum + "_relatedlistid")) {
                                    if (listId === wpElem.getAttribute(wpNum + "_relatedlistid").toUpperCase()) {
                                        // Get the title from REST data based on the webpartid
                                        wpTitle = plugin.getWebPartTitleByID(wpElem.querySelector("[webpartid]").getAttribute("webpartid"));
                                        found = true;
                                        break;
                                    }
                                }
                            }
                        }
                    }
                }
            }
            else {
                // Modern View
                par = plugin.getParentByClassNameContains(elem, "ControlZone");
                // Due to changes in class name, look for highest .ControlZone rather than exact match we used to use
                while (par && plugin.getParentByClassNameContains(par.parentNode, "ControlZone")) {
                    par = plugin.getParentByClassNameContains(par.parentNode, "ControlZone");
                }
                if (par) {
                    // Modern View Web Parts
                    if (par.hasAttribute("data-sp-a11y-id")) {
                        // Retrieve Web Part Name from Web Part ID/Name using the REST object from Page Load
                        wpTitle = plugin.getWebPartTitleByID(par.getAttribute("data-sp-a11y-id").replace("ControlZone_", ""));
                        if (wpTitle) found = true;
                    }
                }
                if (!found && plugin.getParentByClassNameContains(elem, "ms-webpartzone-cell")) {
                    // Modern View Libraries
                    par = plugin.getParentByClassNameContains(elem, "webpartchrome_");
                    child = par.querySelector("div.ms-webpart-chrome-title");
                    wpTitle = plugin.getElementText(child);
                    found = true;
                }
                else if (!found && plugin.getParentByClassNameContains(elem, "Files-rightPaneInteractionContainer")) {
                    // Modern View Library content and side panel
                    par = plugin.getParentByClassNameContains(elem, "Files-rightPaneInteractionContainer");
                    wpTitle = plugin.getElementText(document.querySelector("h2.StandaloneList-title"));
                    found = true;
                }
                else if (!found && plugin.getParentByClassNameContains(elem, "od-TopBar-commandBar")) {
                    // Modern View Library Ribbons
                    par = plugin.getParentByClassNameContains(elem, "od-TopBar-commandBar");
                    wpTitle = plugin.getElementText(document.querySelector("h2.StandaloneList-title"));
                    found = true;
                }
                else if (!found && plugin.getParentByClassNameContains(elem, "ms-ContextualMenu-container")) {
                    // Modern View Library ECB Menus
                    par = plugin.getParentByClassNameContains(elem, "ms-ContextualMenu-container");
                    wpTitle = plugin.getElementText(document.querySelector("h2.StandaloneList-title"));
                    found = true;
                }
                else if (!found && plugin.getParentByClassNameContains(elem, "ms-Callout-main")) {
                    // Modern View Web Part Pop Up Windows
                    item = document.querySelector("div.is-checked");
                    if (item) {
                        wpTitle = this.getWebPartTitleOnClick(item);
                        found = true;
                    }
                }
                else if (!found && document.querySelector(".OneUp-carousel") || plugin.getParentByClassNameContains(elem, "od-Dialog-main--visible") || plugin.getParentByClassNameContains(elem, "od-OverlayHost-overlay--opened")) {
                    // Modern View Library Picture Preview Overlay or Pop Up Window
                    allItems = new RegExp(/\/forms\/[^\.]+\.[a-z]+|\/allitems\.aspx/i);
                    if (allItems.test(window.location.pathname) && plugin.objectExists(window, "wt_sp_globals.spPageContextInfo.viewId")) {
                        wpTitle = plugin.getWebPartTitleByID(wt_sp_globals.spPageContextInfo.viewId.replace(/{|}/g, ""));
                        if (wpTitle) found = true;
                    }
                }
            }
        } catch (e) { }

        // Trim web part title length
        if (found) wpTitle = plugin.trimWebPartNames(wpTitle);

        // Set parent value to fix issues with getCollectedDataFromParent
        if (window.self !== window.top && wpTitle) {
            parent.wt_sp_globals.dcs.WT.shp_wpv = wpTitle;
        }

        return wpTitle;
    };

    // Shared: Get general site and sub site information
    WebTrendsSP_intra.prototype.getSiteInfo = function (trackObject) {
        var plugin = window.wt_sp_globals.pluginObj;
        var cfg = window.wt_sp_globals.configs.plugins.sp;

        // Site Title/Content Group
        try {
            var site = "";
            var folder;
            var path;
            if (plugin.objectExists(window, "wt_sp_globals.title")) {
                site = window.wt_sp_globals.title.toString();
            }
            else if (plugin.objectExists(window, "wt_sp_globals.spPageContextInfo.webTitle")) {
                site = window.wt_sp_globals.spPageContextInfo.webTitle.toString();
            }
            else if (plugin.objectExists(window, "wt_sp_globals.spPageContextInfo.webAbsoluteUrl")) {
                path = window.wt_sp_globals.spPageContextInfo.webAbsoluteUrl;
                folder = path.split("/");
                if (folder.length > 0) {
                    site = folder[folder.length - 1].toString();
                }
            }
            else {
                path = window.location.pathname;
                folder = path.split("/");
                if (plugin.objectExists(folder[2])) {
                    site = folder[2].toString();
                }
            }
            trackObject.argsa.push("WT.shp_site_ti", site);
            if (cfg.toContent) {
                trackObject.argsa.push("WT.cg_n", site);
            }
        }
        catch (ex) {
        }

        // Page Title/Sub content group
        try {
            var docTitle = "";
            if (window.wt_sp_globals.isSearchPage === true) {
                docTitle = "Search";
            }
            else {
                if (document.title && window.RegExp) {
                    var tire = new RegExp("^" + window.location.protocol + "//" + window.location.hostname + "\\s-\\s");
                    docTitle = document.title.replace(tire, "");
                }
                else {
                    docTitle = document.title;
                }
            }

            // store page info
            trackObject.argsa.push("WT.shp_page_ti", docTitle);
            if (cfg.toContent) {
                trackObject.argsa.push("WT.cg_s", docTitle);
            }
        }
        catch (ex) {
        }

        // Site Collection Root URL && Site/SubSite Root URL
        try {
            var siteUrl = "";
            var webUrl = "";
            if (plugin.objectExists(window, "wt_sp_globals.spPageContextInfo")) {
                siteUrl = window.wt_sp_globals.spPageContextInfo.siteAbsoluteUrl;
                webUrl = window.wt_sp_globals.spPageContextInfo.webAbsoluteUrl;
            }

            // store site url
            trackObject.argsa.push("WT.shp_col_url", siteUrl);
            // store web url
            trackObject.argsa.push("WT.shp_site_url", webUrl);
        }
        catch (ex) {
        }

        // Site Collection Title
        try {
            var title = "";
            if (window.wt_sp_globals.collectionTitle) {
                title = window.wt_sp_globals.collectionTitle;
            }
            // store site collection title
            trackObject.argsa.push("WT.shp_col_ti", title);
        }
        catch (ex) {
        }
    };

    // Shared: Tie enterprise search results to previous site
    WebTrendsSP_intra.prototype.getEnterpriseSearch = function (trackObject) {
        try {
            var plugin = window.wt_sp_globals.pluginObj;
            // If sessionStorage is available, keep a copy of the site collection and site root URL
            if (plugin.storageAvailable("sessionStorage")) {
                var collection = window.wt_sp_globals.spPageContextInfo.siteAbsoluteUrl;
                var site = window.wt_sp_globals.spPageContextInfo.webAbsoluteUrl;
                var wtOriginatingSite = {};

                // If this is not a search results page, write down the current URLs and store them
                if (window.wt_sp_globals.isSearchPage === false) {
                    wtOriginatingSite.collection = collection;
                    wtOriginatingSite.site = site;
                    window.sessionStorage.wtOriginatingSite = JSON.stringify(wtOriginatingSite);
                }
                    // If this is a search results page, use the stored URLs instead of the current page's
                else if (window.sessionStorage.wtOriginatingSite) {
                    wtOriginatingSite = JSON.parse(window.sessionStorage.wtOriginatingSite);
                    collection = wtOriginatingSite.collection;
                    site = wtOriginatingSite.site;
                    trackObject.argsa.push(
                        "WT.shp_srch_col", collection,
                        "WT.shp_srch_site", site
                    );
                }
                    // If this is a search page, but there are no stored values, store and use the current page's
                else {
                    wtOriginatingSite.collection = collection;
                    wtOriginatingSite.site = site;
                    window.sessionStorage.wtOriginatingSite = JSON.stringify(wtOriginatingSite);
                    trackObject.argsa.push(
                        "WT.shp_srch_col", collection,
                        "WT.shp_srch_site", site
                    );
                }
            }
        }
        catch (ex) {
        }
    };

    // Shared: Collect SPO Hub Site ID, if it exists
    WebTrendsSP_intra.prototype.getHubSite = function (trackObject) {
        try {
            var plugin = window.wt_sp_globals.pluginObj;
            if (plugin.objectExists(window, "wt_sp_globals.spPageContextInfo.departmentId")) {
                trackObject.argsa.push(
                    "WT.shp_hub", window.wt_sp_globals.spPageContextInfo.departmentId
                );
            }
        }
        catch (err) { }
    };

    // Shared: Collect Web Part info
    WebTrendsSP_intra.prototype.getWebParts = function (cfg, trackObject) {
        try {
            var plugin = window.wt_sp_globals.pluginObj;
            var wpList = "";
            var wpTitleArr = [];
            var elem;
            // If REST collection of Web Part Titles succeeded
            if (window.wt_sp_globals.webPartNames && window.wt_sp_globals.webPartNames.length > 0) {
                if (document.getElementById("SearchBox") !== null) {
                    window.wt_sp_globals.webPartNames.push({
                        "00000000-0000-0000-0000-000000000000": {
                            title: "Small Input Search Box",
                            content: []
                        }
                    });
                }
                var webParts = window.wt_sp_globals.webPartNames;
                for (var i = 0; i < webParts.length; i++) {
                    for (var key in webParts[i]) {
                        if (webParts[i].hasOwnProperty(key)) {
                            wpTitleArr.push(webParts[i][key].title);
                        }
                    }
                }
            }
                // Fallback to HTML parsing
            else if (document.querySelector("div[id^=WebPartWPQ]")) {
                var webPartsArr = document.querySelectorAll("div[id^=WebPartWPQ]");
                for (var j = 0; j < webPartsArr.length; j++) {
                    var webpartid = webPartsArr[j].getAttribute("webpartid");
                    if (webpartid) {
                        // Ignore search box
                        if (webpartid !== "00000000-0000-0000-0000-000000000000") {
                            var header = webPartsArr[j].getElementsByTagName("H2");
                            if (header.length > 0) {
                                wpTitleArr.push(plugin.getElementText(header[0]));
                            }
                                // If title is missing, use web part id as title.
                            else {
                                var par = webPartsArr[j].parentNode;
                                // Avoid duplicate entry where a web part occurs twice in webPartsArr due to id
                                if (par.querySelectorAll("div[id*=_ChromeTitle]").length === 0) {
                                    wpTitleArr.push(webpartid);
                                }
                            }
                        }
                            // Push Search related Web Parts into list
                        else {
                            var searchItem = webPartsArr[j].querySelectorAll("[name=Control]");
                            var elID = "";
                            if (searchItem.length > 0) {
                                if (searchItem[0].hasAttribute("id")) {
                                    elID = searchItem[0].getAttribute("id");
                                }
                                wpTitleArr.push("Search " + elID);
                            }
                        }
                    }
                        // If webpartid attribute is missing, look for title in another element
                    else {
                        if (webPartsArr[j].id.indexOf("_ChromeTitle") >= 0) {
                            var span = webPartsArr[j].getElementsByTagName("SPAN");
                            if (span.length > 0) {
                                wpTitleArr.push(plugin.getElementText(span[0]));
                            }
                        }
                    }
                }
            }
            else if (document.querySelectorAll("div[class^=webPartChrome]").length > 0) {
                var elems = document.querySelectorAll("div[class^=webPartChrome]");
                for (var k = 0; k < elems.length; k++) {
                    elem = elems[k].querySelector("div[class^=webPartHeader] div[class^=title] span");
                    wpTitleArr.push(plugin.getElementText(elem) || "(Empty Title Property)");
                }
            }
            else if (document.querySelector("h2.StandaloneList-title")) {
                // Modern View Library pages
                elem = document.querySelector("h2.StandaloneList-title");
                wpTitleArr.push(plugin.getElementText(elem));
            }
            // Clean up long Web Part Names
            for (var l = 0; l < wpTitleArr.length; l++) {
                wpList += plugin.trimWebPartNames(wpTitleArr[l]) + ";";
            }

            // Trim last ";"
            wpList = wpList.substring(0, wpList.length - 1);

            if (window.wt_sp_globals.isSearchPage && window.wt_sp_globals.modernView) {
                // Remove stuck web part data from moving to search page - API gets home page data instead
                trackObject.argsa.push("WT.shp_wpv", "");
            }
            else trackObject.argsa.push("WT.shp_wpv", wpList);
        }
        catch (ex) {
        }
    };

    // Shared: Trim Web Part Names
    WebTrendsSP_intra.prototype.trimWebPartNames = function (wpTitle) {
        var cfg = window.wt_sp_globals.pluginObj.cfg;

        // Extract web part id if present
        var id = "";
        if (cfg.webPartIds) {
            var split = wpTitle.split("|");
            id = split.pop(); // Grab id after last occurence of |
            wpTitle = split.join("|"); // Join with |, in case | happens to be used as a character in the name
        }

        // Trim web part name
        if (wpTitle.length > cfg.webPartLimit) {
            wpTitle = wpTitle.substring(0, cfg.webPartLimit);
            wpTitle = wpTitle.substring(0, wpTitle.lastIndexOf(" ")) + "...";
        }

        // Re-add Web Part ID to name
        if (cfg.webPartIds) wpTitle += "|" + id;

        return wpTitle;
    };

    // Shared: Get list "View" data
    WebTrendsSP_intra.prototype.getListItems = function (trackObject) {
        try {
            var plugin = window.wt_sp_globals.pluginObj;
            var url = window.location;
            var action = "";

            if (url.search && url.search.indexOf("DiscussionParentId") > 0) {
                action = "Reply";
            }
            else if (url.href) {
                if (url.href.toLowerCase().indexOf("/dispform.aspx") >= 0) {
                    action = "View Item";
                }
            }
            if (action !== "") {
                trackObject.argsa.push("WT.shp_list_item_action", action);
                var ttl = parent.document.title;
                if (parent.document.title.toLowerCase().indexOf("permissions:") >= 0) {
                    var sourceURL;
                    var pathArr;
                    var qry = window.location.search;
                    sourceURL = qry.substring(qry.indexOf("Source"), qry.length);
                    sourceURL = decodeURIComponent(decodeURIComponent(sourceURL));
                    sourceURL = sourceURL.substring(0, (sourceURL.indexOf("&") >= 0) ? sourceURL.indexOf("&") : sourceURL.length);
                    pathArr = sourceURL.split("/");
                    trackObject.argsa.push("WT.shp_list", pathArr[pathArr.length - 2]);
                    trackObject.argsa.push("WT.shp_list_item", ttl.substring(ttl.indexOf(": ") + 1, ttl.length).replace(/^\s+|\s+$/g, ""));
                }
                else {
                    if (action === "View Item") {
                        var listTitleText = "";
                        var listItemText = "";
                        var listObj;
                        if (window.wt_sp_globals.modernView) {
                            listObj = plugin.listItemDetailsModernView();
                            listTitleText = listObj.listTitle;
                            listItemText = listObj.listItemTitle;
                        }
                        else {
                            listObj = plugin.listItemDetailsClassicView();
                            // List Title
                            listTitleText = listObj.list;
                            // List item title
                            listItemText = listObj.item;
                        }
                        trackObject.argsa.push("WT.shp_list", listTitleText);
                        trackObject.argsa.push("WT.shp_list_item", listItemText);
                        trackObject.argsa.push("WT.ti", listTitleText + " - " + listItemText);
                    }
                    else {
                        var listInfo;
                        listInfo = ttl.split("-");
                        trackObject.argsa.push("WT.shp_list", listInfo[0].replace(/\s+$/, ''));
                        listInfo.shift();
                        if (listInfo.length > 0) {
                            listInfo = listInfo.join("-");
                        }
                        listInfo = listInfo.replace(/^\s+/, '').replace("...", "");
                        trackObject.argsa.push("WT.shp_list_item", listInfo);
                    }
                }
            }
            else {
                // Can probably remove-these should only stick on View Item page, and the links there would overwrite the values anyways
                //trackObject.argsa.push("WT.shp_list", "", "WT.shp_list_item", "", "WT.shp_list_item_action", "");
            }
        }
        catch (ex) {
        }
    };

    // Shared: Gets the list data from REST when transitioning from document library to list library because SP doesn't update page info
    WebTrendsSP_intra.prototype.getListDataFromREST = function () {
        try {
            var plugin = window.wt_sp_globals.pluginObj;
            var id = parseInt(wt_sp_globals.spPageContextInfo.listBaseTemplate);
            if (id !== -1 && id !== 119) {
                var _sp = window.wt_sp_globals.spPageContextInfo;
                // Get g_listData if it's missing - It doesn't update when moving between libraries
                // or it doesn't match the data found in the current _sp.listId (it's stale)
                if (_sp.listId && (!window.g_listData || (window.g_listData && window.g_listData.listName && _sp.listId.toUpperCase() !== window.g_listData.listName.toUpperCase()))) {
                    var guid = _sp.listId.replace(/{|}/g, "");
                    var url = _sp.siteAbsoluteUrl + "/_api/web/lists(guid'" + guid + "')/items";
                    // For document/picture libraries set a flag to update metadata
                    var docLib = false;
                    if (id === 101 || id === 109) {
                        docLib = true;
                        url = url + "?$select=FileLeafRef,FileRef,Id,Title,ID";
                    }
                    var request = {
                        url: url,
                        success: function (data) {
                            try {
                                // Recreate g_listData
                                window.wt_sp_globals.g_listData = {
                                    listTemplate: wt_sp_globals.spPageContextInfo.listBaseTemplate.toString(),
                                    listBaseType: 0,
                                    listName: wt_sp_globals.spPageContextInfo.pageListId.toUpperCase(),
                                    listUrlDir: encodeURI(wt_sp_globals.spPageContextInfo.listUrl),
                                    listSchema: {
                                       IsDocLib: ""
                                    },
                                    ListTitle: wt_sp_globals.spPageContextInfo.listTitle,
                                    ListData: {
                                        Row: data.d.results
                                    }
                                };

                                // Release tag
                                window.wt_sp_globals.RESTCounter--;
                                wt_sp_globals.RESTCounterLog.getListDataFromREST.push("Decrement -> Success");

                                // This is a document library of some sort
                                if (docLib) {
                                    // Update base type for document libraries
                                    window.wt_sp_globals.g_listData.listBaseType = 1;
                                    window.wt_sp_globals.g_listData.listSchema.IsDocLib = "1";

                                    // Modern View: Get meta data for documents from g_listData
                                    if (plugin.cfg.documentMetadata && plugin.cfg.documentMetadataFields) {
                                        plugin.documentMetadataBuildDBModernView();
                                    }
                                }
                            }
                            catch (err) {
                                window.wt_sp_globals.RESTCounter--;
                                wt_sp_globals.RESTCounterLog.getListDataFromREST.push("Decrement -> Success -> Catch");
                            }
                        },
                        error: function (err) {
                            window.wt_sp_globals.RESTCounter--;
                            wt_sp_globals.RESTCounterLog.getListDataFromREST.push("Decrement -> Error");
                        }
                    };
                    window.wt_sp_globals.pluginObj.wtAjax(request, true);
                }
            }
            else {
                window.wt_sp_globals.RESTCounter--;
                wt_sp_globals.RESTCounterLog.getListDataFromREST.push("Decrement -> Abort due to ID");
            }
        }
        catch (err) {
            window.wt_sp_globals.RESTCounter--;
            wt_sp_globals.RESTCounterLog.getListDataFromREST.push("Decrement -> Catch -> " + err);
        }
    };

    // Shared: get the current scope of the search
    WebTrendsSP_intra.prototype.getSearchScope = function (element) {
        var scope = "";
        var plugin = window.wt_sp_globals.pluginObj;
        try {
            // TODO: Translate the language?
            if (!wt_sp_globals.modernView) {
                scope = plugin.getElementText(document.querySelector(".ms-srchnav-link-selected")) || "Site";
            }
            else {
                if (plugin.spVersion === plugin.constants.SPO) {
                    scope = plugin.getElementText(document.querySelector("button.ms-Pivot-link.is-selected .ms-Pivot-text"));
                }
                else if (plugin.spVersion === plugin.constants.SP2019) {
                    var filter = document.querySelectorAll("div[class*='SearchFilterCollection-module__searchFilterCollection___'] div[class*='DelveSearchFilter-module__listboxContainer___']");
                    scope = plugin.getElementText(filter[1].querySelector("div[class*='DelveSearchFilter-module__valueIndicator___']"));
                }
            }
        }
        catch (ex) {}
        return scope;
    };

    // Shared: Search Experience | Unique search count
    WebTrendsSP_intra.prototype.getSearchCount = function (original) {
        try {
            var plugin = window.wt_sp_globals.pluginObj;
            var reg = window.wt_sp_globals.configs.plugins.sp.ids.searchPage.split(",");
            reg = ("(" + reg.join("|") + ")").replace(/\//g, "\\/").replace(/\./g, "\\.");
            var searchPages = new RegExp(reg, "gi");
            var searchParams = /(\?k=|&k=|\?q=)/gi;
            if (searchPages.test(window.location.pathname) || searchParams.test(window.location.search) || searchParams.test(window.location.hash)) {
                // Track if this search is a page transition or new search
                var transition = window.wt_sp_globals.searchPagination;
                var wtSearch;
                var count;
                // Track new search experiences/count
                if (plugin.storageAvailable("sessionStorage") && original !== "") {
                    // if sessionStorage is enabled and we see a ?k=<value>
                    if (window.sessionStorage.wtSearch) {
                        wtSearch = JSON.parse(window.sessionStorage.wtSearch);
                    }
                    else {
                        wtSearch = {};
                    }

                    // If this isn't a pagination event
                    if (!transition) {
                        // if this is the very first search results page load
                        if (!wtSearch.initial) {
                            wtSearch.initial = original.trim();
                            wtSearch.count = 1;
                            count = wtSearch.count;
                            window.sessionStorage.wtSearch = JSON.stringify(wtSearch);
                        }
                        // if this is a repeat search 
                        // - haven't left the search results page and tried another term 
                        // - or page refreshed
                        // - or user clicked a result and used Back button to return - can we get around this? Probably not
                        else if (wtSearch.initial.toLowerCase() === original.toLowerCase()) {
                            wtSearch.count++;
                            count = wtSearch.count;
                            window.sessionStorage.wtSearch = JSON.stringify(wtSearch);
                        }
                        // if this is a brand new search (we have left the search results page and then come back with a new search term)
                        else if (wtSearch.initial.toLowerCase() !== original.toLowerCase()) {
                            wtSearch.initial = original.trim();
                            wtSearch.count = 1;
                            count = wtSearch.count;
                            window.sessionStorage.wtSearch = JSON.stringify(wtSearch);
                        }
                        window.wt_sp_globals.searchCount = count.toString();
                    }
                    else {
                        // Refiner or pagination event - don't pass a search count
                        count = "";
                    }
                }
                else if (!window.sessionStorage && original !== "" && !transition) {
                    // If sessionStorage isn't enabled, try anyways
                    if (!window.wt_sp_globals.searchCount) {
                        window.wt_sp_globals.searchCount = 1;
                    }
                    count = window.wt_sp_globals.searchCount;

                    var current = "";
                    if (window.wt_sp_globals.lastSearchTerm) {
                        current = window.wt_sp_globals.lastSearchTerm;
                    }
                    else {
                        var hash = window.location.hash;
                        if (hash) {
                            current = hash.substring((hash.indexOf("#k=") >= 0 ? hash.indexOf("#k=") + 3 : 0), (hash.indexOf("&") >= 0 ? hash.indexOf("&") : hash.length));
                        }
                    }
                    if (original === current) {
                        count = 1;
                        window.wt_sp_globals.searchCount = count;
                    }
                    else {
                        count++;
                        window.wt_sp_globals.searchCount = count;
                    }
                }
                return count.toString();
            }
        }
        catch (ex) { }
    };

    // Shared: Get selected search refiner list
    WebTrendsSP_intra.prototype.getSearchRefiners = function () {
        var plugin = window.wt_sp_globals.pluginObj;

        // Get the refiners for classic pages
        var getClassicRefiners = function (refiners, refinerGroups) {
            var refinerText = "";
            for (var i = 0; i < refinerGroups.length; i++) {
                // Get refiner type
                var refinerType = refinerGroups[i].getAttribute("refinername").replace(/([A-Z])/g, ' $1').replace(/^\s+|\s+$/g, "");
                if (refinerType !== "Last Modified Time") {
                    // Get refiner option
                    refinerText = plugin.getElementText(refinerGroups[i].querySelector(".ms-core-listMenu-selected#FilterLink #RefinementName"));
                }
                else {
                    // Get Modified Date
                    refinerText = plugin.getElementText(document.querySelector(".handle_label[id*='RangeLabel']"));
                }
                // Push if something is selected
                if (refinerText) refiners.push(refinerType + ":" + refinerText);
            }
            return refiners;
        };

        // Get the refiners for newer(spo) modern pages
        var getModernRefinersNewest = function (refiners, refinerGroups) {
            var refinerText = "";
            for (var k = 0; k < refinerGroups.length; k++) {
                // Get refiner type
                var limit = 0;
                var refinerType;
                var tempElement = refinerGroups[k];
                while (limit < 5) {
                    // Crawl up DOM until an H3 is available, up to 5 times, since there's no easy way to grab the H3 with classes or ids
                    if (tempElement.querySelector("h3")) {
                        refinerType = plugin.getElementText(tempElement.querySelector("h3"));
                        break;
                    }
                    else {
                        // Move up and increment
                        tempElement = tempElement.parentNode;
                        limit++;
                    }
                }
                // Get refiner option
                refinerText = plugin.getElementText(refinerGroups[k].querySelector("label.is-checked"));
                // Push if something is selected
                if (refinerText) refiners.push(refinerType + ":" + refinerText);
            }
            return refiners;
        };

        // Get the refiners for newer (spo) modern pages with the alternative elements
        var getModernRefinersNew = function (refiners, refinerGroups) {
            var refinerText = "";
            for (var j = 0; j < refinerGroups.length; j++) {
                // Get refiner type
                var refinerType = plugin.getElementText(refinerGroups[j].parentNode.querySelector("h3"));
                // Get refiner option
                refinerText = plugin.getElementText(refinerGroups[j].querySelector(".is-checked"));
                // Push if something is selected
                if (refinerText) refiners.push(refinerType + ":" + refinerText);
            }
            return refiners;
        };

        // Get the refiners for older (sp2019) modern pages
        var getModernRefinersOldest = function (refiners, refinerGroups) {
            var refinerText = "";
            var refinerType = "";
            // Refiners only appear for files, and use the 3rd drop down
            if (refinerGroups[2]) {
                var selected = refinerGroups[2].querySelector("li[class*='DelveSearchFilter-module__option___'][aria-checked='true']");
                if (selected) {
                    refinerType = "File type";
                    refinerText = plugin.getElementText(selected);
                }
            }
            // Push if something is selected
            if (refinerText) refiners.push(refinerType + ":" + refinerText);
            return refiners;
        };

        var refiners = [];
        if (!wt_sp_globals.modernView) {
            // Classic View
            refiners = getClassicRefiners(refiners, document.querySelectorAll("#Refinement .ms-ref-refiner"));
        }
        else {
            // Modern
            if (document.querySelector(".ms-searchux-refiners-panel .ms-ChoiceFieldGroup")) {
                // SPO Latest
                refiners = getModernRefinersNewest(refiners, document.querySelectorAll(".ms-searchux-refiners-panel .ms-ChoiceFieldGroup"));
            }
            else if (document.querySelector("[class^='RefinerPanel-module__refinerList']")) {
                // SPO Older style - may still be in place on some tenancies
                refiners = getModernRefinersNew(refiners, document.querySelectorAll("[class^='RefinerPanel-module__refinerList']"));
            }
            else if (document.querySelector("[class*='DelveSearchFilter-module__listboxContainer___']")) {
                // SP2019 style modern view
                refiners = getModernRefinersOldest(refiners, document.querySelectorAll("[class*='DelveSearchFilter-module__listboxContainer___']"));
            }
        }
        window.wt_sp_globals.currentSearchRefiners = refiners.join(";");
        return window.wt_sp_globals.currentSearchRefiners;
    };

    // Shared: get the search pagination page number
    WebTrendsSP_intra.prototype.getSearchPageNumber = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        var page = "";
        try {
            if (!wt_sp_globals.modernView) {
                page = plugin.getElementText(document.querySelector("a[id*='SelfLink_']")) || 1;
            }
            else {
                page = plugin.getElementText(document.querySelector("div[class*='Pagination-module__activePage'],nav ul li div[role='presentation']")) || 1;
            }
        }
        catch (err) {}
        window.wt_sp_globals.currentSearchPageNumber = page.toString();
        return page.toString();
    };

    // Shared: Set transition flags for seach scope change
    WebTrendsSP_intra.prototype.initializeSearch = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        if (plugin.storageAvailable("sessionStorage")) {
            var wtSearch = {};
            if (sessionStorage.wtSearch) {
                wtSearch = JSON.parse(window.sessionStorage.wtSearch);
                wtSearch.newSearch = true;
                wtSearch.pagination = false;
                wtSearch.refinement = false;
                wtSearch.scopeChange = false;
                window.sessionStorage.wtSearch = JSON.stringify(wtSearch);
                window.wt_sp_globals.searchNew = true;
                window.wt_sp_globals.searchPagination = false;
                window.wt_sp_globals.searchRefinement = false;
                window.wt_sp_globals.searchScopeChange = false;
            }
            else {
                wtSearch.newSearch = true;
                wtSearch.pagination = false;
                wtSearch.refinement = false;
                wtSearch.scopeChange = false;
                window.sessionStorage.wtSearch = JSON.stringify(wtSearch);
                window.wt_sp_globals.searchNew = true;
                window.wt_sp_globals.searchPagination = false;
                window.wt_sp_globals.searchRefinement = false;
                window.wt_sp_globals.searchScopeChange = false;
            }
        }
        else {
            window.wt_sp_globals.searchNew = true;
            window.wt_sp_globals.searchPagination = false;
            window.wt_sp_globals.searchRefinement = false;
            window.wt_sp_globals.searchScopeChange = false;
        }
    };

    // Shared: Set transition flags for search pagination
    WebTrendsSP_intra.prototype.setSearchPaginationFlag = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        if (plugin.storageAvailable("sessionStorage")) {
            var wtSearch = {};
            if (sessionStorage.wtSearch) {
                wtSearch = JSON.parse(window.sessionStorage.wtSearch);
                wtSearch.newSearch = false;
                wtSearch.pagination = true;
                wtSearch.refinement = false;
                wtSearch.scopeChange = false;
                window.sessionStorage.wtSearch = JSON.stringify(wtSearch);
                window.wt_sp_globals.searchNew = false;
                window.wt_sp_globals.searchPagination = true;
                window.wt_sp_globals.searchRefinement = false;
                window.wt_sp_globals.searchScopeChange = false;
            }
            else {
                wtSearch.newSearch = false;
                wtSearch.pagination = true;
                wtSearch.refinement = false;
                wtSearch.scopeChange = false;
                window.sessionStorage.wtSearch = JSON.stringify(wtSearch);
                window.wt_sp_globals.searchNew = false;
                window.wt_sp_globals.searchPagination = true;
                window.wt_sp_globals.searchRefinement = false;
                window.wt_sp_globals.searchScopeChange = false;
            }
        }
        else {
            window.wt_sp_globals.searchNew = false;
            window.wt_sp_globals.searchPagination = true;
            window.wt_sp_globals.searchRefinement = false;
            window.wt_sp_globals.searchScopeChange = false;
        }
    };

    // Shared: Set transition flags for seach scope change
    WebTrendsSP_intra.prototype.setSearchRefinementFlag = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        if (plugin.storageAvailable("sessionStorage")) {
            var wtSearch = {};
            if (sessionStorage.wtSearch) {
                wtSearch = JSON.parse(window.sessionStorage.wtSearch);
                wtSearch.newSearch = false;
                wtSearch.pagination = false;
                wtSearch.refinement = true;
                wtSearch.scopeChange = false;
                window.sessionStorage.wtSearch = JSON.stringify(wtSearch);
                window.wt_sp_globals.searchNew = false;
                window.wt_sp_globals.searchPagination = false;
                window.wt_sp_globals.searchRefinement = true;
                window.wt_sp_globals.searchScopeChange = false;
            }
            else {
                wtSearch.newSearch = false;
                wtSearch.pagination = false;
                wtSearch.refinement = true;
                wtSearch.scopeChange = false;
                window.sessionStorage.wtSearch = JSON.stringify(wtSearch);
                window.wt_sp_globals.searchNew = false;
                window.wt_sp_globals.searchPagination = false;
                window.wt_sp_globals.searchRefinement = true;
                window.wt_sp_globals.searchScopeChange = false;
            }
        }
        else {
            window.wt_sp_globals.searchNew = false;
            window.wt_sp_globals.searchPagination = false;
            window.wt_sp_globals.searchRefinement = true;
            window.wt_sp_globals.searchScopeChange = false;
        }
    };

    // Shared: Set transition flags for seach scope change
    WebTrendsSP_intra.prototype.setSearchScopeFlag = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        if (plugin.storageAvailable("sessionStorage")) {
            var wtSearch = {};
            if (sessionStorage.wtSearch) { 
                wtSearch = JSON.parse(window.sessionStorage.wtSearch);
                wtSearch.newSearch = false;
                wtSearch.pagination = false;
                wtSearch.refinement = false;
                wtSearch.scopeChange = true;
                window.sessionStorage.wtSearch = JSON.stringify(wtSearch);
                window.wt_sp_globals.searchNew = false;
                window.wt_sp_globals.searchPagination = false;
                window.wt_sp_globals.searchRefinement = false;
                window.wt_sp_globals.searchScopeChange = true;
            }
            else {
                wtSearch.newSearch = false;
                wtSearch.pagination = false;
                wtSearch.refinement = false;
                wtSearch.scopeChange = true;
                window.sessionStorage.wtSearch = JSON.stringify(wtSearch);
                window.wt_sp_globals.searchNew = false;
                window.wt_sp_globals.searchPagination = false;
                window.wt_sp_globals.searchRefinement = false;
                window.wt_sp_globals.searchScopeChange = true;
            }
        }
        else {
            window.wt_sp_globals.searchNew = false;
            window.wt_sp_globals.searchPagination = false;
            window.wt_sp_globals.searchRefinement = false;
            window.wt_sp_globals.searchScopeChange = true;
        }
    };

    // Shared: Determine if this is a search or pagination or refiner or scope change event
    WebTrendsSP_intra.prototype.getSearchState = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        var wtSearch;
        // Check sessionStorage for page refresh
        if (plugin.storageAvailable("sessionStorage") && window.sessionStorage.wtSearch) {
            // Get value
            wtSearch = JSON.parse(window.sessionStorage.wtSearch);

            // Set to true by addSelectors on appropriate links
            window.wt_sp_globals.searchNew = wtSearch.newSearch;
            window.wt_sp_globals.searchPagination = wtSearch.pagination;
            window.wt_sp_globals.searchRefinement = wtSearch.refinement;
            window.wt_sp_globals.searchScopeChange = wtSearch.scopeChange;

            // reset
            wtSearch.newSearch = true;
            wtSearch.pagination = false;
            wtSearch.refinement = false;
            wtSearch.scopeChange = false;
            window.sessionStorage.wtSearch = JSON.stringify(wtSearch);
        }
    };

    // Shared: get the position of the search result click
    WebTrendsSP_intra.prototype.getSearchResultClickPosition = function (element) {
        var plugin = window.wt_sp_globals.pluginObj;

        // Classic View uses clicktype=Result
        var getPositionClassic = function (element) {
            var position = "";
            // Get current result
            var result = element;
            if (!result.hasAttribute("clicktype")) {
                var parElem = plugin.getParentByClassNameExact(element, "ms-srch-item");
                if (parElem) result = parElem.querySelector("[clicktype='Result']");
            }
            // Get list of results
            var count = document.querySelectorAll(".ms-srch-item-link[clicktype='Result']");
            for (var i = 0; i < count.length; i++) {
                // Look for the matched element
                if (result === count[i]) {
                    position = i + 1;
                    break;
                }
            }
            return position;
        };

        // Modern View uses UL > LI and sometimes > Article elements
        var getPositionModern = function (element) {
            // Article = newer Modern View, LI = older SP2019
            var position = "";
            // Get current results
            var result = plugin.getParentByTagName(element, "ARTICLE") || plugin.getParentByTagName(element, "LI");
            // Get list of results
            var count = document.querySelectorAll("article").length > 0 ?
                document.querySelectorAll("article") :
                document.querySelectorAll("ul[data-searchpanelcontenttype='body'] > li,ul[data-suggestionpanelcontenttype='body'] > li");
            for (var j = 0; j < count.length; j++) {
                // Look for the matched element
                if (result === count[j]) {
                    position = j + 1;
                    break;
                }
            }
            return position;
        };

        var position = "";
        try {
            if (!wt_sp_globals.modernView) {
                // Classic View
                position = getPositionClassic(element);
            }
            else {
                // Modern View
                position = getPositionModern(element);
            }
        }
        catch (err) { }

        // Results per page can be off IF a user loads the last page of results as their first page - 
        // like they clicked a link somewhere leading to the last page of the results - Pretty unlikely
        var page = (parseInt(window.wt_sp_globals.currentSearchPageNumber) || 1); // Suggested items on modern home page - just set to page 1
        var perPage = (parseInt(window.wt_sp_globals.resultsPerPage) || (!wt_sp_globals.modernView ? 10 : 15)); // Suggested items on modern home page - just set to page 10
        return (position + ((page - 1) * perPage)).toString();
    };

    // Shared: get the original search term
    WebTrendsSP_intra.prototype.getOriginalSearchTerm = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        try {
            if (!wt_sp_globals.modernView) {
                // Classic View
                var refSearch = plugin.searchReferrerTest(document.referrer);
                if (!refSearch || !plugin.storageAvailable("sessionStorage") || !sessionStorage.wtSearch) {
                    // new search - non search referrer, or no referrer at all, or no hash, or additional search
                    if (window.location.pathname.toLowerCase().indexOf("/_layouts/15/start.aspx") >= 0) {
                        // MDS
                        var hash = window.location.hash.substring(1);
                        var subhash;
                        if (hash.indexOf("#k=") === -1 && hash.indexOf("#Default") === -1) {
                            // First Search
                            window.wt_sp_globals.originalSearchTerm = decodeURIComponent(plugin.getQueryParamValue("k", hash));
                        }
                        else {
                            // additional search or refinement
                            subhash = hash.substring(0, hash.indexOf("#"));
                            window.wt_sp_globals.originalSearchTerm = decodeURIComponent(plugin.getQueryParamValue("k", subhash));
                        }
                    }
                    else {
                        // Non MDS
                        window.wt_sp_globals.originalSearchTerm = decodeURIComponent(plugin.getQueryParamValue("k", window.location.search));
                    }
                }
                else {
                    // scope or refiner or pagination change - search referrer AND different than previous referrer
                    if (plugin.storageAvailable("sessionStorage")) {
                        window.wt_sp_globals.originalSearchTerm = JSON.parse(sessionStorage.wtSearch).initial;
                    }
                }
            }
            else {
                // Modern View
                // land on search page
                if (window.location.pathname.toLowerCase().indexOf("/_layouts/15/search.aspx") >= 0) {
                    if (!window.wt_sp_globals.originalSearchTerm) {
                        // Search term set
                        window.wt_sp_globals.originalSearchTerm = decodeURIComponent(plugin.getQueryParamValue("q", window.location.search));
                    }

                }
            }
        }
        catch (ex) { }
        return window.wt_sp_globals.originalSearchTerm;
    };

    // Shared: gets the type of search action
    WebTrendsSP_intra.prototype.getSearchAction = function () {
        if (window.wt_sp_globals.searchRefinement) return "Refinement";
        else if (window.wt_sp_globals.searchPagination) return "Pagination";
        else if (window.wt_sp_globals.searchScopeChange) return "Scope Change";
        else return "Search";
    };

    // Shared: get the search data
    WebTrendsSP_intra.prototype.getSearch = function (trackObject) {
        // Collect search results
        try {
            var plugin = window.wt_sp_globals.pluginObj;
            if (window.wt_sp_globals.currentSearchTerm !== "" && window.wt_sp_globals.currentSearchCount !== "") {
                if (plugin.cfg.legacySearch) {
                    trackObject.argsa.push(
                        "WT.oss", decodeURIComponent(window.wt_sp_globals.currentSearchTerm.toString()),
                        "WT.oss_r", window.wt_sp_globals.currentSearchCount.toString(),
                        "WT.oss_visits", "Visits With Search",
                        "WT.ti", "Search Results"                        
                    );
                }
                else {
                    plugin.getSearchState();
                    var original = decodeURIComponent(plugin.getOriginalSearchTerm());
                    trackObject.argsa.push(
                        "WT.oss", decodeURIComponent(window.wt_sp_globals.currentSearchTerm.toString()),
                        "WT.oss_r", window.wt_sp_globals.currentSearchCount.toString(),
                        "WT.oss_ref", plugin.getSearchRefiners(),
                        "WT.oss_action", plugin.getSearchAction(),
                        "WT.oss_pg", plugin.getSearchPageNumber().toString(),
                        "WT.oss_orig", original.toString(),
                        "WT.oss_count", plugin.getSearchCount(original).toString(),
                        "WT.oss_scope", plugin.getSearchScope(),
                        "WT.oss_visits", "Visits With Search",
                        "WT.ti", "Search Results"                        
                    );
                    plugin.initializeSearch();
                }

                window.wt_sp_globals.currentSearchTerm = "";
                window.wt_sp_globals.currentSearchCount = "";
            }
        }
        catch (ex) { }
    };

    // Shared: Convert text into English to correct some tracking issues
    WebTrendsSP_intra.prototype.translateLanguage = (function () {
        // Copy function definition
        if (wt_sp_globals.configs.plugins.splc) {
            var timeout = 50; // Wait up to 5 seconds for the function to be declared.
            var waitForPlugin = setInterval(function () {
                if (timeout <= 0) {
                    // Something went wrong with the plugin, just return text provided
                    clearInterval(waitForPlugin);
                    WebTrendsSP_intra.prototype.translateLanguage = function (text) {
                        return text;
                    };
                }
                else if (wt_sp_globals.translateLanguage) {
                    // Copy the function definition
                    clearInterval(waitForPlugin);
                    WebTrendsSP_intra.prototype.translateLanguage = wt_sp_globals.translateLanguage;
                }
                else {
                    // Decrement timer
                    timeout--;
                }
            }, 100);
        }
        else {
            // Return text provided
            return function (text) {
                return text;
            };
        }
    })();

    // Shared: Process Drop event to track Drag and Drop Uploads
    WebTrendsSP_intra.prototype.dropHandler = function (e) {
        var plugin = window.wt_sp_globals.pluginObj;
        var el = e.target || e.srcElement;
        try {
            // Get library info
            var res = {};
            var library = "";
            var rootFolder = "";
            var type = "";
            var docName = "";
            var par;
            var path = "";
            var items = e.dataTransfer.files;
            if (!window.wt_sp_globals.modernView) {
                // Classic View
                // Get info from CTX instance of the web part
                par = plugin.getParentByClassNameContains(el, "ms-webpart-chrome");
                var iid = par.querySelector("tr[iid]");
                var ctx = plugin.getCtxObject(iid);
                library = ctx.listUrlDir;
                // Check for sub folder path
                rootFolder = decodeURIComponent(ctx.rootFolder) || library;
                path = window.location.protocol + "//" + window.location.hostname + rootFolder + "/";

                // Users can upload more than one file at a time - You cannot upload a folder however
                for (var i = 0; i < items.length; i++) {
                    // Trigger hit for each item - ignore confirmation window if item already exists
                    // confirmation window for each item is too difficult to handle effectively
                    docName = items[i].name;
                    type = docName.substring(docName.lastIndexOf(".") + 1);
                    res = plugin.getURIArrFromHREF(path + docName);
                    Webtrends.multiTrack({
                        element: el,
                        event: e,
                        argsa: [
                            "DCS.dcssip", res.dcssip,
                            "DCS.dcsuri", res.dcsuri,
                            "DCS.dcsqry", res.dcsqry,
                            "DCS.dcsref", res.dcsref,
                            "WT.ti", docName,
                            "WT.dl", "SHP",
                            "WT.shp_doc", docName,
                            "WT.shp_doc_a", "Upload",
                            "WT.shp_doc_type", type,
                            "WT.shp_doc_lib", library,
                            "WT.shp_act_loc", "Drag and Drop"
                        ]
                    });
                }
            } else {
                // Modern View
                var folderA;
                var template = window.wt_sp_globals.spPageContextInfo.listBaseTemplate;
                if (template !== -1 && template !== 119) {
                    // Library Page
                    library = window.wt_sp_globals.spPageContextInfo.listUrl;

                    // Abort if not interacting with a document library
                    if (library.toLowerCase().indexOf("/lists/") >= 0) return;

                    // Library main page
                    if (!plugin.getQueryParamValue("id", window.location.search)) {
                        rootFolder = library;
                    }
                    else {
                    // Sub folder in library
                        rootFolder = plugin.getLibraryPathFromHrefModernView(window.location.href);
                    }
                    // Being dropped into a sub folder directly
                    par = plugin.getParentByClassNameContains(el, "ms-FocusZone,is-folder"); // Folder Row, or Folder Pinned Tile class
                    if (par &&
                        ((par.hasAttribute("aria-label") && par.getAttribute("aria-label").indexOf(" Folder,") >= 0) || // Row
                        par.className.indexOf("is-folder") >= 0)) { // Tile
                        folderA = par.querySelector("div.od-DetailsRow-cell--Name a.ms-Link") || par.querySelector("div.ItemTile-name");
                        if (folderA) {
                            rootFolder += "/" + plugin.getElementText(folderA);
                        }
                    }
                }
                else {
                    // Web part on home page
                    library = plugin.getSeeAllPath(el);

                    // Abort if not interacting with a document library
                    if (library.toLowerCase().indexOf("/lists/") >= 0) return;

                    rootFolder = library;
                    // Being dropped into a sub folder directly
                    par = plugin.getParentByClassNameContains(el, "ms-FocusZone,ms-Tile--isSelectable"); // Folder Row, or Folder Pinned Tile class
                    if (par &&
                        ((par.hasAttribute("aria-label") && par.getAttribute("aria-label").indexOf(" Folder,") >= 0) || // Row
                            par.querySelector(".ms-FolderCover-frame"))) { // Tile
                        folderA = par.querySelector("div.ms-DetailsRow-cell button[data-automationid='FieldRenderer-name']") || par.querySelector(".ms-Tile-name");
                        if (folderA) {
                            rootFolder += "/" + plugin.getElementText(folderA);
                        }
                    }
                }

                path = window.location.protocol + "//" + window.location.hostname + rootFolder + "/";

                // Users can upload more than one file at a time - You cannot upload a folder however
                for (var j = 0; j < items.length; j++) {
                    // Trigger hit for each item - ignore confirmation window if item already exists
                    // confirmation window for each item is too difficult to handle effectively
                    docName = items[j].name;
                    type = docName.substring(docName.lastIndexOf(".") + 1);
                    res = plugin.getURIArrFromHREF(path + docName);
                    Webtrends.multiTrack({
                        element: el,
                        event: e,
                        argsa: [
                            "DCS.dcssip", res.dcssip,
                            "DCS.dcsuri", res.dcsuri,
                            "DCS.dcsqry", res.dcsqry,
                            "DCS.dcsref", res.dcsref,
                            "WT.ti", docName,
                            "WT.dl", "SHP",
                            "WT.shp_doc", docName,
                            "WT.shp_doc_a", "Upload",
                            "WT.shp_doc_type", type,
                            "WT.shp_doc_lib", library,
                            "WT.shp_act_loc", "Drag and Drop"
                        ]
                    });
                }
            }            
        }
        catch (err) {
            return;
        }
    };

    /**************************CLASSIC VIEW**********************************/

    // Classic: Collect Breadcrumbs
    WebTrendsSP_intra.prototype.getBreadCrumbs = function (ids, trackObject) {
        try {
            var plugin = window.wt_sp_globals.pluginObj;
            var titleSpan = parent.document.getElementById(ids.breadid);
            var bcFinal = "";
            if (titleSpan) {
                var content = "";
                content = titleSpan.innerHTML;
                content = content.replace(/<\/?img[^>]*>/gi, ":");
                content = content.replace(/<\/?[^>]*>/gi, "");
                content = content.replace(/\s+/gi, " ").replace(/^\s+|\s+$/g, "");
                if (content.indexOf(":") === 0) content = content.substring(1, content.length);
                content = content.replace("&amp;", "&");
                bcFinal = content.replace(/^\s+|\s+$/g, "");
            }
            trackObject.argsa.push("WT.shp_bc", plugin.htmlEntityDecode(bcFinal)); // Replace HTML Entities prior to adding to argsa
        }
        catch (ex) {
        }
    };

    // Classic View: Deselects items that should not be selected
    // When there is more than one document/list library on a page, clicks to ... can leave unwanted items selected
    // in one of the libraries, causing getCurrentCheckedItemClassicView to report incorrectly
    WebTrendsSP_intra.prototype.deselectNonCurrentItems = function (element) {
        var count = 0;
        while (element.hasAttribute("iid") === false && count < 5 && element !== document) {
            element = element.parentNode;
            count++;
        }
        if (element.hasAttribute("iid")) {
            var selections = document.querySelectorAll("[class*=s4-itm-selected]");
            for (var i = 0; i < selections.length; i++) {
                var selectionCTX = selections[i].getAttribute("id").split(",")[0];
                var elementCTX = element.getAttribute("iid").split(",")[0];
                if (selectionCTX !== elementCTX) {
                    var element2 = selections[i];
                    selections[i].className = selections[i].className.replace("s4-itm-selected", "");
                    count = 0;
                    while (element2.nodeName !== "TABLE" && count < 5 && element2 !== document) {
                        element2 = element2.parentNode;
                        count++;
                    }
                    if (element2.getAttribute("id") === "onetidDoclibViewTbl0") {
                        if (CalloutManager.isAtLeastOneCalloutOpen()) {
                            CalloutManager.closeAll();
                        }
                    }
                }
            }
        }
    };

    // Classic View: Retreive information about currently selected items
    WebTrendsSP_intra.prototype.getCurrentCheckedItemClassicView = function (event) {
        var res = {};
        var selectedItemNames = [];
        var selectedItemURLs = [];
        var selectedItemTypes = [];
        var selectedLibraryTypes = [];
        var selectedLibraryNames = [];
        var selectedLibraryPaths = [];
        var itemIDs = this.getCurrentCheckedItemIDs(event);
        if (itemIDs.length > 0) {
            for (var i = 0; i < itemIDs.length; i++) {
                var ctx = this.getCtxObject(parent.document.getElementById(itemIDs[i]));
                if (ctx) {
                    selectedLibraryNames.push(ctx.ListTitle);
                    selectedLibraryPaths.push(decodeURIComponent(ctx.listUrlDir));
                    var ctxItem = this.getCtxItem(ctx, this.splitIIDByPosition(itemIDs[i], 1));
                    var urlPrefix = window.location.protocol + "//" + window.location.hostname;
                    if (ctx.listBaseType === 1) {
                        selectedLibraryTypes.push("Document Library");
                        selectedItemURLs.push(urlPrefix + ctxItem.FileRef);

                        var itemType = this.getSelectedDocType(ctxItem);
                        selectedItemTypes.push(itemType);

                        var itemName = ctxItem.FileLeafRef;
                        if (itemType === "Library Folder") {
                            var libraryTitle = ctx.ListTitle;
                            var rootDir = decodeURIComponent(ctx.listUrlDir);
                            var itemPath = decodeURIComponent(ctxItem.FileRef);
                            var path = libraryTitle + (itemPath.replace(rootDir, ""));
                            itemName = path;
                        }

                        selectedItemNames.push(itemName);
                    }
                    else if (ctx.listBaseType === 0) {
                        selectedLibraryTypes.push("List Library");
                        selectedItemURLs.push(this.createListItemURLClassicView(ctxItem));
                        if (ctxItem.URL) {
                            selectedItemNames.push(ctxItem["URL.desc"]);
                        }
                        else {
                            selectedItemNames.push(ctxItem.Title || ctxItem.FileLeafRef);
                        }
                        selectedItemTypes.push("");
                    }
                }
            }

            res.found = true;
        }
        else {
            var parElem = document.querySelector("table.ms-listviewtable");
            if (parElem) {
                var numElem = document.querySelector("[ctxnum]");
                if (numElem) {
                    var num = numElem.getAttribute("ctxnum");
                    var name = "ctx" + num;
                    var library = window[name];
                    if (library) {
                        selectedItemURLs.push("");
                        selectedItemNames.push("");
                        selectedItemTypes.push("");
                        selectedLibraryNames.push(library.ListTitle);
                        selectedLibraryPaths.push(decodeURIComponent(library.listUrlDir));
                        selectedLibraryTypes.push(library.listBaseType === 0 ? "List Library" : (library.listBaseType === 1 ? "Document Library" : "Unknown Library"));
                    }
                }
            }

            res.found = false;
        }

        res.selectedItemURLs = selectedItemURLs;
        res.selectedItemNames = selectedItemNames;
        res.selectedItemTypes = selectedItemTypes;
        res.selectedLibraryTypes = selectedLibraryTypes;
        res.selectedLibraryNames = selectedLibraryNames;
        res.selectedLibraryPaths = selectedLibraryPaths;

        // store current item data into parent window
        this.storeItemsInParent(res);

        return res;
    };

    // Classic View: Retrieve ids of currently selected items
    WebTrendsSP_intra.prototype.getCurrentCheckedItemIDs = function (event) {
        var itemsArr = [];
        var ID = "";
        var par = {};

        // Picture Library selected item for hover card
        var hover = parent.document.querySelector("div.js-callout-mainElement[style*='display: block;']");
        if (hover) {
            par = this.getParentByClassNameExact(hover, "ms-tileview-tile-inner");
            if (par && par.hasAttribute("iid")) {
                ID = par.getAttribute("iid");
                if (ID !== "") itemsArr.push(ID);
            }
        }

        if (itemsArr.length === 0) {
            // Document, List, and Picture Library selected items (for multi items)
            var elements = parent.document.querySelectorAll("tr.s4-itm-selected,div.ms-tileview-tile-selected");
            if (elements.length > 0) {
                for (var i = 0; i < elements.length; i++) {
                    var elem = elements[i];
                    if (elem.hasAttribute("iid")) {
                        ID = elem.getAttribute("iid");
                        if (ID !== "") itemsArr.push(ID);
                    }
                }
            }
        }

        // Share action from hover card: still can't find the selected item, try to find it by item name
        if (itemsArr.length === 0 && event) {
            var btnShare = event.target || event.srcElement;
            if (btnShare && btnShare.hasAttribute("id") && btnShare.getAttribute("id").toLowerCase().indexOf("btnshare") >= 0) {
                var shareTitle = parent.document.querySelector("h1.ms-dlgTitleText.ms-accentText.ms-dlg-heading");
                if (shareTitle) {
                    var itemName = this.getElementText(shareTitle);
                    if (itemName) {
                        itemName = itemName.substring(itemName.indexOf("'") + 1, itemName.lastIndexOf("'"));
                        var imgEle = parent.document.querySelector("img[alt*='" + itemName + "']");
                        if (imgEle) {
                            par = this.getParentByClassNameExact(imgEle, "ms-tileview-tile-inner");
                            if (par && par.hasAttribute("iid")) {
                                ID = par.getAttribute("iid");
                                if (ID !== "") itemsArr.push(ID);
                            }
                        }
                    }
                }
            }
        }

        return itemsArr;
    };

    // Classic View: Retrieve iid from element to get ctx number and id
    WebTrendsSP_intra.prototype.getIIDFromElem = function (element) {
        var IID = null;
        var IIDCount = 0;
        while (element.parentNode !== document && IIDCount < 10 && element.hasAttribute && element.hasAttribute("iid") === false) {
            element = element.parentNode;
            IIDCount++;
        }
        if (element.hasAttribute && element.hasAttribute("iid") === true) {
            IID = element.getAttribute("iid");
        }
        return IID;
    };

    // Classic View: Get iid values by their position
    WebTrendsSP_intra.prototype.splitIIDByPosition = function (iid, position) {
        var val = "";
        if (iid !== null) {
            var iidArr = iid.split(",");
            if (position < iidArr.length) {
                val = iidArr[position];
            }
        }
        return val;
    };

    // Classic View: Retrieve ctx object of an item from an element
    WebTrendsSP_intra.prototype.getCtxObject = function (element) {
        var ctx = false;
        var iid = this.getIIDFromElem(element);
        if (iid !== null) {
            var ctxID = "ctx" + this.splitIIDByPosition(iid, 0);
            ctx = parent[ctxID];
        }
        return ctx;
    };

    // Classic View: Retrieve id of an item from an element
    WebTrendsSP_intra.prototype.getCtxItemID = function (element) {
        var ID = "";
        var iid = this.getIIDFromElem(element);
        if (iid !== null) {
            ID = this.splitIIDByPosition(iid, 1);
        }
        return ID;
    };

    // Classic View: Retrieve individual item data object from ctx object
    WebTrendsSP_intra.prototype.getCtxItem = function (ctx, elID) {
        var ctxItem = {};
        var ctxRow = ctx.ListData.Row;
        for (var i = 0; i < ctxRow.length; i++) {
            if (ctxRow[i].ID === elID) {
                ctxItem = ctxRow[i];
                break;
            }
        }
        return ctxItem;
    };

    // Classic View: Get the type of library from the element's ctx object
    WebTrendsSP_intra.prototype.getCtxLibraryType = function (element) {
        var type = false;
        var ctx = this.getCtxObject(element);
        if (ctx) {
            if (ctx.ListSchema.IsDocLib === "1") {
                type = "document";
            }
            else {
                type = "list";
            }
        }
        return type;
    };

    // Classic View: Retrieve selected item's file type
    WebTrendsSP_intra.prototype.getSelectedDocType = function (ctxItem) {
        var selectedType = "";
        if (ctxItem.File_x0020_Type !== "") {
            selectedType = ctxItem.File_x0020_Type;
        }
        else if (ctxItem.HTML_x0020_File_x0020_Type === "OneNote.Notebook") {
            selectedType = "one";
        }
        else {
            selectedType = "Library Folder";
        }
        return selectedType;
    };

    // Classic View: Create the proper destination URL for selected list items
    WebTrendsSP_intra.prototype.createListItemURLClassicView = function (ctxItem) {
        var uri = encodeURI(ctxItem.FileRef.substring(0, ctxItem.FileRef.lastIndexOf("/") + 1));
        var ID = "ID=" + ctxItem.ID;
        var ContentTypeId = ctxItem.ContentTypeId ? "ContentTypeId=" + ctxItem.ContentTypeId : "";
        var Source = "Source=" + encodeURIComponent(window.location.href);
        var newURL = window.location.protocol + "//" + window.location.hostname + uri + "DispForm.aspx?" + ID + "&" + Source + (ContentTypeId ? "&" + ContentTypeId : "");
        return newURL;
    };

    // Classic View: Get document library path from element
    WebTrendsSP_intra.prototype.getDocumentLibraryPath = function (element) {
        while (element.parentNode !== document && element.hasAttribute("webpartid") === false) {
            element = element.parentNode;
        }
        var ctxArr = element.querySelectorAll("[iid]");
        if (ctxArr.length > 0) {
            var ctx = this.getCtxObject(ctxArr[0]);
            if (ctx) {
                return ctx.listUrlDir;
            }
        }
        return "";
    };

    // Classic View: Initiates the search for the Search results Data Provider element
    WebTrendsSP_intra.prototype.addSearchResultListenerClassicView = function () {
        var plugin = wt_sp_globals.pluginObj;
        plugin.waitForElement(plugin.ids.searchBox, 5000, function (elem) {
            var pv = true;

            try {
                //if Search box not found
                if (!elem) {
                    window.wt_sp_globals.isSearchPage = false;
                    plugin.waitForREST();
                    return;
                }

                var searchTerm = "";
                var resultCount = "";
                var dataProvider;
                window.wt_sp_globals.currentSearchTerm = "";
                window.wt_sp_globals.currentSearchCount = "";
                window.wt_sp_globals.resultsPerPage = 10;
                if (typeof window.wt_sp_globals.lastSearchTerm === "undefined") {
                    window.wt_sp_globals.lastSearchTerm = "";
                }

                // Get control of dataProvider
                dataProvider = $getClientControl(elem) || Srch.U.getClientComponent(elem);

                if (plugin.objectExists(dataProvider)) {
                    // If dataProvider.add_resultReady callback has already run.
                    if (dataProvider.hasOwnProperty("$8_3") || dataProvider.hasOwnProperty("$9_3")) {
                        // Get meta data for documents in search results
                        plugin.documentMetadataWaitForHover();

                        searchTerm = dataProvider.get_currentQueryState().k;
                        resultCount = dataProvider.get_totalRows().toString();
                        window.wt_sp_globals.resultsPerPage = dataProvider.get_resultsPerPage();
                        window.wt_sp_globals.lastSearchTerm = searchTerm;
                        window.wt_sp_globals.currentSearchTerm = searchTerm;
                        window.wt_sp_globals.currentSearchCount = resultCount;
                        pv = false;
                        plugin.waitForREST();
                    }
                    // Callback function for when results are ready
                    dataProvider.add_resultReady(function (dataProvider) {
                        // Get meta data for documents in search results
                        plugin.documentMetadataWaitForHover();

                        searchTerm = dataProvider.get_currentQueryState().k;
                        resultCount = dataProvider.get_totalRows().toString();
                        window.wt_sp_globals.resultsPerPage = dataProvider.get_resultsPerPage();
                        window.wt_sp_globals.currentSearchTerm = searchTerm;
                        window.wt_sp_globals.currentSearchCount = resultCount;

                        if (pv === true) {
                             // If last search term doesn't exist, this is a fresh page load, and the results weren't ready when we loaded
                            window.wt_sp_globals.lastSearchTerm = searchTerm;
                            pv = false;
                            plugin.waitForREST();
                        }

                        else if (window.wt_sp_globals.lastSearchTerm !== searchTerm) {
                            // If current search term is different than last, a new search was perfomed on same page
                            window.wt_sp_globals.lastSearchTerm = searchTerm;
                            // Fire tag manually because this isn't a page load
                            dcs.track({
                                finish: function (dcsObject, multiTrackObject) {
                                    plugin.finishCleanup(dcsObject, multiTrackObject);
                                }
                            });
                        }
                        else if (!plugin.cfg.legacySearch) {
                            // a refiner was added/removed, a pagination link was clicked, or a page refresh has occurred
                            dcs.track({
                                finish: function (dcsObject, multiTrackObject) {
                                    plugin.finishCleanup(dcsObject, multiTrackObject);
                                }
                            });
                        }
                    });
                }
                else {
                    // We failed to get the DataProvider
                    window.wt_sp_globals.lastSearchTerm = "Collection of Search Results Failed";
                    window.wt_sp_globals.currentSearchTerm = "Collection of Search Results Failed";
                    window.wt_sp_globals.currentSearchCount = "0";
                    pv = false;
                    plugin.waitForREST();
                }
            }
            catch (ex) {
                window.wt_sp_globals.lastSearchTerm = "Collection of Search Results Failed";
                window.wt_sp_globals.currentSearchTerm = "Collection of Search Results Failed";
                window.wt_sp_globals.currentSearchCount = "0";
                pv = false;
                plugin.waitForREST();
            }
        });
    };

    // Classic View: Check if we should bind to the library
    WebTrendsSP_intra.prototype.getAllowBinding = function (type) {
        var allow = false;
        var config = window.wt_sp_globals.pluginObj.cfg;
        if (type === "list" && config.list) {
            allow = true;
        }
        if (type === "document" && config.documentMenuClick) {
            allow = true;
        }
        return allow;
    };

    // Classic View: Get desired function to bind to library links
    WebTrendsSP_intra.prototype.getLibraryFunction = function (type) {
        var func = null;
        if (type === "list") {
            func = this.onClickBoundListLink;
        }
        else if (type === "document") {
            func = this.onClickBoundDocumentLink;
        }
        return func;
    };

    // Classic View: Get data for documents on page and store in object
    WebTrendsSP_intra.prototype.documentMetadataBuildDBClassicView = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        var ctxInstances = [];
        wt_sp_globals.documentMetadata = wt_sp_globals.documentMetadata || {};

        // Iterate through each document library on the page
        // TODO: how high should I count to find ctx instances?  I've never seen one higher than 100
        for (var i = 0; i < 101; i++) {
            if (window["ctx" + i] && window["ctx" + i].listBaseType === 1) {
                ctxInstances.push(window["ctx" + i]);
            }
        }

        // Copy data from the document library instance into global object
        for (var j = 0; j < ctxInstances.length; j++) {
            var items = ctxInstances[j].ListData.Row;
            plugin.documentMetadataDBAssign(items);
        }
    };

    // Modern View: Get data for documents on page and store in object
    WebTrendsSP_intra.prototype.documentMetadataBuildDBModernView = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        wt_sp_globals.documentMetadata = wt_sp_globals.documentMetadata || {};

        // Copy data from the document library instance into global object
        if (plugin.objectExists(window, "wt_sp_globals.g_listData.ListData.Row")) {
            if (wt_sp_globals.g_listData.listBaseType === 1) {
                var items = wt_sp_globals.g_listData.ListData.Row;
                plugin.documentMetadataDBAssign(items);
            }
        }
    };

    // Modern View: Add items to the DB
    WebTrendsSP_intra.prototype.documentMetadataDBAssign = function (items) {
        var plugin = window.wt_sp_globals.pluginObj;
        for (var i = 0; i < items.length; i++) {
            if (!wt_sp_globals.documentMetadata[items[i].FileRef.toLowerCase()]) {
                // Item doesn't exist
                wt_sp_globals.documentMetadata[items[i].FileRef.toLowerCase()] = items[i];
            }
            else {
                // Item exists, merge data
                Object.assign(wt_sp_globals.documentMetadata[items[i].FileRef.toLowerCase()], items[i]);
            }
        }
        // Store successfully updated items to avoid unnecessary calls for the same documents
        if (plugin.storageAvailable("sessionStorage")) {
            sessionStorage.setItem("wtDocumentMetadata", JSON.stringify(wt_sp_globals.documentMetadata));
        }
    };
    
    // Shared: Collect additional meta data for the document via API
    WebTrendsSP_intra.prototype.documentMetadataGetFromREST = function (e, el) {
        // Bound on hover to all <a> links and .ms-srch-item links for search results
        try {
            if (!e) return false;

            var plugin = window.wt_sp_globals.pluginObj;

            // Get the proper element - el = manually set for shift clicking document rows
            var element = el || e.currentTarget || e.target || e.srcElement; // e.currentTarget added to attachEvent

            // Abort API calls on elements that are already being processed
            if (element.wtInProgress)
                return false;

            // Block duplicate API calls while processing
            element.wtInProgress = true;

            // Check if this is a link in a classic document library
            var ctx = plugin.getCtxObject(element);
            if (ctx) {
                // Get meta data using the ctx object
                plugin.documentMetadataGetFromRESTCtx(element, ctx);
            }
            else {
                // Get meta data using the element
                plugin.documentMetadataGetFromRESTGeneric(element);
            }
        }
        catch (err) {
        }
    };

    // Classic: Get meta data from ctx object
    WebTrendsSP_intra.prototype.documentMetadataGetFromRESTCtx = function (element, ctx) {
        var plugin = window.wt_sp_globals.pluginObj;

        // Library/Web part links
        var id = plugin.getCtxItemID(element);
        var ctxItem = plugin.getCtxItem(ctx, id);
        var item = ctxItem;

        // Abort if we can't get the item
        if (!item) return false;

        var fileRef = item.FileRef.toLowerCase();

        // Abort unnecessary calls for items already updated
        if (wt_sp_globals.documentMetadata[fileRef] && wt_sp_globals.documentMetadata[fileRef].wtUpdated) return false;

        // Abort unnecesssary calls for items if we already have access to the custom fields
        if (plugin.documentMetadataVerify(item)) return false;

        // Files
        var endpoint = "/_api/Web/GetFileByServerRelativeUrl('" + fileRef.replace(/'/g, "''") + "')/ListItemAllFields/FieldValuesAsText/";
        // Folders
        if (item.FSObjType === "1") {
            endpoint = "/_api/Web/GetFolderByServerRelativeUrl('" + fileRef.replace(/'/g, "''") + "')/ListItemAllFields/FieldValuesAsText/";
        }
        var request = {
            url: (window.wt_sp_globals.spPageContextInfo.webAbsoluteUrl || window.wt_sp_globals.spPageContextInfo.siteAbsoluteUrl) + endpoint,
            success: function (data) {
                plugin.documentMetadataUpdateDB(data, fileRef);
            },
            error: function (err) {
                // Ignore updating this link in the future
                wt_sp_globals.documentMetadata[fileRef] = wt_sp_globals.documentMetadata[fileRef] || {};
                wt_sp_globals.documentMetadata[fileRef].wtUpdated = true;
            },
            complete: function (data) {
                // Remove block
                delete element.wtInProgress;
            }
        };
        plugin.wtAjax(request, true);
    };

    // Shared: get meta data from generic links
    WebTrendsSP_intra.prototype.documentMetadataGetFromRESTGeneric = function (element) {
        var plugin = window.wt_sp_globals.pluginObj;

        // Create or Replace the href on the Classic search element, and replace the original global element
        var createHref = function (altElement) {
            element = {
                href: altElement.title || false
            };
        };

        // Get an alternative path for classic sites
        var getAltPathClassic = function (element) {
            var newPath;

            // Classic sites only
            if (!wt_sp_globals.modernView) {
                // Search results bound to div.ms - srch - item, not < a > links
                if (element.tagName !== "A" && element.className && element.className.indexOf("ms-srch-item") >= 0) {

                    // Find the result path for a better URL for DCS.dcsxxx parameters
                    var altElement = element.querySelector(".ms-srch-item-path");

                    // Search results with long URLs place ... in between the site collection root and rest of the folders we can use
                    if (altElement) {
                        // Get text and trim at index of /...
                        newPath = plugin.getElementText(altElement.childNodes[0]);
                        // Trim off any text after the /... for long urls
                        newPath = window.location.protocol + "//" + newPath.substring(0, newPath.indexOf("/...") > 0 ? newPath.indexOf("/...") : newPath.length);

                        // View Library path may be better sometimes
                        var srchLib;
                        var library = element.querySelector("div.ms-srch-hover-action a[id*='_item_hoverParentLink']");
                        if (library) {
                            // Get "View Library" path from hover card for documents
                            srchLib = library.getAttribute("href");

                            // Check if the library path is desired
                            var trimmedLib = plugin.getSiteCollectionRootFromHREF(srchLib);
                            if (trimmedLib.length < srchLib.length) {
                                // If getSiteCollectionRootFromHREF modifies the url, it found a good path and we should use it.
                                newPath = trimmedLib;
                            }
                            else if (srchLib.length < newPath.length) {
                                // getSiteCollectionRootFromHREF didn't detect a better URL
                                // If the srchLib length is longer than new path, it probably includes unwanted folders. Only use if shorter.
                                newPath = srchLib;
                            }

                            // If the altPath is too long it won't include the site collection information at all and will trim to:
                            //  domain
                            //  domain/teams
                            //  domain/sites
                            var regex = new RegExp("(" + window.location.hostname + "|" + "/sites" + "|" + "/teams" + ")$", "i");
                            if (regex.test(newPath)) {
                                // Use srchLib
                                newPath = srchLib;
                            }
                        }

                        // Create a fake href on global element using the title property of the alt element
                        createHref(altElement);
                    }
                }
                else if (element.tagName === "A") {
                    // Get alternative value for URLs with obvious site collection roots we can extract
                    var href = element.getAttribute("href");
                    var altHref = plugin.getSiteCollectionRootFromHREF(href);
                    var cleanHref = decodeURIComponent(plugin.convertAsciiToChar(href)).toLowerCase();
                    // If they aren't the same, then getSiteCollectionRootFromHREF returned a modified value we should use
                    if (cleanHref !== altHref) {
                        newPath = altHref;
                    }
                }
            }

            return newPath;
        };

        // Get an alternative path for Modern search results
        var getAltPathModern = function (href, currentPath) {
            var newPath = currentPath;

            // Modern search results - searching all sites may result in an incorrect prefix
            if (wt_sp_globals.modernView) {
                if (plugin.spVersion === plugin.constants.SP2019) {

                    // Get the first <ul> filter box, which is the main search scope 
                    var scopeEls = document.querySelector("ul[class*='DelveSearchFilter-module__listbox___'");
                    if (scopeEls) {
                        // Get the selected option from the filter box
                        var scopeEl = scopeEls.querySelector("li[aria-checked='true']");
                        // Check if the "All sites" option is selected
                        if ((scopeEls.childNodes[0] && scopeEl) && (scopeEls.childNodes[0] === scopeEl)) {
                            // We're on the global "All sites" filter option - try get a better prefix
                            if ((/\/(sites|teams)\//).test(href)) {
                                // Modern pages are usually in root site collections, so just keep the first directory after sites|teams
                                newPath = href.replace(/(\/(sites|teams)\/[^\/]+\/)(.*)/, "$1");
                            }
                            else {
                                // Probably a root domain site
                                newPath = window.location.protocol + "//" + window.location.hostname + "/";
                            }
                        }
                    }
                }
                else { 
                    // This is a modern search result
                    var filterEls = document.querySelector("div[class*='SPSearchUX-module__searchFiltersContainer___']");
                    if (filterEls && element.href) {
                        // Most documents will have a identifiable URL that getSiteCollectionRootFromHREF can extract
                        newPath = plugin.getSiteCollectionRootFromHREF(decodeURIComponent(element.href));
                    }
                }
            }            

            return newPath;
        };

        // Classic search results - path of triggering element may not be the real URL to the item, replace with alternative as needed.
        var altPath = getAltPathClassic(element);

        // Abort if we can't find an href on the element, or it's clearly not something we can get meta data for
        var href = (element.fakeHref || element.href);
        if (!href || href.indexOf("javascript:") === 0 || href.indexOf("mailto:") === 0)
            return false;

        // Decode special characters
        href = decodeURIComponent(href).toLowerCase().replace(/\s+/g, " ");

        // Replace ASCII Characters
        href = plugin.convertAsciiToChar(href);

        // Modern search results - searching all sites may result in an incorrect prefix, replace with alternative path as needed
        altPath = getAltPathModern(href, altPath);

        // Get URL object from current href
        var url = plugin.getURIArrFromHREF(href);

        // Check if this item is a document
        var doc = plugin.isDoc(url, plugin.types);

        // Abort on non-documents
        if (!doc.check)
            return false;

        // TODO: Consider if customers need to track ".url" items in modern libraries
        // We can allow clicks to a.ms-Link elements through, but the endpoint is bad because the item is a url and not a document really
        // Would need to call the API using a GUID of the item perhaps - could use g_listData on library pages, but that won't work on web parts

        // Get API Endpoint and Key from URL object
        var res = plugin.documentMetadataGetKey(url);
        var endpoint = res.endpoint;
        var key = res.key;

        // Abort unnecessary API calls for items that have already been updated
        if (wt_sp_globals.documentMetadata[key] && wt_sp_globals.documentMetadata[key].wtUpdated) return false;

        // Get the best Prefix for the API endpoint
        // Default to same site collection
        var prefix = window.wt_sp_globals.spPageContextInfo.siteAbsoluteUrl;

        // Search results  - Use the alt path instead if it exists
        if (altPath) {
            prefix = plugin.getSiteCollectionRootFromHREF(altPath);
        }

        // Clean up prefix as best we can, and remove any trailing slashes
        prefix = prefix.replace(/\/$/, "");

        // Make the API request
        var request = {
            url: prefix + endpoint,
            success: function (data) {
                plugin.documentMetadataUpdateDB(data, key);
            },
            error: function (err) {
                // Ignore updating this link in the future
                wt_sp_globals.documentMetadata[key] = wt_sp_globals.documentMetadata[key] || {};
                wt_sp_globals.documentMetadata[key].wtUpdated = true;
            },
            complete: function (data) {
                // Remove block
                delete element.wtInProgress;
            }
        };
        plugin.wtAjax(request, true);
    };

    // Shared: Get a property name/key and endpoint from the online viewer urls
    WebTrendsSP_intra.prototype.documentMetadataGetKey = function (url) {
        var plugin = window.wt_sp_globals.pluginObj;
        var href = url.dcssip + url.dcsuri + url.dcshash + url.dcsqry;
        // Initialize default values
        var result = {
            key: decodeURIComponent(url.dcsuri).toLowerCase(),
            endpoint: "/_api/Web/GetFileByServerRelativeUrl('" + url.dcsuri.replace(/'/g, "''") + "')/ListItemAllFields/FieldValuesAsText"
        };
        var uriLow = url.dcsuri.toLowerCase();
        if (uriLow.indexOf("/wopiframe.aspx") >= 0) {
            // Get the ID
            result.key = decodeURIComponent(plugin.getQueryParamValue("sourcedoc", url.dcsqry)).toLowerCase();
            result.endpoint = "/_api/Web/GetFileByID('" + result.key.replace(/'/g, "''") + "')/ListItemAllFields/FieldValuesAsText";
        }
        else if (uriLow.indexOf("/doc.aspx") >= 0) {
            // Get the ID
            result.key = decodeURIComponent(plugin.getQueryParamValue("sourcedoc", url.dcsqry)).toLowerCase();
            result.endpoint = "/_api/Web/GetFileByID('" + result.key.replace(/'/g, "''") + "')/ListItemAllFields/FieldValuesAsText";
        }
        else if (uriLow.indexOf("/xlviewer.aspx") >= 0) {
            // Get the ID URL
            var id = decodeURIComponent(plugin.getQueryParamValue("id", url.dcsqry).replace(/\+/g, " "));
            result.key = decodeURIComponent(plugin.getURIArrFromHREF(id).dcsuri).toLowerCase();
            result.endpoint = "/_api/Web/GetFileByServerRelativeUrl('" + result.key.replace(/'/g, "''") + "')/ListItemAllFields/FieldValuesAsText";
        }
        else if (wt_sp_globals.modernView && (/(\?|#|&)id=/g).test(href)) {
            var path = plugin.getLibraryPathFromHrefModernView(href);
            result.key = decodeURIComponent(path.toLowerCase());
            result.endpoint = "/_api/Web/GetFileByServerRelativeUrl('" + result.key.replace(/'/g, "''") + "')/ListItemAllFields/FieldValuesAsText";
        }
        return result;
    };

    // Shared: Update meta data success function
    WebTrendsSP_intra.prototype.documentMetadataUpdateDB = function (data, key) {
        var plugin = window.wt_sp_globals.pluginObj;

        // Add metadata to the existing data
        var addMetaData = function () {
            var item = data.d;
            if (!wt_sp_globals.documentMetadata[_key]) {
                wt_sp_globals.documentMetadata[_key] = item;
            }
            else {
                // Update the metadata, keeping the ctx data is a primary source
                for (var prop in item) {
                    if (item.hasOwnProperty(prop) && !wt_sp_globals.documentMetadata[_key].hasOwnProperty(prop)) {
                        // TODO: Alter this to store per ctx instance?
                        wt_sp_globals.documentMetadata[_key][prop] = item[prop];
                    }
                }
            }
        };

        // Copy meta data between two properties that are actually the same item
        var copyMetaData = function () {
            // Check if the new document using a GUID is actually the same as another using a URL
            if (_key.indexOf("{") === 0 && _key.lastIndexOf("}") === _key.length - 1) {
                // key is GUID based
                for (var document in wt_sp_globals.documentMetadata) {
                    // Iterate through internal objects
                    if (wt_sp_globals.documentMetadata.hasOwnProperty(document)) {
                        // Get UniqueId of URL based object
                        var id = wt_sp_globals.documentMetadata[document].UniqueId;
                        // Compare the UniqueId to the new object's key 
                        if (id && id.toLowerCase() === _key) {
                            // Found an existing item that uses the URL as the property name or the same item - Skip if self
                            if (wt_sp_globals.documentMetadata[_key] !== wt_sp_globals.documentMetadata[document]) {
                                // Merge the contents of the URL based into the GUID based object for parity
                                Object.assign(wt_sp_globals.documentMetadata[_key], wt_sp_globals.documentMetadata[document]);
                                // Reverse merge for parity
                                Object.assign(wt_sp_globals.documentMetadata[document], wt_sp_globals.documentMetadata[_key]);
                            }
                        }
                    }
                }
            }
        };

        // Create object if missing entirely for some reason
        wt_sp_globals.documentMetadata = wt_sp_globals.documentMetadata || {};

        // Convert keys to lowercase and trim for comparisons
        var _key = decodeURIComponent(key).toLowerCase().replace(/^\s+|\s+$/g, "").replace(/\s+/g, " ");

        // Add metadata to the existing data
        addMetaData();

        // Copy meta data between two keys
        copyMetaData();

        // Abort unnecessary calls for items that have already been updated
        wt_sp_globals.documentMetadata[_key].wtUpdated = true;

        // Store successfully updated items to avoid unnecessary calls for the same documents
        if (plugin.storageAvailable("sessionStorage")) {
            sessionStorage.setItem("wtDocumentMetadata", JSON.stringify(wt_sp_globals.documentMetadata));
        }
    };

    // Shared: Collect additional meta data and return the custom properties
    WebTrendsSP_intra.prototype.documentMetadataGetFromDB = function (url) {
        var plugin = wt_sp_globals.pluginObj;

        // List of parameters to return
        var params = [];

        // Add the properties and values to the parameter list
        var addProperties = function () {
            // Iterate through all desired properties to compare
            for (var i = 0; i < desiredProps.length; i++) {
                // Keep track if this property has been found to verify if we need to empty it manually later
                var found = false;
                // Create the parameter name
                var param = "WT.shp_doc_" + desiredProps[i];
                // Iterate through all properties looking for a match
                for (var prop in availableProps) {
                    // Check if this property has data to use
                    if (availableProps.hasOwnProperty(prop) && availableProps[prop] !== null && availableProps[prop] !== "") {
                        // Clean up the availableProps name before comparing to the users already "cleaned" list to better ensure match
                        var currentProp = prop.replace(/_x0020/g, "").toLowerCase();
                        // Match found
                        if (currentProp === desiredProps[i]) {
                            found = true;
                            // Set parameter value
                            if (availableProps[prop + ".value"]) {
                                // This is a boolean or Yes No option
                                params.push(param, Boolean(parseInt(availableProps[prop + ".value"])).toString());
                            }
                            else if (typeof availableProps[prop] === "object") {
                                // Object - just stringify
                                params.push(param, JSON.stringify(availableProps[prop]));
                            }
                            else {
                                // This is a string or a number
                                params.push(param, plugin.convertAsciiToChar(decodeURIComponent(availableProps[prop].toString())));
                            }
                            break;
                        }
                    }
                }
                // Property wasn't found for this item
                if (!found) {
                    // Parameters from other document interactions can stick and appear in hits for items that we don't have data for
                    // Set to empty string to be removed by tag
                    params.push(param, "");
                }
            }
        };

        // Remove stuck parameters from the current hit to avoid data pollution
        var removeProperties = function () {
            // Parameters from other document interactions can stick and appear in hits for items that we don't actually have data for
            for (var i = 0; i < desiredProps.length; i++) {
                // Create parameter name
                var param = "WT.shp_doc_" + desiredProps[i];
                // Set to empty string to be removed by tag
                params.push(param, "");
            }
        };

        // Verify user wants document metadata and has defined properties to look for
        if (plugin.cfg.documentMetadata && plugin.cfg.documentMetadataFields) {
            // Get a list of all the properties that the user wants to send data for
            var desiredProps = plugin.cfg.documentMetadataFields.split(",");

            // Get a list of all the properties for the item that we currently have
            var availableProps = wt_sp_globals.documentMetadata[decodeURIComponent(url).toLowerCase().replace(/^\s+|\s+$/g, "").replace(/\s+/g, " ")];

            // Ensure we actually have data for this item
            if (availableProps) {
                // Add the data to the params array
                addProperties();
            }
            else {
                // Add empty strings to the params array
                removeProperties();
            }
        }

        return params;
    };

    // Shared: Check if the desired library fields are already found in wt_sp_globals.documentMetadata[item]
    WebTrendsSP_intra.prototype.documentMetadataVerify = function (item) {
        var plugin = window.wt_sp_globals.pluginObj;
        // Split list of fields and check if they're in the ctx instance we already copied
        var fields = plugin.cfg.documentMetadataFields.split(",");
        var fieldCount = fields.length;
        var fieldsFound = 0;
        for (var i = 0; i < fieldCount; i++) {
            var field = fields[i];
            for (var key in item) {
                if (item.hasOwnProperty(key) && field === key.replace(/_x0020/g, "")) {
                    fieldsFound++;
                }
            }
        }
        // If all fields found, abort the API call
        if (fieldsFound === fieldCount) return true;
        else return false;
    };

    // Shared: Update result with meta data
    WebTrendsSP_intra.prototype.documentMetadataAddToHit = function (key, result) {
        var plugin = window.wt_sp_globals.pluginObj;
        try {
            // argument "result" may be an object or an array depending on the caller function
            var isArray = false;
            if (result.argsa) isArray = true;
            var params = plugin.documentMetadataGetFromDB(key.toLowerCase());
            if (params.length > 0 && params.length % 2 === 0) {
                for (var i = 0; i < params.length; i += 2) {
                    if (isArray) {
                        // Push parameter onto results array
                        result.argsa.push(params[i], params[i + 1]);
                    }
                    else {
                        // Set property on result instead
                        result[params[i]] = params[i + 1];
                    }
                }
            }
        }
        catch (err) { }
        return result;
    };

    // Classic View: Waits for search results hover card HTML to appear before triggering update of meta data
    WebTrendsSP_intra.prototype.documentMetadataWaitForHover = function () {
        var plugin = window.wt_sp_globals.pluginObj;

        if (plugin.cfg.documentMetadata && plugin.cfg.documentMetadataFields) {
            // Bind to search results items
            plugin.manualLinkBinder(".ms-srch-item", plugin.eventHover, function (e) {
                var el = e.currentTarget || e.target || e.srcElement;
                if (el.hasAttribute("id")) {
                    var id = el.getAttribute("id");
                    // Wait for search hover card to appear to help ensure desired HTML is avialable
                    plugin.waitForElement(id + "_hoverCommonActions", 2000, (function () {
                        plugin.documentMetadataGetFromREST(e, el);
                    }));
                }
                else {
                    plugin.documentMetadataGetFromREST(e, el);
                }
            }, 1000);
        }
    };

    // Classic View: bind to <a> links and library <tr> rows to trigger REST call for metadata
    WebTrendsSP_intra.prototype.documentMetadataBindToAllClassicView = function () {
        var plugin = window.wt_sp_globals.pluginObj;

        // Bind to document on hover and wait for bubbling of appropriate elements
        plugin.addListener(document, plugin.eventHover, function (e) {
            var el = e.target || e.srcElement;
            // General <A> links
            // Find appropriate A element - self or parent - might be triggered from child element
            var a = plugin.getParentByTagName(el, "A");
            if (a) {
                // Block search results - these are tracked with other code
                if (a.className && a.className.toLowerCase().indexOf("ms-srch-item") >= 0) {
                    return false;
                }
                // Ingore list items
                if (plugin.getCtxLibraryType(a) === "list") {
                    return false;
                }

                // Update metadata as needed (method checks for documents itself)
                plugin.documentMetadataGetFromREST(e, a);
                return false;
            }

            // Classic Document library <TABLE> rows
            var row = plugin.getParentByTagName(el, "TR");
            if (row && plugin.getParentByClassNameHas(row, "ms-itmhover")) {
                // Avoid list items
                if (plugin.getCtxLibraryType(row) === "document") {
                    plugin.documentMetadataGetFromREST(e, row);
                }
                return false;
            }

            return false;
        });
    };

    // Modern View: Sets a fake href with the proper file path on an element without an href
    WebTrendsSP_intra.prototype.setDocumentFakeURL = function (file) {
        var plugin = wt_sp_globals.pluginObj;
        try {
            file.fakeHref = plugin.createDocumentURLModernView(file);
        }
        catch (err) {}
        return file;
    };

    // Modern View: Creates a fake href with the proper file path for an element without an href
    WebTrendsSP_intra.prototype.createDocumentURLModernView = function (file) {
        var plugin = wt_sp_globals.pluginObj;
        var fakeHref = "";

        // Get the library root url or use the "See all" path from library web parts
        var libPath = plugin.objectExists(window, "window.wt_sp_globals.g_listData.listUrlDir") ?
            window.wt_sp_globals.g_listData.listUrlDir :
            plugin.getSeeAllPath(file);

        if (libPath) {
            // Fake URL since most links won't have an href to work with
            fakeHref = window.location.protocol + "//" + window.location.hostname + libPath;
            var par = plugin.getParentByClassNameExact(file, "ControlZone-control");
            if (par) {
                // Get sub folder text in web parts appending sub folders as needed
                // Drop the first crumb (the library name) if the ... overflow is missing
                var keepFirst = par.querySelector("li.ms-Breadcrumb-overflow,li a.BreadcrumbBar-overflow") ? true : false;
                var folder = plugin.getLibraryPathFromWebPartBreadcrumbModernView(par, keepFirst);
                if (folder) {
                    fakeHref += folder;
                }
            }
            else {
                // Get sub folder text in library pages
                var id = plugin.getQueryParamValue("id", window.location.search);
                if (id) {
                    // Use the id parameter found in the query string when in a folder
                    fakeHref = window.location.protocol + "//" + window.location.hostname + decodeURIComponent(id);
                }
                else {
                    // use the page URL and remove the /Forms/AllItems.aspx or custom page
                    var uri = window.location.pathname.replace(/(\/forms\/.*)/i, "");
                    fakeHref = window.location.protocol + "//" + window.location.hostname + uri;
                }
            }
            // Return the full url
            if (!document.querySelector("div.OneUp")) {
                return fakeHref + "/" + encodeURI(plugin.getElementText(file.querySelector(".ItemTile-name") || file));
            }
        }
        return fakeHref;
    };

    // Classic View: Binds to document or list library links
    WebTrendsSP_intra.prototype.libraryLinkBind = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        var click = plugin.eventClick;
        var hover = plugin.eventHover;
        var elements = document.querySelectorAll("[class*='ms-listlink'],[class*='ms-listLink']");
        if (elements.length > 0) {

            // Get library meta data if available
            plugin.documentMetadataBuildDBClassicView();

            // Bind to <a> clicks
            if (plugin.excludeDataSheet(elements[0]) === false) {
                for (var i = 0; i < elements.length; i++) {
                    var type = plugin.getCtxLibraryType(elements[i]);
                    if (type) {
                        // Library Page
                        var allow = plugin.getAllowBinding(type);
                        if (allow) {
                            // Get the appropriate document or list method
                            var func = plugin.getLibraryFunction(type);

                            // Bind to click of link for document/list item tracking
                            plugin.addListener(elements[i], click, func);
                        }
                    }
                    else if (plugin.getParentByClassNameContains(elements[i], "ms-recommendations-item") &&
                        plugin.cfg.documentMetadata && plugin.cfg.documentMetadataFields) {
                        // Bind to hover of document links in Classic View Properties "See also" links for metadata tracking
                        plugin.addListener(elements[i], hover, plugin.documentMetadataGetFromREST);
                    }
                }
            }
        }

        // Binds to Excel file link on View Properties page of Document Library
        var ele = document.querySelector("a[rel='sp_DialogLinkNavigate'][onmousedown*='/xlviewer.aspx']");
        if (ele) {
            var allowExcel = plugin.getAllowBinding("document");
            if (allowExcel) {
                // Bind to clicks
                plugin.addListener(ele, click, plugin.onClickBoundDocumentExcelLink);
            }
        }
    };
    
    // Classic View: Bind to library links using the Group By view option, which are not present in the DOM until expanded
    WebTrendsSP_intra.prototype.getDocumentLibraryExpandStatus = function (callback) {
        if (!callback) return;
        setTimeout(function () {
            var check = setInterval(function () {
                if (!document.querySelector("td[class='ms-gbload']")) {
                    clearInterval(check);
                    setTimeout(callback, 500);
                }
            }, 250);
        }, 500);
    };

    // Classic View: Search for Group By document library links and initiate binding
    WebTrendsSP_intra.prototype.libraryExpandCollapseLinkBind = function (scope) {
        // Some groups may expand automatically on page load, but the document links may not be present yet,
        // if the "loading" element is present in the DOM, begin binding to new document links as they appear
        if (document.querySelector("td[class='ms-gbload']")) {
            scope.getDocumentLibraryExpandStatus(scope.libraryLinkBind);
        }

        // In MDS pages, sometimes the ms-gbload elements don't appear or are so late in the page load that we seem to miss them.
        // There's no easy way to check if the page is still loading them, so for now we'll just run libraryLinkBind with a delay as a fallback
        setTimeout(scope.libraryLinkBind, 5000);

        // Bind to the expand links and initiate binding to documents that appear after loading, when clicking the expand link
        scope.tagObj.addSelector("a[onclick^='javascript:ExpCollGroup']", {
            filter: function (dcsObject, trackObject) {
                scope.getDocumentLibraryExpandStatus(scope.libraryLinkBind);
                return true;
            }
        });
    };

    // Classic View: Rebind to document/list library links after On Enter search of library
    WebTrendsSP_intra.prototype.getDocumentLibrarySearchStatus = function (callback) {
        if (!callback) return;
        var elem = document.querySelector("div.ms-InlineSearch-SearchProgress");
        if (elem && elem.hasAttribute("style")) {
            var checkStatus = setInterval(function () {
                if (elem.style.visibility === "hidden") {
                    clearInterval(checkStatus);
                    setTimeout(callback, 1000);
                }
            }, 500);
        }
        else {
            setTimeout(callback, 5000);
        }
        return;
    };

    // Classic View: Trigger rebind to document/list library links after On Enter search of library
    WebTrendsSP_intra.prototype.libraryOnEnterBoundLink = function (event) {
        if (event.keyCode === 13) {
            var plugin = window.wt_sp_globals.pluginObj;
            plugin.getDocumentLibrarySearchStatus(plugin.libraryLinkBind);
        }
    };

    // Classic View: Direct Links in List
    WebTrendsSP_intra.prototype.onClickBoundListLink = function (event) {
        if (event.which === 3 || event.button === 2) return;
        var plugin = window.wt_sp_globals.pluginObj;
        var element = event.target || event.srcElement;
        var ctx = plugin.getCtxObject(element);
        if (ctx) {
            var id = plugin.getCtxItemID(element);
            var ctxItem = plugin.getCtxItem(ctx, id);
            var list = ctx.ListTitle;
            var item = ctxItem;
            var title = item.Title !== "" ? item.Title : "No Title";
            var url = plugin.getURIArrFromHREF(plugin.createListItemURLClassicView(ctxItem));
            Webtrends.multiTrack({
                element: element,
                argsa: [
                    "DCS.dcssip", url.dcssip,
                    "DCS.dcsuri", url.dcsuri,
                    "DCS.dcsqry", url.dcsqry,
                    "DCS.dcsref", url.dcsref,
                    "WT.ti", list + " - " + title,
                    "WT.dl", "1",
                    "WT.nv", element.className,
                    "WT.shp_list", list,
                    "WT.shp_list_item", title,
                    "WT.shp_list_item_action", "Click Item",
                    "WT.shp_act_loc", "Direct Link"
                ],
                finish: function (dcsObject, multiTrackObject) {
                    window.wt_sp_globals.pluginObj.finishCleanup(dcsObject, multiTrackObject);
                }
            });
        }
    };

    // Classic View: Check document type in CTX object
    WebTrendsSP_intra.prototype.checkDocTypeFromCTX = function (ctxFile) {
        var result = {};
        if (ctxFile.FSObjType === "1") {
            result.DocType = (ctxFile.HTML_x0020_File_x0020_Type === "OneNote.Notebook") ? "one" : "Library Folder";
            result.DL = (ctxFile.HTML_x0020_File_x0020_Type === "OneNote.Notebook") ? "20" : "SHP";
        }
        else if (ctxFile.FSObjType === "0") {
            result.DocType = ctxFile.File_x0020_Type;
            result.DL = "20";
        }
        else {
            result.DocType = "Unknown";
            result.DL = "SHP";
        }
        return result;
    };

    // Classic View: Check if link is in a DataSheet View
    WebTrendsSP_intra.prototype.excludeDataSheet = function (element) {
        var elem = element;
        var dataSheet = false;
        while (elem.tagName !== "TABLE" && elem !== document) {
            elem = elem.parentNode;
        }
        if (elem.tagName === "TABLE" && elem.hasAttribute("class") === true && elem.getAttribute("class") === "ms-listviewtable ms-listviewgrid") {
            dataSheet = true;
        }
        return dataSheet;
    };

    // Classic View: Direct Links in Document Library
    WebTrendsSP_intra.prototype.onClickBoundDocumentLink = function (event, action, rating) {
        if (event.which === 3 || event.button === 2) return;
        var plugin = window.wt_sp_globals.pluginObj;
        var element = event.target || event.srcElement;
        var ctx = plugin.getCtxObject(element);
        if (ctx) {
            var id = plugin.getCtxItemID(element);
            var ctxItem = plugin.getCtxItem(ctx, id);
            var docTypeCheck = plugin.checkDocTypeFromCTX(ctxItem);
            var docType = docTypeCheck.DocType;
            var dl = action ? "SHP" : docTypeCheck.DL;
            var docName = ctxItem.FileLeafRef;
            if (docType === "Library Folder") { // Check this in SP2013 to see if it breaks something
                var rootPath = decodeURIComponent(ctx.listUrlDir);
                var rootFolder = decodeURIComponent(ctx.rootFolder);
                var folder = rootFolder.replace(rootPath, "");
                docName = ctx.ListTitle + folder + "/" + docName;
            }
            var docLib = decodeURIComponent(ctx.listUrlDir);
            var url = plugin.getURIArrFromHREF(window.location.protocol + "//" + window.location.hostname + ctxItem.FileRef);
            var rated = rating ? rating.toString() : "";

            // Initialize parameters
            var argsa = [
                "DCS.dcssip", url.dcssip,
                "DCS.dcsuri", url.dcsuri,
                "DCS.dcsqry", url.dcsqry,
                "DCS.dcsref", url.dcsref,
                "WT.ti", docName,
                "WT.nv", element.className,
                "WT.dl", dl,
                "WT.shp_doc", docName,
                "WT.shp_doc_a", action ? action : "Open",
                "WT.shp_doc_rating", rated,
                "WT.shp_doc_type", docType,
                "WT.shp_doc_lib", docLib,
                "WT.shp_act_loc", "Direct Link"
            ];

            // Add document meta data
            if (plugin.cfg.documentMetadata) {
                var key = plugin.documentMetadataGetKey(url).key;
                argsa = plugin.documentMetadataAddToHit(key, { argsa: argsa }).argsa;
            }

            // Send data
            Webtrends.multiTrack({
                element: element,
                argsa: argsa,
                finish: function (dcsObject, multiTrackObject) {
                    window.wt_sp_globals.pluginObj.finishCleanup(dcsObject, multiTrackObject);
                }
            });
        }
    };

    // Classic View: Direct Links of Excel file on View Properties page of Document Library
    WebTrendsSP_intra.prototype.onClickBoundDocumentExcelLink = function (event) {
        if (event.which === 3 || event.button === 2) return;
        var plugin = window.wt_sp_globals.pluginObj;
        var element = event.target || event.srcElement;
        var docName = plugin.getElementText(element);
        if (docName) {
            var res = plugin.getAllClickURL(element);
            var dl = "20";
            var docType = docName.substring(docName.lastIndexOf(".") + 1);

            var docLib = "";
            var query = window.location.search;
            var queryArr = query.split("&");
            for (var i = 0; i < queryArr.length; i++) {
                if (queryArr[i].toLowerCase().indexOf("rootfolder=") === 0) {
                    docLib = decodeURIComponent(queryArr[i].substring(queryArr[i].indexOf("=") + 1));
                    break;
                }
            }
            Webtrends.multiTrack({
                element: element,
                argsa: [
                    "DCS.dcssip", res.dcssip,
                    "DCS.dcsuri", res.dcsuri,
                    "DCS.dcsqry", res.dcsqry,
                    "DCS.dcsref", res.dcsref,
                    "WT.ti", docName,
                    "WT.nv", plugin.tagObj.dcsNavigation(event, plugin.tagObj.navigationtag),
                    "WT.dl", dl,
                    "WT.shp_doc", docName,
                    "WT.shp_doc_a", "Open",
                    "WT.shp_doc_type", docType,
                    "WT.shp_doc_lib", docLib,
                    "WT.shp_act_loc", "Direct Link"
                ],
                finish: function (dcsObject, multiTrackObject) {
                    window.wt_sp_globals.pluginObj.finishCleanup(dcsObject, multiTrackObject);
                }
            });
        }
    };

    // Classic View: Document Hover Card Links
    WebTrendsSP_intra.prototype.docItemPopUpLink = function (element) {
        var plugin = window.wt_sp_globals.pluginObj;
        var action = "";
        var dl = "";
        var href = "";
        var docName = "";
        var docType = "";
        var docLib = "";

        var item = plugin.getCurrentCheckedItemClassicView();
        if (item.found) {
            href = item.selectedItemURLs[0];
            docName = item.selectedItemNames[0];
            docType = item.selectedItemTypes[0];
            docLib = item.selectedLibraryPaths[0];
        }
        else {
            // when no item selected, collect data from page
            var par = plugin.getParentByClassNameExact(element, "ms-recommendations-item");
            if (par) {
                var docEle = par.querySelector("a.ms-listLink");
                if (docEle && docEle.hasAttribute("href")) {
                    href = decodeURIComponent(docEle.getAttribute("href"));
                    docName = href.substring(href.lastIndexOf("/") + 1);
                    docType = docName.substring(docName.lastIndexOf(".") + 1);
                    var query = window.location.search;
                    var queryArr = query.split("&");
                    for (var i = 0; i < queryArr.length; i++) {
                        if (queryArr[i].toLowerCase().indexOf("rootfolder=") === 0) {
                            docLib = decodeURIComponent(queryArr[i].substring(queryArr[i].indexOf("=") + 1));
                            break;
                        }
                    }
                }
            }
        }

        var url = plugin.getURIArrFromHREF(href);
        var text = plugin.translateLanguage(plugin.getElementText(element)).toUpperCase();
        if (text.indexOf("EDIT") >= 0) {
            action = "Edit";
            dl = "20";
        }
        else if (text.indexOf("OPEN") >= 0) {
            action = "Open";
            if (docType === "Library Folder") dl = "SHP";
            else dl = "20";
        }
        else if (text.indexOf("POST") >= 0) {
            action = "Post";
            dl = "SHP";
        }
        else if (text.indexOf("SEND") >= 0) {
            action = "Send Email";
            dl = "SHP";
        }
        else if (text.indexOf("FOLLOW") >= 0) {
            action = "Follow";
            dl = "SHP";
        }
        else {
            action = text;
            dl = "SHP";
        }
        var res = {
            "DCS.dcssip": url.dcssip,
            "DCS.dcsuri": url.dcsuri,
            "DCS.dcsqry": url.dcsqry,
            "DCS.dcsref": window.location.href,
            "WT.ti": docName,
            "WT.dl": dl,
            "WT.shp_doc": docName,
            "WT.shp_doc_a": action,
            "WT.shp_doc_type": docType,
            "WT.shp_doc_lib": docLib,
            "WT.shp_act_loc": "Document Library Preview Window"
        };

        // Add document meta data
        if (plugin.cfg.documentMetadata) {
            var key = plugin.documentMetadataGetKey(url).key;
            res = plugin.documentMetadataAddToHit(key, res);
        }

        if (action !== "") return res;
    };

    // Classic View: Returns the url components of the search item that was clicked.
    WebTrendsSP_intra.prototype.getSearchItemURLClassicView = function (element, href) {
        var url;
        var par = this.getParentByClassNameExact(element, this.ids.searchResultBodyClassName);
        if (par) {
            var pathEl = par.querySelector(".ms-srch-item-path") || par.querySelector("#NameFieldLink") || par.querySelector(".ms-srch-item-link");
            if (pathEl) {
                var path = (pathEl.getAttribute("href") || pathEl.getAttribute("title"));
                if (path) url = this.getURIArrFromHREF(path);
            }
        }
        if (!url) url = this.getURIArrFromHREF(href);
        return url;
    };

    // Classic View: Search Result Item Clicks
    WebTrendsSP_intra.prototype.searchResultClickClassicView = function (element, href) {
        var plugin = window.wt_sp_globals.pluginObj;
        var url = plugin.getSearchItemURLClassicView(element, href);
        var dl = "";
        var ttl = "";
        var docName = "";
        var docType = "";
        var docAction = "";
        var srchItem = "";
        var srchItemType = "";
        var srchItemAction = "";
        var srchTerm = decodeURIComponent(wt_sp_globals.lastSearchTerm);
        var isFile = false;
        if (url.dcsqry.indexOf("&file=") >= 0) isFile = true;
        var docResult = plugin.isDocURI(url.dcsuri, plugin.types);
        if (docResult.check === false) docResult = plugin.isDocParam(url.dcsqry, plugin.types);
        if (docResult.check === true || isFile === true) {
            docName = srchItem = ttl = docResult.file;
            docType = (isFile === true && docResult.check === false) ? "one" : docName.substring(docName.lastIndexOf(".") + 1, docName.length);
            srchItemType = "Document";
            docAction = srchItemAction = "Open";
            dl = "20";
        }
        else if (url.dcsuri.indexOf("/AllItems.aspx") >= 0) {
            docName = srchItem = ttl = element.innerHTML.replace(/\n|<.*?>/g, '').replace(/^\s+|\s+$/g, "");
            docType = srchItemType = "Library Folder";
            docAction = srchItemAction = "Open";
            dl = "SHP";
        }
        else if (plugin.getParentByClassNameContains(element, "ms-srch-item-summaryPreview") || element.querySelector("img.ms-srch-item-preview")) {
            var par = plugin.getParentByClassNameExact(element, "ms-srch-item");
            if (par) {
                var ttlEl = par.querySelector("div.ms-srch-item-title a.ms-srch-item-link");
                if (ttlEl) {
                    var img = par.querySelector("img.ms-srch-item-preview");
                    if (img) {
                        var file = img.src.substring(img.src.lastIndexOf("/") + 1, img.src.length);
                        docType = file.substring(file.lastIndexOf("_") + 1, file.lastIndexOf("."));
                        ttl = srchItem = docName = plugin.getElementText(ttlEl) + "." + docType;
                        srchItemType = "Document";
                        docAction = srchItemAction = "Open";
                        dl = "20";
                    }
                }
            }
        }
        else {
            ttl = element.innerHTML.replace(/\n|<.*?>/g, '').replace(/^\s+|\s+$/g, "");
            srchItem = ttl;
            srchItemType = "URL";
            srchItemAction = "Open";
            dl = "SHP";
        }
        var res = {};
        res["DCS.dcssip"] = url.dcssip;
        res["DCS.dcsuri"] = url.dcsuri;
        res["DCS.dcsqry"] = url.dcsqry;
        res["DCS.dcsref"] = window.location.href;
        res["WT.ti"] = ttl;
        res["WT.dl"] = dl;
        res["WT.shp_doc_a"] = docAction;
        res["WT.shp_doc"] = docName;
        res["WT.shp_doc_type"] = docType;
        res["WT.shp_srch_item"] = srchItem;
        res["WT.shp_srch_item_action"] = srchItemAction;
        res["WT.shp_srch_item_type"] = srchItemType;
        res["WT.shp_srch_term"] = srchTerm;
        if (!plugin.cfg.legacySearch) {
            res["WT.shp_srch_orig"] = decodeURIComponent(window.wt_sp_globals.originalSearchTerm);
            res["WT.shp_srch_pos"] = plugin.getSearchResultClickPosition(element);
            res["WT.shp_srch_ref"] = window.wt_sp_globals.currentSearchRefiners;
            res["WT.shp_srch_pg"] = window.wt_sp_globals.currentSearchPageNumber;
            res["WT.shp_srch_scope"] = plugin.getSearchScope();
            res["WT.shp_srch_count"] = window.wt_sp_globals.searchCount;
        }
        res["WT.shp_act_loc"] = "Direct Link";
        res["WT.shp_doc_lib"] = plugin.getSearchResultDocumentLibraryPath(element);

        // Add document meta data
        if (plugin.cfg.documentMetadata) {
            var key = plugin.documentMetadataGetKey(url).key;
            res = plugin.documentMetadataAddToHit(key, res);
        }

        // return results
        return res;
    };

    // Classic View: Search Result Hover Card Links
    WebTrendsSP_intra.prototype.searchResultHoverCardClassicView = function (element, href, option) {
        var plugin = window.wt_sp_globals.pluginObj;
        var url = plugin.getURIArrFromHREF(decodeURIComponent(href));
        var resultItem = plugin.getParentByClassNameExact(element, "ms-srch-item");
        var docName = "";
        var docType = "";
        var folders = "";
        var ttl = "";
        var action = option;
        var res = {
            "DCS.dcssip": url.dcssip,
            "DCS.dcsuri": url.dcsuri,
            "DCS.dcsqry": url.dcsqry,
            "DCS.dcsref": window.location.href,
            "WT.shp_act_loc": "Search Result Preview Window"
        };
        var docResult = plugin.isDocURI(url.dcsuri, plugin.types);
        if (docResult.check === true) docName = docResult.file;
        else docResult = plugin.isDocParam(url.dcsqry, plugin.types);
        if (docResult.check === true) docName = docResult.file;
        if (element.id.indexOf("_hover") >= 0 || element.id.indexOf("_viewConversation") >= 0) {
            var item = (element.id.substring(0, element.id.indexOf("_hover")) || element.id.substring(0, element.id.indexOf("_viewConversation"))).replace(/^\s+|\s+$/g, "");
            var header;
            if (action === "View Profile") {
                header = window.document.getElementById(item + "_hoverContent");
                if (header) header = header.querySelector('div.ms-srch-hover-title');
                if (header) ttl = plugin.getElementText(header);
            }
            else {
                header = window.document.getElementById(item + "_hoverTitle");
                if (header) ttl = header.innerHTML.replace(/^\s+|\s+$/g, "").replace("&amp;", "&");
            }
        }
        if (docResult.check === true) {
            res["WT.ti"] = docName;
            if (action == 'Open') {
                res["WT.dl"] = "20";
            }
            else {
                res["WT.dl"] = "SHP";
            }
            res["WT.shp_doc"] = docName;
            res["WT.shp_doc_a"] = action;
            res["WT.shp_doc_type"] = docType = docName.substring(docName.indexOf(".") + 1, docName.length);
            res["WT.shp_srch_item"] = docName;
            res["WT.shp_srch_item_action"] = action;
            res["WT.shp_srch_item_type"] = "Document";

            // Add document meta data
            if (action !== "View Library" && plugin.cfg.documentMetadata) {
                var key = plugin.documentMetadataGetKey(url).key;
                res = plugin.documentMetadataAddToHit(key, res);
            }
        }
        else if (option === "View Library" || url.dcsuri.indexOf("/AllItems.aspx") >= 0) {
            if (url.dcsuri.indexOf("/AllItems.aspx") >= 0) {
                folders = url.dcsuri.split("/");
                for (var i = 0; i < folders.length; i++) {
                    if (folders[i] === "Forms") {
                        ttl = folders[i - 1];
                    }
                }
            }
            else {
                folders = url.dcsuri.split("/");
                ttl = folders[folders.length - 2] + "/" + folders[folders.length - 1];
            }
            res["WT.ti"] = ttl;
            res["WT.dl"] = "SHP";
            res["WT.shp_doc"] = ttl;
            res["WT.shp_doc_a"] = action;
            res["WT.shp_doc_type"] = "Library Folder";
            res["WT.shp_srch_item"] = ttl;
            res["WT.shp_srch_item_action"] = action;
            res["WT.shp_srch_item_type"] = "Library Folder";
        }
        else {
            res["WT.ti"] = ttl;
            res["WT.dl"] = "SHP";
            res["WT.shp_doc"] = "";
            res["WT.shp_doc_a"] = "";
            res["WT.shp_doc_type"] = "";
            res["WT.shp_srch_item"] = ttl;
            res["WT.shp_srch_item_action"] = action;
            res["WT.shp_srch_item_type"] = "URL";
        }
        res["WT.shp_srch_term"] = decodeURIComponent(wt_sp_globals.lastSearchTerm);
        res["WT.shp_doc_lib"] = plugin.getSearchResultDocumentLibraryPath(element);
        if (!plugin.cfg.legacySearch) {
            res["WT.shp_srch_orig"] = decodeURIComponent(window.wt_sp_globals.originalSearchTerm);
            res["WT.shp_srch_pos"] = plugin.getSearchResultClickPosition(resultItem);
            res["WT.shp_srch_ref"] = window.wt_sp_globals.currentSearchRefiners;
            res["WT.shp_srch_pg"] = window.wt_sp_globals.currentSearchPageNumber;
            res["WT.shp_srch_scope"] = plugin.getSearchScope();
            res["WT.shp_srch_count"] = window.wt_sp_globals.searchCount;
        }
        return res;
    };

    // Classic View: Gets the option to use for the hover card based on the element id
    WebTrendsSP_intra.prototype.getSearchPopUpOption = function (id) {
        var option;
        switch (id.substring(id.lastIndexOf("_"))) {
            case "_hoverOpen":
                option = "Open";
                break;
            case "_hoverSend":
                option = "Send Email";
                break;
            case "_hoverFollow":
                option = "Follow";
                break;
            case "_hoverParentLink":
                option = "View Library";
                break;
            case "_hoverVisit":
                option = "View Profile";
                break;
            case "_viewConversation":
                option = "View Conversation";
                break;
            case "_hoverOpenClient":
                option = "Visit Community";
                break;
            default:
                option = id.replace(/(_[a-z]+)([A-Z])/, '$2').replace(/([a-z])([A-Z])/g, '$1 $2');
        }
        return option;
    };

    // Classic View: Get Social Feed and Event Name
    WebTrendsSP_intra.prototype.socialFeedAction = function (opt) {
        var plugin = window.wt_sp_globals.pluginObj;
        var option = plugin.translateLanguage(opt);
        var socContent;
        var feed = parent.document.getElementById("ms-currentFeedLabel");
        if (this.objectExists(feed)) {
            socContent = feed.innerHTML.replace(/^\s+|\s+$/g, "");
        } else {
            socContent = "Feed name not found";
        }
        var res = {};
        var url = this.getURIArrFromHREF(window.location.href);
        res["DCS.dcssip"] = url.dcssip;
        res["DCS.dcsuri"] = url.dcsuri;
        res["DCS.dcsqry"] = url.dcsqry;
        res["DCS.dcsref"] = url.dcsref;
        res["WT.ti"] = socContent + " - " + option;
        res["WT.dl"] = "SHP";
        res["WT.soc_content"] = socContent;
        res["WT.soc_action"] = option;
        return res;
    };

    // Classic View: Get ECB Menu Document Info
    WebTrendsSP_intra.prototype.documentECBClassicView = function (opt) {
        var plugin = window.wt_sp_globals.pluginObj;
        var action = plugin.translateLanguage(opt);
        var url;
        var docName = "";
        var docType = "";
        var docLib = "";
        if (window.wt_sp_globals.currentItemURL) {
            url = plugin.getURIArrFromHREF(window.wt_sp_globals.currentItemURL);
            docName = window.wt_sp_globals.currentItemName;
            docType = window.wt_sp_globals.currentItemType;
            docLib = window.wt_sp_globals.currentLibraryPath;
        }
        else {
            url = plugin.getURIArrFromHREF(window.location.href);
        }
        var dl = "SHP";
        var option = action.toLowerCase();
        if (option === "download" ||
            option === "edit" ||
            option === "open" ||
            option === "view in browser" ||
            option === "edit in browser" ||
            option === "open in browser" ||
            option === "open in app" ||
            option === "open in app online") {
            dl = "20";
        }
        var res = {};
        res["DCS.dcssip"] = url.dcssip;
        res["DCS.dcsuri"] = url.dcsuri;
        res["DCS.dcsqry"] = url.dcsqry;
        res["DCS.dcsref"] = url.dcsref;
        res["WT.ti"] = docName;
        res["WT.dl"] = dl;
        res["WT.shp_doc"] = docName;
        res["WT.shp_doc_a"] = action;
        res["WT.shp_doc_type"] = docType;
        res["WT.shp_doc_lib"] = docLib;

        // Add document meta data
        if (plugin.cfg.documentMetadata) {
            var key = plugin.documentMetadataGetKey(url).key;
            res = plugin.documentMetadataAddToHit(key, res);
        }

        return res;
    };

    // Classic View: Get ECB Menu Item Info
    WebTrendsSP_intra.prototype.listECBClassicView = function (opt) {
        var plugin = window.wt_sp_globals.pluginObj;
        var option = plugin.translateLanguage(opt);
        var url = "";
        var item = "";
        var href = "";
        var list = "";
        if (this.objectExists(window, "wt_sp_globals.currentLibraryName")) {
            list = window.wt_sp_globals.currentLibraryName;
        }
        if (this.objectExists(window, "wt_sp_globals.currentItemName")) {
            item = window.wt_sp_globals.currentItemName;
        }
        if (this.objectExists(window, "wt_sp_globals.currentItemURL")) {
            href = window.wt_sp_globals.currentItemURL;
        }
        url = plugin.getURIArrFromHREF(href);
        var res = {};
        res["DCS.dcssip"] = url.dcssip;
        res["DCS.dcsuri"] = url.dcsuri;
        res["DCS.dcsqry"] = url.dcsqry;
        res["DCS.dcsref"] = url.dcsref;
        res["WT.ti"] = item ? list + " - " + item : list;
        res["WT.dl"] = "SHP";
        res["WT.shp_list"] = list;
        res["WT.shp_list_item"] = item;
        res["WT.shp_list_item_action"] = option;
        return res;
    };

    // Classic View: Document Ribbon options for one selected item
    WebTrendsSP_intra.prototype.documentSingleItemRibbonClassicView = function (dcsObject, multiTrackObject, option) {
        var plugin = window.wt_sp_globals.pluginObj;
        var url = this.getURIArrFromHREF(window.location.href);
        var docName = option;
        var docType = option;
        var docLib = "";
        if ((/\/forms\/[^\.]+\.[a-z]+/i).test(url.dcsuri)) {
            docLib = url.dcsuri.replace(/\/forms\/[^\.]+\.[a-z]+/i, "");
        }
        var dl = "SHP";
        if (option === "Edit Document" || option === "Download") {
            dl = "20";
        }
        var items = this.getCurrentCheckedItemClassicView();
        if (items.found === true) {
            if (option === "New Document") {
                url = this.getURIArrFromHREF(window.location.protocol + "//" + window.location.hostname + items.selectedLibraryPaths[0] + "/" + option);
                docName = "New Word Document";
                docType = "docx";
            }
            else if (option === "New Folder") {
                url = this.getURIArrFromHREF(window.location.protocol + "//" + window.location.hostname + items.selectedLibraryPaths[0] + "/" + "New Document Folder");
                docName = "New Document Folder";
                docType = "Library Folder";
            }
            else {
                url = this.getURIArrFromHREF(items.selectedItemURLs[0]);
                docName = items.selectedItemNames[0];
                docType = items.selectedItemTypes[0];
            }
            docLib = items.selectedLibraryPaths[0];
        }
        else {
            var path = "";
            if (this.objectExists(window, "wt_sp_globals.spPageContextInfo.serverRequestPath")) {
                path = window.wt_sp_globals.spPageContextInfo.serverRequestPath.replace(/\/forms\/[^\.]+\.[a-z]+/i, "");
            }
            else {
                path = window.location.pathname.substring(0, window.location.pathname.lastIndexOf("/"));
            }
            if (option === "New Document") {
                url = this.getURIArrFromHREF(window.location.protocol + "//" + window.location.hostname + path + "/" + option);
                docName = "New Word Document";
                docType = "docx";
            }
            else if (option === "New Folder") {
                url = this.getURIArrFromHREF(window.location.protocol + "//" + window.location.hostname + path + "/" + "New Document Folder");
                docName = "New Document Folder";
                docType = "Library Folder";
            }
            else {
                url = this.getURIArrFromHREF(window.location.protocol + "//" + window.location.hostname + path);
            }
        }
        multiTrackObject.argsa.push(
            "DCS.dcssip", url.dcssip,
            "DCS.dcsuri", url.dcsuri,
            "DCS.dcsqry", url.dcsqry,
            "DCS.dcsref", url.dcsref,
            "WT.ti", docName,
            "WT.dl", dl,
            "WT.shp_doc", docName,
            "WT.shp_doc_a", option,
            "WT.shp_doc_type", docType,
            "WT.shp_doc_lib", docLib,
            "WT.shp_act_loc", "Ribbon",
            "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag)
        );

        // Add document meta data
        if (plugin.cfg.documentMetadata) {
            var key = plugin.documentMetadataGetKey(url).key;
            plugin.documentMetadataAddToHit(key, multiTrackObject);
        }
    };

    // Classic View: List item Actions
    WebTrendsSP_intra.prototype.listItemClassicView = function (dcsObject, multiTrackObject, option, location, rating) {
        var plugin = window.wt_sp_globals.pluginObj;
        var res = plugin.getURIArrFromHREF(window.location.href);
        var docTitle = parent.document.title;
        var list = docTitle.substring(0, docTitle.lastIndexOf(" - "));
        var listItem = (docTitle.lastIndexOf(" - ") > -1) ? docTitle.substring(docTitle.lastIndexOf(" - ") + 3, docTitle.length) : docTitle;
        var rated = typeof rating !== "undefined" ? rating.toString() : "";
        var page = window.location.href.toLowerCase();
        if (page.indexOf("/newform.aspx") >= 0 || page.indexOf("/editform.aspx") >= 0 || page.indexOf("/dispform.aspx") >= 0) {
            // New or Edit forms
            var listObj = plugin.listItemDetailsClassicView();
            listItem = listObj.item;
            list = listObj.list;
        }
        else {
            var cci = plugin.getCurrentCheckedItemClassicView();
            if (cci.found === true) {
                // List library or web part
                if (cci.selectedItemURLs.length > 0 && typeof cci.selectedItemURLs[0] !== "undefined") {
                    res = plugin.getURIArrFromHREF(cci.selectedItemURLs[0]);
                    list = cci.selectedLibraryNames[0];
                    if (option === "Change Item Order") {
                        listItem = "All Links";
                    }
                    else {
                        listItem = cci.selectedItemNames[0];
                    }
                }
            }
            else {
                // Rating of list item
                var element = multiTrackObject.element;
                var ctx = plugin.getCtxObject(element);
                if (ctx) {
                    var id = plugin.getCtxItemID(element);
                    var ctxItem = plugin.getCtxItem(ctx, id);
                    list = ctx.ListTitle;
                    if (ctxItem.URL) {
                        listItem = ctxItem["URL.desc"];
                        res = plugin.getURIArrFromHREF(listItem);
                    }
                    else {
                        listItem = ctxItem.Title || ctxItem.FileLeafRef;
                        res = plugin.getURIArrFromHREF(plugin.createListItemURLClassicView(ctxItem));
                    }
                }
            }
        }

        multiTrackObject.argsa.push(
            "DCS.dcssip", res.dcssip,
            "DCS.dcsuri", res.dcsuri,
            "DCS.dcsqry", res.dcsqry,
            "DCS.dcsref", res.dcsref,
            "WT.ti", list + " - " + listItem,
            "WT.dl", "SHP",
            "WT.shp_list", list,
            "WT.shp_list_item", listItem,
            "WT.shp_list_item_action", option,
            "WT.shp_list_item_rating", rated,
            "WT.shp_act_loc", location,
            "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag)
        );
    };

    // Classic View: Get List Item Title from NewForm.aspx and Edit Form.aspx pages
    WebTrendsSP_intra.prototype.listItemDetailsClassicView = function () {
        var listObj = {};
        listObj.list = "";
        listObj.item = "";
        // List Name
        var elem = document.querySelector("span.die") || parent.document.querySelector("h1#dialogTitleSpan") || document.querySelector("td.ms-pagetitle a");
        if (elem) listObj.list = this.getElementText(elem);
        else elem = document.querySelector("table.ms-listviewtable[id^='{']");
        if (elem && elem.hasAttribute("summary")) listObj.list = elem.summary;

        // Item name
        var items = document.querySelectorAll(".ms-input,[class*='ms-spellcheck-true'],a[rel='sp_DialogLinkNavigate'],#SPFieldText,input[id*='_$TextField'],input[id*='onetidIOFile'],input[id*='UrlFieldDescription'],td#SPFieldURL");
        if (items.length > 0) {
            for (var i = 0; i < items.length; i++) {
                var item = items[i];
                var text = this.getElementText(item);
                if (!text) {
                    if (item.value) {
                        text = item.value.replace(/^\s+|\s+$/g, "");
                    }
                    else {
                        // Link Library: if description is empty, find the value of URL
                        var linkUrl = document.querySelector("input[id*='UrlFieldUrl']");
                        if (linkUrl) {
                            text = linkUrl.value.replace(/^\s+|\s+$/g, "");
                        }
                    }
                }

                if (text) {
                    listObj.item = text;
                    break;
                }
            }
        }
        // List Extension
        elem = document.querySelector(".ms-fileField-fileExt");
        if (elem) listObj.item += this.getElementText(elem);
        return listObj;
    };

    // Classic View: With MDS enabled, URLs will take the following format:
    // <site collection>/_layouts/15/start.aspx#<url to content>
    // In this scenario we need to rebuild the URL parameters that we send
    WebTrendsSP_intra.prototype.parsePageInfo = function () {

        // Add the path portion of the anchor to the main path
        var dcsuri = wt_sp_globals.spPageContextInfo.serverRequestPath;
        if (dcsuri.indexOf(wt_sp_globals.spPageContextInfo.webServerRelativeUrl) === -1) dcsuri = wt_sp_globals.spPageContextInfo.webServerRelativeUrl + dcsuri;

        // Add the anchor's query string to the main query string
        var qry = window.location.search;
        var a = document.createElement("a");
        a.href = window.location.hash.substring(1);
        var aqry = a.search;
        var dcsqry = qry.concat(aqry ? (qry ? ("&" + aqry.substr(1)) : aqry) : "");

        // Set initial referrer if needed
        if (typeof window.wt_sp_globals.referrer === "undefined") {
            window.wt_sp_globals.referrer = document.referrer.replace(/\/_layouts\/15\/start\.aspx#?/i, "");
        }

        var wtfinal = {};
        if (window.wt_sp_globals.isSearchPage) {
            // Overwrite WT.ti and WT.cg_s when Search Results page
            wtfinal = {
                "DCS.dcssip": location.hostname,
                "DCS.dcsuri": dcsuri,
                "DCS.dcsqry": dcsqry,
                "DCS.dcsref": window.wt_sp_globals.referrer,
                "WT.ti": "Search Results",
                "WT.dl": "0"
            };
        }
        else {
            wtfinal = {
                "DCS.dcssip": location.hostname,
                "DCS.dcsuri": dcsuri,
                "DCS.dcsqry": dcsqry,
                "DCS.dcsref": window.wt_sp_globals.referrer,
                "WT.ti": document.title,
                "WT.dl": "0"
            };
        }
        // Recreate referrer for next hit
        window.wt_sp_globals.referrer = location.protocol + "//" + location.hostname + dcsuri + dcsqry;
        return wtfinal;
    };

    // Classic View: Rerun functions that bind or look for important elements
    WebTrendsSP_intra.prototype.resetFunctions = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        var configs = window.wt_sp_globals.configs.plugins;
        window.wt_sp_globals.spPageContextInfo = window._spPageContextInfo;

        // Start getting web part titles from REST
        if (configs.sp.webparts) {
            // Increment wait counter
            window.wt_sp_globals.RESTCounter++;
            wt_sp_globals.RESTCounterLog.getWebPartsFromREST.push("Increment -> resetFunctions");

            // Run REST web part name function
            if (plugin.objectExists(window, "SP.SOD.executeFunc")) {
                SP.SOD.executeFunc("sp.js", "SP.ClientContext", plugin.getWebPartsFromREST);
            }
            else {
                setTimeout(plugin.getWebPartsFromREST, 2000);
            }
        }

        // Start site collection title retrieval
        if (configs.sp.siteInfo) {
            // Increment wait counter
            window.wt_sp_globals.RESTCounter++;
            wt_sp_globals.RESTCounterLog.getSiteCollectionTitle.push("Increment -> resetFunctions");
            // Run REST site collection title function
            if (plugin.objectExists(window, "SP.SOD.executeFunc")) {
                SP.SOD.executeFunc("sp.js", "SP.ClientContext", plugin.getSiteCollectionTitle);
            }
            else {
                setTimeout(plugin.getSiteCollectionTitle, 1500);
            }
        }

        // Start Search Results listener
        if (configs.sp.search && plugin.searchPageTest() && !window.wt_sp_globals.modernView) {
            if (plugin.objectExists(window, "SP.SOD.executeFunc")) {
                SP.SOD.executeFunc("Search.ClientControls.js", "search_clientcontrols_initialize", plugin.addSearchResultListenerClassicView);
            }
            else {
                setTimeout(plugin.addSearchResultListenerClassicView, 2000);
            }
        }

        // Start wrapper for ECB menu
        if (configs.sp.documentMenuClick || configs.sp.socialMenuClick || configs.sp.list) {
            if (plugin.objectExists(window, "SP.SOD.executeFunc")) {
                SP.SOD.executeFunc("core.js", "$_global_core", plugin.ecbMenuWrapFunc);
            }
            else {
                setTimeout(plugin.ecbMenuWrapFunc, 2000);
            }
        }

        // Bind to drag/drop event for Upload tracking
        if (configs.sp.documentMenuClick) {
            // SP2013/SP2016 - hover over the web part
            // TODO: Move this trigger to an onHover so that it is guaranteed to bind rather than using setTimeouts
            plugin.manualLinkBinder(".ms-core-overlay", "dragenter", function (e) {
                // Classic View, Modern View
                plugin.manualLinkBinder("div[id*='ms-dnd-dropbox']", "drop", function (e) {
                    plugin.dropHandler(e);
                }, 250);
            }, 3000);

            // Get meta data for regular document links
            if (configs.sp.documentMetadata && configs.sp.documentMetadataFields) {
                if (plugin.objectExists(window, "SP.SOD.executeFunc")) {
                    SP.SOD.executeFunc("core.js", "$_global_core", function () {
                        plugin.documentMetadataBindToAllClassicView();
                    });
                }
                else {
                    plugin.documentMetadataBindToAllClassicView();
                }
            }
        }

        // Bind to library links
        if (plugin.objectExists(window, "SP.SOD.executeFunc")) {
            SP.SOD.executeFunc("sp.js", "SP.ClientContext",
                function () {
                    setTimeout(function () {
                        // Default binding
                        plugin.libraryLinkBind();

                        // Bind to Library links for Expand Collapse Groups
                        plugin.libraryExpandCollapseLinkBind(plugin);
                    }, 1500);
                }
            );
        }
        else {
            setTimeout(function () {
                // Default binding
                plugin.libraryLinkBind();

                // Bind to Library links for Expand Collapse Groups
                plugin.libraryExpandCollapseLinkBind(plugin);
            }, 3000);
        }

        // Rebind to paginated library links
        plugin.tagObj.addSelector("a[class*='ms-promlink']", {
            filter: function (dcsObject, trackObject) {
                setTimeout(plugin.libraryLinkBind, 3000);
                return true;
            }
        });

        // Rebind to library links after search
        // TODO: Move this trigger to an onHover so that it is guaranteed to bind rather than using setTimeouts
        plugin.manualLinkBinder("input[id^=inplaceSearchDiv_]", "keydown", plugin.libraryOnEnterBoundLink, 2000);
        plugin.tagObj.addSelector("img[id^=inplaceSearchDiv_]", {
            actionElems: { IMG: 1 },
            filter: function (dcsObject, trackObject) {
                plugin.getDocumentLibrarySearchStatus(plugin.libraryLinkBind);
                return true;
            }
        });

        // Poll for Share Confirm button in SPO
        if (configs.sp.documentMenuClick) {
            if (plugin.spVersion === plugin.constants.SPO || plugin.spVersion === plugin.constants.SP2019) {
                if (plugin.objectExists(window, "SP.SOD.executeFunc")) {
                    SP.SOD.executeFunc("sp.js", "SP.ClientContext",
                       function () {
                           setTimeout(plugin.pollForShareConfirm, 1500);
                       }
                   );
                }
                else {
                    setTimeout(plugin.pollForShareConfirm, 2500);
                }
            }
        }

        // Bind to On Enter for small search box
        if (configs.sp.documentMenuClicksearch) {
            // TODO: Move this trigger to an onHover so that it is guaranteed to bind rather than using setTimeouts
            if (plugin.objectExists(window, "SP.SOD.executeFunc")) {
                SP.SOD.executeFunc("core.js", "$_global_core",
                    function () {
                        setTimeout(function () {
                            plugin.manualLinkBinder("[id=ctl00_PlaceHolderSearchArea_SmallSearchInputBox1_csr_sbox]", "keydown", plugin.onEnterBoundLink, 250);
                        }, 2500);
                    }
                );
            }
            else {
                setTimeout(function () {
                    plugin.manualLinkBinder("[id=ctl00_PlaceHolderSearchArea_SmallSearchInputBox1_csr_sbox]", "keydown", plugin.onEnterBoundLink, 250);
                }, 2500);
            }
        }

        // Collect page information for Articles (mostly)
        window.wt_sp_globals.pageDetails = {};
        window.wt_sp_globals.RESTCounter++;
        wt_sp_globals.RESTCounterLog.getPageDataFromREST.push("Increment -> resetFunctionsModernView");
        plugin.getPageDataFromREST();

        // Rebind to mouse events so heatmaps and selectors work
        var tmp = /MSIE (\d+)/.exec(navigator.userAgent);
        var ie = (tmp) ? tmp[1] : 99;
        Webtrends.addEventListener(document, (ie >= 8) ? "mousedown" : "mouseup", function (e) {
            if (!e) e = window.event;
            Webtrends.broadcastEvent("wtmouse", { 'event': e });
        });

        // Wait for REST callbacks to release beacon
        window.wt_sp_globals.RESTCallBackComplete = false;
        window.wt_sp_globals.waitForRESTFromMDS = true;

        // Check if search results page and Wait for REST callback to release tag
        if (window.wt_sp_globals.isSearchPage === false || configs.sp.search === false) {
            plugin.waitForREST();
        }
    };

    // Classic View: On Enter tracking for small search box
    WebTrendsSP_intra.prototype.onEnterBoundLink = function (event) {
        if (event.keyCode === 13) {
            var plugin = window.wt_sp_globals.pluginObj;
            var element = event.target || event.srcElement;
            var searchPages = window.wt_sp_globals.configs.plugins.sp.ids.searchPage;
            var searchPage = searchPages.split(",")[0];
            var href = window.wt_sp_globals.spPageContextInfo.siteAbsoluteUrl + "/" + searchPage;
            var url = plugin.getURIArrFromHREF(href);
            url.dcsqry = "k=" + element.value;
            Webtrends.multiTrack({
                element: element,
                argsa: [
                    "DCS.dcssip", url.dcssip,
                    "DCS.dcsuri", url.dcsuri,
                    "DCS.dcsqry", url.dcsqry,
                    "DCS.dcsref", url.dcsref,
                    "WT.ti", "Link: Search",
                    "WT.dl", "1",
                    "WT.nv", element.className,
                    "WT.shp_act_loc", "Direct Link"
                ],
                finish: function (dcsObject, multiTrackObject) {
                    window.wt_sp_globals.pluginObj.finishCleanup(dcsObject, multiTrackObject);
                }
            });
        }
    };

    // Classic View: Poll for share confirmation button
    WebTrendsSP_intra.prototype.pollForShareConfirm = function () {
        setInterval(function () {
            var element = document.getElementById("btnShare");
            if (element) {
                window.wt_sp_globals.pluginObj.bindToShareConfirm(element);
            }
        }, 1500);
    };

    // Classic View: Bind to the share confirmation button when it is loaded
    WebTrendsSP_intra.prototype.bindToShareConfirm = function (element) {
        if (!element.wtBoundLink) {
            var plugin = window.wt_sp_globals.pluginObj;
            if (window.addEventListener) {
                element.addEventListener(plugin.eventClick, plugin.shareConfirmTransform, false);
            }
            else {
                // TODO: Remove as MSIE8 is no longer supported
                element.attachEvent(plugin.eventClick, plugin.shareConfirmTransform);
            }
            element.wtBoundLink = true;
        }
    };

    // Classic View: ECB Menu Options for old document libraries
    WebTrendsSP_intra.prototype.ecbMenuWrapFunc = function () {
        if (typeof window.ExecuteOnClick === 'function' && !window.ExecuteOnClick.isWT) {
            // Copy original
            var origExecuteOnClick = window.ExecuteOnClick;
            // Replace original
            window.ExecuteOnClick = function (b, a) {
                try {
                    var _b = b.toString();
                    var _a = a._arrSelected[0];
                    var plugin = window.wt_sp_globals.pluginObj;
                    var version = plugin.getSPVersion();
                    var social = false;
                    if (_b.indexOf("microfeed") >= 0) social = true;
                    else plugin.getCurrentCheckedItemClassicView();
                    var res = {};
                    var action = "";
                    if (!social && plugin.cfg.documentMenuClick && (typeof parent.wt_sp_globals.currentLibraryType !== "undefined" && parent.wt_sp_globals.currentLibraryType === "Document Library")) {
                        // DOCUMENT LIBRARY
                        if (_b.indexOf("DocLibECB_Click_ID_ViewProperties") >= 0 || _b.indexOf("EditItem2") >= 0) {
                            // Document - View Properties from ECB Menu
                            if (version === "SPO" || (version === "2016" && _b.indexOf("EditItemWithCheckoutAlert") >= 0)) action = "Edit Properties";
                            else action = "View Properties";
                        }
                        else if (_b.indexOf("DocLibECB_Click_ID_EditProperties") >= 0 || _b.indexOf("EditItemWithCheckoutAlert") >= 0) {
                            // Document - Edit Properties from ECB Menu
                            if (version === "SPO") action = "Rename";
                            else if (version === "2016" && plugin.objectExists(a, "_arrSelected")) {
                                var elem = _a.querySelector(".ms-core-menu-link");
                                action = (elem && elem.title) ? elem.title : "Edit Properties";
                            }
                            else action = "Edit Properties";
                        }
                        else if (_b.indexOf("DocLibECB_Click_ID_EditIn_") >= 0) {
                            // Document - Open in App
                            action = "Open in App";
                        }
                        else if (_b.indexOf("ID_CA_Open_in_") >= 0) {
                            // Document - Open in App Online
                            action = "Open in App Online";
                        }
                        else if (_b.indexOf("DocLibECB_Click_ID_OPENINLIGHTBOX") >= 0) {
                            // Document - Open
                            action = "Open";
                        }
                        else if (_b.indexOf("ID_CA_View_in_Browser") >= 0 ||
                                 (_b.indexOf("WopiFrame.aspx") >= 0 && _b.indexOf("action=view") >= 0) ||
                                 (_b.indexOf("xlviewer.aspx") >= 0 && _b.indexOf("DefaultItemOpen") >= 0)) {
                            // Document - View in Browser from ECB Menu (O365 or OnPrem 2013 specific)
                            action = "View in Browser";
                        }
                        else if (_b.indexOf("ID_CA_Edit_in_Browser") >= 0 || (_b.indexOf("WopiFrame.aspx") >= 0 && _b.indexOf("action=edit") >= 0)) {
                            // Document - Edit in Browser from ECB Menu
                            action = "Edit in Browser";
                        }
                        else if (_b.indexOf("DocLibECB_Click_ID_Checkout") >= 0 || _b.indexOf("CheckoutSingleItemFromECB") >= 0 || _b.indexOf("CheckoutItemFromECB") >= 0) {
                            // Document - Check Out from ECB Menu
                            action = "Check Out";
                        }
                        else if (_b.indexOf("DocLibECB_Click_ID_DiscardCheckou") >= 0 || _b.indexOf("UnDoCheckOutwithNotification") >= 0) {
                            // Document - Discard Check Out from ECB Menu
                            action = "Discard Check Out";
                        }
                        else if (_b.indexOf("DocLibECB_Click_ID_Checkin") >= 0 || _b.indexOf("CheckInSingleItemFromECB") >= 0) {
                            // Document - Check In from ECB Menu
                            // action = "Check In"; // Track the confirmation button instead
                        }
                        else if (_b.indexOf("DocLibECB_Click_ID_Versions") >= 0) {
                            // Document - Version History from ECB Menu
                            action = "Version History";
                        }
                        else if (_b.indexOf("ID_CA_Compliance_Details") >= 0 || _b.indexOf("commonShowModalDialog") >= 0) {
                            // Document - Compliance Details from ECB Menu
                            action = "Compliance Details";
                        }
                        else if (_b.indexOf("DocLibECB_Click_ID_Workflows") >= 0 || (_b.indexOf("STSNavigate") >= 0 && _b.indexOf("/Workflow.aspx") >= 0) || (_b.indexOf("Nav.navigate") >= 0 && _b.indexOf("/Workflow.aspx") >= 0)) {
                            // Document Workflows from ECB Menu
                            action = "View Workflows";
                        }
                        else if (_b.indexOf("DocLibECB_Click_ID_WorkOffline") >= 0 || _b.indexOf("ExportHailStorm") >= 0) {
                            // Document Folder - Connect to Outlook from ECB Menu
                            action = "Connect to Outlook";
                        }
                        else if (_b.indexOf("DocLibECB_Click_ID_OtherLocation") >= 0 && _b.indexOf("/copy.aspx") >= 0) {
                            // Document - Copy from ECB Menu
                            action = "Copy";
                        }
                        else if (_b.indexOf("DocLibECB_Click_ID_DownloadACopy") >= 0 || (_b.indexOf("STSNavigate") >= 0 && _b.indexOf("/download.aspx") >= 0)) {
                            // Document - Download a Copy from ECB Menu
                            action = "Download";
                        }
                        else if (_b.indexOf("ID_CA_Follow") >= 0 || _b.indexOf("FollowDoc") >= 0) {
                            // Document - Follow from ECB Menu
                            action = "Follow";
                        }
                        else if ((_b.indexOf("DocLibECB_Click_ID_MngPerms") >= 0 || _b.indexOf("DisplaySharedWithDialog") >= 0) && _b.indexOf(parent.wt_sp_globals.spPageContextInfo.siteAbsoluteUrl) >= 0) {
                            // Document - Shared With from ECB Menu
                            action = "Shared With/Manage Permissions";
                        }
                        else if (_b.indexOf("DocLibECB_Click_ID_DeleteDocItem") >= 0 || _b.indexOf("DeleteDocLibItem") >= 0) {
                            // Document - Delete from ECB Menu
                            action = "Delete";
                        }
                        else if (_b.indexOf("DocLibECB_Click_ID_GetLink") >= 0) {
                            // Document - Get a Link from ECB Menu
                            action = "Get Link";
                        }
                        res = plugin.documentECBClassicView(action);
                    }
                    else if (!social && plugin.cfg.list && (typeof parent.wt_sp_globals.currentLibraryType !== "undefined" && parent.wt_sp_globals.currentLibraryType === "List Library")) {
                        // LISTS

                        // Disabled because we use the following page view hit to track the event
                        //if (_b.indexOf("ECB_Click_ID_ViewItem") >= 0) {
                        // List - View Item from ECB Menu
                        //    action = "View Item";
                        //    res = plugin.listECBClassicView(action);
                        //}
                        //else if (_b.indexOf("ECB_Click_ID_EditItem") >= 0) {
                        // List - Edit Item from ECB Menu
                        //    action = "Edit Item";
                        //    res = plugin.listECBClassicView(action);
                        //}

                        if (_b.indexOf("ID_CA_Compliance_Details") >= 0 || _b.indexOf("commonShowModalDialog") >= 0) {
                            // List - Compliance Details from ECB Menu
                            action = "Compliance Details";
                        }
                        else if (_b.indexOf("ECB_Click_ID_Workflows") >= 0 || _b.indexOf("STSNavigate") >= 0 || _b.indexOf("Nav.navigate") >= 0 && _b.indexOf("/Workflow.aspx") >= 0) {
                            // List - Workflows from ECB Menu
                            action = "View Workflows";
                        }
                        else if (_b.indexOf("ECB_Click_ID_Subscribe") >= 0 || _b.indexOf("NavigateToSubNewAspxV4") >= 0) {
                            // List - Alert Me from ECB Menu
                            action = "Alert Me";
                        }
                        else if (_b.indexOf("ID_CA_Follow") >= 0 || _b.indexOf("FollowDoc") >= 0) {
                            // List - Follow from ECB Menu
                            action = "Follow";
                        }
                        else if ((_b.indexOf("ECB_Click_ID_AdvPerms") >= 0 || _b.indexOf("DisplaySharedWithDialog") >= 0 || _b.indexOf("_NavigateToManagePermsPage") >= 0) && _b.indexOf(parent.wt_sp_globals.spPageContextInfo.siteAbsoluteUrl) >= 0) {
                            // List - Manage Permission from ECB Menu
                            action = "Shared With/Manage Permissions";
                        }
                        else if (_b.indexOf("ECB_Click_ID_DeleteItem") >= 0 || _b.indexOf("DeleteListItem") >= 0) {
                            // List - Delete from ECB Menu
                            action = "Delete Item";
                        }
                        res = plugin.listECBClassicView(action);
                    }
                    else if (social === true && plugin.cfg.socialMenuClick && plugin.cfg.legacySocial && plugin.objectExists(a, "_arrSelected")) {
                        // SOCIAL
                        var text = plugin.getElementText(_a.querySelector(".ms-core-menu-title") || _a);
                        text = plugin.translateLanguage(text).toLowerCase();
                        if (text.indexOf("copy link to conversation") >= 0) {
                            // Social - Copy link to conversation from ECB Menu
                            action = "Copy link to conversation";
                        }
                        else if (text.indexOf("unlock conversation") >= 0) {
                            // Social - Lock conversation from ECB Menu
                            action = "Unlock conversation";
                        }
                        else if (text.indexOf("lock conversation") >= 0) {
                            // Social - Follow up from ECB Menu
                            action = "Lock conversation";
                        }
                        else if (text.indexOf("follow up") >= 0) {
                            // Social - Unlock conversation from ECB Menu
                            action = "Follow up";
                        }
                        res = plugin.socialFeedAction(action);
                    }
                    else if (plugin.searchPage && _a) {
                        // Get the element id for the result by puling out partial text from a child element and querying for the result element in the page
                        var el = _a;
                        var label = el.querySelector(".ms-core-menu-label");
                        if (label && label.id) {
                            if (label.id.indexOf("_hover") >= 0) {
                                // This is from the hover card in the search page, not a normal ecb link
                                var id = label.id.substring(0, label.id.indexOf("_hover"));
                                // Search for the result element in the page
                                var par = document.querySelector("#" + id); //syntax error
                                if (par) {
                                    // Get link text for action
                                    action = plugin.getElementText(el.querySelector(".ms-core-menu-link"));

                                    // Use the search method to add search parameters instead of the normal ecb method
                                    res = plugin.searchResultClickClassicView(par, "");
                                }
                            }
                            else if (label.id.indexOf("UpScopeLink") >= 0) {
                                // This is from the search Scope ecb links, that switch from site, to everything, to people, etc
                                // Set scope change flags for use by search experience code
                                plugin.setSearchScopeFlag();
                            }
                        }
                    }
                    else {
                        // Anything else from ECB Menu
                        origExecuteOnClick(b, a);
                        return;
                    }

                    // Intentionally blank action values, such as document check in
                    if (action === "") {
                        // Set option for confirm button to check
                        plugin.setECBFlag();
                        origExecuteOnClick(b, a);
                        return;
                    }

                    // Add action loc param to the res object before sending
                    res["WT.shp_act_loc"] = "ECB Menu";
                    var argsa = [];
                    for (var item in res) {
                        if (res.hasOwnProperty(item)) {
                            argsa.push(item, res[item]);
                        }
                    }

                    // Send event
                    Webtrends.multiTrack({
                        element: a,
                        argsa: argsa,
                        finish: function (dcsObject, multiTrackObject) {
                            plugin.finishCleanup(dcsObject, multiTrackObject);
                        },
                        delayTime: 500
                    });

                    // Call original function
                    origExecuteOnClick(b, a);
                }
                catch (e) {
                    // Call original function
                    origExecuteOnClick(b, a);
                }
            };
            window.ExecuteOnClick.isWT = true;
        }
    };

    // Classic View: Get Document Library Path In Search Result
    WebTrendsSP_intra.prototype.getSearchResultDocumentLibraryPath = function (element) {
        var path = "";
        var par = this.getParentByClassNameExact(element, this.ids.searchResultBodyClassName);
        if (par) par = par.querySelector("a[id$=item_hoverParentLink],source");
        if (par) {
            if (par.tagName === "A" && par.hasAttribute("href")) {
                var href = par.getAttribute("href");
                var pattern = /^https?:\/\//i;
                if (pattern.test(href)) {
                    href = href.replace(/https?:\/\//i, "");
                    href = href.substring(href.indexOf("/"), href.length);
                }
                href = href.replace(/\/forms\/[^\.]+\.[a-z]+|\/allitems\.aspx/i, "");
                return href;
            }
            else if (par.tagName === "SOURCE" && par.hasAttribute("src")) {
                var source = par.getAttribute("src");
                if (source.indexOf("http") === 0) {
                    source = source.substring(source.indexOf("//") + 2);
                    source = source.substring(source.indexOf("/"));
                }
                source = source.substring(0, source.lastIndexOf("/"));
                return source;
            }
        }
        return path;
    };

    /**************************MODERN VIEW**********************************/

    // Modern View: Create the proper destination URL for selected list items
    WebTrendsSP_intra.prototype.createListItemURLModernView = function (elem) {
        var plugin = window.wt_sp_globals.pluginObj;
        var url, uri, ID, item, href, par;
        var found = false;
        var prefix = window.location.protocol + "//" + window.location.hostname;
        if (elem.hasAttribute("data-reactid")) {
            // Old Modern View?  Doesn't seem used any longer.
            url = decodeURIComponent(elem.getAttribute("data-reactid"));
            url = url.substring(url.indexOf("/"), url.indexOf("_"));
            uri = url.substring(0, url.lastIndexOf("/") + 1);
            ID = url.substring(url.lastIndexOf("/") + 1, url.length);
            href = window.location.protocol + "//" + window.location.hostname + uri + "DispForm.aspx?ID=" + ID;
            found = true;
        }
        // List Libraries
        if (!found && window.wt_sp_globals.g_listData) {
            // Moving from one library to another causes the g_listData to "stick" and it doesn't update for the new library pages (SPA behavior). 
            // Now we copy the list data using the REST API if we detect g_listData is stale, so we can always reference it
            var rows = window.wt_sp_globals.g_listData.ListData.Row;
            for (var i = 0; i < rows.length; i++) {
                if ((rows[i].Title && elem.title && rows[i].Title.replace(/^\s+|\s+$/g, "") === elem.title.replace(/^\s+|\s+$/g, "")) ||
                    (rows[i].FileLeafRef && elem.title && rows[i].FileLeafRef.replace(/^\s+|\s+$/g, "") === elem.title.replace(/^\s+|\s+$/g, ""))) {
                    item = rows[i];
                    ID = item.ID;
                    href = prefix + window.wt_sp_globals.spPageContextInfo.listUrl + "/DispForm.aspx?ID=" + ID;
                    found = true;
                    break;
                }
            }
        }
        // List Web Parts
        if (!found) {
            // List Name
            var seeAll = plugin.getSeeAllPath(elem);
            if (seeAll) {
                // Item ID used to be first number in aria-label of the ms-DetailsRow role="row" element
                par = plugin.getParentByClassNameExact(elem, "ms-List-cell");
                if (par) {
                    var row = par.querySelector("div.ms-DetailsRow[role='row']");
                    if (row) {
                        var label = row.getAttribute("aria-label");
                        if (label) {
                            var itemID = label.substring(0, label.indexOf("_"));
                            if ((/^\d+$/).test(itemID)) {
                                href = prefix + seeAll + "/DispForm.aspx?ID=" + itemID;
                                found = true;
                            }
                        }
                    }
                }
                if (!found) {
                    // Can't get actual ID, but the rest should be a valid path
                    href = prefix + seeAll + "/DispForm.aspx?ID=";
                    found = true;
                }
            }
        }
        if (!found) href = window.location.href;
        return href;
    };

    // Modern View: Search Result Suggestion Item Clicks
    WebTrendsSP_intra.prototype.searchSuggestionClickModernView = function (element) {
        var plugin = window.wt_sp_globals.pluginObj;

        // Get the document name and extension
        var getDocInfo = function (url) {
            var result = {
                item: "",
                ext: ""
            }
            // Check for file= in query
            result.item = decodeURIComponent(plugin.getQueryParamValue("file", url.dcsqry));
            if (!result.item) {
                // Try to capture from element text
                result.ext = element.querySelector("[class^='FileSuggestion-module__fileIcon']");
                if (result.ext) {
                    result.ext = result.ext.getAttribute("data-icon-name").replace("32_svg", "");
                }
                var name = element.querySelector("[class^='FileSuggestion-module__displayText']");
                result.item = plugin.getElementText(name).replace(/[,]$/, "") + (result.ext ? ("." + result.ext) : ""); // Trim off trailing , and text
            }
            else {
                // Update extension if successful
                result.ext = result.item.substring(result.item.lastIndexOf(".") + 1, result.item.length);
            }

            return result;
        };

        // Get the Document Library Path
        var getDocLib = function (url) {
            // Try to get Library info
            var docLib = url.dcsuri;
            // Trim off appropriate text
            if (/\/_layouts\//i.test(decodeURIComponent(docLib))) {
                docLib = decodeURIComponent(docLib).match(/(.*)\/_layouts\//i)[1];
                // Can't find the appropriate path
                if (docLib === wt_sp_globals.spPageContextInfo.siteServerRelativeUrl) {
                    docLib = "";
                }
            }
            else if (/\/Shared\sDocuments\//i.test(decodeURIComponent(docLib))) {
                // Trim after Shared Documents
                docLib = decodeURIComponent(docLib).match(/.*\/Shared\sDocuments/i)[0];
            }
            else if (/\/SitePages\//i.test(decodeURIComponent(docLib))) {
                // Trim after SitePages
                docLib = decodeURIComponent(docLib).match(/(.*)\/SitePages/i)[0];
            }
            else if (/\/Forms\//i.test(decodeURIComponent(docLib))) {
                // Trim Before Forms
                docLib = decodeURIComponent(docLib).match(/(.*)\/Forms\//i)[1];
            }
            else if (docLib.indexOf(".") >= 0) {
                // Grab up to last directory 
                docLib = docLib.substring(0, docLib.lastIndexOf("/"));
            }
            else docLib = "";

            return docLib;
        };

        // Initialize
        var res = {};
        var item = "";
        var dl= "";
        var type = "";
        var oss = "";
        var doc = "";
        var ext = "";
        var action = "";
        var docLib = "";
        var href = element.href;
        var url;

        // Check if this is a document or News item:
        if (plugin.isDoc(plugin.getURIArrFromHREF(href), plugin.types).check) {
            url = plugin.getURIArrFromHREF(plugin.getLibraryPathFromHrefModernView(href));
            // Get the Document info
            var result = getDocInfo(url);
            item = result.item;
            doc = item;
            ext = result.ext;
            dl = "20";
            action = "Open";
            type = ext;
            docLib = getDocLib(url);
        }
        else {
            // Other
            url = plugin.getURIArrFromHREF(href);
            var textEl = element.querySelector("[class*='FileSuggestion-module__displayText___'],h3");
            item = plugin.getElementText(textEl);
            dl = "SHP";
            type = "URL";
        }

        // Count this evernt as a search since it performed a search and they clicked
        var ossEl = document.querySelector("input[type=search]");
        if (ossEl && ossEl.value) {
            oss = decodeURIComponent(ossEl.value);
        }
        else {
            oss = "(No term used)";
        }
        var oss_r = document.querySelectorAll("div[class^='SearchSuggestionPanel-module__body'] a,ul[data-suggestionpanelcontenttype='body'] li a").length;

        // Return
        res["DCS.dcssip"] = url.dcssip;
        res["DCS.dcsuri"] = url.dcsuri;
        res["DCS.dcsqry"] = url.dcsqry;
        res["DCS.dcsref"] = url.dcsref;
        res["WT.ti"] = item;
        res["WT.dl"] = dl;
        res["WT.oss"] = oss;
        res["WT.oss_r"] = oss_r;
        res["WT.oss_visits"] = "Visits With Search";
        res["WT.shp_doc"] = doc;
        res["WT.shp_doc_a"] = action;
        res["WT.shp_doc_type"] = ext;
        res["WT.shp_doc_lib"] = docLib;
        res["WT.shp_srch_item"] = item;
        res["WT.shp_srch_item_action"] = "Open";
        res["WT.shp_srch_item_type"] = type;
        res["WT.shp_srch_term"] = oss;
        if (!plugin.cfg.legacySearch) {
            res["WT.oss_orig"] = oss;
            res["WT.oss_scope"] = plugin.getSearchScope() || "This Site";
            res["WT.oss_count"] = "1";
            res["WT.oss_action"] = "Suggested Item";
            res["WT.oss_pg"] = plugin.getSearchPageNumber();
            res["WT.oss_ref"] = "";
            res["WT.shp_srch_orig"] = oss;
            res["WT.shp_srch_pos"] = plugin.getSearchResultClickPosition(element);
            res["WT.shp_srch_ref"] = plugin.getSearchRefiners();
            res["WT.shp_srch_pg"] = plugin.getSearchPageNumber();
            res["WT.shp_srch_scope"] = plugin.getSearchScope() || "This Site";
            res["WT.shp_srch_count"] = window.wt_sp_globals.searchCount || "1";
        }
        res["WT.shp_act_loc"] = "Suggestions";

        // Add document meta data
        if (plugin.cfg.documentMetadata) {
            var key = plugin.documentMetadataGetKey(url).key;
            plugin.documentMetadataAddToHit(key, res);
        }

        return res;
    };

    // Modern View: Search Result Item Clicks
    WebTrendsSP_intra.prototype.searchResultClickModernView = function (element) {
        var res = {};
        var plugin = window.wt_sp_globals.pluginObj;
        var type = plugin.constants.URL;
        var item = "";
        var doc = "";
        var docAction = "";
        var docType = "";
        var docLib = "";
        var url, par;
        var dl = "SHP";
        var result;

        // Get the type of search result click to determine which functions to run
        var getSearchType = function (element) {
            if (element.wtOtherProperty) {
                // This is an other Property link on a file, but should be intepretted as a site link
                return plugin.constants.SITE;
            }
            else {
                // Extract the type of result from the class name
                var className = element.getAttribute("class");
                var match = className.match(/^Triage([a-zA-Z]+)SearchResult|^([a-zA-Z]+)SearchResult/i);
                if (match) {
                    // SP2019 and previous SPO version
                    return (match[2] || match[1] || (className.indexOf("ms-Breadcrumb-itemLink") >= 0 ? plugin.constants.BREADCRUMB : "")).toUpperCase();
                }
                else {
                    // Latest SPO version
                    if (element.querySelector("[data-filetype]")) {
                        // All files/folders have a child div with a data-filetype=File attribute
                        return plugin.constants.FILE;
                    }
                    else if (element.querySelector("canvas")) {
                        // All sites have a child <canvas> element
                        return plugin.constants.SITE;
                    }
                    else if (element.querySelector("svg")) {
                        // All news have a child <svg> element
                        return plugin.constants.NEWS;
                    }
                    else if (!plugin.getParentByTagName(element, "ol")) {
                        // People results have no child elements, but some similar elements are in OLs
                        return plugin.constants.PROFILE;
                    }
                    else {
                        // This probably a breadcrumb
                        return plugin.constants.BREADCRUMB;
                    }
                }
            }
        };

        // Get the real result link on Open in New Tab links
        var getResultElemForOpenInNewTab = function (element) {
            // Get the proper element if this is a "Open in new tab" link
            var cName = element.className;
            if (cName.indexOf("__userAction__") >= 0 || cName.indexOf("__location__") >= 0) {
                // Previous SPO version
                par = plugin.getParentByTagName(element, "ARTICLE");
                if (par) {
                    return element = par.querySelector("[class*='SearchResult-module__headingLink___']") || element;
                }
            }
            else if (!plugin.getParentByTagName(element, "H3") && !plugin.getParentByTagName(element, "OL")) {
                // Latest SPO version
                par = plugin.getParentByTagName(element, "ARTICLE");
                if (par) {
                    return element = par.querySelector("header h3 a") || element;
                }
            }
            return element;
        };

        // Get the result data from the older search style
        var getDataForResultsOld = function (element, url) {

            // Initialize
            var result = {
                url: url,
                dl: "SHP",
                item: plugin.getElementText(element),
                doc: "",
                docLib: "",
                docType: "",
                docAction: "",
                type: ""
            };

            // Get visible text from the element
            var getVisibleText = function (element) {
                var text = "";
                if (element) {
                    var nodes = element.childNodes;
                    for (var i = 0; i < nodes.length; i++) {
                        // ignore child nodes that contain hidden text used for screen reader
                        if (!nodes[i].hasAttribute ||
                            !nodes[i].hasAttribute("class") ||
                            nodes[i].getAttribute("class").toLowerCase().indexOf("_screenreader_") === -1) {
                            text += plugin.getElementText(nodes[i]);
                        }
                    }
                }
                return text || plugin.getElementText(element);
            };

            // Get the document library path
            var getLibData = function (dcsuri) {
                // This can't capture the proper library path in subsites using a non typical library name - 
                // It will just return the sub site.  There isn't really a way around this.
                dcsuri = decodeURIComponent(dcsuri);
                var match = (/\/(Shared Documents|Documents|SitePages|Pages)\//i).exec(dcsuri);
                if (match) {
                    // Remove everything after match
                    return dcsuri.substring(0, match.index + match[0].length).substring(0, dcsuri.lastIndexOf("/"));
                }
                else if ((/\/(sites|teams|my(\/personal)?)\/[^\/]+\//i).test(dcsuri)) {
                    // Remove everything after folder after site name match
                    match = (/\/(sites|teams|my(\/personal)?)\/[^\/]+\/[^\/]+\//i).exec(dcsuri);
                    if (match) {
                        return dcsuri.substring(0, match.index + match[0].length).substring(0, dcsuri.lastIndexOf("/"));
                    }
                }
                // Trim off anything trailing text
                return dcsuri.substring(0, dcsuri.lastIndexOf("/"));
            };

            // Get the folder hierarchy
            var getFolderPath = function (dcsuri, text) {
                return decodeURIComponent(dcsuri).replace(/\/(sites|teams)\/[^\/]+\//i, "")
                    .replace(/(Shared( |%20)Documents)/i, "Documents")
                    .replace(/Lists\//i, "");
            };

            // Get the data for document results
            var getFileData = function (file, url) {
                return {
                    url: url,
                    doc: file.file,
                    docType: file.file.substring(file.file.lastIndexOf(".") + 1, file.file.length),
                    docAction: "Open",
                    docLib: getLibData(url.dcsuri),
                    dl: "20",
                    type: plugin.constants.DOCUMENT
                };
            };

            // Get the data for folder results
            var getFolderData = function (element, url) {
                var text = getVisibleText(element.querySelector("div[class*='FileSearchResult-module__name___']"));
                var path = getFolderPath(url.dcsuri, text);
                return {
                    url: url,
                    item: path,
                    doc: path,
                    docType: plugin.constants.LIBRARY_FOLDER,
                    docAction: plugin.constants.OPEN,
                    docLib: getLibData(url.dcsuri),
                    dl: "SHP",
                    type: plugin.constants.LIBRARY_FOLDER
                };
            };

            // Get the data for page or list item results
            var getSubLinkData = function (element, li) {
                var a = li.querySelector("A");
                return {
                    url: plugin.getURIArrFromHREF(plugin.getSiteCollectionRootFromHREF(decodeURIComponent(a.href))),
                    item: "Property: " + getVisibleText(a.querySelector("[class*='SearchResult-module__name___']")) + " > " + getVisibleText(element),
                    dl: "SHP",
                    type: plugin.constants.URL
                };
            };

            // Get the data for page or list item results
            var getPageOrListData = function (element) {
                return {
                    url: url,
                    item: getVisibleText(element.querySelector("[class*='SearchResult-module__name___']")),
                    dl: "SHP",
                    type: plugin.constants.URL
                };
            };

            // Get parent <li> element if found
            var li = plugin.getParentByTagName(element, "LI");
            if (li) {
                // Check for file in query string
                var file = plugin.isDoc(url, plugin.types);
                if (element.wtOtherProperty) {
                    // Site or Author link underneath a file/folder
                    result = getSubLinkData(element, li);
                }
                else if (file.check) {
                    // Documents
                    result = getFileData(file, url);
                }
                else if (li.querySelector("img[src*='/icon_genericfile_']")) {
                    // Library Folders
                    result = getFolderData(li, url); // li?  or element
                }
                else {
                    // SharePoint Page or List items
                    result = getPageOrListData(li);
                }
            }
            return result;
        };

        // Get the result data from the newer search style with breadcrumbs
        var getDataForResultsNew = function (element, url) {
            // Initialize
            var result = {
                url: url,
                dl: "SHP",
                item: plugin.getElementText(element),
                doc: "",
                docLib: "",
                docType: "",
                docAction: "",
                type: ""
            };

            // Get the file data from the breadcrumbs
            var getFileDataFromCrumb = function (file, breadcrumbs, url) {
                // Initialize
                var result = {
                    url: url,
                    doc: "",
                    docType: ""
                };

                // Get real url, file, and extension from the breadcrumbs if possible
                var a;
                if (breadcrumbs && breadcrumbs.length > 0) {
                    // Main result links
                    a = breadcrumbs[breadcrumbs.length - 1].querySelector("A");
                }
                else {
                    // Site Content links can lead to documents
                    a = element;
                }
                if (a && a.hasAttribute("href")) {
                    // Create the "real" url from the library path and file name
                    result.url = plugin.getURIArrFromHREF(a.getAttribute("href") + "/" + file);

                    // Collect file type
                    if (plugin.isDocURI("/" + file, plugin.types).check) {
                        // We can detect a file extension
                        result.doc = file;
                        result.docType = file.substring(file.lastIndexOf(".") + 1, file.length);
                    }
                    else {
                        // No file extension, must be a OneNote file
                        result.doc = file + ".one";
                        result.docType = "one";
                    }
                }

                return result;
            };

            // Get the library path from breadcrumbs
            var getLibDataFromCrumb = function (breadcrumbs) {
                var docLib = "";
                if (breadcrumbs && breadcrumbs.length >= 2) {
                    // Site name
                    var crumb1 = breadcrumbs[0].querySelector("A");
                    // library folder name
                    var crumb2 = breadcrumbs[1].querySelector("A") || breadcrumbs[1];
                    if (crumb2 && crumb2.hasAttribute("href")) {
                        // Use href from 2nd crumb if available
                        docLib = crumb2.getAttribute("href");
                    }
                    else if (crumb2 && crumb2.querySelector("[aria-label]")) {
                        // Use href from 2nd crumbs aria label if possible
                        var crumb2Text = crumb2.querySelector("[aria-label]").getAttribute("aria-label").replace(/^\s+|\s+$/, "");
                        // crumb may say "Shared Documents" if at root, but "Folders 2 to 3, separated by Slash. Shared Documents, Slash, Activity Test" if in sub folder
                        if (crumb2Text.indexOf(",") >= 0) {
                            crumb2Text = crumb2Text.replace(/^[^\.]+\. ?/, "").replace(/(, ?.*)$/, "");
                        }
                        docLib = crumb1.getAttribute("href") + "/" + crumb2Text;
                    }
                    else if (crumb1 && crumb1.hasAttribute("href")) {
                        // Build path from first and second crumb
                        docLib = crumb1.getAttribute("href") + "/" + plugin.getElementText(crumb2);
                    }
                }

                // Trim off domain if present
                if (docLib.indexOf("http") >= 0) {
                    docLib = docLib.replace(/https?:\/\//i, "");
                    docLib = docLib.substring(docLib.indexOf("/"), docLib.length);
                }

                return docLib;
            };

            // Get the full sub folder path from the url
            var getFolderPath = function (breadcrumbs, url) {
                // Get the site name to remove
                var root = "/" + plugin.getElementText(breadcrumbs[0].querySelector("a")).toLowerCase();
                // Clean up to compare
                var tempUrl = decodeURIComponent(url.dcsuri.toLowerCase());
                return decodeURIComponent(
                    // Use the dcsuri to get the full sub folder path, removing unwanted parts
                    url.dcsuri.replace(/(Shared( |%20)Documents)/i, "Documents").substring(tempUrl.indexOf(root) + root.length + 1, url.dcsuri.length)
                );
            };

            // Get the data for document results
            var getFileData = function (file, breadcrumbs, url) {
                // Get the document data from the parameter
                var document = getFileDataFromCrumb(file, breadcrumbs, url);
                return {
                    url: document.url,
                    item: document.doc,
                    doc: document.doc,
                    docType: document.docType,
                    docAction: plugin.constants.OPEN,
                    docLib: getLibDataFromCrumb(breadcrumbs),
                    dl: "20",
                    type: plugin.constants.DOCUMENT
                };
            };

            // Get the data for folder results
            var getFolderData = function (element, breadcrumbs, url) {
                return {
                    url: url,
                    item: getVisibleText(element),
                    doc: getFolderPath(breadcrumbs, url),
                    docType: plugin.constants.LIBRARY_FOLDER,
                    docAction: plugin.constants.OPEN,
                    docLib: getLibDataFromCrumb(breadcrumbs),
                    dl: "SHP",
                    type: plugin.constants.LIBRARY_FOLDER
                };
            };

            // Get the data for img or txt file results
            var getImgOrTxtData = function (breadcrumbs, url) {
                var document = plugin.isDoc(url, plugin.types);
                return {
                    url: url,
                    item: document.file,
                    doc: document.file,
                    docType: document.file.substring(document.file.indexOf(".") + 1, document.file.length),
                    docAction: plugin.constants.OPEN,
                    docLib: getLibDataFromCrumb(breadcrumbs),
                    dl: "20",
                    type: plugin.constants.DOCUMENT
                };
            };

            // Get the data for page or list item results
            var getPageOrListData = function (element, url) {
                return {
                    url: url,
                    item: getVisibleText(element),
                    dl: "SHP",
                    type: plugin.constants.URL
                };
            };

            // Get the result data for newer search breadcrumb clickthroughs
            var getDataForBreadcrumbs = function (element) {

                // Get the text path from the breadcrumb links
                var getBreadCrumbText = function (element) {
                    var par = plugin.getParentByTagName(element, "OL,UL");
                    var elText = plugin.getElementText(element);
                    var crumbs = par.querySelectorAll("li");
                    var text = "";
                    for (var i = 0; i < crumbs.length; i++) {
                        var crumbText;

                        // Get text
                        if (crumbs[i].querySelector("a")) {
                            crumbText = getVisibleText(crumbs[i].querySelector("a")) || "...";
                        }
                        else {
                            crumbText = getVisibleText(crumbs[i]) || "...";
                        }

                        // Append text
                        if (crumbText) {
                            text += "/" + crumbText;
                        }

                        // Break out
                        if (crumbText === elText) {
                            break;
                        }
                    }
                    return text.replace(/(^\/)/, "");
                };

                // Return the breadcrumb data
                return {
                    url: plugin.getURIArrFromHREF(element.href),
                    dl: "SHP",
                    item: "Breadcrumb: " + getVisibleText(article.querySelector("a[class*='__headingLink___'],h3 a")) + " > " + getBreadCrumbText(element),
                    type: plugin.constants.URL
                };
            };

            // Get visible text from the element
            var getVisibleText = function (element) {
                var text = "";
                if (element) {
                    var nodes = element.childNodes;
                    for (var i = 0; i < nodes.length; i++) {
                        // ignore child nodes that contain hidden text used for screen reader
                        if (nodes[i].nodeType === Node.TEXT_NODE) {
                            text += nodes[i].nodeValue;
                        }
                    }
                }
                return text || plugin.getElementText(element);
            };

            // Get parent <article> element if found
            var article = plugin.getParentByTagName(element, "ARTICLE");
            if (article) {
                // Get the list of breadcrumb elements to work with
                var breadcrumbs = article.querySelectorAll(".ms-Breadcrumb-listItem,ol[id*='resultBreadcrumb_'] li");
                // Check for file in query string
                var file = decodeURIComponent(plugin.getQueryParamValue("file", url.dcsqry));
                if ((element.hasAttribute("class") && element.getAttribute("class").toLowerCase().indexOf("ms-breadcrumb-itemlink") >= 0) ||
                    plugin.getParentByIDContains(element, "resultBreadcrumb"))
                {
                    // File breadcrumbs
                    result = getDataForBreadcrumbs(element, article);
                }               
                else if (file) {
                    // Documents
                    result = getFileData(file, breadcrumbs, url);
                }
                else if (element.querySelector("img[src*='/folder.svg']")) {
                    // Library Folders
                    result = getFolderData(element, breadcrumbs, url);
                }
                else if (element.querySelector("img[src*='/photo.svg'],img[src*='/txt.svg']")) {
                    // Image or .TXT files
                    result = getImgOrTxtData(breadcrumbs, url);
                }
                else {
                    // SharePoint Page or List items
                    result = getPageOrListData(element, url);
                }
            }
            return result;
        };

        if (document.querySelector("input[class*='SearchBar-module__input___']")) {
            // Older Modern view currently SP2019
            switch (getSearchType(element)) {
                case plugin.constants.FILE:
                    // Get the data for document or document folder clickthroughs
                    result = getDataForResultsOld(element,
                        plugin.getURIArrFromHREF(plugin.getLibraryPathFromHrefModernView(element.href))
                    );
                    break;
                case plugin.constants.PEOPLE:
                // Not sure this still exists
                // Fall through
                case plugin.constants.PROFILE:
                    // Clicks don't actually do anything apparently, but clicks to the initials open a hover card with the user details, though so does hover
                    // May be broken at MS's end
                    result = getDataForResultsOld(element,
                        plugin.getURIArrFromHREF(element.href)
                    );
                    result.type = plugin.constants.PROFILE;
                    break;
                case plugin.constants.SITE:
                    // Fall through
                case plugin.constants.NEWS:
                    // Get the data for site and news page clickthroughts
                    result = getDataForResultsOld(element,
                        plugin.getURIArrFromHREF(element.href)
                    );
                    break;
                default:
            }
        }
        else {
            // Newer Modern View currently SPO
            element = getResultElemForOpenInNewTab(element);
            switch (getSearchType(element)) {
                case plugin.constants.FILE:
                    // Get the data for document or document folder clickthroughs
                    result = getDataForResultsNew(element,
                        plugin.getURIArrFromHREF(plugin.getLibraryPathFromHrefModernView(element.href))
                    );
                    break;
                case plugin.constants.PEOPLE:
                    // Not sure this still exists
                    // Fall through
                case plugin.constants.PROFILE:
                    // Clicks don't actually do anything apparently, but clicks to the initials open a hover card with the user details, though so does hover
                    // May be broken at MS's end
                    result = getDataForResultsNew(element,
                        plugin.getURIArrFromHREF(element.href)
                    );
                    result.type = plugin.constants.PROFILE;
                    // Override item, which may have just initials from the "persona coin" with user name in the tile
                    var par = plugin.getParentByTagName(element, "LI");
                    if (par) {
                        var header = par.querySelector("h3");
                        if (header) {
                            result.item = plugin.getElementText(header);
                        }
                    }
                    // Encrypt user names if required
                    if (plugin.cfg.obfuscate && plugin.cfg.obfuscateParams.indexOf("WT.shp_uname") >= 0) {
                        // Can't rely on normal obfuscate code to only encrypt WT.shp_srch_item when it's a user name - do it manually
                        result.item = plugin.dcsEncryption(result.item).toString();
                    }
                    break;
                case plugin.constants.SITE:
                    // Fall through
                case plugin.constants.NEWS:
                    // Get the data for site and news page clickthroughts
                    result = getDataForResultsNew(element,
                        plugin.getURIArrFromHREF(element.href)
                    );
                    break;
                case plugin.constants.BREADCRUMB:
                    // Get the data for newer search library breadcrumb links
                    result = getDataForResultsNew(element,
                        plugin.getURIArrFromHREF(element.href)
                    );
                    break;
                default:
            }
        }

        // Set values
        url = result.url;
        dl = result.dl || dl;
        doc = result.doc || doc;
        item = doc || result.item;
        docType = result.docType || docType;
        docLib = result.docLib || docLib;
        docAction = result.docAction || docAction;
        type = result.type || type;

        // Return
        res["DCS.dcssip"] = url.dcssip;
        res["DCS.dcsuri"] = url.dcsuri;
        res["DCS.dcsqry"] = url.dcsqry;
        res["DCS.dcsref"] = url.dcsref;
        res["WT.ti"] = item;
        res["WT.dl"] = dl;
        res["WT.shp_doc"] = doc;
        res["WT.shp_doc_a"] = docAction;
        res["WT.shp_doc_type"] = docType;
        res["WT.shp_doc_lib"] = docLib;
        res["WT.shp_srch_item"] = item;
        res["WT.shp_srch_item_action"] = "Open";
        res["WT.shp_srch_item_type"] = type;
        res["WT.shp_srch_term"] = decodeURIComponent(plugin.getQueryParamValue("q", window.location.search)) || "(No term used)";
        if (!plugin.cfg.legacySearch) {
            res["WT.shp_srch_orig"] = decodeURIComponent(window.wt_sp_globals.originalSearchTerm);
            res["WT.shp_srch_pos"] = plugin.getSearchResultClickPosition(element);
            res["WT.shp_srch_ref"] = window.wt_sp_globals.currentSearchRefiners;
            res["WT.shp_srch_pg"] = window.wt_sp_globals.currentSearchPageNumber;
            res["WT.shp_srch_scope"] = plugin.getSearchScope();
            res["WT.shp_srch_count"] = window.wt_sp_globals.searchCount;
        }
        res["WT.shp_act_loc"] = "Direct Link";

        // Add document meta data
        if (plugin.cfg.documentMetadata) {
            var key = plugin.documentMetadataGetKey(url).key;
            plugin.documentMetadataAddToHit(key, res);
        }

        return res;
    };

    // Modern View: Get ECB Menu item info
    WebTrendsSP_intra.prototype.listECBModernView = function (option) {
        var listName = "";
        var itemName = "";
        var url = "";

        if (window.wt_sp_globals.currentItemURL) {
            listName = window.wt_sp_globals.currentLibraryName;
            itemName = window.wt_sp_globals.currentItemName;
            url = this.getURIArrFromHREF(window.wt_sp_globals.currentItemURL);
        }
        else {
            listName = window.wt_sp_globals.currentLibraryName;
            url = this.getURIArrFromHREF(window.location.href);
        }

        var res = {};
        res["DCS.dcssip"] = url.dcssip;
        res["DCS.dcsuri"] = url.dcsuri;
        res["DCS.dcsqry"] = url.dcsqry;
        res["DCS.dcsref"] = url.dcsref;
        res["WT.ti"] = itemName ? listName + " - " + itemName : listName;
        res["WT.dl"] = "SHP";
        res["WT.shp_list"] = listName;
        res["WT.shp_list_item"] = itemName;
        res["WT.shp_list_item_action"] = option;
        return res;
    };

    // Modern View: Retrieves web parts from page
    WebTrendsSP_intra.prototype.getWebPartsFromRESTModernView = function () {
        window.wt_sp_globals.webPartNames = [];
        var plugin = window.wt_sp_globals.pluginObj;
        var _sp = window.wt_sp_globals.spPageContextInfo;
        var id = parseInt(_sp.pageItemId);
        if (id >= 0 && !(/\/Forms\/[^\/]+Form\.aspx/i).test(_sp.serverRequestPath)) {
            var request = {
                url: _sp.webAbsoluteUrl + "/_api/sitepages/pages(" + _sp.pageItemId + ")/CanvasContent1",
                success: function (data) {
                    plugin.getWebPartsFromRESTSuccess(JSON.parse(data.d.CanvasContent1));
                },
                error: function (err) {
                    try {
                        Webtrends.addTransform(function (dcsObject, trackObject) {
                            trackObject.argsa.push(
                                "WT.wp_err", err
                            );
                        }, "collect");
                    } catch (ex) { }
                    // Decrement wait counter
                    window.wt_sp_globals.RESTCounter--;
                    wt_sp_globals.RESTCounterLog.getWebPartsFromREST.push("Decrement -> getWebPartsFromRESTModernView -> Error");
                }
            };
            plugin.wtAjax(request, true);
        }
        else {
            // Decrement wait counter
            window.wt_sp_globals.RESTCounter--;
            wt_sp_globals.RESTCounterLog.getWebPartsFromREST.push("Decrement -> getWebPartsFromRESTModernView -> Abort due to ID or Page");
        }
    };

    // Modern View: Rerun functions that bind or look for important elements
    WebTrendsSP_intra.prototype.resetFunctionsModernView = function () {
        // Reference objects
        var plugin = window.wt_sp_globals.pluginObj;
        var configs = window.wt_sp_globals.configs.plugins;

        // Block duplicate hits from search page reset and navigatedEvent reset both firing 
        if (window.wt_sp_globals.blockSPA) return;
        window.wt_sp_globals.blockSPA = true;

        // Reset API counters and logs
        window.wt_sp_globals.RESTCounter = 0;
        wt_sp_globals.RESTCounterLog = {
            getPageDataFromREST: [],
            getWebPartsFromREST: [],
            getSiteCollectionTitle: [],
            getListDataFromREST: [],
            LoadMD5File: []
        };

        // Reset global objects
        window.wt_sp_globals.pageDetails = {};
        window.wt_sp_globals.webPartNames = {};
        window.wt_sp_globals.g_listData = {
            listBaseType: null,
            ListData: {
                Row: {}
            }
        };

        // Reset webtrends.js page analyze flag to regather all basic data
        dcs.pageAnalyzehasRun = false;

        // Allow tag release using appropriate logic
        window.wt_sp_globals.RESTCallBack = false;
        window.wt_sp_globals.waitForRESTModern = true;

        // Reinitialize
        if (!plugin.searchPageTest()) {
            // Non-search pages

            // Start site collection title retrieval
            if (configs.sp.siteInfo) {
                // Increment wait counter
                window.wt_sp_globals.RESTCounter++;
                wt_sp_globals.RESTCounterLog.getSiteCollectionTitle.push("Increment -> resetFunctionsModernView");

                // Initiate REST Call
                plugin.getSiteCollectionTitle();
            }

            // Start getting web part data from REST
            if (configs.sp.webparts) {
                // Increment wait counter
                window.wt_sp_globals.RESTCounter++;
                wt_sp_globals.RESTCounterLog.getWebPartsFromREST.push("Increment -> resetFunctionsModernView");

                // Determine proper API endpoint and Initiate REST Call
                if (wt_sp_globals.spPageContextInfo.pageItemId !== -1) plugin.getWebPartsFromRESTModernView();
                else plugin.getWebPartsFromREST();
            }

            // Start getting List data
            if (configs.sp.list || configs.sp.documentMenuClick) {
                // Increment wait counter
                window.wt_sp_globals.RESTCounter++;
                wt_sp_globals.RESTCounterLog.getListDataFromREST.push("Increment -> resetFunctionsModernView");

                // Initiate REST Call
                plugin.getListDataFromREST();
            }

            // Start getting Page data
            // Increment wait counter
            window.wt_sp_globals.RESTCounter++;
            wt_sp_globals.RESTCounterLog.getPageDataFromREST.push("Increment -> resetFunctionsModernView");

            // Initiate REST Call
            plugin.getPageDataFromREST();

            // Regular pages need to wait until other content is available on page
            // Modern Single Page App behavior doesn't seem to have a callback, so we're stuck with guessing a timeout
            setTimeout(function () {

                // Initialize the spsocial plugin if it exists and wasn't initialized on the previous page due to lack of newsfeeds
                if ((configs.sp.socialMenuClick && !configs.sp.legacySocial) && // Advanced social tracking is enabled in sp plugin
                    (configs.spsocial && !configs.spsocial.initialized && wt_sp_globals.registerSPSocial)) // spsocial plugin
                {
                    // Rerun webtrends.spsocial.js plugin initialization function
                    wt_sp_globals.registerSPSocial(plugin.tagObj, configs.spsocial);
                }

                // Initiate hit when ready
                plugin.waitForREST();

                // Bind to On Enter in search input to properly reset tag with searches
                plugin.bindToSearchButtonsModernView();

            }, 2000);
        }
        else {
            // Search pages - only need to wait for results to finish
            // Other API calls such as Web Parts are irrelevant on modern search pages

            if (configs.sp.search) {
                // Start Search Results listener which will release tag
                plugin.addSearchResultListenerModernView();
            }
            else {
                // Customer doesn't want search data, just trigger default Page View
                plugin.waitForREST();
            }

            // Bind to On Enter in search input to properly reset tag with searches
            plugin.bindToSearchButtonsModernView();
        }
    };

    // Modern View: Wait for page URL to change
    // TODO: Does it make more sense to reference spPageContextInfo instead?
    WebTrendsSP_intra.prototype.waitForPageChange = function (callback, interval) {
        var currPage = window.location.href;
        var wait = setInterval(function () {
            if (currPage !== window.location.href) {
                clearInterval(wait);
                callback();
            }
        }, interval);
    };

    // Modern View: Modern Search Reset process
    WebTrendsSP_intra.prototype.modernSearchReset = function (timeout) {
        setTimeout(function () {
            var plugin = window.wt_sp_globals.pluginObj;
            window.wt_sp_globals.searchReset = true;
            plugin.resetFunctionsModernView();
        }, timeout);
    };

    // Modern View: Bind to search box and back button to retrigger events
    WebTrendsSP_intra.prototype.bindToSearchButtonsModernView = function () {
        var plugin = window.wt_sp_globals.pluginObj;

        // Bind to backspace button on keyboard, which doesn't refresh page when moving back to the home page
        // TODO: Back button on mouse?  Is this possible? - Update Extension code?
        // Both SPO and SP2019 fire navigatedEvent on Back from search page.  However, neither fire it from Home to Search.
        // This results in the "previous" and "next" page having the same URL in the extension, so we don't fire wtReloadModernView like we need to
        // For now we rely on the Exit search, or Backspace button on keyboard to retrigger home page event when returning
        if (!document.wtBackBound) {
            document.addEventListener("keydown", function (e) {
                try {
                    if (!plugin.searchPageTest()) return false;
                    var target = e.target || e.srcElement;
                    if (e.keyCode === 8 && target.tagName !== "INPUT" && target.tagName !== "TEXTAREA") {
                        plugin.waitForPageChange(function () {
                            window.wt_sp_globals.searchReset = true;
                            if (!plugin.searchPageTest()) {
                                // Reset after returning to Home Page
                                window.wt_sp_globals.originalSearchTerm = "";
                                if (plugin.storageAvailable("sessionStorage")) {
                                    sessionStorage.removeItem("wtSearch");
                                }
                                // Initiate new home page page view
                                plugin.resetFunctionsModernView();
                            }
                        }, 100);
                    }
                }
                catch (err) { }
            });
            document.wtBackBound = true;
        }

        // Bind to upper left search input and suggested results pop-up
        // TODO: Look into a better way to trigger this consistently
        plugin.manualLinkBinder("input[type='search']", "keydown", function (e) {
            // Bind to search on enter
            if (e.keyCode === 13) {
                plugin.waitForPageChange(function () {
                    plugin.modernSearchReset(1000);
                }, 100);
            }
        }, 0);
    };

    // Modern View: Wait for results to be ready on the modern search pages
    WebTrendsSP_intra.prototype.addSearchResultListenerModernView = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        // Abort if the not a search page
        if (window.location.pathname.toLowerCase().indexOf("/search.aspx") >= 0) {
            var waitCount = 0;
            if (plugin.spVersion === plugin.constants.SPO) {
                // SP2019 uses status elements for progress
                waitCount = 0;
                var waitForStatus = setInterval(function () {
                    if (plugin.getSearchResultStatusModernView()) {
                        // Results are ready
                        clearInterval(waitForStatus);

                        // Get the search phrase from query parameter or element
                        var phrase = plugin.getQueryParamValue("q", window.location.search) ||
                            (document.querySelector("input[type='search']") ? document.querySelector("input[type='search']").value : "");
                        var count = "";
                        if (phrase) {
                            // Search term was found, get count of results
                            count = document.querySelectorAll("a[class*='SearchResult-module__'],ul[data-searchpanelcontenttype='body'] li article").length.toString();
                        }
                        else {
                            // Couldn't find the phrase
                            phrase = "Collection of Search Results Failed";
                            count = "0";
                        }

                        window.wt_sp_globals.currentSearchTerm = phrase;
                        // Really just an estimate - Currently I see no way to get real count.  Just taking the count of the first page * the number of pagination links
                        // But there could be slightly fewer results (last page may have fewer), or even many more (not all pages appear in pagination links)
                        var pagination = document.querySelectorAll("[class*='Pagination-module__paginationList___'] LI,nav ul li").length || 1;
                        window.wt_sp_globals.currentSearchCount = (count * pagination).toString();
                        // Don't update when using pagination, otherwise viewing the last page will throw the count off
                        if (!window.wt_sp_globals.searchPagination) window.wt_sp_globals.resultsPerPage = count || 15;
                        window.wt_sp_globals.lastSearchTerm = phrase;
                        window.wt_sp_globals.lastSearchPage = window.location.pathname;

                        if (!dcs.pageAnalyzehasRun) {
                            // First page load, Release tag
                            plugin.waitForREST();
                        }
                        else {
                            // Fire tag manually if this was from a navigatedEvent or new search or refiner
                            window.wt_sp_globals.trackIfReady();
                        }

                        // Rebind to search and refiner links to ensure we track new searches and refiner changes
                        plugin.bindToSearchButtonsModernView();
                    }
                    else if (waitCount >= 20) {
                        // Timed out
                        clearInterval(waitForStatus);

                        // This isn't a search page, or we couldn't capture results
                        window.wt_sp_globals.isSearchPage = false;

                        if (!dcs.pageAnalyzehasRun) {
                            // First page load, Release tag
                            plugin.waitForREST();
                        }
                        else {
                            // Fire tag manually if this was from a navigatedEvent to a non-search page
                            window.wt_sp_globals.trackIfReady();
                        }
                    }
                }, 250);
            }
            else if (plugin.spVersion === plugin.constants.SP2019) {
                // SP2019 uses old thinline Progress bar
                waitCount = 0;
                var waitForProgress = setInterval(function () {
                    var progress = document.querySelector("div[class^='Progress-module__progress']");

                    // If we've waited more than 5 seconds and haven't even found the progress bar
                    if (waitCount >= 20 && !progress) {
                        clearInterval(waitForProgress);

                        // This isn't a search page
                        window.wt_sp_globals.isSearchPage = false;

                        if (!dcs.pageAnalyzehasRun) {
                            // First page load, Release tag
                            plugin.waitForREST();
                        }
                        else {
                            // Fire tag manually if this was from a navigatedEvent to a non-search page
                            window.wt_sp_globals.trackIfReady();
                        }
                    }

                    // Check the progress of the search
                    if (progress) {
                        // Wait for results to finish loading on the page
                        var ready = (Number(progress.getAttribute("aria-valuenow")) >= 100);
                        if (ready) {
                            // Results are ready
                            clearInterval(waitForProgress);

                            // Get Results
                            //console.log("Get Results");

                            // Get the search phrase from query parameter or element
                            var phrase = plugin.getQueryParamValue("q", window.location.search) || document.querySelector("input[class^='SearchBar-module__input']").value;
                            var count = "";
                            if (phrase) {
                                // Search term was found, get count of results
                                count = document.querySelectorAll("a[class*='SearchResult-module__']").length.toString();
                            }
                            else {
                                // Couldn't find the phrase
                                phrase = "Collection of Search Results Failed";
                                count = "0";
                            }

                            window.wt_sp_globals.currentSearchTerm = phrase;
                            window.wt_sp_globals.currentSearchCount = count;
                            window.wt_sp_globals.lastSearchTerm = phrase;
                            window.wt_sp_globals.lastSearchPage = window.location.pathname;

                            if (!dcs.pageAnalyzehasRun) {
                                // First page load, Release tag
                                plugin.waitForREST();
                            }
                            else {
                                // Fire tag manually if this was from a navigatedEvent or new search or refiner
                                window.wt_sp_globals.trackIfReady();
                            }

                            // Rebind to search and refiner links to ensure we track new searches and refiner changes
                            plugin.bindToSearchButtonsModernView();
                        }
                    }
                    waitCount++;
                }, 250);
            }            
        }
    };

    // Modern View: Get status of the modern view search results
    WebTrendsSP_intra.prototype.getSearchResultStatusModernView = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        var status = false;
        // Older modern view
        var statusEl = document.querySelectorAll("[role='status']");
        if (statusEl.length === 2) {
            if (statusEl[0] && plugin.getElementText(statusEl[0]) !== "") {
                // If first element has text, it says "Search in progress" in English
                // Results not ready
                status = false;
            }
            if (statusEl[1] && plugin.getElementText(statusEl[1]) !== "") {
                // If second element has text, it says "Search completed" in English
                // Results ready
                status = true;
            }
        }
        // MS Modern View
        else if (statusEl.length === 1 && plugin.getElementText(statusEl[0]).toLowerCase() === "search completed.") {
            // Results done
            // This probably only works in English
            // Text isn't displayed anywhere though (hidden) so maybe they don't translate it?
            // Verified that this is in Spanish after switching my language.  Need to update webtrends.splc.js to use this on foreign language sites
            status = true;
        }
        else if (document.querySelector("[class*='NoResults-module__message___']")) {
            // No results found
            status = true;
        }
        else if (document.querySelector("[class*='results_'] [class*='ErrorMessageBox-module__panel___']")) {
            // Error - no results, but release page
            status = true;
        }
        return status;
    };

    // Modern View: get current library type
    WebTrendsSP_intra.prototype.getCurrentLibraryType = function () {
        var libraryType;
            switch (window.wt_sp_globals.spPageContextInfo.listBaseTemplate) {
                case -1: // Generic Page
                case 119: // Wiki Page
                    libraryType = "Page";
                    break;
                case 101: // Document Library
                case 109: // Picture Library
                    libraryType = "Document Library";
                    break;
                case 100: // Custom List Library
                case 102: // Survey Library
                case 103: // Links List Library Library
                case 104: // Announcements Library
                case 105: // Contacts Library
                case 106: // Calendar Library
                case 107: // Tasks Library
                case 108: // Discussion board Library
                case 301: // Blog Posts Library
                case 302: // Blog Comments Library
                case 303: // Blog Categories Library
                    libraryType = "List Library";
                    break;
                default:
                    libraryType = "Unknown";
        }
        return libraryType;
    };

    // Modern View: get document type
    WebTrendsSP_intra.prototype.getDocumentType = function (docTitle) {
        var docType;
        switch (docTitle) {
            case "Folder":
                docType = "Library Folder";
                break;
            case "Word document":
                docType = "docx";
                break;
            case "Excel workbook":
            case "Excel spreadsheet":
            case "Forms for Excel":
                docType = "xlsx";
                break;
            case "PowerPoint presentation":
                docType = "pptx";
                break;
            case "OneNote notebook":
                docType = "one";
                break;
            case "Link":
                docType = "url";
                break;
            default:
                docType = "Document";
                break;
        }
        return docType;
    };

    // Modern View: Get library url from See All link
    WebTrendsSP_intra.prototype.getSeeAllPath = function (elem) {
        var path = "";
        if (elem) {
            var plugin = wt_sp_globals.pluginObj;
            var par = plugin.getParentByClassNameExact(elem, "ControlZone-control");
            if (par) {
                var seeAll = par.querySelector("a.ms-Link[class*='seeAll']");
                if (seeAll) {
                    seeAll = seeAll.getAttribute("href");
                    if (seeAll.indexOf("?") >= 0) seeAll = seeAll.substring(0, seeAll.indexOf("?"));
                    if (seeAll.indexOf("http") === 0) {
                        seeAll = seeAll.substring(seeAll.indexOf("//") + 2, seeAll.length);
                        seeAll = seeAll.substring(seeAll.indexOf("/"), seeAll.length);
                    }
                    path = seeAll;
                }
            }
        }
        return path;
    };

    // Modern View: Retrieve information about currently selected items for New View of Document/List Libraries
    WebTrendsSP_intra.prototype.getCurrentCheckedItemModernView = function (event) {
        var plugin = window.wt_sp_globals.pluginObj;

        // Get the list of selected rows
        var getSelectedItems = function (element) {

            // Get the selected items using the vertical ... link which doesn't always set the check box
            var getItemsForTileEllipses = function (items) {
                items.push(plugin.getParentByClassNameHas(wt_sp_globals.tempElement, "ms-List-cell"));
                return items;
            };

            // Get the selected items for document links in the side panel
            var getItemsforSidePanelDirectLinks = function (items, element) {
                // Get title of the item
                element = plugin.getCurrentItemByTitleModernView(element);
                // Find item in list
                if (element) {
                    element = plugin.getParentByClassNameExact(element, "ms-List-cell");
                    if (element) {
                        element = element.querySelector("div[role='row']");
                        if (element) {
                            items.push(element);
                        }
                    }
                }
                return items;
            };

            // Get the selected items for folders or other links in the side panel
            var getItemsforSidePanelOtherLinks = function (items, element) {
                if (element) {
                    // Get header from side panel
                    // SP2019 list edit pane header
                    element = location.querySelector(".od-Panel .od-ListForm-breadcrumb .BreadcrumbBar-item");  
                    // SP2019 side panel header
                    if (!element) {
                        element = location.querySelector(".InfoPane-itemDetails-name"); 
                    }
                    // SPO side panel header
                    if (!element) {
                        element = location.querySelector(".od-DetailsPane-PrimaryPane-header-title"); 
                    }

                    // Find item in list
                    if (element) {
                        element = plugin.getCurrentItemByTitleModernView(element);
                        if (element) {
                            element = plugin.getParentByClassNameExact(element, "ms-List-cell");
                            if (element) {
                                element = element.querySelector("div[role='row']");
                                if (element) {
                                    items.push(element);
                                }
                            }
                        }
                    }
                }
                return items;
            };

            // Get the selected items underneath the preview carousel window
            var getItemsForCarouselOverlay = function (items) {
                // Create fake element
                var url = plugin.getLibraryPathFromHrefModernView(window.location.href);
                var fakeElem = { title: url.substring(url.lastIndexOf("/") + 1) };
                // Get title of the item from the fake element
                var element = plugin.getCurrentItemByTitleModernView(fakeElem);
                // Find the item in the list
                if (element) {
                    element = plugin.getParentByClassNameExact(element, "ms-List-cell");
                    if (element) {
                        element = element.querySelector("div[role='row']");
                        if (element) {
                            items.push(element);
                        }
                    }
                }
                return items;
            };

            // Get the selected items for newer Tiles
            var getItemsForNewTileLinks = function (items) {
                items = location.querySelectorAll(".ms-TilesList-grid .ms-List-cell .ms-Check.is-checked");
                // Check box is a child element, crawl up to a more appropriate parent element to work with
                var newItems = [];
                for (var i = 0; i < items.length; i++) {
                    newItems.push(plugin.getParentByClassNameHas(items[i], "ms-List-cell"));
                }
                // Replace items array
                if (newItems.length > 0) {
                    items = newItems;
                }
                return items;
            };

            // Get the selected items for the older tile links
            var getItemsForSelectedLinks = function () {
                return location.querySelectorAll("div.ms-DetailsRow.is-selected,div.ItemTile.is-selected,div.ms-Tile.ms-Tile--isSelected");
            };

            // Get the selected items by their title
            var getElementsByTitle = function (items, element) {
                // Get the title of the item
                element = plugin.getCurrentItemByTitleModernView(element);
                // Find the item in the list
                if (element) {
                    element = plugin.getParentByClassNameExact(element, "ms-List-cell");
                    if (element) {
                        element = element.querySelector("div[role='row']");
                        if (element) {
                            items.push(element);
                        }
                    }
                }
                return items;
            };

            var items = [];

            if (wt_sp_globals.tempElement && plugin.getParentByAttributeValue(wt_sp_globals.tempElement, "data-automationid", "itemCard")) {
                // SPO Vertical ... click on a tile in a sub folder, which may not properly check the selected box
                items = getItemsForTileEllipses(items);
            }
            else if (plugin.getParentByAttributeValue(wt_sp_globals.tempElement, "data-automation-id", "itemCard")) {
                // SPO Vertical ... click on a tile in a sub folder, which may not properly check the selected box - alternate attribute name - inconsistent spelling
                items = getItemsForTileEllipses(items);
            }
            else if (element.className === "od-ItemActivityTile-ellipsis") {
                // SP2019 Side panel direct links - Use link text to find the file/folder in the list
                items = getItemsforSidePanelDirectLinks(items, element);
            }
            else if (element.className.indexOf("od-ItemActivity-item-textContent") >= 0) {
                // SPO Side panel document links - Use link text to find the file/folder in the list
                items = getItemsforSidePanelDirectLinks(items, element);
            }
            else if (element.className === "spo-Properties-editLink") {
                // BOTH Side panel Edit all links - Use header text to find the file/folder in the list - alternate link type
                items = getItemsforSidePanelOtherLinks(items, element);
            }
            else if (!location.querySelector(".ms-Check.is-checked") && element.tagName === "SPAN" && element.parentNode.className === "od-Link") {
                // SPO Side panel non document links like Manage access and Edit all while in sub folder - Use header text to find the file/folder in the list
                items = getItemsforSidePanelOtherLinks(items, element);
            }
            else if (location.querySelector("div.OneUp")) {
                // SPO Get current item from "preview" carousel overlay
                items = getItemsForCarouselOverlay(items);
            }
            else if (location.querySelectorAll(".ms-TilesList-grid .ms-List-cell .ms-Check.is-checked").length > 0) {
                // SPO Get all selected tiles
                items = getItemsForNewTileLinks(items);
            }
            else if (location.querySelectorAll("div.ms-DetailsRow.is-selected,div.ItemTile.is-selected,div.ms-Tile.ms-Tile--isSelected").length > 0) {
                // SP2019 Get all selected tiles
                items = getItemsForSelectedLinks();
            }
            else {
                // Try to find the item in the list by title from whatever link this is
                items = getElementsByTitle(items, element);
            }
            return items;
        };

        // Get the type of the library
        var getLibraryType = function (link) {
            var type = plugin.getCurrentLibraryType();
            if (type === plugin.constants.PAGE) {
                // This is a web part, check if the See all link has /Lists/ in the URL
                var seeAllPath = plugin.getSeeAllPath(link);
                if ((/\/Lists\//i).test(seeAllPath)) {
                    type = plugin.constants.LIST_LIBRARY;
                }
                else {
                    type = plugin.constants.DOCUMENT_LIBRARY;
                }
            }
            return type;
        };

        // Collect data for found items
        var getItemData = function (items, res) {
            // Get the library root path
            var getLibraryPath = function (link) {
                if (plugin.objectExists(window, "wt_sp_globals.g_listData.listUrlDir")) {
                    // get it from the global list data on library pages
                    return decodeURIComponent(window.wt_sp_globals.g_listData.listUrlDir);
                }
                else if (plugin.getSeeAllPath(link)) {
                    // get it from the See all link on web parts
                    return decodeURIComponent(plugin.getSeeAllPath(link));
                }
                else if ((/\/Forms\//i).test(window.location.pathname)) {
                    // get it from the current page URI
                    return decodeURIComponent(window.location.pathname.replace(/\/Forms\/[^\/]+/i, ""));
                }
                return "";
            };

            // Get the library name
            var getLibraryName = function (link) {

                // Get the title from the global library object
                var getFromGListData = function () {
                    return window.wt_sp_globals.g_listData.ListTitle;
                };

                // Get the title from the middle of document.title
                var getFromDocumentTitle = function () {
                    return location.title.split(" - ")[1].replace(/^\s+|\s+$/g, "");
                };

                var getFromWebPart = function () {
                    // Get the title from the main breadcrumb header
                    var getFromBreadCrumb = function () {
                        var titleEl = par.querySelector("[class*='captionElement__title'],ol.ms-Breadcrumb-list button.ms-Breadcrumb-itemLink");
                        return plugin.getElementText(titleEl);
                    };

                    // Get the title using the see all url
                    var getFromSeeAll = function () {
                        var seeAll = plugin.getSeeAllPath(link);
                        if (seeAll) {
                            if ((/\/Lists\//i).test(seeAll)) {
                                return decodeURIComponent(seeAll)
                                    .replace(wt_sp_globals.spPageContextInfo.siteServerRelativeUrl + "/Lists/", "");
                            }
                            else {
                                return decodeURIComponent(seeAll)
                                    .replace(wt_sp_globals.spPageContextInfo.siteServerRelativeUrl + "/", "")
                                    .replace(/Shared Documents/i, "Documents");
                            }
                        }
                        return "";
                    };

                    var par = plugin.getParentByAttributeValue(link, "data-automation-id", "ControlZone") || plugin.getParentByAttributeValue(link, "data-automationid", "ControlZone");
                    if (!par.querySelector("li.ms-Breadcrumb-overflow")) {
                        // We can see the name in the breadcrumb path
                        return getFromBreadCrumb();
                    }
                    else {
                        // We're in sub folders deep enough that the first crumb now shows the ... overflow link
                        return getFromSeeAll();
                    }  
                };

                if (plugin.objectExists(window, "wt_sp_globals.g_listData.ListTitle")) {
                    // get it from the global list data on library pages
                    return getFromGListData();
                }
                else if ((/(\/Forms\/|\/Lists\/)/i).test(window.location.pathname) && location.title.split(" - ")[1]) {
                    // get it from the <site name> - <library name> - <view name> in document.title
                    return getFromDocumentTitle();
                }
                else if (plugin.getParentByAttributeValue(link, "data-automation-id", "ControlZone") || plugin.getParentByAttributeValue(link, "data-automationid", "ControlZone")) {
                    // get it from the web part title - 
                    return getFromWebPart();
                }
                return "";
            };

            // Get the file type of the item
            var getDocItemType = function (link) {
                // Get the file extension directly from the file name
                var getTypeFromTitle = function (text) {
                    return text.substring(text.lastIndexOf(".") + 1, text.length);
                };

                // Get the file extension from the folder/onnote icon
                var getTypeFromIcon = function (link) {
                    var par = plugin.getParentByAttributeValue(link, "data-automation-id", "DetailsRowFields") || plugin.getParentByAttributeValue(link, "data-automationid", "DetailsRowFields");
                    if (par) {
                        // Get the icon for the row
                        var icon = par.querySelector("[class*='fileTypeIconColumn'] img,.FileTypeIcon-icon");
                        if (icon) {
                            var src = icon.getAttribute("src");
                            if (src) {
                                // Extract the /<type>.ext
                                var img = (/\/[^\/]+\.(svg|png)/i).exec(src);
                                if (img) {
                                    // Remove the first /
                                    img = img[0].substring(1);
                                    // Remove the .image extension
                                    img = img.substring(0, img.search(/\.(svg|png)/i));
                                    // Capitalize the first letter of what's left, and then check if it says "Folder", 
                                    // if not it's presuambly a onenote file, but it could be a file type not in the downloadtypes list
                                    if (img.toLowerCase().replace(/^\w/g, function (a) { return a.toUpperCase(); }) === plugin.constants.FOLDER) {
                                        img = plugin.constants.LIBRARY_FOLDER;
                                    }
                                    // Return "Library Folder" or "one"
                                    fileType = img;
                                }
                            }
                        }
                    }
                    // We didn't detect a file extension earlier, and the above failed, it's presumably a folder of some kind.
                    return plugin.constants.LIBRARY_FOLDER;
                };

                // Check if the text has an extension we can use
                var text = plugin.getElementText(link.querySelector(".ItemTile-name") || link);
                if (plugin.isDocURI("/" + text, plugin.types).check) {
                    // Document, we can just use the extension on the document name
                    return getTypeFromTitle(text);
                }
                else {
                    // Folder or onenote - capture which by using the folder or onenote icon
                    return getTypeFromIcon(link);
                }
            };

            // Get the name of the item
            var getDocItemName = function (link, type) {

                // Get the name from the web part crumb
                var getNameFromBreadCrumb = function (link) {
                    // This can only capture the hierarchy about 2 levels deep in SPO web parts, 
                    // below that the reference to the library name, and potentially further down, is removed from the HTML
                    var par = plugin.getParentByAttributeValue(link, "data-automation-id", "ControlZone") || plugin.getParentByAttributeValue(link, "data-automationid", "ControlZone");
                    return plugin.getLibraryPathFromWebPartBreadcrumbModernView(par, true).replace(/^\//, "");
                };

                // Get the name from the id parameter in the query string
                var getNameFromIDParam = function () {
                    var name = plugin.getLibraryPathFromHrefModernView(window.location.href);
                    return name.replace(wt_sp_globals.spPageContextInfo.webServerRelativeUrl + "/", "").replace("Shared Documents", "Documents");
                };

                // Add the folder name to the folder path if needed
                var extendName = function (name, event) {
                    var element = event.target || event.srcElement;
                    if (location.querySelector(".ms-Check.is-checked") && !location.querySelector("div.OneUp")) {
                        // We're not in the Preview window and we have a folder selected
                        name += "/" + plugin.getElementText(link);
                    }
                    else if (element.className === "od-ItemActivityTile-ellipsis") {
                        // We're clicking a SP2019 side panel folder link
                        name += "/" + plugin.getElementText(link);
                    }
                    if (element.className.indexOf("od-ItemActivity-item-textContent") >= 0) {
                        // We're clicking a SPO side panel folder link, add the folder name
                        name += "/" + plugin.getElementText(link);
                    }
                    return name;
                };

                // Add the extension to the name if needed
                var addExtension = function (name, link, type) {
                    name = plugin.getElementText(link.querySelector(".ItemTile-name") || link);
                    if (name.indexOf("." + type) === -1) {
                        // Append file extension if missing from name
                        name += "." + type;
                    }
                    return name;
                };

                var name = "";
                if (type === plugin.constants.LIBRARY_FOLDER) {
                    // Item is a folder
                    if (plugin.getParentByAttributeValue(link, "data-automation-id", "ControlZone") || plugin.getParentByAttributeValue(link, "data-automationid", "ControlZone")) {
                        // Web Parts
                        name = getNameFromBreadCrumb(link);
                    }
                    else if (plugin.getQueryParamValue("id", window.location.search)) {
                        // Inside a library sub folder, best option is the id relative path
                        name = getNameFromIDParam();
                    }
                    else {
                        // At the library root
                        name = plugin.getLibraryPathFromPageBreadcrumbModernView();
                    }
                    // Add the name to the folder hierarchy when needed
                    name = extendName(name, event);
                }
                else {
                    // Item is a document or list item
                    name = addExtension(name, link, type);
                }
                return name;
            };

            // Get the URL of the document
            var getDocItemURL = function (file) {
                var href = plugin.createDocumentURLModernView(file);  // what about elems with hrefs?
                return decodeURIComponent(href);
            };


            // Get the name of the document
            var getListItemName = function (link, type) {
                return plugin.getElementText(link);
            };

            // Get the URL of the item
            var getListItemURL = function (file) {
                var href = plugin.createListItemURLModernView(file);
                return decodeURIComponent(href);
            };

            // Collect data for each item
            for (var i = 0; i < items.length; i++) {
                // Get the row link
                // Library Row
                var link = items[i].querySelector(".ms-Link");  
                if (!link) {
                    // Newer SPO tile file name
                    link = items[i].querySelector("[class*='fileName_']");
                }
                if (!link) {
                    // Older or SP2019 tile
                    link = items[i].querySelector(".ItemTile-link");
                }
                if (!link) {
                    // Retired?
                    link = items[i].querySelector(".ms-Tile-link");
                }

                if (link) {
                    // Found an item link we can use
                    res.found = true;

                    // Get Library Type
                    var libType = getLibraryType(link);
                    res.selectedLibraryTypes.push(libType);

                    // Get Library Root URL
                    var libUrl = getLibraryPath(link);
                    res.selectedLibraryPaths.push(libUrl);

                    // Get Library Name
                    var libName = getLibraryName(link);
                    res.selectedLibraryNames.push(libName);

                    // Get item info
                    if (libType === plugin.constants.DOCUMENT_LIBRARY) {
                        var type = getDocItemType(link);
                        res.selectedItemTypes.push(type);
                        res.selectedItemNames.push(getDocItemName(link, type));
                        res.selectedItemURLs.push(getDocItemURL(link));
                    }
                    else if (libType === plugin.constants.LIST_LIBRARY) {
                        res.selectedItemNames.push(getListItemName(link));
                        res.selectedItemURLs.push(getListItemURL(link));
                    }
                }
            }

            return res;
        };

        // Set values for library interactions on library pages
        var getLibraryData = function (res) {
            res.found = false;

            if (window.wt_sp_globals.spPageContextInfo) {
                // Get Item Name
                res.selectedItemNames.push("");
                // Get Item URL
                res.selectedItemURLs.push("");
                // Get Item Type
                res.selectedItemTypes.push("");
                // Get Library Name
                res.selectedLibraryNames.push(window.wt_sp_globals.spPageContextInfo.listTitle);
                // Get Library Root URL
                res.selectedLibraryPaths.push(decodeURIComponent(window.wt_sp_globals.spPageContextInfo.listUrl));
                // Get Library Type
                res.selectedLibraryTypes.push(getLibraryType());
            }

            return res;
        };

        // Remove items if two (or more) different library web parts on the page all have items selected
        var cleanItemList = function (res) {
            var plugin = window.wt_sp_globals.pluginObj;
            for (var j = 0; j < res.selectedLibraryNames.length; j++) {
                var type1 = res.selectedLibraryNames[j];
                var type2 = res.selectedLibraryNames[j + 1] || false;

                // Different libraries found
                if (type1 && type2 && type1 !== type2) {
                    // Crawl up from the stored element and look for the container
                    var par = plugin.getParentByClassNameExact(window.wt_sp_globals.tempElement, "ControlZone-control");
                    if (par) {
                        // Find the container name for this web part
                        var name = plugin.getElementText(par.querySelector("div[class^='webPartHeader_'] span[role='heading']") ||
                            par.querySelector("div[class^='webPartHeader_'] button.ms-Link.ms-Breadcrumb-itemLink"));

                        // Initialize
                        var newRes = {
                            found: false,
                            selectedItemNames: [],
                            selectedItemURLs: [],
                            selectedItemTypes: [],
                            selectedLibraryTypes: [],
                            selectedLibraryNames: [],
                            selectedLibraryPaths: []
                        };

                        // Iterate through the checked item list and keep only elements found within the container
                        for (var k = 0; k < res.selectedLibraryNames.length; k++) {
                            var currName = res.selectedLibraryNames[k];
                            if (name === currName) {
                                newRes.selectedItemNames.push(res.selectedItemNames[k]);
                                newRes.selectedItemURLs.push(res.selectedItemURLs[k]);
                                newRes.selectedItemTypes.push(res.selectedItemTypes[k]);
                                newRes.selectedLibraryTypes.push(res.selectedLibraryTypes[k]);
                                newRes.selectedLibraryNames.push(res.selectedLibraryNames[k]);
                                newRes.selectedLibraryPaths.push(res.selectedLibraryPaths[k]);
                                newRes.found = true;
                            }
                        }
                        return newRes;
                    }
                }
            }
            return res;
        };

        // Initialize
        var element = event.target || event.srcElement;
        var location = document;
        if (window.self !== window.top) {
            location = parent.document;
        }
        var res = {
            found: false,
            selectedItemNames: [],
            selectedItemURLs: [],
            selectedItemTypes: [],
            selectedLibraryTypes: [],
            selectedLibraryNames: [],
            selectedLibraryPaths: []
        };

        // Get the selected item elements
        var items = getSelectedItems(element);

        // Get the data for each item
        if (items && items.length > 0 && !parent.wt_sp_globals.header) {
            // Items found and this isn't a right click to the Tile Header Area, which opens an ECB for the library and not a particular item
            res = getItemData(items, res);
        }
        else {
            // An item was not found, or it's a right click to the Tile Header Area, and must be a library interaction
            res = getLibraryData(res);
        }

        // You can select a row in more than one web part simultaneously, 
        // remove extra items in the list coming from web parts we're not interacting with.
        if (plugin.getCurrentLibraryType() === plugin.constants.PAGE && res.selectedLibraryNames.length > 1) {
            res = cleanItemList(res);
        }

        // We could be working in an iFrame, store the results in the parent so code there can access it
        plugin.storeItemsInParent(res);

        return res;
    };

    // Modern View: Returns the peferred library path for URLs when the URL may have multiple "id=" entries within it
    WebTrendsSP_intra.prototype.getLibraryPathFromHrefModernView = function (url) {
        var finalValue = "";
        var href = url.split(/\?|#|&/g);
        for (var k = 0; k < href.length; k++) {
            if (href[k].indexOf("id=") === 0) {
                var value = href[k].split("=").pop();
                // The longest one has the most accurate information, eg. a sub folder
                if (value.length > finalValue.length) {
                    finalValue = value;
                }
            }
        }
        return decodeURIComponent(finalValue) || url;
    };

    // Modern View: Returns the library breadcrumb path on library pages
    WebTrendsSP_intra.prototype.getLibraryPathFromPageBreadcrumbModernView = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        var name = "";
        var standAlone = document.querySelector(".StandaloneList-title,.od-ItemContent-title");
        var breadCrumbs = document.querySelector(".ms-Breadcrumb-list,.BreadcrumbBar-list");
        if (standAlone) {
            name = plugin.getElementText(standAlone);
        }
        else if (breadCrumbs) {
            var crumbs = breadCrumbs.querySelectorAll("li");
            for (var i = 0; i < crumbs.length; i++) {
                name += plugin.getElementText(crumbs[i]) + "/";
            }
            name = name.substring(0, name.length - 1);
        }
        var regex = new RegExp("^" + window.wt_sp_globals.collectionTitle + "/");
        return name.replace(regex, "");
    };

    // Modern View: Returns the library breadcrumb path in web parts
    WebTrendsSP_intra.prototype.getLibraryPathFromWebPartBreadcrumbModernView = function (element, keepFirst) {
        var plugin = wt_sp_globals.pluginObj;

        // Get proper length to iterate for crumbs which sometimes are duplicated in the HTML
        var getCrumbLength = function (crumbs) {
            var length = crumbs.length;
            if (length > 0 && length % 2 === 0 && checkDuplicateCrumbs(crumbs)) {
                length = length / 2;
            }
            return length;
        };

        // Check for duplicate crumbs in the list
        var checkDuplicateCrumbs = function (crumbs) {
            // Create crumb pairs to compare
            var createPairs = function (crumbs) {
                var pairs = [];
                var length = crumbs.length / 2;
                for (var i = 0; i < length; i++) {
                    pairs.push(
                        [
                            plugin.getElementText(crumbs[i]),
                            plugin.getElementText(crumbs[i + length])
                        ]
                    );
                }
                return pairs;
            };

            // Compare crumb
            var compareCrumbs = function (pairs) {
                for (var i = 0; i < pairs.length; i++) {
                    // If pairs don't match, this must not actually be duplicated
                    if (pairs[i][0] !== pairs[i][1]) {
                        return false;
                    }
                }
                return true;
            };

            // Check for duplicated list
            var crumbPairs = createPairs(crumbs);
            var duplicate = compareCrumbs(crumbPairs);
            return duplicate;
        };

        // This only works about 2 levels deep in web parts.  
        // After that, the preceeding folders names are dropped from the crumbs and replaced with ...
        // Cannot retrieve lost crumbs without opening a sub menu where the HTML doesn't appear until opened
        // In libraries more crumbs can fit on the screen, but long enough values will theoretically have the same problem
        var name = "";
        if (element) {
            var crumbs = element.querySelectorAll("li.ms-Breadcrumb-listItem,li .BreadcrumbBar-item,div[class*='captionElement__title_']"); // SPO, SP2019 Elements
            var stop = getCrumbLength(crumbs);
            var i = keepFirst ? 0 : 1;
            for (i; i < stop; i++) {
                name += "/" + plugin.getElementText(crumbs[i]);
            }
        }
        return name;
    };

    // Modern View: Returns the library breadcrumb path on library pages
    WebTrendsSP_intra.prototype.getLibraryPathFromAcivityTileModernView = function (path) {
        path = path.replace(window.location.protocol + "//" + window.location.hostname, "");
        var regEx = new RegExp(wt_sp_globals.spPageContextInfo.siteServerRelativeUrl + "/", "i");
        var shortPath = path.replace(regEx, "");
        shortPath = shortPath.split("/");
        if (shortPath.length > 1) {
            path = wt_sp_globals.spPageContextInfo.siteServerRelativeUrl + "/" + shortPath[0];
        }
        return decodeURIComponent(path);
    };

    // Modern View: Document Ribbon/ECB options for one selected item on Modern View
    WebTrendsSP_intra.prototype.documentSingleItemModernView = function (dcsObject, multiTrackObject, option) {
        var event = multiTrackObject.event;
        var elem = multiTrackObject.element;
        var docName, docType, docLib, dl;
        dl = (option === "Download" || option.indexOf("Open") === 0) ? "20" : "SHP";
        var urlPrefix = window.location.protocol + "//" + window.location.hostname;
        var items = this.getCurrentCheckedItemModernView(event);
        var url;
        var plugin = window.wt_sp_globals.pluginObj;
        // Document or Folder selected
        if (items.found === true) {
            url = this.getURIArrFromHREF(items.selectedItemURLs[0]);
            docName = items.selectedItemNames[0];
            docType = items.selectedItemTypes[0];
            docLib = items.selectedLibraryPaths[0];
            if (docType === plugin.constants.LIBRARY_FOLDER && option !== plugin.constants.DOWNLOAD) {
                dl = "SHP";
            }
        }
            // Nothing selected - Library interaction
        else {
            dl = "SHP";
            docType = "Library Folder";
            var template = window.wt_sp_globals.spPageContextInfo.listBaseTemplate;
            if (template !== -1 && template !== 119) docLib = window.wt_sp_globals.spPageContextInfo.listUrl;
            else docLib = plugin.getSeeAllPath(wt_sp_globals.tempElement);
            if (window.location.href.search(/&|\?id=/i) >= 0) {
                // In Library sub folder
                url = plugin.getURIArrFromHREF(decodeURIComponent(urlPrefix + plugin.getLibraryPathFromHrefModernView(window.location.href)));
            }
            else if (docLib && decodeURIComponent(window.location.href).indexOf(docLib) === -1) {
                // Web part on a page
                url = plugin.getURIArrFromHREF(urlPrefix + docLib + plugin.getLibraryPathFromWebPartBreadcrumbModernView(plugin.getParentByClassNameExact(wt_sp_globals.tempElement, "ControlZone-control"), false));
            }
            else {
                // In Library
                var href = window.location.href;
                href = href.substring(0, href.indexOf("?") >= 0 ? href.indexOf("?") : href.length);
                href = href.replace(/\/forms\/[^\.]+\.[a-z]+/i, "");
                url = plugin.getURIArrFromHREF(href);
            }           

            // New Item
            if (option.indexOf("New") === 0) {
                var linkText = this.getElementText(elem);
                docName = "New " + linkText.split(" ")[0] + " Document";
                docType = plugin.getDocumentType(linkText);
                url.dcsuri = url.dcsuri.replace(/\/forms\/[^\.]+\.[a-z]+/i, "") + "/" + docName;
                url.dcsqry = "";
            }
            else {
                // Get library name
                if (template === -1 || template === 119) {
                    // Get library name from See All for web parts on home page.
                    var par = plugin.getParentByClassNameExact(window.wt_sp_globals.tempElement, "ControlZone-control");
                    if (par) {
                        var heading = par.querySelector("div[class^='webPartHeader'] span[role='heading']") || par.querySelector("div[class^='webPartHeader_'] button.ms-Link.ms-Breadcrumb-itemLink");
                        docName = plugin.getElementText(heading) + plugin.getLibraryPathFromWebPartBreadcrumbModernView(par, false);
                    }
                }
                if (!docName) {
                    // Get it from other an item, breadcrumb, or current list data.
                    docName = window.wt_sp_globals.currentItemName || plugin.getLibraryPathFromPageBreadcrumbModernView() || window.wt_sp_globals.spPageContextInfo.listTitle;
                }
            }
        }
        multiTrackObject.argsa.push(
            "DCS.dcssip", url.dcssip,
            "DCS.dcsuri", url.dcsuri,
            "DCS.dcsqry", url.dcsqry,
            "DCS.dcsref", url.dcsref,
            "WT.ti", docName,
            "WT.dl", dl,
            "WT.shp_doc", docName,
            "WT.shp_doc_a", option,
            "WT.shp_doc_type", docType,
            "WT.shp_doc_lib", docLib,
            "WT.shp_act_loc", this.getActionLocation(),
            "WT.nv", dcsObject.dcsNavigation(event, dcsObject.navigationtag)
        );

        // Add document meta data
        if (plugin.cfg.documentMetadata) {
            var key = plugin.documentMetadataGetKey(url).key;
            plugin.documentMetadataAddToHit(key, multiTrackObject);
        }
    };

    // Modern View: List Library Ribbon/ECB options for one selected item
    WebTrendsSP_intra.prototype.listSingleItemModernView = function (dcsObject, multiTrackObject, option) {
        var event = multiTrackObject.event;
        var listName = "";
        var itemName = "";
        var url = "";
        var plugin = window.wt_sp_globals.pluginObj;
        var items = this.getCurrentCheckedItemModernView(event);
        if (items.found === true) {
            // list item selected
            listName = items.selectedLibraryNames[0];
            itemName = items.selectedItemNames[0];
            url = plugin.getURIArrFromHREF(items.selectedItemURLs[0]);
        }
        else {
            // nothing selected
            var listDetails = plugin.listItemDetailsModernView();
            itemName = listDetails.listItemTitle || "";
            listName = listDetails.listTitle || items.selectedLibraryNames[0];

            //itemName = option;
            url = plugin.getURIArrFromHREF(window.location.href);
        }

        multiTrackObject.argsa.push(
            "DCS.dcssip", url.dcssip,
            "DCS.dcsuri", url.dcsuri,
            "DCS.dcsqry", url.dcsqry,
            "DCS.dcsref", url.dcsref,
            "WT.ti", itemName ? listName + " - " + itemName : listName,
            "WT.dl", "SHP",
            "WT.shp_list", listName,
            "WT.shp_list_item", itemName,
            "WT.shp_list_item_action", option,
            "WT.shp_act_loc", this.getActionLocation(),
            "WT.nv", dcsObject.dcsNavigation(event, dcsObject.navigationtag)
        );
    };

    // Modern View: Direct clicks to documents or tiles filter
    WebTrendsSP_intra.prototype.modernDirectFilter = function (dcsObject, options) {
        var plugin = window.wt_sp_globals.pluginObj;
        var e = options.event;
        var el = options.element;

        // Right clicks - set flag and return true to abort hit
        if (dcsObject._isRightClick(e)) {
            window.wt_sp_globals.tempElement = options.element;
            plugin.setECBFlag();
            return true;
        }

        // Clicking a checkbox, not the actual item
        var target = e.target || e.srcElement;
        if (el && el.className && (el.className.indexOf('ItemCheck-check') >= 0 || el.className.indexOf('ms-Check') >= 0) ||
            (target.tagName === "I" && target.className && target.className.indexOf("ItemCheck-check") >= 0)) {
            return true;
        }

        // Clicking a ... menu, not the actual item
        if (el && el.querySelector("i[data-icon-name='MoreVertical']")) {
            // Set temp element to reference later for vertical ... menus
            wt_sp_globals.tempElement = el;
            return true;
        }

        // If this is a library page, check the library data to avoid clicks to List items
        if (wt_sp_globals.g_listData && wt_sp_globals.g_listData.listBaseType === 0) {
            return true;
        }

        // Web parts don't have g_listData, try to avoid List items by checking for HTML unique to documents
        // Documents use data-automation-key="displayNameColumn_###"
        // Lists use data-automation-key="title_###"
        var par = plugin.getParentByClassNameHas(el, "ms-List-cell");
        if (par && par.querySelector("div.ms-DetailsRow-cell[data-automation-key^='title'],div.ms-DetailsRow-cell[data-automation-key^='Title']")) {
            return true;
        }

        // Replace the clicked element with the Card parent if this is a Activity Tile
        options.element = plugin.getParentByClassNameContains(el, "itemCard_") || el;

        // Return false to let Transform run
        return false;
    };

    // Modern View: Direct clicks to documents or tiles transform
    WebTrendsSP_intra.prototype.modernDirectTransform = function (dcsObject, multiTrackObject) {
        var plugin = window.wt_sp_globals.pluginObj;

        // Reference element and event
        var el = multiTrackObject.element;
        var e = multiTrackObject.event;

        // Get the appripriate title of the document or tile
        var getTitle = function () {
            // Files or URLs - url old style doesn't have title property so use text
            var title = el.title || plugin.getElementText(el);
            // Pinned tiles have a title in another element
            if (el.querySelector("div[class^='ItemTile']")) {
                title = plugin.getElementText(el.querySelector(".ItemTile-name"));
            }
            else if (el.querySelector("span.ms-Tile-nameplate div[class^='name_'] span,div[class^='fileName_']")) {
                // Web part pinned tiles 
                title = plugin.getElementText(el.querySelector("span.ms-Tile-nameplate div[class^='name_'] span,div[class^='fileName_']"));
            }
            return title;
        };

        // Get the document/folder information
        var getDocInfo = function (title, url) {
            var document = {
                dl: "SHP",
                name: "",
                type: "",
                folder: false
            };

            // Get the row file type from the iceon
            var getFileTypeIcon = function (el) {
                var icon = "";
                var par = plugin.getParentByClassNameHas(el, "ms-List-cell");
                if (par) {
                    var img = par.querySelector("div[class*='fileTypeIconColumn'] img");
                    if (img && img.hasAttribute("src")) {
                        var src = img.getAttribute("src");
                        src = src.substring(src.lastIndexOf("/") + 1, src.length);
                        if (src.indexOf(".svg") >= 0) {
                            icon = src.substring(0, src.indexOf(".svg")).toUpperCase();
                        }
                    }
                }
                return icon;
            };

            // Document with file extension, check against file types and fake uri stem
            var file = plugin.isDocURI("/" + title, plugin.types);
            if (file.check) {
                document.dl = "20";
                document.name = title;
                document.type = title.substring(title.lastIndexOf(".") + 1);
            }
            // OneNote document or a folder
            else {
                var href = el.href;

                // Get file from parameter if it exists
                file = plugin.getQueryParamValue("file", url.dcsqry);

                // OneNote
                if (((/\/WopiFrame\.aspx/i).test(href) && (/\??&?IsFolder=1/i).test(href)) ||
                    (file && file.indexOf(".") === -1) ||
                    getFileTypeIcon(el) === plugin.constants.ONE
                ) {
                    document.dl = "20";
                    document.name = title + ".one";
                    document.type = "one";
                }
                //Folder
                else {
                    document.folder = true;
                    var par = plugin.getParentByClassNameExact(el, "ControlZone-control");
                    if (par) {
                        // Web parts
                        document.name = plugin.getLibraryPathFromWebPartBreadcrumbModernView(par, true).replace(/^\//,"") + "/" + title;
                    }
                    else {
                        // Library Pages
                        document.name = plugin.getLibraryPathFromPageBreadcrumbModernView() + "/" + title;
                    }
                    document.type = "Library Folder";
                }
            }
            return document;
        };

        // Get the library path for the URL
        var getLibraryPath = function () {

            // Get the library path for library pages
            var getLibraryPagePath = function () {
                var libraryPath = plugin.getLibraryPathFromHrefModernView(window.location.href);
                // Replace all /Forms/AllItems.aspx type paths
                if (libraryPath === window.location.href) {
                    libraryPath = window.location.pathname.replace(/\/forms\/[^\.]+\.[a-z]+/i, "");
                }
                return libraryPath;
            };

            // Get the library path for web parts
            var getLibraryWebPartPath = function (par) {

                // Get See All link href or uri stem to use as root folders
                var libraryPath = plugin.getSeeAllPath(el) || res.dcsuri.substring(0, res.dcsuri.lastIndexOf("/"));

                // Ignore first crumb when ... is not present - it's the web part title
                var keepFirst = par.querySelector("li.ms-Breadcrumb-overflow,li a.BreadcrumbBar-overflow") ? true : false;
                libraryPath += plugin.getLibraryPathFromWebPartBreadcrumbModernView(par, keepFirst);

                return libraryPath;
            };

            var libraryPath = "";
            // Check if libary page or library web part
            var par = plugin.getParentByClassNameExact(el, "ControlZone-control");
            if (par) {
                // Web Parts on a regular page
                libraryPath = getLibraryWebPartPath(par);     
            }
            else {
                // Library pages
                libraryPath = getLibraryPagePath();
            }
            return decodeURIComponent(libraryPath);
        };

        // Get the document library root directory
        var getLibraryRoot = function () {
            var libraryRoot = "";
            // Check if libary page or library web part
            if (plugin.getParentByClassNameExact(el, "ControlZone-control")) {
                // Web Part
                libraryRoot = plugin.getSeeAllPath(el) || res.dcsuri.substring(0, res.dcsuri.lastIndexOf("/"));
            }
            else {
                // Library page
                libraryRoot = window.wt_sp_globals.spPageContextInfo.listUrl;
            }
            return decodeURIComponent(libraryRoot);
        };

        // Collect data
        var res = plugin.getURIArrFromHREF(el.href);
        var title = getTitle(el);
        var docInfo = getDocInfo(title, res);
        var dl = docInfo.dl;
        var docName = docInfo.name;
        var docType = docInfo.type;
        var folder = docInfo.folder;
        var path = getLibraryPath();
        var docLib = getLibraryRoot();        

        // Replace URL with better data
        var uri = (docType === "url") ?
            (el.href) :
            (path + "/" + (folder || docType === "one" ? title : docName));
        res = plugin.getURIArrFromHREF(uri);

        // Push data 
        multiTrackObject.argsa.push(
            "DCS.dcssip", res.dcssip,
            "DCS.dcsuri", res.dcsuri,
            "DCS.dcsqry", res.dcsqry,
            "DCS.dcsref", window.location.href,
            "WT.ti", docName,
            "WT.dl", dl,
            "WT.nv", dcsObject.dcsNavigation(e, dcsObject.navigationtag),
            "WT.shp_doc_a", "Open",
            "WT.shp_doc", docName,
            "WT.shp_doc_type", docType,
            "WT.shp_doc_lib", docLib,
            "WT.shp_act_loc", "Direct Link"
        );

        // Add document meta data
        if (plugin.cfg.documentMetadata) {
            var key = plugin.documentMetadataGetKey(res).key;
            plugin.documentMetadataAddToHit(key, multiTrackObject);
        }

        return;
    };

    // Modern View: Document/List Library Ribbon/ECB Links Filter
    WebTrendsSP_intra.prototype.modernRibbonFilter = function (dcsObject, options) {
        var plugin = window.wt_sp_globals.pluginObj;
        var event = options.event;
        if (dcsObject._isRightClick(event)) return true;
        var element = options.element;
        var className = element.className;

        // Abort links from Home Page new web part buttons
        if (document.querySelector("button.ms-CommandBarItem-link.is-expanded[icon='CalculatorAddition']")) return true;

        // Abort List edit/disp/new form links (tracked separately)
        var href = window.location.href.toLowerCase();
        if (href.indexOf("/editform.aspx") >= 0 || href.indexOf("/dispform.aspx") >= 0 || href.indexOf("/newform.aspx") >= 0) return true;

        // Abort links from the permissions side bar menu (tracked separately)
        if (plugin.getParentByClassNameContains(element, "od-ShowPermissions-commandBar")) {
            return true;
        }

        // Abort down arrow menus, ... menus, cancel selection button, and library "View" sub menu options
        if (element.querySelector("i.od-CommandBarItem-down") || element.querySelector("i.ms-Icon--More") || element.querySelector("i.ms-Icon--Cancel") ||
            element.querySelector("i.ms-ContextualMenu-submenuIcon") || element.querySelector("button.ms-ContextualMenu-link i.ms-ContextualMenu-checkmarkIcon") ||
            element.querySelector("i.ms-Button-icon[data-icon-name='Clear']")) {
            return true;
        }

        // Abort links from the close Properties window
        if (document.querySelector("div.InfoPane od-InfoPane--sm")) {
            return true;
        }

        // Get alternative element with text for upload links
        if (element.tagName === "INPUT") {
            var par = plugin.getParentByClassNameContains(element, "ms-ContextualMenu-item") || plugin.getParentByClassNameContains(element, "CommandBarItem-linkWrapper");
            if (par) element = par.querySelector("span.ms-ContextualMenu-itemText") || par.querySelector("span.CommandBarItem-commandText") || par.querySelector("button.ms-Button.ms-ContextualMenu-uploader");
        }

        // Get link location
        if (className.toLowerCase().indexOf("commandbar") >= 0 ||
            document.querySelector("button.ms-Button.ms-Button--commandBar.is-expanded,i[data-icon-name='More'].ms-Button-menuIcon.is-expanded,div.CommandBarItem.is-toggled.is-open")) {
            plugin.setRibbonFlag();
        }
        else {
            plugin.setECBFlag();
        }

        // Main and Sub-Menu Links
        var text = plugin.translateLanguage(plugin.getElementText(element));
        var topMenuText = "";

        // Ribbon Top menu New, Upload, Flow, etc buttons
        var topMenuElem = document.querySelector("button.ms-CommandBarItem-link.is-expanded") || document.querySelector("button.ms-Button.ms-Button--commandBar.is-expanded");
        if (!topMenuElem && className.indexOf("ms-Button--commandBar") >= 0) {
            topMenuElem = element;
        }
        if (topMenuElem) {
            //store the top menu element to be able to retrieve seeAll link path within pop up menus in unconnected DOM element
            window.wt_sp_globals.tempElement = topMenuElem;
            topMenuText = plugin.translateLanguage(plugin.getElementText(topMenuElem));
        }
        // Ribbon Top menu ... "More" button
        if (document.querySelector("i.ms-Button-menuIcon.is-expanded[data-icon-name='More']")) {
            //store the top menu element to be able to retrieve seeAll link path within pop up menus in unconnected DOM element
            window.wt_sp_globals.tempElement = document.querySelector("i.ms-Button-menuIcon.is-expanded[data-icon-name='More']");
            topMenuText = "More";
        }

        // GET tempElement for the ECB vertical ... links!!!

        // Get checked items before returning, in case access to parent.wt_sp_globals.currentLibraryType is necessary
        plugin.getCurrentCheckedItemModernView(event);

        // Abort all Ribbon top menu links that open sub menus
        if (element.querySelector("i[data-icon-name='ChevronDown']")) {
            return true;
        }
        // Abort all ECB top menu links that open sub menus
        if (element.querySelector("i[data-icon-name='ChevronRight']")) {
            return true;
        }
        // Abort links that we track the confirm button instead
        if (text === this.constants.SHARE || text === this.constants.CHECK_IN || text === this.constants.DELETE || text === this.constants.LINK || text === this.constants.EDIT ||
            text === this.constants.NEW || text === this.constants.ITEM || (text === this.constants.OPEN && parent.wt_sp_globals.currentLibraryType === this.constants.LIST_LIBRARY)) {
            // Open is only used for list items which should track with View Item on the next page.
            return true;
        }
        // Abort New > Folder sub menu link which is curently tracked separately
        if (text === this.constants.FOLDER &&
            (
                document.querySelector("button.ms-ContextualMenu-link.is-expanded[name='New']") ||
                document.querySelector("button.ms-Button.ms-Button--commandBar.is-expanded[name='New']") ||
                (
                    document.querySelector("div.CommandBarItem.is-toggled.is-open") && !plugin.getParentByClassNameContains(element, "ms-ContextualMenu-uploader") // SP2019
                ) 
            ) 
        )
        {
            return true;
        }
        // Abort links used for navigation in the preview window or status messages
        if (className.indexOf("is-disabled") >= 0 || text === this.constants.DETAILS || text === this.constants.FILTERS_PANE || text === this.constants.NEXT ||
            text === this.constants.PREVIOUS || text === this.constants.CLOSE || text === this.constants.SAVE || text === this.constants.CANCEL || text === this.constants.EMPTY ||
            (element.title && element.title === "Clear selection") || element.querySelector("i.ms-Button-icon[data-icon-name='Cancel']")) {
            return true;
        }
        return false;
    };

    // Modern View: Document/List Library Ribbon/ECB Links Transform
    WebTrendsSP_intra.prototype.modernRibbonTransform = function (dcsObject, multiTrackObject) {
        var plugin = window.wt_sp_globals.pluginObj;
        if (!multiTrackObject.argsa) multiTrackObject.argsa = [];
        var LibraryType = parent.wt_sp_globals.currentLibraryType;
        var element = multiTrackObject.element;
        var action = plugin.getActionValue(element, LibraryType);
        // Uploads
        if (action === this.constants.FILES || action === this.constants.NEW_FOLDER || action === this.constants.TEMPLATE) {
            if (document.querySelector("button[name='Upload'].is-expanded")) action = "Upload";
            else {
                var text = plugin.translateLanguage(plugin.getElementText(document.querySelector("button.ms-Button.ms-Button--commandBar.is-expanded")));
                if (text === this.constants.UPLOAD) action = "Upload";
            }
        }
        var items = parent.wt_sp_globals.currentSelectedItemCount;
        switch (LibraryType) {
            case "Document Library":
                // Document Library ribbons
                if (items > 1) {
                    plugin.documentMultiItemAction(dcsObject, multiTrackObject, action);
                }
                else {
                    plugin.documentSingleItemModernView(dcsObject, multiTrackObject, action);
                }
                break;
            case "List Library":
                // List Library ribbons
                if (items > 1) {
                    plugin.listMultiItemAction(dcsObject, multiTrackObject, action);
                }
                else {
                    plugin.listSingleItemModernView(dcsObject, multiTrackObject, action);
                }
                break;
            case "Page":
                // Article pages - add article parameters
                if (wt_sp_globals.pageDetails.PageLayoutType === "Article") {
                    multiTrackObject.argsa.push(
                        "WT.article", document.title,
                        "WT.article_url", window.location.protocol + "//" + window.location.hostname + window.location.pathname,
                        "WT.article_author", plugin.getElementText(document.querySelector("div[class^='personaDetails_'] div[class^='primaryText_']")) || wt_sp_globals.pageDetails.Author || wt_sp_globals.pageDetails.Editor,
                        "WT.article_action", action
                    );
                }
                // Generic page action
                plugin.pageActionModernView(dcsObject, multiTrackObject, action);
                break;
            default:
                // Count is a generic link click
                multiTrackObject.argsa.push(
                    "WT.ti", "Link: " + plugin.getElementText(element),
                    "WT.dl", "SHP"
                );
        }
    };

    // Modern Home page Activity tiles
    WebTrendsSP_intra.prototype.getDocumentActivityTileInfo = function (activity) {
        var plugin = window.wt_sp_globals.pluginObj;

        // Init result
        var result = {
            url: {
                dcssip: "",
                dcsuri: "",
                dcsqry: "",
                dcshash: "",
                dcsref: ""
            },
            href: "",
            title: "",
            type: "",
            dl: "SHP",
            lib: "",
            doc: true
        };

        // Check if the tile is a link to a folder
        var checkIfFolder = function (activity) {
            return !!activity.querySelector(".ms-DocumentCardPreview-fileList");
        };

        // Get the title of the tile
        var getTileTitle = function (activity) {
            return plugin.getElementText(activity.querySelector("div.ms-DocumentCardTitle"));
        };

        // Get the url object for the tile
        var getTileUrl = function (activity) {
            return plugin.getURIArrFromHREF(activity.querySelector("a.ms-DocumentCardLocation").href);
        };

        // Get the file type of the item
        var getFileType = function (activity, title) {
            var result = {
                extensionPresent: false,
                type: ""
            };

            // Get the file type
            if (title.indexOf(".") >= 0) {
                // SP2019 puts the file extension in the text, SPO no longer does
                result.type = title.substring(title.indexOf(".") + 1, title.length);
                result.extensionPresent = true;
            }
            else {
                // Get the image icon and interpret the file type
                var img = (activity.querySelector("div.ms-DocumentCardPreview-icon img.ms-Image-image") ||
                    activity.querySelector("div.ms-DocumentCardPreview img.ms-Image-image"));
                if (img && img.src) {
                    // Extract extension from icon name
                    result.type = img.src.substring(img.src.lastIndexOf("/") + 1, img.src.lastIndexOf(".")).replace(/^(icon_)|(_.*)$/gi, "");
                    // Page items
                    if (result.type === "spo") {
                        result.type = "aspx";
                    }
                    // 2019 doesn't seems to use OneNote icons for regular folders?
                    if (plugin.spVersion === plugin.constants.SP2019 && result.type === "one") {
                        result.type = "genericfile";
                    }
                }
            }

            return result;
        };

        // Get the library path
        var getLibraryPath = function (activity, dcsuri) {
            // Get basic path
            var path = "";
            var cardLoction = activity.querySelector("a.ms-DocumentCardLocation");
            if (cardLoction && cardLoction.hasAttribute("href")) {
                // Collect library from element
                path = cardLoction.getAttribute("href");
            }
            else {
                path = dcsuri;
            }
            path = plugin.getLibraryPathFromAcivityTileModernView(path);
            return path;
        };
               
        // Overwrite folder result values
        var setFolderParams = function (result, activity) {

            // Replace the title for Folders
            var getFolderTitle = function (activity, title, isNotice) {
                // Libraries
                var titleArea = activity.querySelector(".ms-DocumentCardTile-titleArea");
                if (titleArea) {
                    // Library root - get library name
                    var children = titleArea.childNodes;
                    var newTitle = "";
                    var length = children.length;
                    var lastIndex = children.length - 1;
                    for (var i = 0; i < length; i++) {
                        var text = plugin.getElementText(children[i]);
                        if (isNotice && i === lastIndex) {
                            // Ignore notice text
                            break;
                        }
                        else if (text !== "Shared Documents") {
                            // Shared Documents tiles will pass Documents as the title and Shared Documents as the sub folder
                            // This is incorret, we just need Documents - so Skip Shared Documents text.
                            newTitle += "/" + text;
                        }
                    }
                    title = newTitle.substring(1, newTitle.length);
                }
                return decodeURIComponent(title);
            };

            // Add the rest of the path to the library title
            var appendTitle = function (title) {
                var cardLoction = activity.querySelector("a.ms-DocumentCardLocation");
                if (cardLoction && cardLoction.hasAttribute("href")) {
                    // Collect library path from element
                    var pathString = (window.location.protocol + "//" + window.location.hostname + wt_sp_globals.spPageContextInfo.siteServerRelativeUrl + "/[^/]+/?");
                    pathString = pathString.replace(/\//g, "\\/").replace(/\./g, "\\.");
                    var regEx = new RegExp(pathString, "i");
                    // Apped to title
                    title += "/" + decodeURIComponent(cardLoction.getAttribute("href").replace(regEx, ""));
                }
                return title.replace(/\/$/, "");
            };

            // Check if the tile text is a name or a "# files were added"
            var isTextNotice = function (activity) {
                return !!activity.querySelector("li a");
            };

            // Get the library root path
            result.lib = getLibraryPath(activity, result.url.dcsuri);

            // Some tiles state "# of files added" for the title, we don't want to collect that text
            if (isTextNotice(activity)) {
                // Ignore "# of files added"
                // Get the library title
                result.title = getFolderTitle(activity, result.title, true);
                // Add the rest of the path to the library title
                result.title = appendTitle(result.title);
            }
            else {
                // Some tiles state the folder name for the title, we want that, but not the library name
                // Add the folder title to the uri stem
                result.url.dcsuri += "/" + result.title;
                // Replace the title with the friendly version
                result.title = getFolderTitle(activity, result.title, false);
            }
            // Set type and hit type
            result.type = "Library Folder";
            result.dl = "SHP";

            return result;
        };

        // Overwrite page link result values
        var setPageParams = function (result) {
            result.title += (extension ? "" : "." + result.type);
            result.url.dcsuri += "/" + result.title;
            result.title = "Link: " + result.title;
            result.doc = false;
            result.dl = "1";

            return result;
        };

        // Overwrite dopument result values
        var setDocumentParams = function (result) {
            result.lib = getLibraryPath(activity, result.url.dcsuri);
            result.title += (extension ? "" : "." + result.type);
            result.url.dcsuri += "/" + result.title;
            result.dl = "20";

            return result;
        };

        // Create the href to use for documentMetaData calls
        var setResultHref = function (url) {
            return window.location.protocol + "//" + url.dcssip + url.dcsuri + url.dcshash + url.dcsqry;
        };

        // Abort for file lists where we track the <a> links within instead
        var folder = checkIfFolder(activity);

        // Get text of the tile
        result.title = getTileTitle(activity);

        // Get the URL of the folder link
        result.url = getTileUrl(activity);

        // Get the file type
        var fileType = getFileType(activity, result.title);
        var extension = fileType.extensionPresent;
        result.type = fileType.type;

        // Overwrite values default values as needed
        if (folder || result.type === "genericfile") {
            // Folders
            result = setFolderParams(result, activity);
        }
        else if (result.type === "aspx") {
            // Page links
            result = setPageParams(result, extension);
        }
        else {
            // Documents
            result = setDocumentParams(result, extension);
        }
        // Build the final URL
        result.href = setResultHref(result.url);

        return result;
    };

    // Modern View: Page Ribbon options
    WebTrendsSP_intra.prototype.pageActionModernView = function (dcsObject, multiTrackObject, option) {
        var plugin = window.wt_sp_globals.pluginObj;
        var event = multiTrackObject.event;
        var url = plugin.getURIArrFromHREF(window.location.href);
        multiTrackObject.argsa.push(
            "DCS.dcssip", url.dcssip,
            "DCS.dcsuri", url.dcsuri,
            "DCS.dcsqry", url.dcsqry,
            "DCS.dcsref", url.dcsref,
            "WT.ti", document.title,
            "WT.dl", "SHP",
            "WT.shp_page_action", option,
            "WT.shp_act_loc", plugin.getActionLocation(),
            "WT.nv", dcsObject.dcsNavigation(event, dcsObject.navigationtag)
        );
    };

    // Modern View: Get hidden element("A") contains href for "Open" on url preview page of modern view.
    WebTrendsSP_intra.prototype.getHREFPreviewPageModernView = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        var element;
        var current = document.querySelector("div.Carousel-slide.is-loaded.is-current");
        if (current) {
            var fileName = current.querySelector("div.OneUp-other-fileName");
            var text = plugin.translateLanguage(plugin.getElementText(fileName));
            if (text !== "") {
                element = document.querySelector("a[title='" + text + "']");
            }
        }
        return element;
    };

    // Modern View: Preview page link tracking(Left Arrow, Right Arrow)
    WebTrendsSP_intra.prototype.sendPreviewHitModernView = function (element) {
        try {
            var plugin = window.wt_sp_globals.pluginObj;
            // Check if the item is preview
            var current = document.querySelector("div.Carousel-slide.is-current div.OneUp-slide div[class^='OneUp-']") || document.querySelector("div.Carousel-slide.is-current div.OneUp-slide div[class^='od-OneUp']");
            if (current && current.className.indexOf("OneUp-other") === -1) {
                var docName = "";
                var docType = "";
                var docLib = window.wt_sp_globals.spPageContextInfo.listUrl;
                // Get information about the file
                var url = plugin.getLibraryPathFromHrefModernView(window.location.href);
                var res = plugin.getURIArrFromHREF(url);
                if (url) {
                    docName = url.substr(url.lastIndexOf("/") + 1);
                    var docNameArray = docName.split(".");
                    if (docNameArray.length > 1) {
                        docType = docNameArray[docNameArray.length - 1];
                    }

                    // Set initial variables
                    var argsa = [
                        'DCS.dcssip', res.dcssip,
                        'DCS.dcsuri', res.dcsuri,
                        'DCS.dcsqry', res.dcsqry,
                        'DCS.dcsref', res.dcsref,
                        'WT.ti', docName,
                        'WT.dl', "20",
                        'WT.shp_doc', docName,
                        'WT.shp_doc_a', "Open",
                        'WT.shp_doc_type', docType,
                        'WT.shp_doc_lib', docLib,
                        'WT.shp_act_loc', "Ribbon"
                    ];

                    // Add document meta data
                    if (plugin.cfg.documentMetadata) {
                        var key = plugin.documentMetadataGetKey(res).key;
                        argsa = plugin.documentMetadataAddToHit(key, { argsa: argsa }).argsa;
                    }

                    // Send data
                    Webtrends.multiTrack({
                        element: element,
                        argsa: argsa
                    });
                }
            }
        }
        catch (ex) { }
    };

    // Modern View: Get real URL of current document item from /WopiFrame.aspx links
    WebTrendsSP_intra.prototype.getWopiFrameDocumentURL = function (href) {
        // Check for presence of file parameter in URL
        var query = href.substring(href.indexOf("?") + 1, href.length);
        var queryArr = query.split("&");
        for (var j = 0; j < queryArr.length; j++) {
            if (queryArr[j].toLowerCase().indexOf("file=") === 0) {
                // Get file name
                var file = queryArr[j].split("=").pop();
                // Get library's root path
                var library = window.wt_sp_globals.spPageContextInfo.listUrl;
                // Check if we're in a sub directory
                var altLibrary = this.getLibraryPathFromHrefModernView(window.location.href);
                if (altLibrary !== window.location.href) {
                    library = altLibrary;
                }
                // Prefix the protocol and domain if necessary
                if (library.indexOf("http") !== 0 && library.indexOf("//") !== 0 && library.indexOf("/") === 0) {
                    library = window.location.protocol + "//" + window.location.hostname + library;
                }
                // Replace the url
                href = decodeURIComponent(library + "/" + file);
                break;
            }
        }
        return href;
    };

    // Modern View: Get real URL of current document item from /Doc.aspx links
    WebTrendsSP_intra.prototype.getDocAspxDocumentURL = function (href) {
        var path = "";
        var query = href.substring(href.indexOf("?") + 1, href.length);
        var queryArr = query.split("&");
        for (var j = 0; j < queryArr.length; j++) {
            if (queryArr[j].toLowerCase().indexOf("listitemid=") === 0) {
                var id = queryArr[j].split("=").pop();
                var item = this.getGListItemById(id);
                if (item) path = decodeURIComponent(item.FileRef);
                break;
            }
        }
        return path;
    };

    // Get item by it's id from g_listData
    WebTrendsSP_intra.prototype.getGListItemById = function (id) {
        var item;
        var list = window.wt_sp_globals.g_listData;
        if (id && list) {
            var rows = list.ListData.Row;
            for (var i = 0; i < rows.length; i++) {
                if (rows[i].ID.toString() === id) {
                    item = rows[i];
                    break;
                }
            }
        }
        return item;
    };

    // Modern View: Get current item by title
    WebTrendsSP_intra.prototype.getCurrentItemByTitleModernView = function (element) {
        var plugin = window.wt_sp_globals.pluginObj;
        var newElem = false;
        var currentTitle = element.title || plugin.getElementText(element);
        var list = document.querySelectorAll(".ms-DetailsRow-cell .ms-Link,.ms-DetailsRow-cell.is-selected");
        for (var i = 0; i < list.length; i++) {
            var listTitle = list[i].title || list[i].text || plugin.getElementText(list[i]) || false;
            if (currentTitle.replace(/^\s+|\s+$/g, "") === listTitle.replace(/^\s+|\s+$/g, "")) {
                newElem = list[i];
                break;
            }
        }
        return newElem;
    };

    // Modern View: Get list item detail info
    WebTrendsSP_intra.prototype.listItemDetailsModernView = function () {
        var list = "";
        if (wt_sp_globals.spPageContextInfo.listTitle) {
            list = wt_sp_globals.spPageContextInfo.listTitle;
        }
        else {
            var listElem = document.querySelector("a.BreadcrumbBar-item.BreadcrumbBar-navItem.noContextMenu");
            if (listElem && listElem.hasAttribute("title")) {
                list = listElem.getAttribute("title");
            }
        }

        var listItemText = "";
        // Side Panels
        var listItem = document.querySelector('input.od-TextField-field') || document.querySelector('input.ms-TextField-field') || document.querySelector("div.od-OverlayHost span.BreadcrumbBar-item");
        if (listItem) listItemText = this.getElementText(listItem) || listItem.value.replace(/^\s+|\s+$/g, "");
        if (listItem && document.querySelector("span.ReactFieldEditor-File-extension")) {
            listItemText += this.getElementText(document.querySelector("span.ReactFieldEditor-File-extension")).replace(/^\s+|\s+$/g, "");
        }
        if (!listItem) {
            // /DispForm.aspx
            var crumbs = document.querySelectorAll("span.BreadcrumbBar-item");
            if (crumbs.length > 0) listItemText = this.getElementText(crumbs[crumbs.length - 1]);
        }
        var listTitleObj = {};
        listTitleObj.listTitle = list;
        listTitleObj.listItemTitle = listItemText;
        return listTitleObj;
    };

    // Modern View: List Library Edit Item, New Item
    WebTrendsSP_intra.prototype.listItemModernView = function (dcsObject, multiTrackObject, location, action) {
        var plugin = window.wt_sp_globals.pluginObj;
        var listObj = this.listItemDetailsModernView();
        var list = listObj.listTitle;
        var listItem = listObj.listItemTitle;
        var listAction = action;
        var items = plugin.getCurrentCheckedItemModernView(multiTrackObject.event);
        var res;
        if (items.found) {
            res = plugin.getURIArrFromHREF(window.wt_sp_globals.currentItemURL);
        }
        else if (window.location.pathname.toLowerCase().indexOf("/editform.aspx") >= 0 || window.location.pathname.toLowerCase().indexOf("/newform.aspx") >= 0) {
            var path = "";
            var crumbs = document.querySelectorAll("a.BreadcrumbBar-item");
            for (var i = 1; i < crumbs.length; i++) {
                path += "/" + plugin.getElementText(crumbs[i]);
            }
            res = plugin.getURIArrFromHREF(window.location.protocol + "//" + window.location.hostname + window.wt_sp_globals.spPageContextInfo.listUrl + path + "/" + listItem);
        }
        else {
            res = plugin.getURIArrFromHREF(window.location.href);
        }
        multiTrackObject.argsa.push(
            "DCS.dcssip", res.dcssip,
            "DCS.dcsuri", res.dcsuri,
            "DCS.dcsqry", res.dcsqry,
            "DCS.dcsref", res.dcsref,
            "WT.ti", list + " - " + listItem,
            "WT.dl", "SHP",
            "WT.shp_list", list,
            "WT.shp_list_item", listItem,
            "WT.shp_list_item_action", listAction,
            "WT.shp_act_loc", location,
            "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag)
        );
    };

    // Modern View: Get the Hero tile data
    WebTrendsSP_intra.prototype.getModernHeroWebPartData = function (e) {
        // Get url from web part data
        // Get individual tile data
        var tile = {
            found: false,
            mainUrl: "",
            mainTitle: "",
            mainTitleAlt: "",
            mainImg: ""
        };

        // Move up to parent tile container if not already there
        var target = e.target || e.srcElement;
        var plugin = window.wt_sp_globals.pluginObj;
        var el = plugin.getParentByClassNameContains(target, "heroPattern_element_,slick-active");
        if (el) {
            // Get web part instance id
            var par = plugin.getParentByAttributeExists(el, "data-sp-feature-instance-id,data-sp-a11y-id");
            if (par) {
                // Most Browsers || IE11
                var id = par.getAttribute("data-sp-feature-instance-id") || par.getAttribute("data-sp-a11y-id");
                if (id) {
                    // IE11 fix
                    if (id.indexOf("ControlZone_") === 0) {
                        id = id.replace("ControlZone_", "");
                    }
                    // Get web part data
                    var webParts = window.wt_sp_globals.webPartNames;
                    var webPart;
                    for (var i = 0; i < webParts.length; i++) {
                        var webPartID = Object.keys(webParts[i])[0];
                        if (id === webPartID) {
                            webPart = webParts[i];
                            break;
                        }
                    }

                    var webPartData = webPart[id];
                    for (var j = 0; j < webPartData.content.length; j++) {
                        var webPartContent = webPartData.content[j];
                        var storedTitle = webPartContent.mainTitle.replace(/^\s+|\s+$/g, "");
                        var storedImg = webPartContent.mainImg.replace(/^\s+|\s+$/g, "");
                        var elTitle = plugin.getElementText(el.querySelector("div[data-automation-id='HeroTitle']"));
                        var elImg = el.querySelector("IMG") ? el.querySelector("IMG").src : "NO MATCH";
                        var elAria = el.hasAttribute("aria-label") ? el.getAttribute("aria-label").substring(0, el.getAttribute("aria-label").indexOf(".")) : "";
                        // Match text
                        if ((elTitle && storedTitle && elTitle === storedTitle) ||
                            // Match Aria Label if text is disabled
                            (elAria && elAria === storedTitle) ||
                            // Or match the image if text isn't working
                            (elImg && storedImg && elImg.toLowerCase().indexOf(storedImg.toLowerCase()) >= 0)) {
                            tile = webPartContent;
                            tile.found = true;
                            break;
                        }
                    }

                }
            }
        }
        return tile;
    };

    // Modern View: Hero Web Part Tile clicks
    WebTrendsSP_intra.prototype.modernWebPartHero = function (e) {
        var target = e.currentTarget || e.target || e.srcElement;
        var plugin = window.wt_sp_globals.pluginObj;

        // Abort middle and right clicks
        if (e.which === 3 || e.which === 2) {
            return false;
        }

        // Abort double hits from eventListener bubbling from the call to action up to the parent 
        var abortDuplicateHits = function (target) {

            // Set a boolean on a specified element to block triggering extra hits from event bubbling
            var setFlagOnElement = function (target, attribute, value) {
                var outer;
                if (value) {
                    outer = plugin.getParentByAttributeValue(target, attribute, value);
                }
                else {
                    outer = plugin.getParentByAttributeExists(target, attribute);
                }
                if (outer) {
                    outer.wtBlockHero = true;
                }
            };

            // If this is the call to action link, find the main link and set a boolean to block the duplicate hit from event bubbling
            // -SP2019 and SPO have 2 related elements, 1 of which is shared and binding triggers on both.  
            // -MS SPO has all 3 elements, and binding triggers on all three.
            if (target.hasAttribute("data-automation-id") && target.getAttribute("data-automation-id") === "HeroCallToAction") {
                // SP2019 and MS SPO
                setFlagOnElement(target, "data-automation-id", "HeroPatternElement");

                // SPO and MS SPO
                setFlagOnElement(target, "data-sp-feature-tag");

                // Return false to allow caller to continue
                return false;
            }
            else if (!target.wtBlockHero && target.hasAttribute("data-automation-id") && target.getAttribute("data-automation-id") === "HeroPatternElement") {
                // Get the other bound parent link SPO and MS SPO
                setFlagOnElement(target, "data-sp-feature-tag");

                // Return false to allow caller to continue
                return false;
            }
            else if (target.wtBlockHero) {
                // Parent link - Remove the block for future clicks
                delete target.wtBlockHero;

                // Return true to abort current vlick
                return true;
            }
        };

        // Abort double hits from eventListener bubbling
        if (abortDuplicateHits(target)) {
            return false;
        }       
     
        // Get tile info
        var tile = plugin.getModernHeroWebPartData(e);
        if (!tile.found) {
            return false;
        }

        // Get the URL for the tile action or main link
        var getTileUrl = function (target, tile) {
            // Check if this is the Call To Action link or the outer Tile
            if (plugin.getParentByAttributeValue(target, "data-automation-id", "HeroCallToAction")) {
                // Call to Action
                return plugin.getURIArrFromHREF(tile.actionUrl);
            }
            else {
                // Tile
                return plugin.getURIArrFromHREF(tile.mainUrl);
            }
        };

        // Get the title of the tile action or main link
        var getTileTitle = function (target, tile) {
            // Check if this is the Call To Action link or the outer Tile
            if (plugin.getParentByAttributeValue(target, "data-automation-id", "HeroCallToAction")) {
                // Call to Action
                return "Link: " + (tile.actionTitle || tile.actionTitleAlt || "No Title Found").replace(/^\s+|\s+$/g, "");
            }
            else {
                // Tile
                return "Link: " + (tile.mainTitle || tile.mainTitleAlt || "(No Title Found)").replace(/^\s+|\s+$/g, "");
            }
        };

        // Get document data
        var getTileDocument = function (res) {
            var result = {
                dl: "SHP",
                docName: "",
                docAction: "",
                docType: "",
                location: ""
            };

            // Add Document parameters if applicable
            var docResult = plugin.isDoc(res, plugin.types);
            if (docResult.check) {
                result.dl = "20";
                result.docName = docResult.file;
                result.docAction = "Open";
                result.docType = result.docName.substring(result.docName.lastIndexOf(".") + 1, result.docName.length);
                result.location = "Direct Link";
            }

            return result;
        };

        // Set the target href to the appropriate value for the WT.offxxx addTransform
        var setTileHref = function (target, tile) {
            // Check if this is the Call To Action link or the outer Tile
            if (plugin.getParentByAttributeValue(target, "data-automation-id", "HeroCallToAction")) {
                // Call to Action
                target.href = target.href || tile.actionUrl;
            }
            else {
                // Tile
                target.href = target.href || tile.mainUrl;
            }
        };

        // Get data
        var res = getTileUrl(target, tile);
        var title = getTileTitle(target, tile);
        var doc = getTileDocument(res);

        // Intialize array variables
        var argsa = [
            "DCS.dcssip", res.dcssip,
            "DCS.dcsuri", res.dcsuri,
            "DCS.dcsqry", res.dcsqry,
            "DCS.dcsref", window.location.href,
            "WT.ti", title,
            "WT.dl", doc.dl,
            "WT.shp_doc_a", doc.docAction,
            "WT.shp_doc", doc.docName,
            "WT.shp_doc_type", doc.docType,
            "WT.shp_act_loc", doc.location,
            "WT.nv", plugin.tagObj.dcsNavigation(e, ["div", "table"])
        ];

        // Add document meta data
        if (plugin.cfg.documentMetadata) {
            var key = plugin.documentMetadataGetKey(res).key;
            argsa = plugin.documentMetadataAddToHit(key, { argsa: argsa }).argsa;
        }

        // Overwrite the href for other addTransforms
        setTileHref(target, tile);

        // Send the data
        Webtrends.multiTrack({
            element: target,
            argsa: argsa
        });
    };

    // Modern View: Page Details
    WebTrendsSP_intra.prototype.getPageDataFromREST = function () {
        var plugin = window.wt_sp_globals.pluginObj;
        var _sp = window.wt_sp_globals.spPageContextInfo;
        // SP2019 doesn't refresh page details when moving from article pages to search results - so skip making the API call at all
        if (_sp.pageItemId && _sp.pageItemId !== -1 && !plugin.searchPageTest()) {
            var request = {
                url: _sp.webAbsoluteUrl + "/_api/web/GetFileByServerRelativeUrl('" + _sp.serverRequestPath.replace(/'/g, "''") + "')/ListItemAllFields/FieldValuesAsText/?$select=Author,Created,Editor,FileDirRef,FileLeafRef,FileRef,GUID,ID,Modified,PageLayoutType,Title,UniqueId",
                success: function (data) {
                    try {
                        window.wt_sp_globals.pageDetails = data.d;
                    }
                    catch (err) { }
                    // Decrement wait counter
                    window.wt_sp_globals.RESTCounter--;
                    wt_sp_globals.RESTCounterLog.getPageDataFromREST.push("Decrement -> Success");
                },
                error: function (err) {
                    // Decrement wait counter
                    window.wt_sp_globals.RESTCounter--;
                    wt_sp_globals.RESTCounterLog.getPageDataFromREST.push("Decrement -> Error");
                }
            };
            plugin.wtAjax(request, false);
        }
        else {
            // Decrement wait counter
            window.wt_sp_globals.RESTCounter--;
            wt_sp_globals.RESTCounterLog.getPageDataFromREST.push("Decrement -> Aborted");
        }
    };
})();

/*********************************************** END PROTOTYPE ************************************************/

/*********************************************** START _SP_INTRA **********************************************/

var sp_intra_loader = function (tag, plugin) {
    var _sp_intra = new WebTrendsSP_intra(tag, plugin);

    // Shared: look to see if we have any prototype overlays to replace
    try {
        if (plugin.overlays) {
            for (var fn in plugin.overlays) {
                if (plugin.overlays.hasOwnProperty(fn)) {
                    WebTrendsSP_intra.prototype[fn] = plugin.overlays[fn];
                }
            }
        }
    }
    catch (ignore) { }

    // Shared: Set internal Globals
    // Store som objects locally for later use
    // Will need to check if MDS is wiping these out
    var cfg = _sp_intra.cfg;
    var ids = _sp_intra.ids;
    var constants = _sp_intra.constants;
    var version = _sp_intra.tagVersion;
    var spVersion = _sp_intra.spVersion = _sp_intra.getSPVersion();
    var types = _sp_intra.types = tag._downloadtypes;

    // Shared: regular page vs search flag 
    _sp_intra.searchPage = _sp_intra.searchPageTest();

    // Shared: Event Listener flags
    _sp_intra.eventClick = _sp_intra.setBindingOption().click;
    _sp_intra.eventHover = _sp_intra.setBindingOption().hover;

    // Shared: WT.shp_act_loc flags
    window.wt_sp_globals.ribbon = false;
    window.wt_sp_globals.ecb = false;
    window.wt_sp_globals.popup = false;
    window.wt_sp_globals.page = false;

    // Shared: Registration and REST
    window.wt_sp_globals.SPAllowRegister = true;
    window.wt_sp_globals.RESTCallBackComplete = false;
    window.wt_sp_globals.waitForRESTFromMDS = false;
    window.wt_sp_globals.waitForRESTModern = false;
    window.wt_sp_globals.RESTCounter = 0;
    wt_sp_globals.RESTCounterLog = {
        getPageDataFromREST: [],
        getWebPartsFromREST: [],
        getSiteCollectionTitle: [],
        getListDataFromREST: [],
        LoadMD5File: []
    };

    // Modern: resetFunctionsModernView flags
    window.wt_sp_globals.navigatedEvent = false;
    window.wt_sp_globals.searchReset = false;
    window.wt_sp_globals.blockSPA = false;

    // Shared: Document Meta data 
    if (_sp_intra.storageAvailable("sessionStorage") && sessionStorage.getItem("wtDocumentMetadata")) {
        window.wt_sp_globals.documentMetadata = JSON.parse(sessionStorage.getItem("wtDocumentMetadata"));
    }
    else {
        window.wt_sp_globals.documentMetadata = {};
    }
    // Create dynamic list of document parameters to send
    window.wt_sp_globals.documentMetadataParams = [];
    var fields = cfg.documentMetadataFields.split(",");
    for (var i = 0; i < fields.length; i++) {
        window.wt_sp_globals.documentMetadataParams.push("WT.shp_doc_" + fields[i]);
    }

    // Shared: Copy _sp_intra instance to global object for use in prototype functions
    window.wt_sp_globals.pluginObj = _sp_intra;

    /************************************************************* START SHARED TRANSFORMS ***************************************************/

    // Shared: Add Tag Version to all events
    Webtrends.addTransform(function (dcsObject, trackObject) {
        if (!trackObject.argsa) {
            trackObject.argsa = [];
        }
        try {
            // tag version
            trackObject.argsa.push("WT.sp_tv", version);
        }
        catch (ex) { }
    }, "all");

    // Shared: Adds "DCS.dcsxxx" to tell SDC server to alter IP Addresses at logging
    Webtrends.addTransform(function (dcsObject, trackObject) {
        try {
            if (!trackObject.argsa) {
                trackObject.argsa = [];
            }
            // Adds "DCS.dcsip" to tell SDC server to strip last octect of IP address in logging
            if (cfg.stripIP === true) {
                trackObject.argsa.push("DCS.dcsipa", "1");
            }
            // Adds "DCS.dcscip" to replace IP Address with hard-coded value
            if (cfg.overwriteClientIP === true) {
                trackObject.argsa.push("DCS.dcscip", cfg.desiredIpAddress ? cfg.desiredIpAddress : "192.168.0.1");
            }
        }
        catch (ex) { }
    }, "all");

    // Shared: Adds "WT.es" to all hits
    Webtrends.addTransform(function (dcsObject, trackObject) {
    // Add Event Source
        try {
            if (!trackObject.argsa) {
                trackObject.argsa = [];
            }
            trackObject.argsa.push("WT.es", _sp_intra.setEventSource());
        }
        catch (ex) {
        }
    }, "all");

    // Shared: Add "WT.shp_modern" to all hits
    Webtrends.addTransform(function (dcsObject, trackObject) {
        try {
            if (!trackObject.argsa) {
                trackObject.argsa = [];
            }
            trackObject.argsa.push("WT.shp_modern", window.wt_sp_globals.modernView ? "true" : "false");
        }
        catch (ex) {
        }
    }, "all");

    // Shared: Add User SharePoint parameters to collect events
    Webtrends.addTransform(function (dcsObject, trackObject) {
        if (!trackObject.argsa) {
            trackObject.argsa = [];
        }

        // extra user info from User Profile Service
        if (cfg.extraUserInfo) {
            if (typeof (wt_sp_user) !== "undefined") {
                try {
                    for (var prop in wt_sp_user) {
                        if (prop.indexOf("wterr_") !== 0) {
                            trackObject.argsa.push(
                                prop,
                                decodeURIComponent(wt_sp_user[prop])
                            );
                            if (cfg.dcsaut && prop.indexOf(cfg.dcsautParam) === 0) {
                                trackObject.argsa.push(
                                    "DCS.dcsaut",
                                    decodeURIComponent(wt_sp_user[prop])
                                );
                            }
                            if (cfg.dcsvid && prop.indexOf(cfg.dcsvidParam) === 0) {
                                trackObject.argsa.push(
                                    "WT.dcsvid",
                                    decodeURIComponent(wt_sp_user[prop])
                                );
                            }

                        }
                    }
                }
                catch (ex) {
                }
            }
        }

        // User Name
        if (cfg.username && typeof wt_sp_user === "undefined") {
            try {
                var userName = "";
                if (spVersion === constants.SPO) {
                    if (parent.document.getElementById(ids.pritopleveluserid)) {
                        userName = parent.document.getElementById(ids.pritopleveluserid).innerHTML;
                    }
                }
                else {
                    var option1 = parent.document.getElementById(ids.pritopleveluserid);
                    var option2 = parent.document.getElementById(ids.sectopleveluserid);
                    userName = (option1) ? option1.innerHTML : option2.innerHTML;
                    userName = userName.substring(0, (userName.indexOf("<") >= 0) ? userName.indexOf("<") : userName.length);
                }
                while (userName.indexOf("&amp;") >= 0) {
                    userName = userName.replace("&amp;", "&");
                }
                trackObject.argsa.push("WT.shp_uname", decodeURIComponent(userName));
            }
            catch (ex) {
            }
        }

        // User Login and Auth User
        if ((cfg.userlogin || cfg.dcsaut || cfg.dcsvid) && typeof wt_sp_user === "undefined") {
            try {
                var userLogin = "";
                if (_sp_intra.objectExists(window, "wt_sp_globals.spPageContextInfo.userLoginName")) {
                    userLogin = wt_sp_globals.spPageContextInfo.userLoginName;

                }

                userLogin = decodeURIComponent(userLogin);

                if (cfg.userlogin) {
                    trackObject.argsa.push("WT.shp_login", userLogin);
                }
                if (cfg.dcsaut) {
                    trackObject.argsa.push("DCS.dcsaut", userLogin);
                }
                if (cfg.dcsvid) {
                    trackObject.argsa.push("WT.dcsvid", userLogin);
                }
            }
            catch (ex) {
            }
        }

        // obfuscate sensitive data if the config of obfuscate is true
        if (cfg.obfuscate) {
            try {
                var params = cfg.obfuscateParams.split(",");
                if (params && params.length > 0) {
                    // Copy MD5 method if needed
                    _sp_intra.CopyMD5Encryption();

                    if (_sp_intra.dcsEncryption !== false) {
                        for (var i = 0; i < params.length; i++) {
                            for (var j = 0; j < trackObject.argsa.length; j += 2) {
                                if (trackObject.argsa[j] && params[i] && trackObject.argsa[j].toString().toLowerCase() == params[i].toLowerCase() && (trackObject.argsa[j + 1] && trackObject.argsa[j + 1].toString() !== ""))
                                    trackObject.argsa[j + 1] = _sp_intra.dcsEncryption(trackObject.argsa[j + 1]).toString();
                            }
                        }
                        trackObject.argsa.push("WT.md5", "1");
                    }
                    else {
                        trackObject.argsa.push("WT.md5", "0");
                    }
                }
            }
            catch (ex) {
                trackObject.argsa.push("WT.md5", ex);
            }
        }
    }, "all");

    // Shared: Add Base SharePoint parameters to collect events
    Webtrends.addTransform(function (dcsObject, trackObject) {
        if (!trackObject.argsa) {
            trackObject.argsa = [];
        }

        if (cfg.siteInfo) {
            // Get site info from page
            _sp_intra.getSiteInfo(trackObject);
        }
        
        // Breadcrumb
        if (cfg.bread) {
            _sp_intra.getBreadCrumbs(ids, trackObject);
        }

        // Webparts on page
        if (cfg.webparts) {
            _sp_intra.getWebParts(cfg, trackObject);
        }

        // List Page Load "View Item"|"Edit Item"
        if (cfg.list) {
            _sp_intra.getListItems(trackObject);
        }

        // Search
        if (cfg.search && window.wt_sp_globals.isSearchPage === true) {
            _sp_intra.getSearch(trackObject);
        }
        else {
            window.wt_sp_globals.originalSearchTerm = "";
        }

        // Enterprise Search Tieback
        if (cfg.search) {
            _sp_intra.getEnterpriseSearch(trackObject);
        }

        // Hub Site
        _sp_intra.getHubSite(trackObject);

    }, "collect");

    // Shared: Add Base SharePoint parameters to multitrack events from iFrames, which don't fire page view hits and collect some of the basics
    // non-iFrames will use parameters from page view event (addTransform above) instead.
    Webtrends.addTransform(function (dcsObject, trackObject) {
        if (!trackObject.argsa) {
            trackObject.argsa = [];
        }
        
        if (window.self !== window.top) {
            if (cfg.siteInfo) {
                // Get site info from page
                _sp_intra.getSiteInfo(trackObject);
            }

            // Enterprise Search Tieback
            if (cfg.search) {
                _sp_intra.getEnterpriseSearch(trackObject);
            }

            // Hub Site
            _sp_intra.getHubSite(trackObject);
        }

    }, "multitrack");

    // Shared: Adds on/offsite data to clicks
    Webtrends.addTransform(function (dcsObject, trackObject) {
        try {
            if (!trackObject.argsa) {
                trackObject.argsa = [];
            }
            if (!trackObject.argsa) trackObject.argsa = [];
            if (!trackObject.element) trackObject.element = {};
            if (!trackObject.element.href) trackObject.element.href = window.location.href;
            var res = _sp_intra.getURIArrFromHREF(trackObject.element.href);
            trackObject.argsa.push(
                "WT.offdom", (!_sp_intra.isOnSite(res.dcssip, cfg.homedom, cfg.homedomRegExp)).toString(),
                "WT.offsite", (!_sp_intra.isOnSite(res.dcssip + res.dcsuri, cfg.homesite)).toString(),
                "WT.offsub", (!_sp_intra.isOnSite(res.dcssip + res.dcsuri, cfg.homesub)).toString()
            );
        }
        catch (ex) { }
    }, "multitrack");

    // Shared: Adds "WT.shp_wpv" to clicks
    Webtrends.addTransform(function (dcsObject, trackObject) {
        try {
            if (!trackObject.argsa) trackObject.argsa = [];
            if (!trackObject.element) return;
            trackObject.argsa.push("WT.shp_wpv", _sp_intra.getWebPartTitleOnClick(trackObject.element));
        }
        catch (ex) { }
    }, "multitrack");

    // Shared: Adds "WT.shp_mega_menu" to clicks in the mega menu
    Webtrends.addTransform(function (dcsObject, trackObject) {
        try {
            if (!trackObject.argsa) trackObject.argsa = [];
            var el = trackObject.element;
            var text = [];
            var par;
            if (!wt_sp_globals.modernView) {
                // Classic View
                if (el && el.tagName === "A" && _sp_intra.getParentByIDContains(el, "_TopNavigationMenu")) {
                    // Crawl up chain and gather link text for each link
                    text.push(_sp_intra.getElementText(el.querySelector("span.menu-item-text")));
                    par = _sp_intra.getParentByClassNameContains(_sp_intra.getParentByTagName(el, "UL"), "dynamic-children");
                    while (par) {
                        text.push(_sp_intra.getElementText(par.querySelector("span.menu-item-text")));
                        par = _sp_intra.getParentByClassNameContains(par.parentNode, "dynamic-children");
                    }
                }
            }
            else {
                // Modern View
                if (el) {
                    var tag = el.tagName;
                    var className = el.className;
                    if ((tag === "A" || tag === "BUTTON") && _sp_intra.getParentByClassNameContains(el, "ms-HorizontalNav")) {
                        if (className.indexOf("ms-HorizontalNavItem-link") >= 0) {
                            // Top Menu Link
                            text.push(_sp_intra.getElementText(el));
                        }
                        else if (className.indexOf("ms-HorizontalNavItem-splitbutton") >= 0 || className.indexOf("ms-ContextualMenu-link") >= 0) {
                            // Sub Menu Link
                            text.push(_sp_intra.getElementText(el));
                            // Check for parents
                            par = _sp_intra.getParentByClassNameContains(el, "ms-ContextualMenu-container");
                            while (par && par.id) {
                                par = document.querySelector("[aria-owns='" + par.id + "']");
                                if (par) {
                                    text.push(_sp_intra.getElementText(par.querySelector(".ms-ContextualMenu-itemText")));
                                    par = _sp_intra.getParentByClassNameContains(par, "ms-ContextualMenu-container");
                                }
                            }
                            // Add top level link text - relies on mouseover storage function in loadBind
                            text.push(_sp_intra.getElementText(window.wt_sp_globals.lastMenuHover));
                        }
                    }
                }                
            }

            // Push data
            trackObject.argsa.push(
                "WT.shp_mega_menu", text.reverse().join("|")
            );
        }
        catch (ex) { }
    }, "multitrack");

        /***************************************** START ALL CLICK TRACKING ********************************************/

    // Shared: All Link Tracking
    window.wt_sp_globals.finalExclude = _sp_intra.getAnchorExclusions();

    // Shared: Check for MSIE version for CSS Selectors in General Link Tracking and Document Link Tracking
    window.wt_sp_globals.OldMSIE = false;
    if (navigator.userAgent.indexOf("MSIE") >= 0) {
        var agent = navigator.userAgent;
        var ieVersion = agent.match(/MSIE ([^\.]+)/);
        if (ieVersion[1] <= 8) {
            window.wt_sp_globals.OldMSIE = true;
        }
    }

    // Shared: Generic Link Tracking - Disable by default
    if (_sp_intra.cfg.allClick) {
        // Check if IE8 due to lack of CSS3.0 selector support
        if (window.wt_sp_globals.OldMSIE === true) {
            // IE8
            _sp_intra.tagObj.addSelector('a', {
                filter: function (dcsObject, options) {
                    var check = _sp_intra.allClickAndDocFilter(dcsObject, options);
                    if (check.filter === false && check.document === false) return false;
                    return true;
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.allClickTransform(dcsObject, multiTrackObject);
                },
                finish: function (dcsObject, multiTrackObject) {
                    _sp_intra.finishCleanup(dcsObject, multiTrackObject);
                }
            });
        }
        else {
            // All other browsers
            _sp_intra.tagObj.addSelector(window.wt_sp_globals.finalExclude, {
                filter: function (dcsObject, options) {
                    var check = _sp_intra.allClickAndDocFilter(dcsObject, options);
                    if (check.filter === false && check.document === false) return false;
                    return true;
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.allClickTransform(dcsObject, multiTrackObject);
                },
                finish: function (dcsObject, multiTrackObject) {
                    _sp_intra.finishCleanup(dcsObject, multiTrackObject);
                }
            });
        }
    }

        /***************************************** END ALL CLICK TRACKING ********************************************/

    /************************************************************* END SHARED ***************************************************/

    /************************************************************* START CLASSIC VIEW ***************************************************/


        /***************************************** START MDS *******************************************/

    // Classic View: Release block MDS from firing duplicate PV hit as soon as a click occurs-only works on tracked clicks
    Webtrends.addTransform(function (dcsObject, trackObject) {
        window.wt_sp_globals.wtBlockMDS = false;
    }, "all");


    // Classic View: Release block MDS from firing duplicate PV hit as soon as a click occurs-can work on some untracked clicks
    _sp_intra.tagObj.addSelector('a', {
        filter: function (dcsObject, trackObject) {
            window.wt_sp_globals.wtBlockMDS = false;
            return true;
        }
    });

    // Classic View: Correct MDS URLs by adding the hash to the dcsuri
    Webtrends.addTransform(function (dcsObject, trackObject) {
        if (!trackObject.argsa) {
            trackObject.argsa = [];
        }
        if (_sp_intra.objectExists(window, "asyncDeltaManager")) {
            var pageInfo = _sp_intra.parsePageInfo();
            for (var key in pageInfo) {
                if (pageInfo.hasOwnProperty(key))
                    trackObject.argsa.push(key, pageInfo[key]);
            }
        }
    }, "collect");

    // Classic View: Clear stuck meta tags and reset in MDS
    Webtrends.addTransform(function (dcsObject, trackObject) {
        if (window.location.href.indexOf("/start.aspx#") >= 0) {
            // Clear stuck meta tag
            var metaTag = window.wt_sp_globals.meta;
            var metanames = window.wt_sp_globals.configs.metanames;
            if (metaTag) {
                for (var i = 0; i < metaTag.length; i++) {
                    var metaName = metaTag[i];
                    if (metaName.toUpperCase().indexOf("WT.") === 0) {
                        dcsObject.WT[metaName.substring(3)] = "";
                    } else if (metaName.toUpperCase().indexOf("DCSEXT.") === 0) {
                        dcsObject.DCSext[metaName.substring(7)] = "";
                    } else if (metaName.toUpperCase().indexOf("DCS.") === 0) {
                        dcsObject.DCS[metaName.substring(4)] = "";
                    } else if (metaName && metanames && metanames.indexOf(metaName) != -1) {
                        dcsObject.DCSext["meta_" + metanames] = "";
                    }
                }
            }
            // Get list of meta tags to clear
            window.wt_sp_globals.meta = [];
            var meta = document.getElementsByTagName("meta");
            if (meta) {
                for (var j = 0; j < meta.length; j++) {
                    var name = meta[j].name.toLowerCase();
                    var content = meta[j].content;
                    // Collect new meta tags
                    if (name.toUpperCase().indexOf("WT.") === 0) {
                        window.wt_sp_globals.meta.push("WT." + name.substring(3));
                        dcsObject.WT[name.substring(3)] = content;
                    } else if (name.toUpperCase().indexOf("DCSEXT.") === 0) {
                        window.wt_sp_globals.meta.push("DCSEXT." + name.substring(7));
                        dcsObject.DCSext[name.substring(7)] = content;
                    } else if (name.toUpperCase().indexOf("DCS.") === 0) {
                        window.wt_sp_globals.meta.push("DCS." + name.substring(4));
                        dcsObject.DCS[name.substring(4)] = content;
                    } else if (name && metanames && metanames.indexOf(name) != -1) {
                        window.wt_sp_globals.meta.push("DCSEXT." + name);
                        dcsObject.DCSext["meta_" + name] = content;
                    }
                }
            }
        }
    }, "collect");

        /***************************************** END MDS *******************************************/

    // Classic View: Identify pagination in search
    _sp_intra.tagObj.addSelector("ul#Paging a[id^=PageLink]", {
        filter: function (dcsObject, trackObject) {
            // Store in sessionStorage if possible to keep track across page refreshes
            _sp_intra.setSearchPaginationFlag();
            return true;
        }
    });	

    // Classic View: Identify Refiner changes in search
    _sp_intra.tagObj.addSelector("a#FilterLink,a.histogram_bar_link,a[id*='SliderBehaviour_handle']", {
        filter: function (dcsObject, trackObject) {
            // Store in sessionStorage if possible to keep track across refiners
            _sp_intra.setSearchRefinementFlag();
            return true;
        }
    });	

    // Classic View: Identify Refiner changes in search - histogram needs separate addSelector for some reason - doesn't work combined with the above
    _sp_intra.tagObj.addSelector("div.slider_tick_targetbox,div.slider_tick_inactive", {
        actionElems: { 'DIV': 1 },
        filter: function (dcsObject, trackObject) {
            // Store in sessionStorage if possible to keep track across refiners
            _sp_intra.setSearchRefinementFlag();
            return true;
        }
    });	

    // Classic View: Identify Scope changes in search (another takes place in the ecbMenuWrapFunc)
    _sp_intra.tagObj.addSelector("div.ms-srchnav a.ms-srchnav-link,div.ms-srchnav a.ms-srchnav-link-selected,div#SearchBox div.ms-qSuggest-hListItem,div#SearchBox div.ms-qSuggest-listItem", {
        actionElems: { 'A': 1, 'DIV': 1 },
        filter: function (dcsObject, trackObject) {
            // Store in sessionStorage if possible to keep track across scope changes
            _sp_intra.setSearchScopeFlag();
            return true;
        }
    });	

    // Classic View: Deselects stuck items to avoid  reporting on the wrong selected item
    _sp_intra.tagObj.addSelector('a[class*="ms-ellipsis-a"]', {
        filter: function (dcsObject, options) {
            _sp_intra.deselectNonCurrentItems(options.element);
            return true;
        }
    });

    // Classic View: Deselects stuck items to avoid  reporting on the wrong selected item
    _sp_intra.tagObj.addSelector('div[class^="ms-list-itemLink "]', {
        actionElems: { DIV: 1 },
        filter: function (dcsObject, options) {
            _sp_intra.deselectNonCurrentItems(options.element);
            return true;
        }
    });

    // Classic View: Home page 'Follow' button
    _sp_intra.tagObj.addSelector('a#site_follow_button', {
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            return (options.element.className.indexOf("disabled") >= 0);
        },
        transform: function (dcsObject, multiTrackObject) {
            var res = _sp_intra.getURIArrFromHREF(window.location.href);
            multiTrackObject.argsa.push(
                "DCS.dcssip", res.dcssip,
                "DCS.dcsuri", res.dcsuri,
                "DCS.dcsqry", res.dcsqry,
                "DCS.dcsref", res.dcsref,
                "WT.ti", parent.document.title,
                "WT.dl", "SHP",
                "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag),
                "WT.shp_page_action", 'Follow'
            );
        }
    });

    // Classic View: Home page 'Share' button
    _sp_intra.tagObj.addSelector('a[id*="site_share_button"]', {
        filter: function (dcsObject, options) {
            _sp_intra.setPageFlag();
            return true;
        }
    });

        /***************************************** START DOCUMENTS *************************************************************************/

    // Classic View: Documents Link Tracking (including search results)
    if (_sp_intra.cfg.documentMenuClick) {
        if (_sp_intra.objectExists(types)) {

            // Shared: 
            // Direct link of documents in uri or query string as regular hrefs on a page
            // Check if IE8 due to lack of CSS3.0 selector support
            if (window.wt_sp_globals.OldMSIE === true) {
                // IE8
                _sp_intra.tagObj.addSelector('a', {
                    filter: function (dcsObject, options) {
                        var check = _sp_intra.allClickAndDocFilter(dcsObject, options);
                        if (check.filter === false && check.document === true) return false;
                        return true;
                    },
                    transform: function (dcsObject, multiTrackObject) {
                        _sp_intra.documentClickTransform(dcsObject, multiTrackObject, types);

                    },
                    finish: function (dcsObject, multiTrackObject) {
                        _sp_intra.finishCleanup(dcsObject, multiTrackObject);
                    }
                });
            }
            else {
                // All other browsers
                _sp_intra.tagObj.addSelector(window.wt_sp_globals.finalExclude, {
                    filter: function (dcsObject, options) {
                        var check = _sp_intra.allClickAndDocFilter(dcsObject, options);
                        if (check.filter === false && check.document === true) return false;
                        return true;
                    },
                    transform: function (dcsObject, multiTrackObject) {
                        _sp_intra.documentClickTransform(dcsObject, multiTrackObject, types);

                    },
                    finish: function (dcsObject, multiTrackObject) {
                        _sp_intra.finishCleanup(dcsObject, multiTrackObject);
                    }
                });
            }

            // Classic View: Document Library Hover Card Links
            _sp_intra.tagObj.addSelector('a[class*="-calloutLinkEnabled"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    if (options.element.className == "js-callout-action ms-calloutLinkEnabled ms-calloutLink js-ellipsis25-a") return true;
                    var text = _sp_intra.translateLanguage(_sp_intra.getElementText(options.element));
                    if (text.toUpperCase().indexOf("SHARE") >= 0) {
                        _sp_intra.setPopupFlag();
                        return true;
                    }
                    return false;
                },
                transform: function (dcsObject, multiTrackObject) {
                    var res = _sp_intra.docItemPopUpLink(multiTrackObject.element);
                    for (var item in res) {
                        if (res.hasOwnProperty(item)) {
                            multiTrackObject.argsa.push(item, res[item]);
                        }
                    }
                }
            });

            // Classic View: Document Library Notebook button on left navigation
            _sp_intra.tagObj.addSelector('a.static.menu-item.ms-core-listMenu-item.ms-displayInline.ms-navedit-linkNode[href*="&action=editnew"],a.ms-Nav-link[href*="&action=editnew"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    var res = _sp_intra.getURIArrFromHREF(multiTrackObject.element.href);
                    multiTrackObject.argsa.push(
                        "DCS.dcssip", res.dcssip,
                        "DCS.dcsuri", res.dcsuri,
                        "DCS.dcsqry", res.dcsqry,
                        "DCS.dcsref", res.dcsref,
                        "WT.ti", window.wt_sp_globals.spPageContextInfo.webTitle + " Notebook",
                        "WT.dl", "SHP",
                        "WT.shp_doc", window.wt_sp_globals.spPageContextInfo.webTitle + " Notebook",
                        "WT.shp_doc_a", "Edit Notebook",
                        "WT.shp_doc_type", "one",
                        "WT.shp_act_loc", "Direct link",
                        "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag)
                    );
                }
            });

            // Classic View: Document Library +New Word button
            _sp_intra.tagObj.addSelector('a[id*="newdocWOPI-divWord"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    var res = _sp_intra.getURIArrFromHREF(window.location.href);
                    var library = _sp_intra.getDocumentLibraryPath(multiTrackObject.element);
                    if (library !== "") {
                        res.dcsuri = library;
                        res.dcsqry = "";
                    }
                    multiTrackObject.argsa.push(
                        "DCS.dcssip", res.dcssip,
                        "DCS.dcsuri", res.dcsuri + "/New Word Document",
                        "DCS.dcsqry", res.dcsqry,
                        "DCS.dcsref", res.dcsref,
                        "WT.ti", "New Word Document",
                        "WT.dl", "SHP",
                        "WT.shp_doc", "New Word Document",
                        "WT.shp_doc_a", "New Document",
                        "WT.shp_doc_type", "docx",
                        "WT.shp_doc_lib", library,
                        "WT.shp_act_loc", "Direct link",
                        "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag)
                    );
                }
            });

            // Classic View: Document Library +New Excel button
            _sp_intra.tagObj.addSelector('a[id*="newdocWOPI-divExcel"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    var res = _sp_intra.getURIArrFromHREF(window.location.href);
                    var library = _sp_intra.getDocumentLibraryPath(multiTrackObject.element);
                    if (library !== "") {
                        res.dcsuri = library;
                        res.dcsqry = "";
                    }
                    multiTrackObject.argsa.push(
                        "DCS.dcssip", res.dcssip,
                        "DCS.dcsuri", res.dcsuri + "/New Excel Document",
                        "DCS.dcsqry", res.dcsqry,
                        "DCS.dcsref", res.dcsref,
                        "WT.ti", "New Excel Document",
                        "WT.dl", "SHP",
                        "WT.shp_doc", "New Excel Document",
                        "WT.shp_doc_a", "New Document",
                        "WT.shp_doc_type", "xlsx",
                        "WT.shp_doc_lib", library,
                        "WT.shp_act_loc", "Direct link",
                        "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag)
                    );
                }
            });

            // Classic View: Document Library +New PowerPoint button
            _sp_intra.tagObj.addSelector('a[id*="newdocWOPI-divPowerPoint"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    var res = _sp_intra.getURIArrFromHREF(window.location.href);
                    var library = _sp_intra.getDocumentLibraryPath(multiTrackObject.element);
                    if (library !== "") {
                        res.dcsuri = library;
                        res.dcsqry = "";
                    }
                    multiTrackObject.argsa.push(
                        "DCS.dcssip", res.dcssip,
                        "DCS.dcsuri", res.dcsuri + "/New PowerPoint Document",
                        "DCS.dcsqry", res.dcsqry,
                        "DCS.dcsref", res.dcsref,
                        "WT.ti", "New PowerPoint Document",
                        "WT.dl", "SHP",
                        "WT.shp_doc", "New PowerPoint Document",
                        "WT.shp_doc_a", "New Document",
                        "WT.shp_doc_type", "pptx",
                        "WT.shp_doc_lib", library,
                        "WT.shp_act_loc", "Direct link",
                        "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag)
                    );
                }
            });

            // Classic View: Document Library +New OneNote button
            _sp_intra.tagObj.addSelector('a[id*="newdocWOPI-divOneNote"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    var res = _sp_intra.getURIArrFromHREF(window.location.href);
                    var library = _sp_intra.getDocumentLibraryPath(multiTrackObject.element);
                    if (library !== "") {
                        res.dcsuri = library;
                        res.dcsqry = "";
                    }
                    multiTrackObject.argsa.push(
                        "DCS.dcssip", res.dcssip,
                        "DCS.dcsuri", res.dcsuri + "/New OneNote Document",
                        "DCS.dcsqry", res.dcsqry,
                        "DCS.dcsref", res.dcsref,
                        "WT.ti", "New OneNote Document",
                        "WT.dl", "SHP",
                        "WT.shp_doc", "New OneNote Document",
                        "WT.shp_doc_a", "New Document",
                        "WT.shp_doc_type", "one",
                        "WT.shp_doc_lib", library,
                        "WT.shp_act_loc", "Direct link",
                        "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag)
                    );
                }
            });

            // Classic View: Document Library +New visio drawing button
            _sp_intra.tagObj.addSelector('a[id*="newdocWOPI-divVisio"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    var res = _sp_intra.getURIArrFromHREF(window.location.href);
                    var library = _sp_intra.getDocumentLibraryPath(multiTrackObject.element);
                    if (library !== "") {
                        res.dcsuri = library;
                        res.dcsqry = "";
                    }
                    multiTrackObject.argsa.push(
                        "DCS.dcssip", res.dcssip,
                        "DCS.dcsuri", res.dcsuri + "/New Visio Document",
                        "DCS.dcsqry", res.dcsqry,
                        "DCS.dcsref", res.dcsref,
                        "WT.ti", "New Visio Document",
                        "WT.dl", "SHP",
                        "WT.shp_doc", "New Visio Document",
                        "WT.shp_doc_a", "New Document",
                        "WT.shp_doc_type", "vsdx",
                        "WT.shp_doc_lib", library,
                        "WT.shp_act_loc", "Direct link",
                        "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag)
                    );
                }
            });

            // Classic View: Document Library +New Folder button
            _sp_intra.tagObj.addSelector('a[id*="newdocWOPI-divFolder"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    var res = _sp_intra.getURIArrFromHREF(window.location.href);
                    var library = _sp_intra.getDocumentLibraryPath(multiTrackObject.element);
                    if (library !== "") {
                        res.dcsuri = library;
                        res.dcsqry = "";
                    }
                    multiTrackObject.argsa.push(
                        "DCS.dcssip", res.dcssip,
                        "DCS.dcsuri", res.dcsuri + "/New Document Folder",
                        "DCS.dcsqry", res.dcsqry,
                        "DCS.dcsref", res.dcsref,
                        "WT.ti", "New Document Folder",
                        "WT.dl", "SHP",
                        "WT.shp_doc", "New Document Folder",
                        "WT.shp_doc_a", "New Folder",
                        "WT.shp_doc_type", "Library Folder",
                        "WT.shp_doc_lib", library,
                        "WT.shp_act_loc", "Direct link",
                        "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag)
                    );
                }
            });

            // Classic View: Document Library Upload Confirmation button
            _sp_intra.tagObj.addSelector('input[id*="_RptControls_btnOK"]', {
                actionElems: { INPUT: 1 },
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    var input = document.querySelector("[id*=_InputFile]");
                    if (!input || input.value === "") return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    if (!multiTrackObject.argsa) multiTrackObject.argsa = [];
                    multiTrackObject.argsa = _sp_intra.getCollectedDataFromParent(multiTrackObject.argsa);
                    var res = _sp_intra.getURIArrFromHREF(parent.window.location.href);
                    var file = document.querySelector("[id*=_InputFile]").value;
                    var docName = file.substring(file.lastIndexOf("\\") + 1, file.length);
                    var type = docName.substring(docName.lastIndexOf(".") + 1, docName.length);
                    var library = "";
                    if (_sp_intra.objectExists(window, "libraryUrl")) {
                        library = window.libraryUrl;
                    }
                    else {
                        library = document.querySelector("[id*=destination]").value;
                    }
                    var folder = "";
                    if (document.querySelector("[id*=_uploadLocation]") !== null) {
                        folder = document.querySelector("[id*=_uploadLocation]");
                        folder = folder.value;
                    }
                    if (library !== "" || folder !== "") {
                        var slash = (folder !== "" && folder.lastIndexOf("/") === folder.length - 1) ? "" : "/";
                        res.dcsuri = library + folder + slash + docName;
                        res.dcsqry = "";
                    }
                    var loc = _sp_intra.getActionLocation();
                    multiTrackObject.argsa.push(
                        "DCS.dcssip", res.dcssip,
                        "DCS.dcsuri", res.dcsuri,
                        "DCS.dcsqry", res.dcsqry,
                        "DCS.dcsref", res.dcsref,
                        "WT.ti", docName,
                        "WT.dl", "SHP",
                        "WT.shp_doc", docName,
                        "WT.shp_doc_a", "Upload",
                        "WT.shp_doc_type", type,
                        "WT.shp_doc_lib", library,
                        "WT.shp_act_loc", loc,
                        "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag)
                    );
                },
                finish: function (dcsObject, multiTrackObject) {
                    _sp_intra.finishCleanup(dcsObject, multiTrackObject);
                    _sp_intra.resetFlags();
                }
            });

            // Classic View: Document Library Edit button
            _sp_intra.tagObj.addSelector('button[class*="qcbEditButton"]', {
                actionElems: { BUTTON: 1 },
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    var item = _sp_intra.getCurrentCheckedItemClassicView();
                    var href = item.selectedItemURLs[0];
                    var url = _sp_intra.getURIArrFromHREF(href);
                    var docName = item.selectedItemNames[0];
                    var docType = item.selectedItemTypes[0];
                    var docLib = item.selectedLibraryPaths[0];
                    multiTrackObject.argsa.push(
                        "DCS.dcssip", url.dcssip,
                        "DCS.dcsuri", url.dcsuri,
                        "DCS.dcsqry", url.dcsqry,
                        "DCS.dcsref", url.dcsref,
                        "WT.ti", docName,
                        "WT.dl", "20",
                        "WT.shp_doc", docName,
                        "WT.shp_doc_a", "Edit",
                        "WT.shp_doc_type", docType,
                        "WT.shp_doc_lib", docLib,
                        "WT.shp_act_loc", "Direct Link",
                        "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag)
                    );
                }
            });

            // Classic View: Document Library Sync Confirmation button
            _sp_intra.tagObj.addSelector('button[class*="qcbSyncButton"]', {
                actionElems: { BUTTON: 1 },
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    var res = _sp_intra.getURIArrFromHREF(window.location.href);
                    multiTrackObject.argsa.push(
                        "DCS.dcssip", res.dcssip,
                        "DCS.dcsuri", res.dcsuri,
                        "DCS.dcsqry", res.dcsqry,
                        "DCS.dcsref", res.dcsref,
                        "WT.ti", "Sync \"" + document.title.substring(0, document.title.indexOf(" - ")) + "\" Library",
                        "WT.dl", "SHP",
                        "WT.shp_doc", "Sync \"" + document.title.substring(0, document.title.indexOf(" - ")) + "\" Library",
                        "WT.shp_doc_a", "Sync",
                        "WT.shp_doc_type", "Library Folder",
                        "WT.shp_doc_lib", _sp_intra.getDocumentLibraryPath(multiTrackObject.element),
                        "WT.shp_act_loc", "Direct Link",
                        "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag)
                    );
                }
            });

            // Classic View: Document Library Share button in SP2013 and SP2016
            _sp_intra.tagObj.addSelector('input[id*="_btnShare"]', {
                actionElems: { INPUT: 1 },
                filter: function (dcsObject, options) {
                    var event = options.event;
                    if (dcsObject._isRightClick(event)) return true;
                    else _sp_intra.shareConfirmTransform(event);
                    return true;
                }
            });

            // Classic View: Document Item Rating
            _sp_intra.tagObj.addSelector('a[id^="likesElement"],span.ms-comm-ratingsImageContainer', {
                actionElems: { "A": 1, "SPAN": 1 },
                filter: function (dcsObject, options) {
                    var event = options.event;
                    var el = options.element;
                    if (dcsObject._isRightClick(event)) return true;
                    var ctx = _sp_intra.getCtxObject(el);
                    if (!ctx && window.location.pathname.indexOf("/DispForm.aspx") === -1) return true;
                    if (ctx.ListTemplateType !== 101) return true;
                    var rating = false;
                    if (el.tagName === "SPAN") {
                        var img = el.querySelector("IMG");
                        rating = img.id.substring(img.id.length - 1, img.id.length);
                    }
                    var action = rating ? "Rate" : "Like";
                    _sp_intra.onClickBoundDocumentLink(event, action, rating);
                    // This method fires it's own multitrack, no need for a transform
                    return true;
                }
            });

                /***************************************** START DOCUMENT RIBBONS *************************************************************************/

            // Classic View: Document New Document from Ribbon upper button
            // This can't tell you what document was uploaded specifically
            _sp_intra.tagObj.addSelector('a[class^="ms-cui-ctl-a1"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    if (options.element.parentNode.id.indexOf("Ribbon.Documents.New.NewDocument") >= 0) return false;
                    if (options.element.className.indexOf("disabled") >= 0) return true;
                    return true;
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "New Document");
                }
            });

            // Classic View: Document New Document from Ribbon New Word Document
            // This can't tell you what document was uploaded specifically
            _sp_intra.tagObj.addSelector('span[class^="ms-cui-glass-ff"],span[class^="ms-cui-glass-ie"]', {
                actionElems: { SPAN: 1 },
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    var element = options.element;
                    if (element.parentNode.id.indexOf("Ribbon.Document.All.NewDocument.Menu") >= 0) {
                        options.element = element.parentNode;
                        return false;
                    }
                    if (element.id.indexOf("Ribbon.Document.All.NewDocument.Menu") >= 0) return false;
                    if (element.className.indexOf("disabled") >= 0) return true;
                    return true;
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "New Document");
                }
            });

            // Classic View: Document Upload Document from Ribbon set flag to mark as "from ribbon", confirmation button is handled in "Document Check in Confirm button"
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.New.AddDocument"]', {
                filter: function (dcsObject, options) {
                    _sp_intra.setRibbonFlag();
                    return true;
                }
            });

            // Classic View: "+ new document" from SP2013 Document Library Header
            _sp_intra.tagObj.addSelector('a[id^="idHomePageNewDocument"]', {
                filter: function (dcsObject, options) {
                    _sp_intra.resetFlags();
                    return true;
                }
            });

            // Classic View: Document New Folder from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.New.NewFolder"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "New Folder");
                }
            });

            // Classic View: Document Edit Document from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.EditCheckout.EditDocument"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Edit Document");
                }
            });

            // Classic View: Document Check Out from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.EditCheckout.CheckOut"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    if (options.element.className.indexOf("disabled") >= 0) return true;
                    else {
                        _sp_intra.setRibbonFlag();
                        _sp_intra.documentMultiItemAction(dcsObject, options, "Check Out");
                        _sp_intra.resetFlags();
                    }
                    return true;
                }
            });

            // Classic View: Document Check In from Ribbon
            // Sets flag to check for ribbon option when clicking the confirm checking button
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.EditCheckout.CheckIn"]', {
                filter: function (dcsObject, options) {
                    _sp_intra.setRibbonFlag();
                    return true;
                }
            });

            // Classic View: Document Check in Confirm button Pop Up window
            _sp_intra.tagObj.addSelector('input[id^="CheckinOk"]', {
                actionElems: { INPUT: 1 },
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    if (options.element.className.indexOf("disabled") >= 0) return true;
                    _sp_intra.setRibbonFlag();
                    options.argsa = _sp_intra.getCollectedDataFromParent([]);
                    _sp_intra.documentMultiItemAction(dcsObject, options, "Check In");
                    _sp_intra.resetFlags();
                    return true;
                }
            });

            // Classic View: Document Discard Check Out from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.EditCheckout.DiscardCheckOut"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    if (options.element.className.indexOf("disabled") >= 0) return true;
                    else {
                        _sp_intra.setRibbonFlag();
                        _sp_intra.documentMultiItemAction(dcsObject, options, "Discard Check Out");
                        _sp_intra.resetFlags();
                    }
                    return true;
                },
                transform: function (dcsObject, multiTrackObject) {
                    
                }
            });

            // Classic View: Document View Properties from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Manage.ViewProperties"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "View Properties");
                }
            });

            // Classic View: Document Edit Properties from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Manage.EditProperties"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Edit Properties");
                }
            });

            // Classic View: Document Version History from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Manage.ViewVersions"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Version History");
                }
            });

            // Classic View: Document Shared With from Ribbon/Manage Permissions
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Manage.ManagePermissions"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Shared With/Manage Permissions");
                }
            });

            // Classic View: Document Delete from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Manage.Delete"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    if (options.element.className.indexOf("disabled") >= 0) return true;
                    else {
                        _sp_intra.setRibbonFlag();
                        _sp_intra.documentMultiItemAction(dcsObject, options, "Delete");
                        _sp_intra.resetFlags();
                    }
                    return true;
                }
            });

            // Classic View: Document Share from Ribbon
            // Set ribbon boolean, confirmation button is handled in "Document Library Share button"
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Share.ShareItem"]', {
                filter: function (dcsObject, options) {
                    _sp_intra.setRibbonFlag();
                    return true;
                }
            });

            // Classic View: Document Alert Me - Set alert on this document from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Share.AlertMe.Menu.Scope.AlertSelection"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Set alert on this document");
                }
            });

            // Classic View: Document Alert Me - Manage My Alerts from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Share.AlertMe.Menu.ManageAlerts"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    if (options.element.className.indexOf("disabled") >= 0) return true;
                    else {
                        _sp_intra.setRibbonFlag();
                        _sp_intra.documentMultiItemAction(dcsObject, options, "Manage My Alerts");
                        _sp_intra.resetFlags();
                    }
                    return true;
                }
            });

            // Classic View: Document Popularity Trends/View Reports from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Share.ViewAnalyticsReport"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    if (options.element.className.indexOf("disabled") >= 0) return true;
                    else {
                        _sp_intra.setRibbonFlag();
                        _sp_intra.documentMultiItemAction(dcsObject, options, "Popularity Trends");
                        _sp_intra.resetFlags();
                    }
                    return true;
                }
            });

            // Classic View: Document Follow from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Share.Follow"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Follow");
                }
            });

            // Classic View: Document Download a Copy from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Copies.Download"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Download");
                }
            });

            // Classic View: Document Send to Other Location from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Document.All.SendTo.Menu.Items.OtherLocation"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    if (spVersion !== constants.SP2013) {
                        var text = _sp_intra.translateLanguage(_sp_intra.getElementText(multiTrackObject.element));
                        if (text === "Copy") {
                            _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Copy");
                        }
                        else {
                            _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Send To Other Location");
                        }
                    }
                    else {
                        _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Send To Other Location");
                    }
                }
            });

            // Classic View: Document Send to Create Document Workspace from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Document.All.SendTo.Menu.Items.CreateDocumentWorkspace"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Create Document Workspace");
                }
            });

            // Classic View: Document Manage Copies from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Copies.ManageCopies"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Manage Copies");
                }
            });

            // Classic View: Document Go to source from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Copies.GoToSourceItem"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Go To Source Item");
                }
            });

            // Classic View: Document View Workflows from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Workflow.ViewWorkflows"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "View Workflows");
                }
            });

            // Classic View: Document Publish from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Workflow.Publish"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Publish");
                }
            });

            // Classic View: Document Unpublish from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Workflow.Unpublish"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Unpublish");
                }
            });

            // Classic View: Document Workflow Approve/Reject
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Workflow.Moderate"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Approve/Reject");
                }
            });

            // Classic View: Document Workflow Cancel Approval
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Workflow.CancelApproval"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Cancel Approval");
                }
            });

            // Classic View: Document Tags & Notes from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.TagsAndNotes"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Tags & Notes");
                }
            });

            // Not sure where I saw these:
            // Classic View: Document Send Email from Ribbon
            _sp_intra.tagObj.addSelector('a[id^="Ribbon.Documents.Share.EmailItemLink"]', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return (options.element.className.indexOf("disabled") >= 0);
                },
                transform: function (dcsObject, multiTrackObject) {
                    _sp_intra.documentSingleItemRibbonClassicView(dcsObject, multiTrackObject, "Send Email");
                }
            });

            // Use the cancel buttons to reset the ribbon, ecb and popup booleans for confirmation pages
            // Classic View: Document cancel
            _sp_intra.tagObj.addSelector('input[id*="_BtnCancel"]', {
                actionElems: { INPUT: 1 },
                filter: function (dcsObject, options) {
                    _sp_intra.resetFlags();
                    return true;
                }
            });

            // Classic View: Document cancel
            _sp_intra.tagObj.addSelector('a[id^="DlgClose"]', {
                actionElems: { INPUT: 1 },
                filter: function (dcsObject, options) {
                    _sp_intra.resetFlags();
                    return true;
                }
            });

                /***************************************** END DOCUMENT RIBBONS *************************************************************************/

                // ECB's tracked via ecbMenuWrapFunc or "ECB DOCUMENT AND LIST LINKS IN NEWER CLASSIC VIEW SPO" section

                /***************************************** START DOCUMENT SEARCH CLICKS *************************************************************************/

            // Classic View: Search Result Item Click
            _sp_intra.tagObj.addSelector('a[clicktype="Result"],a[class*="srch-item-link"],a#NameFieldLink', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return false;
                },
                transform: function (dcsObject, multiTrackObject) {
                    var href = multiTrackObject.element.href;
                    var res = _sp_intra.searchResultClickClassicView(multiTrackObject.element, href);
                    for (var item in res) {
                        if (res.hasOwnProperty(item)) {
                            multiTrackObject.argsa.push(item, res[item]);
                        }
                    }
                    multiTrackObject.argsa.push("WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag));
                },
                finish: function (dcsObject, multiTrackObject) {
                    _sp_intra.finishCleanup(dcsObject, multiTrackObject);
                }
            });

            // Classic View: Search Results Hover Card
            _sp_intra.tagObj.addSelector('a[id*="_hover"].ms-calloutLink,a[id*="_viewConversation"].ms-calloutLink', {
                filter: function (dcsObject, options) {
                    if (dcsObject._isRightClick(options.event)) return true;
                    return false;
                },
                transform: function (dcsObject, multiTrackObject) {
                    var event = multiTrackObject.event;
                    var element = multiTrackObject.element;
                    var href = decodeURIComponent(element.getAttribute("href"));
                    var option = _sp_intra.getSearchPopUpOption(element.getAttribute("id"));
                    if (option === "Send Email") href = href.substring(href.indexOf("<") + 1, href.indexOf(">"));
                    if (option === "Follow") href = href.substring(href.indexOf("('") + 2, href.lastIndexOf("',"));
                    while (href.indexOf("\\u002f") >= 0) href = href.replace("\\u002f", "/");
                    var res = _sp_intra.searchResultHoverCardClassicView(element, href, option);
                    res["WT.nv"] = dcsObject.dcsNavigation(event, dcsObject.navigationtag);
                    for (var item in res) if (res.hasOwnProperty(item)) multiTrackObject.argsa.push(item, res[item]);
                },
                finish: function (dcsObject, multiTrackObject) {
                    _sp_intra.finishCleanup(dcsObject, multiTrackObject);
                }
            });

                /***************************************** END DOCUMENT SEARCH CLICKS *************************************************************************/
        }
    }

        /***************************************** END DOCUMENTS *************************************************************************/

        /***************************************** START LISTS *************************************************************************/

    // List Tracking
    if (_sp_intra.cfg.list) {

        // Classic View: Lists New Item Direct Confirmation Button on NewForm.aspx
        _sp_intra.tagObj.addSelector('input[id*="diidIOSaveItem"]', {
            actionElems: { INPUT: 1 },
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                if (parent.document.location.href.indexOf("/NewForm.aspx") >= 0 && options.element.className.indexOf("disabled") < 0) return false;
                return true;
            },
            transform: function (dcsObject, multiTrackObject) {
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, "New Item", "Direct Link");
            }
        });

                /***************************************** START LIST RIBBONS  *************************************************************************/

        // Classic View: Lists New Folder for ITEMS Ribbon
        _sp_intra.tagObj.addSelector('a[id^="Ribbon.ListItem.New.NewFolder"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                return (options.element.className.indexOf("disabled") >= 0);
            },
            transform: function (dcsObject, multiTrackObject) {
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, "New Folder", "Ribbon");
                multiTrackObject.argsa.push(
                    "WT.ti", multiTrackObject.argsa[multiTrackObject.argsa.lastIndexOf("WT.shp_list") + 1] + " - New List Folder",
                    "WT.shp_list_item", "New List Folder"
                );
            }
        });

        // Classic View: Lists New Item Ribbon Confirmation Button on NewForm.aspx
        _sp_intra.tagObj.addSelector('a[id^="Ribbon.ListForm.Edit.Commit.Publish"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                if (window.location.href.indexOf("/EditForm.aspx") >= 0) return true;
                return (options.element.className.indexOf("disabled") >= 0);
            },
            transform: function (dcsObject, multiTrackObject) {
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, "New Item", "Ribbon");
            }
        });

        // Classic View: Lists Ribbon Shared With Button on DispForm.aspx and EditForm.aspx
        _sp_intra.tagObj.addSelector('a[id^="Ribbon.ListForm.Display.Manage.ManagePermissions"],a[id^="Ribbon.ListItem.Manage.ManagePermissions-Medium"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                return (options.element.className.indexOf("disabled") >= 0);
            },
            transform: function (dcsObject, multiTrackObject) {
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, "Shared With/Manage Permissions", "Ribbon");
            }
        });

        // Classic View: Lists Ribbon " on DispForm.aspx and EditForm.aspx
        _sp_intra.tagObj.addSelector('a[id^="Ribbon.ListForm.Display.Manage.DeleteItem"],a[id^="Ribbon.ListForm.Edit.Actions.DeleteItem"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                return (options.element.className.indexOf("disabled") >= 0);
            },
            transform: function (dcsObject, multiTrackObject) {
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, "Delete Item", "Ribbon");
            }
        });

        // Classic View: Lists Alert Me Button on DispForm.aspx
        _sp_intra.tagObj.addSelector('a[id^="Ribbon.ListForm.Display.Manage.Alert"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                return (options.element.className.indexOf("disabled") >= 0);
            },
            transform: function (dcsObject, multiTrackObject) {
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, "Alert Me", "Ribbon");
            }
        });

        // Classic View: Lists Tags & Notes Ribbon on DispForm.aspx
        _sp_intra.tagObj.addSelector('a[id^="Ribbon.ListItem.TagsAndNotes.TagsAndNotes"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                return (options.element.className.indexOf("disabled") >= 0);
            },
            transform: function (dcsObject, multiTrackObject) {
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, "Tags & Notes", "Ribbon");
            }
        });

        // Classic View: Lists Workflows Button on DispForm.aspx
        _sp_intra.tagObj.addSelector('a[id^="Ribbon.ListForm.Display.Manage.Workflows"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                return (options.element.className.indexOf("disabled") >= 0);
            },
            transform: function (dcsObject, multiTrackObject) {
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, "View Workflows", "Ribbon");
            }
        });

        // Classic View: Lists Attach File Button on EditForm.aspx and NewForm.aspx
        _sp_intra.tagObj.addSelector('a[id^="Ribbon.ListForm.Edit.Actions.AttachFile"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                return (options.element.className.indexOf("disabled") >= 0);
            },
            transform: function (dcsObject, multiTrackObject) {
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, "Attach File", "Ribbon");
            }
        });

        // Classic View: Lists Edit Item Direct Confirmation Button on EditForm.aspx
        _sp_intra.tagObj.addSelector('input[id*="diidIOSaveItem"]', {
            actionElems: { INPUT: 1 },
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                if (window.location.href.indexOf("/EditForm.aspx") >= 0 && options.element.className.indexOf("disabled") < 0) return false;
                return true;
            },
            transform: function (dcsObject, multiTrackObject) {
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, "Edit Item", "Direct Link");
            }
        });

        // Classic View: Lists Edit Item Ribbon Confirmation Button on EditForm.aspx
        _sp_intra.tagObj.addSelector('a[id^="Ribbon.ListForm.Edit.Commit.Publish"],a[id^="Ribbon.DocLibListForm.Edit.Commit.Publish"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                if (window.location.href.indexOf("/EditForm.aspx") >= 0 && options.element.className.indexOf("disabled") < 0) return false;
                return true;
            },
            transform: function (dcsObject, multiTrackObject) {
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, "Edit Item", "Ribbon");
            }
        });

        // Classic View: Lists Delete Ribbon for ITEMS Ribbon
        _sp_intra.tagObj.addSelector('a[id^="Ribbon.ListItem.Manage.Delete"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                if (options.element.className.indexOf("disabled") >= 0) return true;
                _sp_intra.setRibbonFlag();
                _sp_intra.listMultiItemAction(dcsObject, options, "Delete Item", "Ribbon");
                return true;
            }
        });

        // Classic View: Lists Attach File for ITEMS Ribbon
        _sp_intra.tagObj.addSelector('a[id^="Ribbon.ListItem.Actions.AttachFile"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                return (options.element.className.indexOf("disabled") >= 0);
            },
            transform: function (dcsObject, multiTrackObject) {
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, "Attach File", "Ribbon");
            }
        });

        // Classic View: Lists Change Item Order (confirmation OK button) for ITEMS Ribbon
        _sp_intra.tagObj.addSelector('input[id*="_RptControls_BtnSave"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;

                //if it is not "Change Item Order" action, do not send a hit
                var eleTitle = parent.document.querySelector("h1#dialogTitleSpan");
                if (eleTitle && eleTitle.hasAttribute("title")) {
                    var dialogTitle = eleTitle.getAttribute("title");
                    if (dialogTitle && dialogTitle === "Change Item Order") return false;
                }

                return true;
            },
            transform: function (dcsObject, multiTrackObject) {
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, "Change Item Order", "Ribbon");
            }
        });

        // Classic View: Lists Alert Me - Set alert on this item for ITEMS Ribbon
        _sp_intra.tagObj.addSelector('a[id^="Ribbon.ListItem.Share.AlertMe.Menu.Scope.AlertSelection"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                return (options.element.className.indexOf("disabled") >= 0);
            },
            transform: function (dcsObject, multiTrackObject) {
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, "Set alert on this item", "Ribbon");
            }
        });

        // Classic View: Lists Alert Me - Manage My Alerts File for ITEMS Ribbon
        _sp_intra.tagObj.addSelector('a[id^="Ribbon.ListItem.Share.AlertMe.Menu.ManageAlerts.ManageAlerts"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                return (options.element.className.indexOf("disabled") >= 0);
            },
            transform: function (dcsObject, multiTrackObject) {
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, "Manage My Alerts", "Ribbon");
            }
        });

        // Classic View: Lists Workflows File for ITEMS Ribbon
        _sp_intra.tagObj.addSelector('a[id^="Ribbon.ListItem.Workflow.ViewWorkflows"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                return (options.element.className.indexOf("disabled") >= 0);
            },
            transform: function (dcsObject, multiTrackObject) {
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, "View Workflows", "Ribbon");
            }
        });

            /***************************************** END LIST RIBBONS  *************************************************************************/

            // ECB's tracked via ecbMenuWrapFunc or "ECB DOCUMENT AND LIST LINKS IN NEWER CLASSIC VIEW SPO" section

            /***************************************** START LINK LIST CLICKS  *************************************************************************/

        // Classic View: Link List Libraries
        _sp_intra.tagObj.addSelector('a.ms-draggable', {
            filter: function (dcsObject, options) {
                if (options.element.className.toLowerCase().indexOf("ms-listlink") >= 0 || _sp_intra.getCtxObject(options.element) === false || dcsObject._isRightClick(options.event) === true) {
                    return true;
                }
            },
            transform: function (dcsObject, multiTrackObject) {
                var element = multiTrackObject.element;
                var ctx = _sp_intra.getCtxObject(element);
                var id = _sp_intra.getCtxItemID(element);
                var ctxItem = _sp_intra.getCtxItem(ctx, id);
                var list = ctx.ListTitle;
                var item = ctxItem;
                var title = item['URL.desc'] !== "" ? item['URL.desc'] : item.URL;
                var url = _sp_intra.getURIArrFromHREF(item.URL);
                var res = _sp_intra.getAllClickURL(element);
                multiTrackObject.argsa.push(
                    "DCS.dcssip", url.dcssip,
                    "DCS.dcsuri", url.dcsuri,
                    "DCS.dcsqry", url.dcsqry,
                    "DCS.dcsref", url.dcsref,
                    "WT.ti", list + " - " + title,
                    "WT.dl", _sp_intra.getAllClickOffSite(element.href, res) ? "24" : "1",
                    "WT.nv", element.className,
                    "WT.shp_list", list,
                    "WT.shp_list_item", title,
                    "WT.shp_list_item_action", "Click Item",
                    "WT.shp_act_loc", "Direct Link"
                );
            },
            finish: function (dcsObject, multiTrackObject) {
                _sp_intra.finishCleanup(dcsObject, multiTrackObject);
            }
        });

        // Classic View: Link List Item Rating
        _sp_intra.tagObj.addSelector('a[id^="likesElement"],span.ms-comm-ratingsImageContainer', {
            actionElems: {"A": 1, "SPAN": 1},
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                var ctx = _sp_intra.getCtxObject(options.element);
                if (!ctx && window.location.pathname.indexOf("/DispForm.aspx") === -1) return true;
                if (ctx.ListTemplateType === 101) return true;
            },
            transform: function (dcsObject, multiTrackObject) {
                var el = multiTrackObject.element;
                var rating = false;
                if (el.tagName === "SPAN") {
                    var img = el.querySelector("IMG");
                    rating = img.id.substring(img.id.length - 1, img.id.length);
                }
                _sp_intra.listItemClassicView(dcsObject, multiTrackObject, (rating ? "Rate" : "Like"), "Direct Link", rating);
            },
            finish: function (dcsObject, multiTrackObject) {
                _sp_intra.finishCleanup(dcsObject, multiTrackObject);
            }
        });

            /***************************************** END LINK LIST CLICKS  *************************************************************************/
    }

            /***************************************** END LISTS *************************************************************************/

            /********************************* START ECB DOCUMENT AND LIST LINKS IN NEWER CLASSIC VIEW SPO ******************************************/

    // Classic View: ECB Menu Links of Document Library  and List Library
    _sp_intra.tagObj.addSelector('a.ms-contextmenu-link', {
        filter: function (dcsObject, options) {
            if (parent.wt_sp_globals.ribbon === true) return true;
            var elem = options.element;

            // Classic View
            if (dcsObject._isRightClick(options.event)) return true;
            var items = _sp_intra.getCurrentCheckedItemClassicView();

            // This will ideally have a separate addSelector for List vs Document libraries
            var LibraryType;
            if (items.found === true) {
                LibraryType = parent.wt_sp_globals.currentLibraryType;
            }
            else {
                // Action being performed on library itself
                // Someday this may be "List Library" too
                var numElem = document.querySelector("[ctxnum]");
                if (numElem) {
                    var num = numElem.getAttribute("ctxnum");
                    var name = "ctx" + num;
                    var library = window[name];
                    LibraryType = library.listBaseType === 0 ? "List Library" : (library.listBaseType === 1 ? "Document Library" : "Unknown Library");
                }
            }
            parent.wt_sp_globals.currentLibraryAction = _sp_intra.getActionValue(elem, LibraryType);
            var action = parent.wt_sp_globals.currentLibraryAction;
            if (action === "View Item" || action === "Edit Item") {
                return true;
            }
            else if (action === "Share" || action === "Check in") {
                _sp_intra.setECBFlag();
                return true;
            }
            return false;
        },
        transform: function (dcsObject, multiTrackObject) {
            _sp_intra.setECBFlag();
            if (!multiTrackObject.argsa) multiTrackObject.argsa = [];
            var res;
            var LibraryType = parent.wt_sp_globals.currentLibraryType;
            var action = parent.wt_sp_globals.currentLibraryAction;
            if (LibraryType === "Document Library") {
                res = _sp_intra.documentECBClassicView(action);
            }
            else if (LibraryType === "List Library") {
                res = _sp_intra.listECBClassicView(action);
            }
            for (var item in res) {
                if (res.hasOwnProperty(item)) {
                    multiTrackObject.argsa.push(item, res[item]);
                }
            }
            multiTrackObject.argsa.push(
                "WT.shp_act_loc", "ECB Menu"
            );
        },
        finish: function (dcsObject, multiTrackObject) {
            setTimeout(_sp_intra.resetFlags, 1000);
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

            /***************************************** END ECB DOCUMENT AND LIST LINKS IN NEWER CLASSIC VIEW SPO ************************************************************************/

            /***************************************** START NEWSFEED *************************************************************************/
    // Social Link Tracking

    if (_sp_intra.cfg.socialMenuClick && _sp_intra.cfg.legacySocial) {

        // Classic View: Social Post
        _sp_intra.tagObj.addSelector('button[id*="postbutton"]', {
            actionElems: { BUTTON: 1 },
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
            },
            transform: function (dcsObject, multiTrackObject) {
                var option = "Post";
                var res = _sp_intra.socialFeedAction(option);
                if (_sp_intra.getElementsByClassName("ms-microfeed-imageAttachmentPreview").length > 0) res["WT.soc_image"] = "true";
                else res["WT.soc_image"] = "";
                for (var item in res) {
                    if (res.hasOwnProperty(item)) {
                        multiTrackObject.argsa.push(item, res[item]);
                    }
                }
                multiTrackObject.argsa.push("WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag));
            },
            finish: function (dcsObject, multiTrackObject) {
                _sp_intra.finishCleanup(dcsObject, multiTrackObject);
            }
        });

        // Classic View: Social Reply
        _sp_intra.tagObj.addSelector('button[id*="postreplybutton"]', {
            actionElems: { BUTTON: 1 },
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
            },
            transform: function (dcsObject, multiTrackObject) {
                var option = "Reply";
                var res = _sp_intra.socialFeedAction(option);
                if (_sp_intra.getElementsByClassName("ms-microfeed-imageAttachmentPreview").length > 0) res["WT.soc_image"] = "true";
                else res["WT.soc_image"] = "";
                for (var item in res) {
                    if (res.hasOwnProperty(item)) {
                        multiTrackObject.argsa.push(item, res[item]);
                    }
                }
                multiTrackObject.argsa.push("WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag));
            },
            finish: function (dcsObject, multiTrackObject) {
                _sp_intra.finishCleanup(dcsObject, multiTrackObject);
            }
        });

        // Classic View: Social Delete Post
        _sp_intra.tagObj.addSelector('button[id*="confConfirmButton"]', {
            actionElems: { BUTTON: 1 },
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
                if (options.element.id.toLowerCase().indexOf("confconfirmbutton") >= 0 && options.element.className.toLowerCase().indexOf("microfeed")) return false;
            },
            transform: function (dcsObject, multiTrackObject) {
                var option = "Delete Post";
                var res = _sp_intra.socialFeedAction(option);
                for (var item in res) {
                    if (res.hasOwnProperty(item)) {
                        multiTrackObject.argsa.push(item, res[item]);
                    }
                }
                multiTrackObject.argsa.push("WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag));
            },
            finish: function (dcsObject, multiTrackObject) {
                _sp_intra.finishCleanup(dcsObject, multiTrackObject);
            }
        });

        // Classic View: Social Like/Unlike
        _sp_intra.tagObj.addSelector('a[id*="likebutton"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
            },
            transform: function (dcsObject, multiTrackObject) {
                var option;
                if (_sp_intra.objectExists(multiTrackObject, "element.attributes.liked")) option = "Unlike";
                else option = "Like";
                var res = _sp_intra.socialFeedAction(option);
                for (var item in res) {
                    if (res.hasOwnProperty(item)) {
                        multiTrackObject.argsa.push(item, res[item]);
                    }
                }
                multiTrackObject.argsa.push("WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag));
            },
            finish: function (dcsObject, multiTrackObject) {
                _sp_intra.finishCleanup(dcsObject, multiTrackObject);
            }
        });

        // Classic View: Social Follow User
        _sp_intra.tagObj.addSelector('a[id*="followlinkfori"],a[id*="FollowLinkFor"]', {
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event)) return true;
            },
            transform: function (dcsObject, multiTrackObject) {
                var option;
                var userName = multiTrackObject.element.name;
                if (_sp_intra.objectExists(userName)) {
                    if (userName.indexOf("|") != -1) {
                        userName = userName.split("|");
                        if (userName.length > 2) {
                            userName = userName[2].toString().toUpperCase();
                        }
                    }
                    else {
                        // In SP 2013 OnPremise we also fetch the user account from element name. However, it is not delimited by "|" but
                        // discovered by position, where it begins at 13th character (just after "FollowLinkFor" prefix)
                        if (userName.length > 13) {
                            userName = userName.substr(13).replace(/_-_/g, "\\").toUpperCase();
                        }
                    }

                    var textContent = _sp_intra.getElementText(multiTrackObject.element);
                    if (textContent.toLowerCase().indexOf("stop") === 0) option = "Stop following " + userName;
                    else option = "Follow " + userName;
                }
                var res = _sp_intra.socialFeedAction(option);
                for (var item in res) {
                    if (res.hasOwnProperty(item)) {
                        multiTrackObject.argsa.push(item, res[item]);
                    }
                }
                multiTrackObject.argsa.push("WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag));
            },
            finish: function (dcsObject, multiTrackObject) {
                _sp_intra.finishCleanup(dcsObject, multiTrackObject);
            }
        });
    }

            /***************************************** END NEWSFEED *************************************************************************/

    /***************************************** END CLASSIC VIEW *************************************************************************/

    /***************************************** START MODERN VIEW *****************************************************************/

            /***************************************** START DOCUMENTS *****************************************************************/

    // Modern View: Direct Document Library Links and 2019 Tiles
    _sp_intra.tagObj.addSelector("a.ms-Link[class*='nameField'],a.ItemTile-link,button.ms-Link[data-automationid='FieldRenderer-name']", {
        actionElems: { "A": 1, "BUTTON": 1 },
        filter: function (dcsObject, options) {
            return _sp_intra.modernDirectFilter(dcsObject, options);
        },
        transform: function (dcsObject, multiTrackObject) {
            _sp_intra.modernDirectTransform(dcsObject, multiTrackObject);
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: Direct Document SPO Tile Links
    // Binding to DIV elements often causes tag to not properly find other elements in selector - need to track as separate selector
    _sp_intra.tagObj.addSelector("div[data-automationid='itemCard'] div", {
        actionElems: { "DIV": 1 },
        filter: function (dcsObject, options) {
            return _sp_intra.modernDirectFilter(dcsObject, options);
        },
        transform: function (dcsObject, multiTrackObject) {
            _sp_intra.modernDirectTransform(dcsObject, multiTrackObject);
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: Document Library New Folder (Ribbon Link and ECB Link)
    _sp_intra.tagObj.addSelector('button.od-Dialog-action.od-Button.od-Button--primary,button.ms-Button.ms-Button--primary', {
        actionElems: { 'BUTTON': 1 },
        filter: function (dcsObject, options) {
            var el = options.element;
            // Avoid sending new folder hits on other Save links that are unrelated.
            if (dcsObject._isRightClick(options.event) || el.disabled ||
                (!document.querySelector("input.od-FolderBuilder-nameInput.od-TextField-field") && !document.querySelector("input.ms-TextField-field[id^='TextField']")) ||
                el.className.indexOf("od-ShareNotification-copyButton") >= 0 ||
                _sp_intra.getParentByClassNameExact(el, "od-Panel-content"))
                return true;
            // Avoid news article and page publishes
            var dataAutoId = el.getAttribute("data-automation-id");
            if (dataAutoId === "newslink-post-button" || dataAutoId === "pageCommandBarPublishButton") return true;
            // Avoid on some other pages
            var pageType = _sp_intra.getCurrentLibraryType();
            if (pageType !== "Page" && pageType !== "Document Library" && pageType !== "List Library") return true;
            var path = window.location.pathname.toLowerCase();
            if (path.indexOf("/editform.aspx") >= 0 || path.indexOf("/newform.aspx") >= 0) return true;
            return false;
        },
        transform: function (dcsObject, multiTrackObject){ 
            if (!multiTrackObject.argsa) multiTrackObject.argsa = [];
            var path;
            var docLib = "";
            var template = window.wt_sp_globals.spPageContextInfo.listBaseTemplate;
            if (template !== -1 && template !== 119) {
                path = window.wt_sp_globals.spPageContextInfo.listUrl;
                docLib = path;
            }
            else {
                var seeAll = _sp_intra.getSeeAllPath(wt_sp_globals.tempElement);
                var par = _sp_intra.getParentByClassNameExact(wt_sp_globals.tempElement, "ControlZone-control");
                if (par && par.querySelector("ol.ms-Breadcrumb-list")) {
                    path = seeAll + _sp_intra.getLibraryPathFromWebPartBreadcrumbModernView(par, false);
                }
                else path = seeAll;
                docLib = seeAll;
            }
            multiTrackObject.argsa.push(
                "DCS.dcssip", window.location.hostname,
                "DCS.dcsuri", path + "/New Document Folder",
                "DCS.dcsqry", "",
                "DCS.dcsref", window.location.href,
                "WT.ti", "New Document Folder",
                "WT.dl", "SHP",
                "WT.shp_doc", "New Document Folder",
                "WT.shp_doc_a", "New Folder",
                "WT.shp_doc_lib", docLib, 
                "WT.shp_doc_type", "Library Folder",
                "WT.shp_act_loc", _sp_intra.getActionLocation()
            );
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: Document Library New Link (Ribbon Link and ECB Link)
    _sp_intra.tagObj.addSelector('button#od-CreateShortcut-createButton,div.od-CreateShortcut-recentItemDetails,div.od-CreateShortcut-recentItemTitle,div.od-CreateShortcut-recentItemSubText,div.od-CreateShortcut-recentItem', {
        actionElems: { 'BUTTON': 1, 'DIV': 1 },
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            return false;
        },
        transform: function (dcsObject, multiTrackObject) {
            // get data of New Link
            var docName = "";
            var docType = "Link";
            var elem = multiTrackObject.element;
            if (elem.tagName === "DIV") {
                while (elem.className !== "od-CreateShortcut-recentItem" && elem.parentNode && elem.parentNode !== document) {
                    elem = elem.parentNode;
                }
                if (elem.className === "od-CreateShortcut-recentItem" && elem.hasAttribute("aria-label")) {
                    var dataLabel = elem.getAttribute("aria-label");
                    var docInfo = dataLabel.split(",");
                    if (docInfo.length >= 2) {
                        docType = docInfo[0].split(" ")[0].toLowerCase();
                        if (docInfo[1].indexOf(".") >= 0) {
                            docName = docInfo[1].replace(/^\s+|\s+$/g, "") + ".url";
                            docType = docType.substring(docType.indexOf(".") + 1, docType.length);
                        }
                        else docName = docInfo[1].replace(/^\s+|\s+$/g, "") + "." + docType + ".url";
                    }
                }
            }
            else if (elem.tagName === "BUTTON") {
                var fileName = document.querySelector('input#od-CreateShortcut-fileName-input');
                docName = fileName ? fileName.value + ".url" : "";
                docType = ".url";
            }

            if (!multiTrackObject.argsa) multiTrackObject.argsa = [];
            multiTrackObject.argsa.push(
                "DCS.dcssip", window.location.hostname,
                "DCS.dcsuri", window.wt_sp_globals.spPageContextInfo.listUrl + "/New Link",
                "DCS.dcsqry", "",
                "DCS.dcsref", window.location.href,
                "WT.ti", "New Link",
                "WT.dl", "SHP",
                "WT.shp_doc", docName,
                "WT.shp_doc_a", "New Link",
                "WT.shp_doc_lib", window.wt_sp_globals.spPageContextInfo.listUrl,
                "WT.shp_doc_type", docType,
                "WT.shp_act_loc", _sp_intra.getActionLocation()
            );
        },
        finish: function (dcsObject, multiTrackObject) {
            setTimeout(_sp_intra.resetFlags, 1000);
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: Document Library Check in confirm
    _sp_intra.tagObj.addSelector('button[data-automationid="checkInDialogCommit"],button.ms-Button.ms-Button--primary', {
        actionElems: { 'BUTTON': 1 },
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            if (options.element.className.indexOf("ms-Button--primary") >= 0) {
                var text = _sp_intra.translateLanguage(_sp_intra.getElementText(options.element));
                if (text !== "Check in") return true;
            }
            return false;
        },
        transform: function (dcsObject, multiTrackObject) {
            _sp_intra.documentSingleItemModernView(dcsObject, multiTrackObject, "Check in");
        },
        finish: function (dcsObject, multiTrackObject) {
            setTimeout(_sp_intra.resetFlags, 1000);
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: Document Library ECB Menu ... flag
    _sp_intra.tagObj.addSelector('i.ms-Icon.ms-Icon--ellipsis.ms-callout-icon', {
        actionElems: { 'I': 1 },
        filter: function (dcsObject, options) {
            _sp_intra.setECBFlag();
            return true;
        }
    });

    // Modern View: Document Library ECB Menu vertical ... flag
    _sp_intra.tagObj.addSelector('button.od-FieldRenderer-dot', {
        actionElems: { 'BUTTON': 1 },
        filter: function (dcsObject, options) {
            _sp_intra.setECBFlag();
            return true;
        }
    });

    // Modern View: Document Library Header ECB Menu Links flag
    _sp_intra.tagObj.addSelector("div.StandaloneList-header,div.SpotlightHost-container", {
        actionElems: { 'DIV': 1 },
        filter: function (dcsObject, options) {
            // Set ECB Flag only on right click to turn off Ribbon
            if (dcsObject._isRightClick(options.event)) {
                _sp_intra.setHeaderFlag();
            }
            return true;
        }
    });

    // Modern View: SPO Document Library Previous and Next arrows
    _sp_intra.tagObj.addSelector('button.ms-Button.ms-Button--commandBar[name="Next"],button.ms-Button.ms-Button--commandBar[name="Previous"]', {
        actionElems: { 'BUTTON': 1 },
        filter: function (dcsObject, options) {
            var elem = options.element;
            setTimeout(function () {
                _sp_intra.sendPreviewHitModernView(elem);
            }, 250);
            return true;
        }
    });

    // Modern View: SP2019 Document Library Previous and Next arrows
    //'div.CommandBarItem[data-automationid="previousButton"] div.CommandBarItem-link,div.CommandBarItem[data-automationid="nextButton"] div.CommandBarItem-link'
    _sp_intra.tagObj.addSelector('div.CommandBarItem[data-automationid="previousButton"] div.CommandBarItem-link,div.CommandBarItem[data-automationid="nextButton"] div.CommandBarItem-link', {
        actionElems: { 'DIV': 1 },
        filter: function (dcsObject, options) {
            var elem = options.element;
            setTimeout(function () {
                _sp_intra.sendPreviewHitModernView(elem);
            }, 250);
            return true;
        }
    });

    // Modern View: Document Library Preview Page Open, Download
    _sp_intra.tagObj.addSelector('button[class^="od-Button od-ButtonBarCommand od-ButtonBarCommand--button"]', {
        actionElems: { 'BUTTON': 1 },
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            var text = _sp_intra.translateLanguage(_sp_intra.getElementText(options.element));
            if (text === "Open" || text === "Download") {
                var element = _sp_intra.getHREFPreviewPageModernView();
                if (element && element.title.split(".").length > 1 && element.title.split(".").pop() === 'url') {
                    window.wt_sp_globals.tempElement = options.element;
                    options.element = element;
                }
                return false;
            }
            else {
                return true;
            }
        },
        transform: function (dcsObject, multiTrackObject) {
            var docName = "";
            var option = "";
            var docType = "";
            var docLib = "";
            var dl = "SHP";
            var actionSpan = multiTrackObject.element.querySelector("span.od-Button-label.od-ButtonBarCommand-label") || window.wt_sp_globals.tempElement.querySelector("span.od-Button-label.od-ButtonBarCommand-label");
            if (actionSpan) {
                option = _sp_intra.translateLanguage(_sp_intra.getElementText(actionSpan));
            }
            var url = _sp_intra.getLibraryPathFromHrefModernView(window.location.href);
            var res = _sp_intra.getURIArrFromHREF(url);
            if (url) {
                docName = url.substr(url.lastIndexOf("/") + 1);
                var currentItem = document.querySelector("div.Carousel-slide.is-loaded.is-current");
                if (currentItem && currentItem.querySelector("img[src*='/folder.svg']")) {
                    docType = "Library Folder";
                    docName = _sp_intra.getLibraryPathFromPageBreadcrumbModernView() + "/" + docName;
                    if (_sp_intra.translateLanguage(_sp_intra.getElementText(multiTrackObject.element)) === "Download") {
                        dl = "20";
                    }
                }
                else {
                    var docNameArray = docName.split(".");
                    if (docNameArray.length > 1) {
                        docType = docNameArray.pop();
                        if (docType === "url") {
                            res = _sp_intra.getAllClickURL(multiTrackObject.element);
                            dl = _sp_intra.getAllClickOffSite(multiTrackObject.element.href, res) ? "24" : "1";
                        }
                        else {
                            dl = "20";
                        }
                    }
                    else if (docNameArray.length === 1 && currentItem.querySelector("img[src*='/one.png']")) {
                        docType = "one";
                        dl = "20";
                    }
                }
            }
            docLib = window.wt_sp_globals.spPageContextInfo.listUrl;
            multiTrackObject.argsa.push(
                "DCS.dcssip", res.dcssip,
                "DCS.dcsuri", res.dcsuri,
                "DCS.dcsqry", res.dcsqry,
                "DCS.dcsref", res.dcsref,
                "WT.ti", docName,
                "WT.dl", dl,
                "WT.shp_doc", docName,
                "WT.shp_doc_a", option,
                "WT.shp_doc_type", docType,
                "WT.shp_doc_lib", docLib,
                "WT.shp_act_loc", "Direct Link"
            );
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: Document Home Page Activity Tile Links
    _sp_intra.tagObj.addSelector('div', {
        actionElems: { 'DIV': 1 },
        filter: function (dcsObject, options) {
            if (!window.wt_sp_globals.modernView) return true;
            if (dcsObject._isRightClick(options.event)) return true;
            // Can't bind to sub elements, bind to all divs and filter out most clicks
            var elem = _sp_intra.getParentByClassNameExact(options.element, "ms-DocumentCardTile");
            // Some tiles have no usable html to get urls from
            if (!elem || !elem.querySelector("a.ms-DocumentCardLocation")) return true;
            // Abort clicks to anchor links within - other selectors will capture those
            var target = options.event.target || options.event.srcElement;
            if (target.tagName === "A") return true;
            // Replace element with desired parent
            options.element = elem;
            return false;
        },
        transform: function (dcsObject, multiTrackObject) {
            var event = multiTrackObject.event;
            var elem = multiTrackObject.element;
            var res = _sp_intra.getDocumentActivityTileInfo(elem);
            // Block document parameters on clicks to .aspx pages
            var doc = res.doc;
            multiTrackObject.argsa.push(
                "DCS.dcssip", res.url.dcssip,
                "DCS.dcsuri", res.url.dcsuri,
                "DCS.dcsqry", res.url.dcsqry,
                "DCS.dcsref", res.url.dcsref,
                "WT.ti", res.title,
                "WT.dl", res.dl,
                "WT.shp_doc", doc ? res.title : "",
                "WT.shp_doc_a", doc ? "Open" : "",
                "WT.shp_doc_type", doc ? res.type : "",
                "WT.shp_doc_lib", doc ? res.lib : "",
                "WT.shp_act_loc", doc ? "Direct Link" : "",
                "WT.nv", dcsObject.dcsNavigation(event, dcsObject.navigationtag)
            );

            // Add document meta data
            if (_sp_intra.cfg.documentMetadata) {
                var key = _sp_intra.documentMetadataGetKey(res.url).key;
                _sp_intra.documentMetadataAddToHit(key, multiTrackObject);
            }
        },
        finish: function (dcsObject, multiTrackObject) {
            setTimeout(_sp_intra.resetFlags, 1000);
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });
    
            /***************************************** END DOCUMENTS *****************************************************************/

            /***************************************** START LISTS *****************************************************************/

    // Modern View: List Library Direct Links
    _sp_intra.tagObj.addSelector('button.ms-Link[data-automationid="FieldRenderer-title"],button.ms-Link[data-automationid="FieldRenderer-name"]', {
        actionElems: { 'BUTTON': 1 },
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            var par = _sp_intra.getParentByClassNameHas(options.element, "ms-DetailsRow-fields");
            if (par && par.querySelector("div.ms-DetailsRow-cell[data-automation-key*='name'],div.ms-DetailsRow-cell[data-automation-key*='Name']")) {
                // Lists use "Title" and documents use "Name" in the value
                return true;
            }
            return false;
        },
        transform: function (dcsObject, multiTrackObject) {
            var elem = multiTrackObject.element;
            var itemName = elem.hasAttribute("title") ? elem.getAttribute("title") : _sp_intra.getElementText(elem);
            var listName, url, action;
            var id = window.wt_sp_globals.spPageContextInfo.listBaseTemplate;
            if (id !== -1 && id !== 119) {
                // Library pages
                listName = window.wt_sp_globals.spPageContextInfo.listTitle;
                action = "View Item";
            }
            else {
                // Web parts
                // List Name
                var seeAll = _sp_intra.getSeeAllPath(elem);
                var par = _sp_intra.getParentByClassNameExact(elem, "ControlZone");
                var crumb = _sp_intra.getLibraryPathFromWebPartBreadcrumbModernView(par, true);
                if (crumb) listName = crumb.substring(1);
                else if (seeAll) listName = seeAll.substring(seeAll.lastIndexOf("/") + 1, seeAll.length);
                // Action
                action = "Click Item";
            }
            url = _sp_intra.getURIArrFromHREF(_sp_intra.createListItemURLModernView(elem));
            multiTrackObject.argsa.push(
                "DCS.dcssip", url.dcssip,
                "DCS.dcsuri", url.dcsuri,
                "DCS.dcsqry", url.dcsqry,
                "DCS.dcsref", url.dcsref,
                "WT.ti", listName + " - " + itemName,
                "WT.dl", "SHP",
                "WT.shp_list", listName,
                "WT.shp_list_item", itemName,
                "WT.shp_list_item_action", action,
                "WT.shp_act_loc", "Direct Link",
                "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag)
            );
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });
    
    // Modern View: List Library 'Save' button in the middle: Edit page, add new item
    _sp_intra.tagObj.addSelector('div.od-OverlayHost-overlay--opened button.ms-Button.ms-Button--primary,div.od-OverlayHost-overlay--opened button.od-Button.od-Button--primary,div.od-ListItemFormRoot button.ms-Button.ms-Button--primary, div.od-Dialog-actionsLeft button.od-Button.od-Button--primary', {
        actionElems: { BUTTON: 1 },
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            // Overlay
            var input = document.querySelector('input.od-TextField-field') || document.querySelector('input.ms-TextField-field') || document.querySelector('input.od-TextEditor-input.od-TextField-field');
            if (input && input.value) {
                var textEl = document.querySelector("div.od-OverlayHost span.BreadcrumbBar-item");
                if (textEl && textEl.title) {
                    if (textEl.title === "New item") {
                        parent.wt_sp_globals.currentLibraryAction = "New Item";
                        return false;
                    }
                    else {
                        parent.wt_sp_globals.currentLibraryAction = "Edit Item";
                        return false;
                    }
                }
                var path = window.location.pathname.toLocaleLowerCase();
                if (path.indexOf("/newform.aspx") >= 0) {
                    parent.wt_sp_globals.currentLibraryAction = "New Item";
                    return false;
                }
                else if (path.indexOf("/editform.aspx") >= 0) {
                    parent.wt_sp_globals.currentLibraryAction = "Edit Item";
                    return false;
                }
            }
            return true;
        },
        transform: function (dcsObject, multiTrackObject) {
            _sp_intra.listItemModernView(dcsObject, multiTrackObject, "Direct Link", parent.wt_sp_globals.currentLibraryAction);
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: List Library 'Save' button in the ribbon and view properties page, edit item and new item
    _sp_intra.tagObj.addSelector('span.CommandBarItem-commandText,button.ms-Button.ms-Button--commandBar', {
        actionElems: { 'SPAN': 1, 'BUTTON': 1 },
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            // Overlay
            var text = _sp_intra.translateLanguage(_sp_intra.getElementText(options.element));
            if (text && text.toLowerCase() === "save") {
                var input = document.querySelector('input.od-TextField-field') || document.querySelector('input.ms-TextField-field') || document.querySelector('input.od-TextEditor-input.od-TextField-field');
                if (input && input.value) {
                    var textEl = document.querySelector("div.od-OverlayHost span.BreadcrumbBar-item");
                    if (textEl) {
                        text = _sp_intra.translateLanguage(_sp_intra.getElementText(textEl)).toLowerCase();
                        if (text === "new item") {
                            // New item shows New Item as "header" text
                            parent.wt_sp_globals.currentLibraryAction = "New Item";
                            return false;
                        }
                        else {
                            // Editing shows the list item's current text as the "header" text
                            parent.wt_sp_globals.currentLibraryAction = "Edit Item";
                            return false;
                        }
                    }
                    // If this is on one of the dedicated pages we can get the proper value from the page URL
                    var path = window.location.pathname.toLocaleLowerCase();
                    if (path.indexOf("/newform.aspx") >= 0) {
                        parent.wt_sp_globals.currentLibraryAction = "New Item";
                        return false;
                    }
                    else if (path.indexOf("/editform.aspx") >= 0) {
                        parent.wt_sp_globals.currentLibraryAction = "Edit Item";
                        return false;
                    }
                }
            }
            return true;
        },
        transform: function (dcsObject, multiTrackObject) {
            _sp_intra.listItemModernView(dcsObject, multiTrackObject, "Ribbon", parent.wt_sp_globals.currentLibraryAction);
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

            /***************************************** END LISTS *****************************************************************/

            /***************************************** START SHARED DOCUMENT AND LIST *****************************************************************/

    // Modern View: Document/List Library Ribbon/ECB Links
    // Buttons Copy Link and Manage Access no longer works within Share pop-up on Home Page - MS Moved the entire share window into an iFrame.
    _sp_intra.tagObj.addSelector('button.ms-ContextualMenu-link,button.ms-Button.ms-Button--commandBar,button.od-ShareTargets-target,input.ContextualMenu-fileInput,input.ContextualMenu-folderInput', {
        actionElems: { 'BUTTON': 1, 'INPUT': 1}, // ms-Button--commandBar = Ribbon top, ms-ContextualMenu-link = Ribbon sub menu or ECB Menu
        filter: function (dcsObject, options) {
            return _sp_intra.modernRibbonFilter(dcsObject, options);
        },
        transform: function (dcsObject, multiTrackObject) {
            _sp_intra.modernRibbonTransform(dcsObject, multiTrackObject);
        },
        finish: function (dcsObject, multiTrackObject) {
            setTimeout(_sp_intra.resetFlags, 1000);
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: Document/List Library Ribbon/ECB Links SP2019 Sub Menu Links
    // This needs it's own addSelector because tag finds child div before reaching a parent button and breaks the above addSelector('button.ms-ContextualMenu-link...
    _sp_intra.tagObj.addSelector('div.CommandBarItem-link', {
        actionElems: {'DIV': 1},
        filter: function (dcsObject, options) {
            return _sp_intra.modernRibbonFilter(dcsObject, options);
        },
        transform: function (dcsObject, multiTrackObject) {
            _sp_intra.modernRibbonTransform(dcsObject, multiTrackObject);
        },
        finish: function (dcsObject, multiTrackObject) {
            setTimeout(_sp_intra.resetFlags, 1000);
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: Document/List Library vertical ... menu to store "source" element for library identification
    _sp_intra.tagObj.addSelector("button.ms-Button.ms-Button--icon[data-automationid='FieldRender-DotDotDot']", {
        actionElems: { 'BUTTON': 1 },
        filter: function (dcsObject, options) {
            window.wt_sp_globals.tempElement = options.element;
            _sp_intra.setECBFlag();
            return true;
        }
    });

    // Modern View: Document/List Library item row check boxesto store "source" element for library identification
    _sp_intra.tagObj.addSelector("div.ms-Check,div.ms-DetailsRow-check", {
        actionElems: { 'DIV': 1 },
        filter: function (dcsObject, options) {
            window.wt_sp_globals.tempElement = options.element;
            _sp_intra.setECBFlag();
            return true;
        }
    });

    // Modern View: Document/List Library item rows to store "source" element for library identification
    _sp_intra.tagObj.addSelector("div.ms-DetailsRow-cell", {
        actionElems: { 'DIV': 1 },
        filter: function (dcsObject, options) {
            window.wt_sp_globals.tempElement = options.element;
            _sp_intra.setECBFlag();
            return true;
        }
    });

    // Modern View: Document/List Library item row near link text to store "source" element for library identification - not working - can't seem to bind to element!
    _sp_intra.tagObj.addSelector("span[class*='signalField']", {
        actionElems: { 'SPAN': 1 },
        filter: function (dcsObject, options) {
            window.wt_sp_globals.tempElement = options.element;
            _sp_intra.setECBFlag();
            return true;
        }
    });

    // Modern View: Document/List Library Share
    // Button no longer works within Share pop-up on Home Page - MS Moved the entire share window into an iFrame.
    _sp_intra.tagObj.addSelector('button.ms-Button.ms-Button--primary', {
        actionElems: { BUTTON: 1 },
        filter: function (dcsObject, options) {
            var event = options.event;
            if (dcsObject._isRightClick(event)) return true;
            if (_sp_intra.getParentByClassNameContains(options.element, "od-SendLink-emailButtons")) _sp_intra.shareConfirmTransform(event);
            return true;
        }
    });

    // Modern View: Document/List Library Track side panel "Edit All" and "Email Everyone"
    _sp_intra.tagObj.addSelector('a.spo-Properties-editLink,a.SharingSection-shareLink', {
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            var libraryType = _sp_intra.getCurrentLibraryType();
            if (libraryType !== _sp_intra.constants.DOCUMENT_LIBRARY) {
                // List Item Edits are tracked on confirmation button
                var elem = options.element;
                var eleText = _sp_intra.translateLanguage(_sp_intra.getElementText(elem)).toLowerCase();
                if (eleText === "edit all") return true;
            }
            return false;
        },
        transform: function (dcsObject, multiTrackObject) {
            var library = _sp_intra.getCurrentLibraryType();
            var action = _sp_intra.getActionValue(multiTrackObject.element, library);
            if (library === _sp_intra.constants.DOCUMENT_LIBRARY) {
                _sp_intra.documentSingleItemModernView(dcsObject, multiTrackObject, action);
            }
            else {
                _sp_intra.listSingleItemModernView(dcsObject, multiTrackObject, action);
            }
            multiTrackObject.argsa.push("WT.shp_act_loc", "Side Panel");
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: Document/List Library Track side panel "Direct Link"
    _sp_intra.tagObj.addSelector('a.od-ItemActivityTile-ellipsis,a.od-ItemActivity-item-clickableLinkText', {
        filter: function (dcsObject, options) {
            var event = options.event;
            if (dcsObject._isRightClick(event)) return true;
        },
        transform: function (dcsObject, multiTrackObject) {
            var library = _sp_intra.getCurrentLibraryType();
            if (library === _sp_intra.constants.DOCUMENT_LIBRARY) {
                _sp_intra.documentSingleItemModernView(dcsObject, multiTrackObject, "Open");
            }
            else {
                _sp_intra.listSingleItemModernView(dcsObject, multiTrackObject, "Open");
            }
            multiTrackObject.argsa.push("WT.shp_act_loc", "Side Panel");
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: Document/List Library Track side panel "Manage Access"
    _sp_intra.tagObj.addSelector('a.ms-Link,a.od-Link', { // spo a.od-Link
        filter: function (dcsObject, options) {
            var event = options.event;
            var elem = options.element.querySelector("span");
            if (dcsObject._isRightClick(event)) return true;
            else if (elem && _sp_intra.translateLanguage(_sp_intra.getElementText(elem)).toLowerCase() === "manage access") {
                return false;
            }
            return true;
        },
        transform: function (dcsObject, multiTrackObject) {
            var library = _sp_intra.getCurrentLibraryType();
            if (library === _sp_intra.constants.DOCUMENT_LIBRARY) {
                _sp_intra.documentSingleItemModernView(dcsObject, multiTrackObject, "Manage Access");
            }
            else {
                _sp_intra.listSingleItemModernView(dcsObject, multiTrackObject, "Manage Access");
            }
            multiTrackObject.argsa.push("WT.shp_act_loc", "Side Panel");
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: Document/List Library Delete confirmation button
    _sp_intra.tagObj.addSelector('button.od-Dialog-action.od-Button,button.ms-Button.ms-Button--default', {
        actionElems: { BUTTON: 1 },
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            var el = options.element;
            if (el.className.indexOf("od-Button") >= 0 && !el.querySelector("i.ms-Icon--Delete")) return true;
            else if (el.className.indexOf("ms-Button") >= 0 &&
                _sp_intra.translateLanguage(_sp_intra.getElementText(el)) !== "Delete" &&
                _sp_intra.translateLanguage(_sp_intra.getElementText(el)) !== "Yes")
                return true;
            return false;
        },
        transform: function (dcsObject, multiTrackObject) {
            var event = multiTrackObject.event;
            _sp_intra.getCurrentCheckedItemModernView(event);
            var libraryType = parent.wt_sp_globals.currentLibraryType;
            if (libraryType === _sp_intra.constants.DOCUMENT_LIBRARY) {
                _sp_intra.documentMultiItemAction(dcsObject, multiTrackObject, "Delete");
            }
            else {
                _sp_intra.listMultiItemAction(dcsObject, multiTrackObject, "Delete Item");
            }
        },
        finish: function (dcsObject, multiTrackObject) {
            setTimeout(_sp_intra.resetFlags, 1000);
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: Document/List Library top navigation Add members/Share
    _sp_intra.tagObj.addSelector("button[data-automationid='AddMembersSaveButton'][data-is-focusable='true']", {
        actionElems: { 'BUTTON': 1 },
        filter: function (dcsObject, options) {
            var event = options.event;
            if (dcsObject._isRightClick(event)) return true;
            _sp_intra.setPageFlag();
            _sp_intra.shareConfirmTransform(event);
            return true;
        }
    });

    // Modern View: Document/List Library Remove stuck parameters from switching between Modern View Libraries
    // We should investigate this further and find the root cause.
    // This also happens when using a library ribbon/ecb link in a web part, then using one in another library.
    // IDs https://msdn.microsoft.com/en-us/library/microsoft.sharepoint.splisttemplatetype.aspx?PHPSESSID=6c7e47uec18v8n3121a6p001h4
    Webtrends.addTransform(function (dcsObject, trackObject) {
        try {
            if (!trackObject.argsa) {
                trackObject.argsa = [];
            }

            if (window.wt_sp_globals.modernView) {
                if (parent.wt_sp_globals.currentLibraryType === "List Library") {
                    trackObject.argsa.push(
                        "WT.shp_doc", "",
                        "WT.shp_doc_a", "",
                        "WT.shp_doc_type", "",
                        "WT.shp_doc_lib", ""
                    );
                }
                else if (parent.wt_sp_globals.currentLibraryType === "Document Library") {
                    trackObject.argsa.push(
                        "WT.shp_list", "",
                        "WT.shp_list_item", "",
                        "WT.shp_list_item_action", ""
                    );
                }
            }
        }
        catch (ex) { }
    }, "multitrack");


    // Modern View: Document/List Library Like and Star Rating
    _sp_intra.tagObj.addSelector('div.od-Rating-enabled,div.od-Like-heartEmpty,span.od-Like-count,span.od-Like-text,div[class^="likeHeartEmpty"],span[class^="likeCount"],span[class^="likeText"]', {
        actionElems: {
            'DIV': 1,
            'SPAN': 1
        },
        filter: function (dcsObject, options) {
            // Can't bind to elements directly for some reason, bind to all divs and filter out unwanted hits
            var e = options.event;
            if (dcsObject._isRightClick(e)) return true;
            var el = options.element;
            if (el.tagName === "SPAN") {
                // Abort dislikes
                var par = _sp_intra.getParentByClassNameExact(el, "od-Like") || _sp_intra.getParentByClassNameContains(el, "like_");
                if (!par.querySelector("div.od-Like-heartEmpty,div[class^='likeHeartEmpty']")) return true;
            }
            window.wt_sp_globals.tempElement = el;
            // Can't get proper item URL easily without using getCurrentCheckedItemModernView
            // Rating an item selects that row, and deselects others, so we can use getCurrentCheckedItemModernView, but with a delay
            (setTimeout(function () {
                try {
                    var item = _sp_intra.getCurrentCheckedItemModernView(e);
                    if (item.found) {
                        var option = el.className.toLowerCase().indexOf("like") >= 0 ? "Like" : "Rate";
                        var libraryType = item.selectedLibraryTypes[0];
                        var docName = "";
                        var docAction = "";
                        var docRating = "";
                        var docType = "";
                        var docLib = "";
                        var listName = "";
                        var listItem = "";
                        var listTitle = "";
                        var listAction = "";
                        var listRating = "";
                        var url = _sp_intra.getURIArrFromHREF(item.selectedItemURLs[0]);
                        var text;
                        if (libraryType === "Document Library") {
                            // Document Library
                            docName = item.selectedItemNames[0];
                            docType = item.selectedItemTypes[0];
                            docLib = item.selectedLibraryPaths[0];
                            docAction = option;
                            if (option === "Rate") {
                                // Rated
                                text = el.getAttribute("aria-label");
                                text = text.substring(text.indexOf("Click"));
                                docRating = text.match(/\d/)[0].toString();
                            }
                        }
                        else {
                            // List Library
                            listName = item.selectedLibraryNames[0];
                            listItem = item.selectedItemNames[0];
                            listTitle = listName + " - " + listItem;
                            listAction = option;
                            if (option === "Rate") {
                                // Rate
                                text = el.getAttribute("aria-label");
                                text = text.substring(text.indexOf("Click"));
                                listRating = text.match(/\d/)[0].toString();
                            }
                        }
                        Webtrends.multiTrack({
                            element: el,
                            argsa: [
                                "DCS.dcssip", url.dcssip,
                                "DCS.dcsuri", url.dcsuri,
                                "DCS.dcsqry", url.dcsqry,
                                "DCS.dcsref", url.dcsref,
                                "WT.ti", docName || listTitle,
                                "WT.dl", "SHP",
                                "WT.shp_list", listName,
                                "WT.shp_list_item", listItem,
                                "WT.shp_list_item_action", listAction,
                                "WT.shp_list_item_rating", listRating,
                                "WT.shp_doc", docName,
                                "WT.shp_doc_a", docAction,
                                "WT.shp_doc_rating", docRating,
                                "WT.shp_doc_type", docType,
                                "WT.shp_doc_lib", docLib,
                                "WT.shp_act_loc", "Direct Link",
                                "WT.nv", _sp_intra.tagObj.dcsNavigation(e, ["div", "table"])
                            ]
                        });
                    }
                    _sp_intra.resetFlags();
                }
                catch (err) { }
            }, 500));
            return true;
        }
    });

            /***************************************** END SHARED DOCUMENTS AND LIST*****************************************************************/

            /***************************************** START PAGE *****************************************************************/

    // Modern View: Bind to mega menu sub <button> links
    if (_sp_intra.cfg.allClick) {
        _sp_intra.tagObj.addSelector("button.ms-ContextualMenu-link", {
            actionElems: { "BUTTON": 1 },
            filter: function (dcsObject, options) {
                if (dcsObject._isRightClick(options.event) ||
                    !_sp_intra.getParentByClassNameContains(options.element, "ms-HorizontalNav"))
                    return true;
                return false;
            },
            transform: function (dcsObject, multiTrackObject) {
                // Can't get a URL since <button> tags don't have href - will use current page as destination
                _sp_intra.allClickTransform(dcsObject, multiTrackObject);
            },
            finish: function (dcsObject, multiTrackObject) {
                _sp_intra.finishCleanup(dcsObject, multiTrackObject);
            }
        });
    }

    // Modern View: top navigation links: Follow, Share
    _sp_intra.tagObj.addSelector('button.ms-Button--action.ms-Button--command.ms-CompositeHeader-collapsible', {
        actionElems: { 'BUTTON': 1 },
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;

            var eleText = _sp_intra.translateLanguage(_sp_intra.getElementText(options.element)).toLowerCase();
            if (eleText.indexOf("following") >= 0) {
                return false;
            }
            else {
                if (eleText.indexOf("share") >= 0) {
                    _sp_intra.setPageFlag();
                }
                return true;
            }
        },
        transform: function (dcsObject, multiTrackObject) {
            var res = _sp_intra.getURIArrFromHREF(window.location.href);
            var action = multiTrackObject.element.querySelector('i.ms-Icon.ms-Icon--FavoriteStar') ? "Follow" : "Unfollow";
            multiTrackObject.argsa.push(
                "DCS.dcssip", res.dcssip,
                "DCS.dcsuri", res.dcsuri,
                "DCS.dcsqry", res.dcsqry,
                "DCS.dcsref", res.dcsref,
                "WT.ti", parent.document.title,
                "WT.dl", "SHP",
                "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag),
                "WT.shp_page_action", action
            );
        },
        finish: function (dcsObject, multiTrackObject) {
            setTimeout(_sp_intra.resetFlags, 1000);
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

            /***************************************** END PAGE *****************************************************************/

            /***************************************** START NEWS ARTICLES ******************************************************/

    // Modern View: News Articles
    Webtrends.addTransform(function (dcsObject, trackObject) {
        try {
            if (!trackObject.argsa) {
                trackObject.argsa = [];
            }
            if (window.wt_sp_globals.modernView) {
                if (wt_sp_globals.pageDetails.PageLayoutType === "Article") {
                    // News Article Page
                    trackObject.argsa.push(
                        "WT.article", document.title,
                        "WT.article_url", window.location.protocol + "//" + window.location.hostname + window.location.pathname,
                        // encryption not required here, as it will take place in the "collect" transform
                        "WT.article_author", _sp_intra.getElementText(document.querySelector("div[class^='personaDetails_'] div[class^='primaryText_']")) || wt_sp_globals.pageDetails.Author || wt_sp_globals.pageDetails.Editor,
                        "WT.article_action", "View"
                    );
                }
                else if (cfg.articleImpressions && document.querySelector("div[data-automation-id='featuredNewsLayout']")) {
                    // Impressions for News articles
                    setTimeout(function () {
                        try {
                            var articles = document.querySelectorAll("div[data-automation-id='featuredNewsLayout'] div[data-automation-id='newsItem']");
                            for (var i = 0; i < articles.length; i++) {
                                var a = articles[i].querySelector("a[data-automation-id='newsItemTitle']");
                                var title = _sp_intra.getElementText(a);
                                var href = a.getAttribute("href");
                                var url = _sp_intra.getURIArrFromHREF(href);
                                // encryption not required here, as it will take place in the "collect" transform
                                var author = _sp_intra.getElementText(articles[i].querySelector("span[class^='author_']"));
                                Webtrends.multiTrack({
                                    element: a,
                                    argsa: [
                                        "DCS.dcssip", url.dcssip,
                                        "DCS.dcsuri", url.dcsuri,
                                        "DCS.dcsqry", url.dcsqry,
                                        "DCS.dcsref", document.referrer,
                                        "WT.ti", "Article Impression",
                                        "WT.dl", "100",
                                        "WT.article", title,
                                        "WT.article_url", href,
                                        "WT.article_author", author,
                                        "WT.article_action", "Impression"
                                    ]
                                });
                            }
                        }
                        catch (err) { }
                    }, 500);
                }
            }
        }
        catch (ex) { }
    }, "collect");

    // Modern View: News Articles Clickthroughs on web part
    _sp_intra.tagObj.addSelector("div[data-automation-id='featuredNewsLayout'] div[data-automation-id='newsItem'] a", {
        filter: function (dcsObject, options) {
            // Abort right clicks
            if (dcsObject._isRightClick(options.event)) return true;
            // Abort if we can't get the parent element
            if (!_sp_intra.getParentByClassNameContains(options.element, "ms-NewsItem,newsItem_")) return true;
        },
        transform: function (dcsObject, multiTrackObject) {
            var el = multiTrackObject.element;
            var e = multiTrackObject.event;
            var par = _sp_intra.getParentByClassNameContains(el, "ms-NewsItem,newsItem_");
            var link = par.querySelector("a[data-automation-id='newsItemTitle']");
            var title = _sp_intra.getElementText(link);
            var href = link.getAttribute("href");
            var res = _sp_intra.getURIArrFromHREF(href);
            var author = _sp_intra.getElementText(par.querySelector("span[class^='author_']"));
            // Encrypt user name if desired
            if (cfg.obfuscate && cfg.obfuscateParams.indexOf("WT.article_author") >= 0) {
                author = _sp_intra.dcsEncryption(author).toString();
            }
            multiTrackObject.argsa.push(
                "DCS.dcssip", res.dcssip,
                "DCS.dcsuri", res.dcsuri,
                "DCS.dcsqry", res.dcsqry,
                "DCS.dcsref", res.dcsref,
                "WT.ti", "Link: " + title,
                "WT.dl", "SHP",
                "WT.article", title,
                "WT.article_url", href,
                "WT.article_author", author,
                "WT.article_action", "Click",
                "WT.shp_wpv", _sp_intra.getWebPartTitleOnClick(el),
                "WT.nv", dcsObject.dcsNavigation(e, dcsObject.navigationtag)
            );
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: Like/Unlike a News Article (Click)
    _sp_intra.tagObj.addSelector('button.ms-Button[data-automation-id="sp-socialbar-likebutton"],button.ms-Button[data-automation-id="sp-socialbar-likedbymessage"]', {
        actionElems: { 'BUTTON': 1 },
        filter: function (dcsObject, options) {
            var el = options.element;
            // Abort right clicks
            if (dcsObject._isRightClick(options.event)) return true;
            // Abort non-news pages
            if (window.wt_sp_globals.spPageContextInfo.webTemplate !== "64" ||
                !document.querySelector("div[class*='recommendedNewsWrapper_']#RecommendedItems")) return true;
            // Abort on "# persons liked this" for your own articles
            if (_sp_intra.getParentByClassNameContains(el, "ms-TooltipHost")) return true;
            // Abort viewing your own like
            if (el.getAttribute("data-automation-id") === "sp-socialbar-likedbymessage" && 
                document.querySelector("[data-automation-id='sp-socialbar-likebutton'] i[data-icon-name='LikeSolid']"))
                return true;
        },
        transform: function (dcsObject, multiTrackObject) {
            var el = multiTrackObject.element;
            var e = multiTrackObject.event;
            var res = _sp_intra.getURIArrFromHREF(window.location.hostname + window.location.pathname);
            var author = _sp_intra.getElementText(document.querySelector("div[class^='personaDetails_'] div[class^='primaryText_']")) || wt_sp_globals.pageDetails.Author || wt_sp_globals.pageDetails.Editor;
            // Encrypt user name if desired
            if (cfg.obfuscate && cfg.obfuscateParams.indexOf("WT.article_author") >= 0) {
                author = _sp_intra.dcsEncryption(author).toString();
            }
            var action = document.querySelector("[data-automation-id='sp-socialbar-likebutton'] i[data-icon-name='Like']") ? "Like" : "Unlike";
            multiTrackObject.argsa.push(
                "DCS.dcssip", res.dcssip,
                "DCS.dcsuri", res.dcsuri,
                "DCS.dcsqry", res.dcsqry,
                "DCS.dcsref", res.dcsref,
                "WT.ti", document.title,
                "WT.dl", "SHP",
                "WT.article", document.title,
                "WT.article_url", window.location.protocol + "//" + window.location.hostname + window.location.pathname,
                "WT.article_author", author,
                "WT.article_action", action,
                "WT.shp_wpv", _sp_intra.getWebPartTitleOnClick(el),
                "WT.nv", dcsObject.dcsNavigation(e, dcsObject.navigationtag)
            );
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: Save for later -  News Article (Click)
    _sp_intra.tagObj.addSelector('button.ms-Button[data-automation-id="sp-socialbar-bookmarkbutton"],button.ms-Button[data-automation-id="sp-socialbar-bookmarkmessage"]', {
        actionElems: { 'BUTTON': 1 },
        filter: function (dcsObject, options) {
            if (window.wt_sp_globals.spPageContextInfo.webTemplate !== "64" ||
                !document.querySelector("div[class*='recommendedNewsWrapper_']#RecommendedItems")) return true;
            if (dcsObject._isRightClick(options.event)) return true;
            // Abort hits from the "Saved for later" link 
            var button = options.element.getAttribute("data-automation-id");
            if (button === "sp-socialbar-bookmarkmessage") {
                var save = document.querySelector("[data-automation-id='sp-socialbar-bookmarkbutton']");
                if (save) {
                    if (save.querySelector("i[data-icon-name='SingleBookmarkSolid']")) return true;
                }
            }
        },
        transform: function (dcsObject, multiTrackObject) {
            var el = multiTrackObject.element;
            var e = multiTrackObject.event;
            var res = _sp_intra.getURIArrFromHREF(window.location.hostname + window.location.pathname);
            var author = _sp_intra.getElementText(document.querySelector("div[class^='personaDetails_'] div[class^='primaryText_']")) || wt_sp_globals.pageDetails.Author || wt_sp_globals.pageDetails.Editor;
            // Encrypt user name if desired
            if (cfg.obfuscate && cfg.obfuscateParams.indexOf("WT.article_author") >= 0) {
                author = _sp_intra.dcsEncryption(author).toString();
            }
            var action = document.querySelector("[data-automation-id='sp-socialbar-bookmarkbutton'] i[data-icon-name='SingleBookmarkSolid']") ? "Unsave" : "Save";
            multiTrackObject.argsa.push(
                "DCS.dcssip", res.dcssip,
                "DCS.dcsuri", res.dcsuri,
                "DCS.dcsqry", res.dcsqry,
                "DCS.dcsref", res.dcsref,
                "WT.ti", document.title,
                "WT.dl", "SHP",
                "WT.article", document.title,
                "WT.article_url", window.location.protocol + "//" + window.location.hostname + window.location.pathname,
                "WT.article_author", author,
                "WT.article_action", action,
                "WT.shp_wpv", _sp_intra.getWebPartTitleOnClick(el),
                "WT.nv", dcsObject.dcsNavigation(e, dcsObject.navigationtag)
            );
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

            /***************************************** END NEWS ARTICLES ************************************************************/

            /***************************************** START IMAGE WEBPARTS *****************************************************************/

    // Modern View:  Image Web part
    _sp_intra.tagObj.addSelector("div[class*='imageFrame_'] a.ms-Link", {
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            return false;
        },
        transform: function (dcsObject, multiTrackObject) {
            var el = multiTrackObject.element;
            var res = _sp_intra.getURIArrFromHREF(el.href);
            var dl = "SHP";
            var docName = "";
            var docType = "";
            var docAction = "";
            var location = "";
            // Check if the link is a document
            var docResult = _sp_intra.isDoc(res, _sp_intra.types);
            if (docResult.check) {
                docName = docResult.file;
                docType = docName.substring(docName.indexOf(".") + 1, docName.length);
                docAction = "Open";
                dl = "20";
                location = "Direct Link";
            }
            multiTrackObject.argsa.push(
                "DCS.dcssip", res.dcssip,
                "DCS.dcsuri", res.dcsuri,
                "DCS.dcsqry", res.dcsqry,
                "DCS.dcsref", res.dcsref,
                "WT.ti", "Link: " + _sp_intra.getElementText(el),
                "WT.dl", dl,
                "WT.shp_doc", docName,
                "WT.shp_doc_a", docAction,
                "WT.shp_doc_type", docType,
                "WT.shp_act_loc", location,
                "WT.shp_wpv", _sp_intra.getWebPartTitleOnClick(el),
                "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag)
            );
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

            /***************************************** END IMAGE WEBPARTS *****************************************************************/


            /***************************************** START Alerts & Announcements WEBPARTS *****************************************************************/

    // Modern View:  Alerts & Announcements Web Part
    _sp_intra.tagObj.addSelector("button.ms-Link", {
        actionElems: { "BUTTON": 1 },
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            var webPartName = _sp_intra.getWebPartTitleOnClick(options.element);
            if (decodeURIComponent(webPartName.toLowerCase().replace(/^\s+|\s+$/g, "")) === "alerts & announcements") return false;
            else return true;
        },
        transform: function (dcsObject, multiTrackObject) {
            var el = multiTrackObject.element;
            // Get url from title or aria-label text
            var attribute = el.getAttribute("title") || el.getAttribute("aria-label");
            var href = window.location.href;
            if (/(https?:\/\/[^ ]+) ?|$/gi.test(attribute)) {
                href = /(https?:\/\/[^ ]+) ?|$/gi.exec(attribute)[1];
            }
            var res = _sp_intra.getURIArrFromHREF(href);
            var dl = "SHP";
            var docName = "";
            var docType = "";
            var docAction = "";
            var location = "";
            // Check if the link is a document
            var docResult = _sp_intra.isDoc(res, _sp_intra.types);
            if (docResult.check) {
                docName = docResult.file;
                docType = docName.substring(docName.indexOf(".") + 1, docName.length);
                docAction = "Open";
                dl = "20";
                location = "Direct Link";
            }
            multiTrackObject.argsa.push(
                "DCS.dcssip", res.dcssip,
                "DCS.dcsuri", res.dcsuri,
                "DCS.dcsqry", res.dcsqry,
                "DCS.dcsref", res.dcsref,
                "WT.ti", "Link: " + _sp_intra.getElementText(el),
                "WT.dl", dl,
                "WT.shp_doc", docName,
                "WT.shp_doc_a", docAction,
                "WT.shp_doc_type", docType,
                "WT.shp_act_loc", location,
                "WT.shp_wpv", _sp_intra.getWebPartTitleOnClick(el),
                "WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag)
            );
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

            /***************************************** END Alerts & Announcements WEBPARTS *****************************************************************/

            /***************************************** START SEARCH *****************************************************************/

    // Modern View: Search File Suggestion Clicks - SP2019, SPO
    _sp_intra.tagObj.addSelector("[id*='ms-searchux-popup-'] [class*='SearchSuggestionPanel-module__panel___'] ul li a,[id*='ms-searchux-popup-'] ul[data-suggestionpanelcontenttype='body'] li a", {
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            return false;
        },
        transform: function (dcsObject, multiTrackObject) {
            var res = _sp_intra.searchSuggestionClickModernView(multiTrackObject.element);
            for (var item in res) {
                if (res.hasOwnProperty(item)) {
                    multiTrackObject.argsa.push(item, res[item]);
                }
            }
            multiTrackObject.argsa.push("WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag));
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: Search Result, Open in New Tab, Continue Reading, Library Breadcrumbs, Suggested document Clickthroughs
    _sp_intra.tagObj.addSelector("a[class*='SearchResult-module__'],a[class*='SearchResultHeroModule-module__'],div[class*='TriageFileSearchResult-module__secondary___'] a,.ms-searchux [class*='results_'] article a,.ms-searchux [class*='results_'] a.lpc-hoverTarget", {
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            // Ignore clicks to <User Name> modified on <Date> but allow clicks to People results
            if (window.location.href.indexOf("/people") === -1 &&
                options.element.hasAttribute("class") && options.element.getAttribute("class").indexOf("lpc-hoverTarget") >= 0)
                return true;
            return false;
        },
        transform: function (dcsObject, multiTrackObject) {
            var e = multiTrackObject.event;
            var el = multiTrackObject.element;
            var target = e.target || e.srcElement;
            if (target.tagName === "DIV" && target.getAttribute("class").indexOf("__otherPropertiesLink__") >= 0) {
                // 2019 This is a site link in the result's other properties section, interpret as a URL not a file
                el = target;
                el.wtOtherProperty = true;
            }
            var res = _sp_intra.searchResultClickModernView(el);
            for (var item in res) {
                if (res.hasOwnProperty(item)) {
                    multiTrackObject.argsa.push(item, res[item]);
                }
            }
            multiTrackObject.argsa.push("WT.nv", dcsObject.dcsNavigation(multiTrackObject.event, dcsObject.navigationtag));
        },
        finish: function (dcsObject, multiTrackObject) {
            _sp_intra.finishCleanup(dcsObject, multiTrackObject);
        }
    });

    // Modern View: SP2019 Search * "All sites" Header and "see all" links:
    _sp_intra.tagObj.addSelector("[class*='SearchPanelClickableHeader-module__container'] a", {
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            _sp_intra.setSearchScopeFlag();
            _sp_intra.modernSearchReset(500);
            return true;
        }
    });

    // Modern View: Exit Search Button - <button> = SP109, <a> = SPO variations
    _sp_intra.tagObj.addSelector("button[class*='SearchBoxBackButton-module__backButton'],a[class*='BackLink-module__backLink'],#ms-searchux-serp [class^='backLinkWrapper_'] a", {
        actionElems: { "BUTTON": 1, "A": 1},
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            // Wait for the URL to convert to the Home page
            _sp_intra.waitForPageChange(function () {
                window.wt_sp_globals.originalSearchTerm = "";
                if (_sp_intra.storageAvailable("sessionStorage")) {
                    sessionStorage.removeItem("wtSearch");
                }
                _sp_intra.modernSearchReset(0);
            }, 100);
            // Avoid sending a duplicate link click hit
            return true;
        }
    });

    // Modern View: Pagination Links - <a> = previous iterations, div[class^='results_'] nav a = latest SPO
    _sp_intra.tagObj.addSelector("a[class^='Pagination-module__pageLink'],a[class^='Pagination-module__prevPageLink'],a[class^='Pagination-module__nextPageLink'],div[class^='results_'] nav a", {
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            _sp_intra.setSearchPaginationFlag();
            _sp_intra.modernSearchReset(500);
            return true;
        }
    });

    // Modern View: Expand search to SharePoint On Click new modern view - others - previous iterations, #ms-searchux-serp nav button.ms-Link.ms-Breadcrumb-itemLink = latest SPO
    _sp_intra.tagObj.addSelector("button[class*='SearchScopeBreadcrumb-module__upScope'],[class*='UpScopeToAllVertical-module__message'],nav[class*='SearchScopeBreadcrumb-module__breadcrumb___'] button.ms-Link.ms-Breadcrumb-itemLink,#ms-searchux-serp div[class^='header_'] nav button", {
        actionElems: { "BUTTON": 1},
        filter: function (dcsObject, options) {
            if(dcsObject._isRightClick(options.event)) return true;
            _sp_intra.setSearchScopeFlag();
            _sp_intra.modernSearchReset(500);
            return true;
        }
    });

    // Modern View:  All/Files/Sites/News search On Click new modern view - latest SPO
    _sp_intra.tagObj.addSelector("nav[aria-label='Result type tabs.'] button", {
        actionElems: { "BUTTON": 1 },
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            if (!options.element.classList.contains("is-selected")) {
                _sp_intra.setSearchScopeFlag();
                _sp_intra.modernSearchReset(500);
            }
            return true;
        }
    });

    // Modern View: Search Filters/Refiners links - latest SPO
    _sp_intra.tagObj.addSelector(".ms-searchux-refiners-panel label.ms-ChoiceField-field", {
        actionElems: { "LABEL": 1 },
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            if (!options.element.classList.contains("is-checked")) {
                _sp_intra.setSearchRefinementFlag();
                _sp_intra.modernSearchReset(500);
            }
            return true;
        }
    });

    // Modern View: Suggested Search pop-up "More results"
    _sp_intra.tagObj.addSelector("div[id*='ms-searchux-popup-'] button", {
        actionElems: { "BUTTON": 1 },
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
                _sp_intra.waitForPageChange(function () {
                    _sp_intra.modernSearchReset(1000);
                }, 100);
            return true;
        }
    });

    // Modern View: SP2019 Site Refiners
    _sp_intra.tagObj.addSelector("div[class*='SearchFilterCollection-module__searchFilterCollection'] li[class*='DelveSearchFilter-module__option']", {
        actionElems: { "LI": 1 },
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            var el = options.element;
            if (el.hasAttribute("aria-checked") && el.getAttribute("aria-checked") === "false") {
                var par = _sp_intra.getParentByClassNameContains(el, "DelveSearchFilter-module__listboxContainer___");
                var filters = document.querySelectorAll("[class*='DelveSearchFilter-module__listboxContainer___']");
                if (par === filters[0]) {
                    _sp_intra.setSearchScopeFlag();
                }
                else if (par === filters[1]) {
                    _sp_intra.setSearchScopeFlag();
                }
                else if (par === filters[2]) {
                    _sp_intra.setSearchRefinementFlag();
                }
                _sp_intra.modernSearchReset(500);
            }
            return true;
        }
    });

    // Modern View: upper left or top search arrow submit button
    _sp_intra.tagObj.addSelector("button[class*='ms-searchux-'][title='Submit search'],button[class*='ms-searchux-'][title='Search']", {
        actionElems: { "BUTTON": 1 },
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            _sp_intra.waitForPageChange(function () {
                _sp_intra.modernSearchReset(1000);
            }, 100);
            return true;
        }
    });

    // Modern View: SPO Search for <value> in all content link
    _sp_intra.tagObj.addSelector(".ms-searchux main[aria-label*='No results'] a", {
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            _sp_intra.waitForPageChange(function () {
                _sp_intra.modernSearchReset(1000);
            }, 100);
            return true;
        }
    });

    // Modern View: SPO "Search this site" magnifying glass next to site results
    _sp_intra.tagObj.addSelector(".ms-searchux article header .ms-TooltipHost button", {
        actionElems: { "BUTTON": 1 },
        filter: function (dcsObject, options) {
            if (dcsObject._isRightClick(options.event)) return true;
            _sp_intra.waitForPageChange(function () {
                _sp_intra.modernSearchReset(1000);
            }, 100);
            return true;
        }
    });

                /***************************************** END SEARCH *****************************************************************/
    
         /*****************************************  END MODERN VIEW *****************************************************************/

    /***************************************** START PAGE LOAD ******************************************************************/

    // Start getting web part titles from REST
    if (cfg.webparts) {
        // Increment wait counter
        window.wt_sp_globals.RESTCounter++;
        wt_sp_globals.RESTCounterLog.getWebPartsFromREST.push("Increment -> Page Load");
        // Run web part name functions
        if (!window.wt_sp_globals.modernView) {
            // Classic View
            if (_sp_intra.objectExists(window, "SP.SOD.executeFunc")) {
                SP.SOD.executeFunc("sp.js", "SP.ClientContext", _sp_intra.getWebPartsFromREST);
            }
            else {
                setTimeout(_sp_intra.getWebPartsFromREST, 1500);
            }
        }
        else {
            // Modern View Determine proper API endpoint
            if (wt_sp_globals.spPageContextInfo.pageItemId !== -1) _sp_intra.getWebPartsFromRESTModernView();
            else _sp_intra.getWebPartsFromREST();
        }
    }

    if (cfg.siteInfo) {
        // Increment wait counter
        window.wt_sp_globals.RESTCounter++;
        wt_sp_globals.RESTCounterLog.getSiteCollectionTitle.push("Increment -> Page Load");
        // Run site collection title functions
        if (!window.wt_sp_globals.modernView) {
            // Classic View
            if (_sp_intra.objectExists(window, "SP.SOD.executeFunc")) {
                SP.SOD.executeFunc("sp.js", "SP.ClientContext", _sp_intra.getSiteCollectionTitle);
            }
            else {
                setTimeout(_sp_intra.getSiteCollectionTitle, 2000);
            }
        }
        else _sp_intra.getSiteCollectionTitle();
    }

    if (cfg.obfuscate) {
        // Increment wait counter
        window.wt_sp_globals.RESTCounter++;
        wt_sp_globals.RESTCounterLog.LoadMD5File.push("Increment -> Page Load");
        // load md5.js file when the config obfuscate is true
        _sp_intra.LoadMD5File();
    }

    // Start Search Results Ready listener
    if (cfg.search && window.wt_sp_globals.isSearchPage) {
        if (!window.wt_sp_globals.modernView) {
            // Classic View
            if (_sp_intra.objectExists(window, "SP.SOD.executeFunc")) {
                SP.SOD.executeFunc("Search.ClientControls.js", "search_clientcontrols_initialize", _sp_intra.addSearchResultListenerClassicView);
            }
            else {
                setTimeout(_sp_intra.addSearchResultListenerClassicView, 1500);
            }
        }
        else {
            _sp_intra.addSearchResultListenerModernView();
        }
    }

    // Shared: Query for current page details to determine logic
    window.wt_sp_globals.pageDetails = {};
    window.wt_sp_globals.RESTCounter++;
    _sp_intra.getPageDataFromREST();
    wt_sp_globals.RESTCounterLog.getPageDataFromREST.push("Increment -> Page Load");

    // Bind to links and wrap ECB function on page load
    var loadBind = function () {
        if (document.readyState === "complete") {

            // Classic View
            if (!window.wt_sp_globals.modernView) {
                // Start wrapper for ECB menu
                if (cfg.documentMenuClick || cfg.socialMenuClick || cfg.list) {
                    var ecbCount = 0;
                    var ecbWrap = setInterval(
                        function () {
                            if (ecbCount > 40 || window.ExecuteOnClick) {
                                clearInterval(ecbWrap);
                                _sp_intra.ecbMenuWrapFunc();
                            }
                            else ecbCount++;
                        }, 250
                    );
                }

                // Classic View libraries
                if (cfg.list || cfg.documentMenuClick) {
                    // Bind to library links
                    _sp_intra.libraryLinkBind();

                    // Get meta data for generic links that might be documents (not library links, and not search results)
                    if (cfg.documentMetadata && cfg.documentMetadataFields) {
                        _sp_intra.documentMetadataBindToAllClassicView();
                    }

                    // Bind to Library links for Expand Collapse Groups
                    _sp_intra.libraryExpandCollapseLinkBind(_sp_intra);

                    // Rebind to library links after pagination
                    _sp_intra.tagObj.addSelector("a[class*='ms-promlink']", {
                        filter: function (dcsObject, trackObject) {
                            setTimeout(_sp_intra.libraryLinkBind, 3000);
                            return true;
                        }
                    });

                    // Rebind to library links after search
                    // TODO: Move this trigger to an onHover so that it is guaranteed to bind rather than using setTimeouts
                    _sp_intra.manualLinkBinder("input[id^=inplaceSearchDiv_]", "keydown", _sp_intra.libraryOnEnterBoundLink, 250);

                    _sp_intra.tagObj.addSelector("img[id^=inplaceSearchDiv_]", {
                        actionElems: { IMG: 1 },
                        filter: function (dcsObject, trackObject) {
                            _sp_intra.getDocumentLibrarySearchStatus(_sp_intra.libraryLinkBind);
                            return true;
                        }
                    });
                }

                // Poll for Share Confirm button in SPO Classic View
                if (cfg.documentMenuClick && _sp_intra.spVersion === constants.SPO || _sp_intra.spVersion === constants.SP2019) {
                    _sp_intra.pollForShareConfirm();  // TODO: SPO no longer tracks in the pop up due to iframe - track click to share instead
                }

                // Bind to On Enter press of small search
                if (cfg.search) {
                    // TODO: Move this trigger to an onHover so that it is guaranteed to bind rather than using setTimeouts
                    _sp_intra.manualLinkBinder("[id=ctl00_PlaceHolderSearchArea_SmallSearchInputBox1_csr_sbox]", "keydown", _sp_intra.onEnterBoundLink, 1000);
                }
            }
            // Modern View
            else {
                // Modern View: bind to search buttons to fake hits
                setTimeout(_sp_intra.bindToSearchButtonsModernView, 1000);

                // Modern View: Update wt_sp_globals.g_listData
                if (window.g_listData) {
                    window.wt_sp_globals.g_listData = window.g_listData;
                    // Modern View: Get meta data for documents from g_listData
                    if (wt_sp_globals.g_listData.listBaseType === 1 && cfg.documentMetadata && cfg.documentMetadataFields) {
                        _sp_intra.documentMetadataBuildDBModernView();
                    }
                }
                else {
                    // Get list from REST
                    var template = window.wt_sp_globals.spPageContextInfo.listBaseTemplate;
                    if (template && (template !== -1 || template !== 119)) {
                        // Increment wait counter
                        window.wt_sp_globals.RESTCounter++;
                        _sp_intra.getListDataFromREST();
                        wt_sp_globals.RESTCounterLog.getListDataFromREST.push("Increment -> Page Load");
                    }
                }

                // Modern View: Bind to Hero Web Part Tiles
                // Most browsers || IE11
                _sp_intra.manualLinkBinder('[data-automation-id="HeroPatternElement"],[data-sp-feature-tag^="HeroWebPart"],[data-automation-id="HeroCallToAction"]', _sp_intra.eventClick, function (e) {
                    _sp_intra.modernWebPartHero(e);
                }, 3000);                

                // Bind to on hover to initiate other actions
                _sp_intra.addListener(document, _sp_intra.eventHover, function (e) {
                    var el = e.target || e.srcElement;

                    // Modern View: Bind to on hover of top mega menu links and store the element for WT.shp_mega_menu
                    _sp_intra.manualLinkBinder("a.ms-HorizontalNavItem-link", _sp_intra.eventHover, function (e) {
                        window.wt_sp_globals.lastMenuHover = e.target || e.srcElement;
                    }, 500);

                    // Modern View: Rebind to Hero Web Part Tiles
                    // Most browsers || IE11
                    _sp_intra.manualLinkBinder('[data-automation-id="HeroPatternElement"],[data-sp-feature-tag^="HeroWebPart"],[data-automation-id="HeroCallToAction"]', _sp_intra.eventClick, function (e) {
                        _sp_intra.modernWebPartHero(e);
                    }, 0);

                    // Modern View: Get meta data for documents
                    if (cfg.documentMetadata && cfg.documentMetadataFields) {
                        // General <A> links
                        var file;
                        // Find appropriate A element - self or parent - might be triggered from child element
                        var a = _sp_intra.getParentByTagName(el, "A");
                        if (a) {
                            // Library side panel links
                            if (a.className && a.className === "od-ItemActivityTile-ellipsis") {
                                // Some side panel links don't have an href even though they're an <a>
                                // Some use the library path instead of the document
                                var href = (a.getAttribute && a.getAttribute("href"));
                                if (href) href = href.replace(/\/forms\/.*\.aspx/i, "") + "/" + a.getAttribute("title");
                                else href = _sp_intra.getLibraryPathFromHrefModernView(window.location.href);
                                a.fakeHref = href;
                                // Attempt to collect meta data with fake URL
                                _sp_intra.documentMetadataGetFromREST(e, a);
                            }
                            else if (a.className === "ItemTile-link") {
                                // SP2019 Tile links.  SPO tiles are tracked below.
                                file = a.querySelector("div.ItemTile-name");
                                if (file) {
                                    // Attempt to collect meta data with fake URL
                                    _sp_intra.documentMetadataGetFromREST(e, _sp_intra.setDocumentFakeURL(file));
                                }
                            }
                            else {
                                // Attempt to collect meta data as is
                                _sp_intra.documentMetadataGetFromREST(e, a);
                            }
                            return false;
                        }

                        // Modern Activity Tiles on home page
                        var activity = _sp_intra.getParentByClassNameHas(el, "ms-DocumentCardTile");
                        if (activity) {
                            // create url
                            file = _sp_intra.getDocumentActivityTileInfo(activity);
                            if (file.href) {
                                activity.fakeHref = file.href;
                                _sp_intra.documentMetadataGetFromREST(e, activity);
                            }
                            return false;
                        }

                        // Modern Library row - self or parent
                        var row = _sp_intra.getParentByClassNameHas(el, "ms-List-cell");
                        if (row) {
                            // Try to avoid binding to list or folder links: FileTypeIcon=2019 lib row, 2019 Tiles are <a> links above, aria-label=SPO lib row, itemCard_>aria-label=SPO Tile
                            // TODO: This doesn't work for SPO Web Parts with OneNote files because the arial-label doesn't say "File" in it.  Could look for the img tag with /one.svg source
                            if (row.querySelector("div.ms-DetailsRow div.FileTypeIcon,div.ms-DetailsRow[aria-label*='File'],[class*='itemCard_'][aria-label*='File']")) {
                                // Get file name: .ms-Link=2019 and SPO file links, fileName_=SPO Tile  SP2019 tile links are tracked above
                                file = row.querySelector(".ms-Link,div[class^='fileName_']");
                                if (file) {
                                    // Attempt to collect meta data with fake URL
                                    _sp_intra.documentMetadataGetFromREST(e, _sp_intra.setDocumentFakeURL(file));
                                    return false;
                                }
                            }
                        }

                        // Modern Hero Web Parts on MS - not publicly released yet
                        // Public release has an <a> within an <a> - both trigger <a> code above
                        // MS release has an <a> within a <div> that is also clickable, this tracks the <div>
                        var hero = _sp_intra.getParentByClassNameContains(el, "heroPattern__tiles_");
                        if (hero) {
                            var tile = _sp_intra.getModernHeroWebPartData(e);
                            if (tile.found) {
                                // Attempt to collect meta data with main tile URL
                                // Call to action will have triggered <a> code above
                                el.fakeHref = tile.mainUrl;
                                _sp_intra.documentMetadataGetFromREST(e, el);
                                return false;
                            }
                        }
                    }

                    // Do nothing
                    return false;
                });
            }
        }

        // Shared: - bind to drag/drop event for Upload tracking
        if (cfg.documentMenuClick) {
            _sp_intra.addListener(document, "dragenter", function (e) {
                _sp_intra.manualLinkBinder("div[id*='ms-dnd-dropbox'],div.StandaloneList,div.ControlZone-control", "drop", function (e) {
                    _sp_intra.dropHandler(e);
                }, 250);
            }, false);
        }
    };

    if (document.readyState !== "complete") {
        if (document.addEventListener) {
            document.addEventListener("readystatechange", loadBind, false);
        }
        else {
            // TODO: Remove as MSIE8 is no longer supported
            document.attachEvent("readystatechange", loadBind);
        }
    }
    else {
        loadBind();
    }

    // Wait for REST callback to release tag on non-search pages - search pages release on their own
    if (!cfg.search || !window.wt_sp_globals.isSearchPage) {
        _sp_intra.waitForREST();
    }
    /***************************************** END PAGE LOAD ******************************************************************/
};
/*********************************************** END _SP_INTRA **********************************************/
Webtrends.registerPlugin('sp', sp_intra_loader);
